DROP TABLE IF EXISTS {$table_header}admin_sessions;
CREATE TABLE {$table_header}admin_sessions (
  `sId` varchar(32) NOT NULL default '',
  `sIpAddress` varchar(16) NOT NULL default '',
  `sUserName` varchar(32) NOT NULL default '',
  `sUId` int(8) NOT NULL default '0',
  `sGId` int(8) NOT NULL default '0',
  `sGAuthData` mediumblob NOT NULL,
  `sGIsAdmin` tinyint(1) NOT NULL default '0',
  `sLogInTime` int(10) NOT NULL default '0',
  `sRunningTime` int(10) NOT NULL default '0',
  `IpSecurity` tinyint(1) NOT NULL default '0',
  `sData` longblob,
  PRIMARY KEY  (`sId`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS {$table_header}node_fields;
CREATE TABLE {$table_header}node_fields (
  `FieldID` int(8) NOT NULL auto_increment,
  `FieldTitle` varchar(20) NOT NULL default '',
  `FieldName` varchar(20) default '',
  `FieldType` varchar(20) default '',
  `FieldSize` varchar(20) NOT NULL default '',
  `FieldInput` varchar(20) default '',
  `FieldDescription` mediumtext,
  `FieldOrder` mediumint(8) NOT NULL default '0',
  `FieldAccess` tinyint(1) NOT NULL default '1',
  `FieldDataSource` text,
  PRIMARY KEY  (`FieldID`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}block_ip;
CREATE TABLE {$table_header}block_ip (
  `Id` int(6) unsigned NOT NULL auto_increment,
  `IP` char(15) default NULL,
  `ExpireTime` int(10) default NULL,
  `Reason` char(250) default NULL,
  PRIMARY KEY  (`Id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}category;
CREATE TABLE {$table_header}category (
  `CateID` int(8) NOT NULL auto_increment,
  `TableID` int(8) NOT NULL default '0',
  `Name` varchar(20) default NULL,
  `ParentID` int(8) default NULL,
  `OwnerID` varchar(20) default NULL,
  `Disabled` tinyint(1) default '0',
  `NodeID` int(8) NOT NULL default '0',
  `SubNodeID` varchar(250) NOT NULL default '',
  `IndexNodeID` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`CateID`),
  KEY `C_D` (`CateID`,`Disabled`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}collection_1;
CREATE TABLE {$table_header}collection_1 (
  `CollectionID` int(10) NOT NULL auto_increment,
  `CateID` int(8) NOT NULL default '0',
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  `ApprovedDate` int(10) default NULL,
  `PublishDate` int(10) default NULL,
  `State` int(2) default NULL,
  `NodeID` int(8) NOT NULL default '0',
  `SubNodeID` varchar(250) NOT NULL default '',
  `Title` varchar(250) NOT NULL default '',
  `TitleColor` varchar(7) NOT NULL default '',
  `Author` varchar(20) NOT NULL default '',
  `Editor` varchar(20) NOT NULL default '',
  `Photo` varchar(250) NOT NULL default '',
  `SubTitle` varchar(250) NOT NULL default '',
  `Content` longtext NOT NULL,
  `Keywords` varchar(250) NOT NULL default '',
  `FromSite` varchar(250) NOT NULL default '',
  `Intro` text NOT NULL,
  `CustomLinks` text,
  `Src` varchar(250) NOT NULL default '',
  `IsImported` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`CollectionID`,`CateID`),
  UNIQUE KEY `CollectionID` (`CollectionID`),
  KEY `C_I` (`CateID`,`IsImported`),
  KEY `Src` (`Src`)
) TYPE=MyISAM;



DROP TABLE IF EXISTS {$table_header}collection_2;
CREATE TABLE {$table_header}collection_2 (
  `CollectionID` int(10) NOT NULL auto_increment,
  `CateID` int(8) NOT NULL default '0',
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  `ApprovedDate` int(10) default NULL,
  `PublishDate` int(10) default NULL,
  `State` int(2) default NULL,
  `NodeID` int(8) NOT NULL default '0',
  `SubNodeID` varchar(250) NOT NULL default '',
  `SoftName` varchar(250) NOT NULL default '',
  `SoftSize` varchar(15) NOT NULL default '',
  `Language` varchar(10) NOT NULL default '',
  `SoftType` varchar(50) NOT NULL default '',
  `Environment` varchar(50) NOT NULL default '',
  `Star` int(2) NOT NULL default '0',
  `Developer` varchar(250) NOT NULL default '',
  `SoftKeywords` varchar(250) NOT NULL default '',
  `Intro` text NOT NULL,
  `Download` text NOT NULL,
  `Photo` varchar(250) NOT NULL default '',
  `LocalUpload` varchar(250) NOT NULL default '',
  `Src` varchar(250) NOT NULL default '',
  `IsImported` tinyint(1) NOT NULL default '0',
  `CustomSoftLinks` text NOT NULL,
  `CustomLinks` text NOT NULL,
  PRIMARY KEY  (`CollectionID`,`CateID`),
  UNIQUE KEY `CollectionID` (`CollectionID`),
  KEY `C_I` (`CateID`,`IsImported`),
  KEY `Src` (`Src`)
) TYPE=MyISAM;



DROP TABLE IF EXISTS {$table_header}collection_3;
CREATE TABLE {$table_header}collection_3 (
  `CollectionID` int(10) NOT NULL auto_increment,
  `CateID` int(8) NOT NULL default '0',
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  `ApprovedDate` int(10) default NULL,
  `PublishDate` int(10) default NULL,
  `State` int(2) default NULL,
  `NodeID` int(8) NOT NULL default '0',
  `SubNodeID` varchar(250) NOT NULL default '',
  `Src` varchar(250) NOT NULL default '',
  `IsImported` tinyint(1) NOT NULL default '0',
  `Title` varchar(100) NOT NULL default '',
  `Author` varchar(50) NOT NULL default '',
  `Size` varchar(20) NOT NULL default '',
  `FlashSrc` varchar(250) NOT NULL default '',
  `Photo` varchar(250) NOT NULL default '',
  `Intro` text NOT NULL,
  `CustomLinks` text NOT NULL,
  PRIMARY KEY  (`CollectionID`,`CateID`),
  UNIQUE KEY `CollectionID` (`CollectionID`),
  KEY `C_I` (`CateID`,`IsImported`),
  KEY `Src` (`Src`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}collection_4;
CREATE TABLE {$table_header}collection_4 (
  `CollectionID` int(10) NOT NULL auto_increment,
  `CateID` int(8) NOT NULL default '0',
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  `ApprovedDate` int(10) default NULL,
  `PublishDate` int(10) default NULL,
  `State` int(2) default NULL,
  `NodeID` int(8) NOT NULL default '0',
  `SubNodeID` varchar(250) NOT NULL default '',
  `Src` varchar(250) NOT NULL default '',
  `IsImported` tinyint(1) NOT NULL default '0',
  `Content` text NOT NULL,
  PRIMARY KEY  (`CollectionID`,`CateID`),
  UNIQUE KEY `CollectionID` (`CollectionID`),
  KEY `C_I` (`CateID`,`IsImported`),
  KEY `Src` (`Src`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS {$table_header}collection_5;
CREATE TABLE {$table_header}collection_5 (
  `CollectionID` int(10) NOT NULL auto_increment,
  `CateID` int(8) NOT NULL default '0',
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  `ApprovedDate` int(10) default NULL,
  `PublishDate` int(10) default NULL,
  `State` int(2) default NULL,
  `NodeID` int(8) NOT NULL default '0',
  `SubNodeID` varchar(250) NOT NULL default '',
  `Src` varchar(250) NOT NULL default '',
  `IsImported` tinyint(1) NOT NULL default '0',
  `LinkName` varchar(50) NOT NULL default '',
  `LinkURL` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`CollectionID`,`CateID`),
  UNIQUE KEY `CollectionID` (`CollectionID`),
  KEY `C_I` (`CateID`,`IsImported`),
  KEY `Src` (`Src`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}collection_6;
CREATE TABLE {$table_header}collection_6 (
  `CollectionID` int(10) NOT NULL auto_increment,
  `CateID` int(8) NOT NULL default '0',
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  `ApprovedDate` int(10) default NULL,
  `PublishDate` int(10) default NULL,
  `State` int(2) default NULL,
  `NodeID` int(8) NOT NULL default '0',
  `SubNodeID` varchar(250) NOT NULL default '',
  `Src` varchar(250) NOT NULL default '',
  `IsImported` tinyint(1) NOT NULL default '0',
  `PhotoName` varchar(250) NOT NULL default '',
  `PhotoURL` varchar(250) NOT NULL default '',
  `PhotoIntro` text NOT NULL,
  PRIMARY KEY  (`CollectionID`,`CateID`),
  UNIQUE KEY `CollectionID` (`CollectionID`),
  KEY `C_I` (`CateID`,`IsImported`),
  KEY `Src` (`Src`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}collection_category;
CREATE TABLE {$table_header}collection_category (
  `CateID` int(10) NOT NULL auto_increment,
  `TableID` int(8) NOT NULL default '0',
  `Name` varchar(50) default NULL,
  `ParentID` int(8) default NULL,
  `Disabled` tinyint(1) default '0',
  `NodeID` int(8) default NULL,
  `SubNodeID` varchar(250) NOT NULL default '0',
  `IndexNodeID` varchar(250) default NULL,
  `TargetURL` text,
  `TargetURLArea` text,
  `UrlFilterRule` text,
  `RepeatCollection` tinyint(1) NOT NULL default '0',
  `HiddenImported` tinyint(1) NOT NULL default '1',
  `AutoImport` tinyint(1) default '0',
  `UrlPageRule` text,
  `DelAfterImport` tinyint(1) default '0',
  `InRunPlan` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`CateID`),
  KEY `C_D` (`CateID`,`Disabled`)
) TYPE=MyISAM;


INSERT INTO {$table_header}collection_category VALUES (1,1,'»',0,0,1,'3','4','http://www.xinhuanet.com/newscenter/xhyw.htm','»Ҫ{DATA}</html>','/(http:\\/\\/news.xinhuanet.com[^\\\"><\\s]*content_[0-9]+.htm)/isU',0,0,1,'<center><a href=\"{DATA}\" class=\"nextpage\"><img',0,0);
INSERT INTO {$table_header}collection_category VALUES (2,2,'԰',0,0,4,'2','2','http://nj.onlinedown.net/sort/1_1.htm','/<font color=\\\"#ffffff\\\"><\\/font><\\/td>(.*)<\\/html>/isU','/<a[\\s]*href=\\\"([^\\\"><\\s]*[0-9]+.htm)\\\"/isU',0,1,0,'',0,0);


DROP TABLE IF EXISTS {$table_header}collection_rules;

CREATE TABLE {$table_header}collection_rules (
  `RuleID` int(10) NOT NULL auto_increment,
  `CateID` int(10) NOT NULL default '0',
  `ContentFieldID` int(8) NOT NULL default '0',
  `TableID` int(8) NOT NULL default '0',
  `Rule` text,
  PRIMARY KEY  (`RuleID`,`CateID`),
  UNIQUE KEY `RuleID` (`RuleID`)
) TYPE=MyISAM;


INSERT INTO {$table_header}collection_rules VALUES (1,1,1,1,'<Title>{DATA}</Title>');
INSERT INTO {$table_header}collection_rules VALUES (2,1,6,1,'<font id=\"Zoom\">{DATA}              </font> \n              <table==>[clearRubbish]==>[localizeImg]==>[page]');
INSERT INTO {$table_header}collection_rules VALUES (3,2,10,2,'/<script language=javascript src=&#092;\"..&#092;/ads&#092;/js_ad_show_3.js&#092;\"><&#092;/script>(.*)<&#092;/td>/isU');
INSERT INTO {$table_header}collection_rules VALUES (4,2,11,2,'<table width=\"97%\"  border=\"0\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\"><tr><td class=\"p150\">{DATA}</td></tr></table>');
INSERT INTO {$table_header}collection_rules VALUES (5,2,12,2,'  ̣</b><a href=\"{DATA}\" target=\"_blank\">Home Page</a>');
INSERT INTO {$table_header}collection_rules VALUES (6,2,13,2,'/<b><\\/b>(.*)<br>/isU==>[download_star__newhua]');
INSERT INTO {$table_header}collection_rules VALUES (7,2,14,2,'/<b>л<\\/b>(.*)<br>/isU');
INSERT INTO {$table_header}collection_rules VALUES (8,2,15,2,'/<b><\\/b>(.*)<br>/isU  ');
INSERT INTO {$table_header}collection_rules VALUES (9,2,18,2,'<td height=\"30\" align=\"center\" class=\"title_1\"><b>{DATA}</b></td>');
INSERT INTO {$table_header}collection_rules VALUES (10,2,17,2,'/<b>С<\\/b>(.*)<br>/isU');
INSERT INTO {$table_header}collection_rules VALUES (11,2,16,2,'/<b>ԣ<\\/b>(.*)<br>/isU');
INSERT INTO {$table_header}collection_rules VALUES (12,1,10,1,'');
INSERT INTO {$table_header}collection_rules VALUES (13,1,5,1,'');
INSERT INTO {$table_header}collection_rules VALUES (14,1,2,1,'');
INSERT INTO {$table_header}collection_rules VALUES (15,1,4,1,'');
INSERT INTO {$table_header}collection_rules VALUES (16,1,3,1,'{Default:Hawking}');
INSERT INTO {$table_header}collection_rules VALUES (17,1,8,1,'{Default:»}');
INSERT INTO {$table_header}collection_rules VALUES (18,1,9,1,'');
INSERT INTO {$table_header}collection_rules VALUES (19,1,7,1,'');
INSERT INTO {$table_header}collection_rules VALUES (30,2,20,2,'');
INSERT INTO {$table_header}collection_rules VALUES (31,2,19,2,'<table width=\"100%\"  border=\"0\" align=\"center\" cellpadding=\"2\" cellspacing=\"0\"><tr><td valign=\"top\" class=\"p150\">{DATA}</td>==>[download_url_parser__newhua]');
INSERT INTO {$table_header}collection_rules VALUES (38,2,22,2,'');
INSERT INTO {$table_header}collection_rules VALUES (39,2,23,2,'');

DROP TABLE IF EXISTS {$table_header}content_1;
CREATE TABLE {$table_header}content_1 (
  `ContentID` int(10) NOT NULL auto_increment,
  `Title` varchar(250) NOT NULL default '',
  `TitleColor` varchar(7) NOT NULL default '',
  `Author` varchar(20) NOT NULL default '',
  `Editor` varchar(20) NOT NULL default '',
  `Photo` varchar(250) NOT NULL default '',
  `SubTitle` varchar(250) NOT NULL default '',
  `Content` longtext NOT NULL,
  `Keywords` varchar(250) NOT NULL default '',
  `FromSite` varchar(250) NOT NULL default '',
  `Intro` text NOT NULL,
  `CustomLinks` text,
  `CreationDate` int(10) NOT NULL default '0',
  `ModifiedDate` int(10) NOT NULL default '0',
  `CreationUserID` int(8) NOT NULL default '0',
  `LastModifiedUserID` int(8) NOT NULL default '0',
  `ContributionUserID` int(8) NOT NULL default '0',
  `ContributionID` int(8) NOT NULL default '0',
  PRIMARY KEY  (`ContentID`)
) TYPE=MyISAM;



INSERT INTO {$table_header}content_1 VALUES (1,'ӭʹCMSwareݹϵͳ2','','','','','','\r\n\r\nasdf \r\n<p>CMSware ȫµϵͳṹɵ˼룬ɹķǷ <br/><br/>1õı༭ <a href=\"../resource/img/h000/h00/img200508241951290.jpg\" target=\"_blank\"><img alt=\"\" src=\"../resource/img/h000/h00/img200508241951290.jpg\" border=\"0\"/></a><br/><br/>CMSware¼ֿάԱʵǿܲͨHTMLǻʹWordȰ칫ˣϵͳWord OfficeƷܼɣֱӴWord϶һݵCMSwareûҲCMSwareֱӽֵŰ洦ıƣСɫɫԼʽȵȡ͸زͼƬͼƬλáСֽлƵȵȡϵͳֲ֧FlashӡַȵȡϵͳԶͼƬFlash ļϴϵͳкʵĿ¼ûһС </p>\r\n<p>2༶άԱ֧ <br/><br/>CMSwareʹûڽɫûͨӲͬȨ޵û,ԽһվĹȨ޷ͬû.ɶͬʱһվ.CMSwareûģʹһж.ͨвͬȨ޵û飬Խûֳɶּ𣬳ԱԱԼĵ¼룬Աһƪݴ¼뵽󷢲վϣмҪԱԱ½ϵͳ༭²֤ݼʱظµվȥ </p>\r\n<p>3Ƚģģ <br/><br/>ǳо˹ݹϵͳǴܹʵֽģԶҳ棬ҳԱĹģȱҪнϸ߼ˮƽԱЩϵͳҪʹûXMLĳXSLTģ壬ЩϵͳҪUNIXµTCLдģ壬νǼHTMLԱȴXMLԱûдӸϼûĸ <br/>ģĿǾϵͳ¼ɳHTMLҳ档ģʵһͨHTMLҳ࣬й̶λãݲɱϵͳֶϢյHTMLҳ档 <br/>ϵͳṩõģ༭ߣһͨHTMLԱݵѵģ塣ģվֻҪһһֱʹá <br/>CMSwareǰiwpcṩһwordõĿӻģ༭(WYSIWYG)ֱʦͿģ༭ϵͳԴñǩϵͳñǩ,ʱԲĵñǩ.ģ嶼HTMLļFrontPageҲ DreamwaverУʦֻҪʹԼϤĹߣFrontPageDreamwaverþ̬ҳ棬ȻʵĵطCMSwareñǩһģˣдκһд롣\"ϵͳģ\",\"ϵͳúļ\",󷽱ûչϵͳ. ֧Զjsģ幦ܣʹбʾƸס <br/>CMSwareвXMLıǩͬʱiWPCԭеĵúǩṩȽǿϵͳݵùܡDreamwaverֱDreamwaverʹò˵ʽģ壬Ҫѧϰ﷨ </p>\r\n<p>4ļģ <br/><br/>ļģΪվĹԱṩһWindows ExplorerļԱWindowsļһվеļͼƬļļȡÿжԵļģ飬Աֲ֧ͬĹԱͬʱԼеļй </p>\r\n<p>5ַ(̬/̬) <br/><br/>CMSwareԽվȫɾ̬HTMLļ,ԼؽԼԴϵͳܣȫ̬ΪվıҪǿCPUٸݿ⣬ڴûʵҲᵱģʹǵĳⷢҲΪʲôˡסSOHUվ涼Ǿ̬ԭˡ <br/>CMSwareǰ汾iwpcĻ֮ϣ˶̬ʽûԶҳиϸµȨ޺Ͷ̬ܽйʵֶ̬վ </p>\r\n<p>6ר <br/><br/>վһЩͻ¼ʱר¿ĿʱԽйظ¼һר⡣CMSware༭иʱµר⣬ڵһʱվķṩḻϢרеݼǴƵѡģҲֱü߻༭ר¼ݡ </p>\r\n<p>7ǿݵҳȫơ <br/><br/>ҳĶѵı֮һCMSwareĿҳȫ塣ͼƬţʾǷʱ䣬Ŀ̬ģķλõȵȡҲ˵Դﵽ̬ҳЧôôΨһǣ㣬ˢγɾ̬ݣֱɶ̬ݡ </p>\r\n<p>8޼ <br/><br/>CMSware֧޼࣬ƵĶԷཨӷ ǹ̶һ߶ࡣʺϽṹӵĴվ </p>\r\n<p>9֧ <br/><br/>ȫ̬CMSwareȫHTMLʹվļʴߡǴѻԴҪһ˵ѡCMSwareվѡһλ... </p>\r\n<p>10Զ̰ȫ <br/><br/>CMSware֧Զ̷ֶ֧Զ̷ݿķʹCMSwareԶԶվзʵһվ߶ԶվͬʱͼվԱĹֻҪCMSwareúվķַѡҪվַȻͿCMSwareվԶ̹ˣCMSware༭ݣCMSwareͻԶķѡõվַ <br/>ڹͷ룬վİȫ⣬ֻҪڹȫͿɻָվ </p>\r\n<p>11Զݿ⣨ֶԶ壩 <br/><br/>CMSware׸ıվϵͳĴͳΪ˸ɹľ裬Զģ͵Ĺܡûܷ㶨Լĸء֡ͼƬᡢƷչʾ˲šƵԤCMSwareϵͳԶʵַܣרŵĶ̬ʵر </p>\r\n<p>12԰֧ <br/><br/>ͨ򵥵滻ͿԸԣʵֶ԰汾 </p>\r\n<p>13ݿ֧ <br/><br/>ȫµݿ棬ȫ֧ݿ⡣Ĭ֧MySQLͨӿھͷĸOracleMS SQL ServerPostgreSQLݿ⡣ </p>\r\n<p>14ԻĲ <br/><br/>֧Ҽ˵󲿷ָӲֻ꼴ʵ֡WindowsԴļ棬Webҳ洦վݡ </p>\r\n<p>15ݹ <br/><br/>رʺϴۺŻݲɱࡢͶ塢˹ʵ֣ûͶ̨룬Ͷ༭ֻӴͶ㡣ûͶ嵽˵л̶ûԼᣬӦͬӦҪ </p>\r\n<p>16ɵԶɼ <br/><br/>CMSwareṩרŵݲɼģ飬ãԶɼӦվݣʵͼƬԴԶػӶԴͲɱԱĹ <br/>CMSwareԶɼܲͬͨĲɼģ飬ɵķԴϸҪɼݣԲɼǳӵԴҳ棬ҿģԶ </p>\r\n<p>17 <br/><br/>ĺ̨ṹûиԣ׹ <br/>ļ־Ŀ¼ɶԣʵ2003/10/05/xxx.html2003-10-05/xxx.htmlĿ¼ṹ <br/>ļ׺ɶԣʹhtml,shtmlxmlΪ̬ļĺ׺ <br/>߼۹ܣʵsina۹ܣ߼ܣϲҡ <br/>ģ̳У½Ŀ¼ʱѡǷװĬģ壬㲻ӷҳģ壬÷ཫԶ̳ϼģϵ <br/>ҳͼƬԵԶͼɡϵҳʾʵ󣬿ԶͼµͼƬͼӿҳٶȡ <br/>ķ֣󷽱վ㣬Ҫֻǵ꣬Ȼȥȱȡ <br/>װʱѡûܹܣ֧֡MD5,DES,noneģʽһǿϵͳȫ <br/>ֶ֧ҳʾ,һƪ¿Էֳɺüҳ֧ӡ <br/>ϵͳֹ֧Զ鵵Լùʱ䡣 <br/>ݿŻͱݹܵȵȡ <br/>ȫԶװ̡ <br/><br/>иԣȥֺ顣 <br/></p>','','','','',1112108706,1125657820,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73206,'ͼģ2005\"\"\"ȫ3GչרⱨᾫӢ̳','','','','../resource/img/h000/h00/img200509171011110.jpg','','<P align=center>&nbsp;<IMG alt=ͼģ2005ȫ3GչרⱨᾫӢ̳ src=\"../resource/img/h000/h00/037b1e10a9faed5cd950477d0850c67c.jpg\" border=1><BR>ͼΪ2005ȫ3GչרⱨᾫӢ̳( )</P>\r\n<P>˿ƼѶ 2005914-163Gй2005ȫȫ3G豸ҵչʾй˹ٰ졣ϢҵоԺ죬ּڽһƶʹٽй3GҵķչΪָŻ֧֡915ջ졣</P>\r\n<P>ˣ Ϣҵ&gt;</FORM></SPAN>оԺ</P>\r\n<P>ŮʿǡǣáľӢ̳ǷΨһһڡݽдܶܶǳмֵݣͬʱкܶ⣬ϣлʼαڻ´ҽӴ֮⣬Ӣ̳һҼеĻᣬȤʡϣܳúݵĻᡣ֮ǰȽһ²μӾӢ̳ļα񡢲ǿɱķ򡢺ͮ¬¡ΰ</P>\r\n<P>һҷǳĵ⣬Ϊ3GȫѾʼģãͬʱйҲӭĵ3GɹҪ㵽ʲôKDDIУ3GӪչҵзǳɹľ顣KDDIĶɱһΪ3GĳɹҪЩ档</P>\r\n<P align=center><IMG alt=\"\" src=\"../resource/img/h000/h00/934c38f5d68edb30127b88382b0ed0f3.jpg\" align=middle border=0></P>\r\n<P>ɱķ</P>\r\n<P>ǳлҼҪؽһ3GɹԭҪǴKDDIľһҪ㡣</P>\r\n<P>һʵ⡣ʶû˵ǳҪʵ⵱е֮أҪ޷ĸǡӵһ쿪ʼҪ2GĸͬʲãǵûͲʹá</P>\r\n<P>ڶֻͼ۸ǱҪ׼һЩǳżֻ3GɹıҪ</P>\r\n<P>µķµӦáȻҪһЩ·Ǿܹ2G3GĲͬǲҪһЩǳȽӦãǿԴһЩС·ʼС㹻ˣǲҪʼǳӵķ</P>\r\n<P>ģײ͵ļ۸KDDIɹƳEVDO1.0İ汾Ǿ˰µƶȡܶΪ3GһŵǸߵıʡǲܹɹʵָʣǵҵͻʧܡKDDIעҵķḻ棬ɹҵǳҲãǵARPUͻ½ԣҪ̫עرʣҵͻʧܡ</P>\r\n<P>壬ǵҵģʽжӪһǲǵģӦúͼֵеĲ뷽ͬȻIPRĹҲǷǳҪһ⡣һɹҪأûκ¶ҪûǷ⣬ǵûҪָϵͳ豸KDDIĸܣллҡ</P>\r\n<P>ˣ</P>\r\n<P>3GǷǳҪļ棬⼸溭硢նˡҵʷѷĵȵȡҪû3GɹҪء</P>\r\n<P>ʣ</P>\r\n<P>ǲõTDSCDMAδĿꡣǳԣش</P>\r\n<P>ǿ</P>\r\n<P align=center><IMG alt=\"\" src=\"../resource/img/h000/h00/img200509161526100.jpg\" border=0></P>\r\n<P>ллҶ˲ƷĹġǵĸ߼ܲҲᵽˣڴ֮ǰýļ浱Ҳᵽˣ3GĺгһЩµĽչһǵTDSCDMAڶŷһĽչڻ׼ʹǵ豸ˣĿǰںǷԵı׼ԼζԲԽ֤ڽл׼ͨһҪķ棬ΪԼйƷƵһ3GƷλںгĿأܹṩһȽмֵĽ顣</P>\r\n<P>ˣ</P>\r\n<P>ллܡTDSCDMAһʱ׼ȫ100Ӫ̶ӵTDDƵΣTDD죬ɹƽʵ϶ȫӪ̶лĽδļֵʹÿռ䡣ܵŬԼṩϢTDSCDMAһǳõϢǺõķչ</P>\r\n<P>ʣ</P>\r\n<P>ͨȫ3GоƬѾγ˹ģڽͳɱʲôһľٴ롣</P>\r\n<P></P>\r\n<P>ͨһԽͳɱǺӵģúܺáΪʲôأǰһʱǲһͶֻCDMAƹ㣬ûֵҵ϶ԳͶ˵ǺܴġǵMMSоƬ˵оƬĽ3GҲ˺ҪһԽԽ಻ͬĹܼڵоƬϡڵоƬϺδһͳɱ͹ģֻĳߴ硣ǸͨŬһ򣬰ѸĹܲϵؼͬһоƬϡǰԿгһЩȽϴֻ湦ܱȽǿ󣬵ǿúüоƬһоƬǿͷһоƬƶԻܻеоƬǴý塣ѾͬһоƬԴеĹܣܶӦõĹܣǸͨһҲŬķǽԽԽǿĹܾеоƬУߵͶоƬһ</P>\r\n<P>ˣ</P>\r\n<P>ллܡܵĻشҲܿն˵ĳɱ϶Ӱ3GչǳؼءԣṩоƬĳҽͳɱľٴǴҷǳעġ</P>\r\n<P>3G֮ϣ˽һЩӰӪ̽Ĺģʱ䡣һǿǽ̺͹ģʱӦÿЩأҲϣ˽Ҫ೤ʱ䣬3GܹӽڵṩãѶĺ̸̸ǵľ顣</P>\r\n<P></P>\r\n<P>3G罨ͦӣӼ˵CDMAΪ2Gһǵȫ裬Ӫ̱Ƿ2绹һȫµ磿ҪǽĹģ̵󲿷֣3G滮һЩ˼ҪǣѶ˺ܶCDMAƵ磬ܷḻйӪ˼ùģʱҪҲҪǰȥǰʲô˼˵ͶҪҪظͶʻǼͶʷյȷ档ǰҲ˵ڽʱǰҪǵڵķչȽ΢˵վһЩǰ̵ñȽһ㣬ȽϱһԺҪʱٲȥԺվʱһŻѡַĵطͶʸɱҲһӰ졣ԣڳǰⷽ棬ǽӪ̿ڲվʼʱҪǵԶչҪվҪʵǵ3GӼ˵ǳӣCDMATDSCDMACDMA20001X EVDOǿǻҵ񣬿ǵĲǵĹϵǿݸʵĹϵο㲻ǽͨʡʣǸʱʡݸʶԱȵ⣬Щǣ滮ⷽܶ࣬ҲڿʼйӪ̺̽ⷽĹϣǵӪ׼Ϊй3Gķչһ</P>\r\n<P>ΰ</P>\r\n<P>áҾй3GĲҲ̸һNECĿ3G׶οǵ2GӪĲͬһӪõŲͬգڵGSM3GPPWCDMAգӪһգĲкܴҪȵôȥǣôܹЩߵĻȵĵط3GֻһգܸӲصôȰĸǷΧCoverסԣڲĲϿͬ⣬HSDPAķչ3GղУҪȵʱHSDPAЩҲ𽥵ЩѾʼáԣǲWCDMAʱʱǿֱR4ֱHSDPAʱҪǵHSDPAǲҪõƵȥǣHSDPAĿǰĻR99ƵʵƵЩҪǵһЩص㡣</P>\r\n<P>NECDoCoMoкܳʱ䲼ľ顣⣬ۺͼҲк಼ܶ3Gľ顣۶̶34µʱھͲ˽3000̨վCover۵ĵԣⷽNECкܶ๤ʵʩŻľ顣Ҳϣڽйߵķչܹ֮ǵܣָ֧Ӫ̡</P>\r\n<P>ˣ</P>\r\n<P>ллλĻش𣬸ղŲʧʱһ¡</P>\r\n<P>һ⣬Ϊ㽨Ĺģ㽫Ͷʻ㱨йϵġЧؽ3GͶʷ֮ƽ⣿ʵ漰Ͷʻر⣬ģͶʱҲйϵġΪӪ̵KDDIһЩ飬¬ܿҲһЩ̸һ̸</P>\r\n<P>ɱķ</P>\r\n<P>Ҷе뷨ڲ3GʱҪܳʱ䣬ΪûѾϲ2GѾϲ2GָǵǿԿʼ3GǲãͻǲģҪܳʱȫ3G磬ҴﵽõĸԣҲܿ첿3G硣취˷⣬һ˫ģֻҲ2G3G˫ģͬʱʹGSM⣬úݵļCDMA1XǵCDMA2000Ϊû˽ϵͳûֻֻ÷ҪǳŻĸǡԣ򵥵ķǼͶʵĳɱ˫ģֻúݵļ</P>\r\n<P>ˣ</P>\r\n<P>ллɱĻشһҪĹ۵3G罨ĳڣǷǳҪġǵ̫СЧãҪľҪӰ쵽ûʹáûĸԼûӡ󡣺Ҳ̸˽ͳɱܲͬļвͬķͨ˫ģֻƽݽһ㣬ҲǺҪһ㡣</P>\r\n<P>¬£</P>\r\n<P>ȸ۵ȫͬKDDIλĿ˵Ӧ˵ΪֹȫWCDMAиӪ̣ǶҪӦ֮һԣ۵ľ飬ǿΪֳܷ֣һͶ룬һʷѡͶ࣬һǾGSMӪ̣ΪһGSMΪǵĻЩӪ˵ǵô3GĸǽGSM֮ϣ޷лһȽĳͶʣͶҪȥһЩûȽϴĵȻûչͶʡڶӪ̣ЩȻӪ̣粻ԶлһӣһǺͼǵĸ磬һDoCoMoձΪWCDMAPDCмûлġһӪ˵ǳҪ飬DoCoMoҪձDoCoMoִ(ձ)ҪȫĸǣΪûиǾûа취KDDIȵӪ̾ڶͼǣҲһӪ̣û磬עҪȽϺõĸǣȻԼĸ֮⣬2G GSMӪȡЭ飬ĳЩȡһлЭ飬ܹȽϺõؼһû̶ȺͳͶʡ</P>\r\n<P>ʵǸྺ˵CingularӪ̣ǵôأȻһGSM磬Ӫ֮似ľȽϼң˵Ȼ3G2GʵϲGSMEDGE޷лǱȽϿƳһȽȫȸǵĲԣϻڽʵϾҪHSDPA</P>\r\n<P>ǿͶʷӡͶ֮ԷѣѾⲿ˵ǳɱ˳ɱϣĻܹѾȡĻرǿһµƣ档һ3G缼ǿ͵3G HSDPAڽѾããЩԺͰѻ3G5ͬӲ豸ϺͬƵԴ˵˵ÿǧֽڳɱ͵ԭ20%ļԺ󣬸2GԷֽ뻰ͬ˴ʷѰνİƶȡƶбȽϺõʷѰǰƶȾͿԴ̼ûʹмҪоĵļ㣬ʼʹ͵λʹĳɱǸ¼˸͵ĳɱ̼ûʹΪݺʹ֧Ǯ˵ǲµģʽµռ䡣Ϊ˴ͨ˵λ͵ĳɱʵϺܶµģʽƶҵӦõҵģʽƶҵϣа㲥ӵһЩҵģʽѾ뵽ԺƶϣǿʷѻԲߵһЩµĶ</P>\r\n<P>ʣ</P>\r\n<P>Զż޹˾TDй3GԶȵ㣬⼸ǵ̳кܶݽߣǰκζTDҵĿҲ˵TDĶװն˵ĺܶҵõ֤ܶӪҲʾЩԣĽ衣</P>\r\n<P>ΪŲ֮ʱ3Gշ֮ǰTDЩƻ</P>\r\n<P></P>\r\n<P>⣬ʵȨĴηһʼʱɲѾˡ⣬һʼʱҲоԺȷĹ۵㶼ˣǷǹǰһǹϿЬЬԺٿĻᣬǵȥǰ겻һокܶ׼Ҫշ֮ǰΪ̨ϼλ3Gеʵ顣ղų˵Ҫһӹ滮ƿʼҪʱ䡣⣬ҪƳһ3GصƵҵ񣬴ҵĹ滮ƵնʵҲҪ11µ15µʱ䡣شܿԸһоʱҪ׼ǶôĶܸ࣬2008˻֮ǰϵҪЩҵʵġ</P>\r\n<P>ˣ</P>\r\n<P>ллԺĻشԺղ˵ǳؼһ㣬֮ǰǷ׼ˡϵ̽ܶ3GͷչĹУܶҪҸȥо׼ģǵýڣⷽǲҲӦöǸһЩľ飬øֵ׼</P>\r\n<P>ʣ</P>\r\n<P>3Gն˵⡣3GչĹУ3GκһܣIPTVƵͨšݴ䣬ÿһǡϻԵ൱ڽķչУȼϵػǳԴصķչҪ34ʵ֣һˡǣѾʵֵ3Gն϶ֻܺνģ</P>\r\n<P>ͮ</P>\r\n<P>оƬҪٺĵ磬ֻҪѵصǿŷѾõUMTSֻCDMA2000һʹãԼTDSCDMAز⡣Ҳ˺ܶںϷ⣬ֻӣĶýӦãӦ˵϶ĵҪӴ󣬶ҴȼӴ󣬵Ŀǰûпʲô̵ܶʱ˵⡣</P>\r\n<P>ˣ</P>\r\n<P>⻹йն˵ĳɱǧԪڵնûпԣ</P>\r\n<P>ǿ</P>\r\n<P>Ҫһ㣬һоƬ⣬һֻ췽棬ʵⷽбȽϳɹľ顣ǳɹذǵ3Gֻŷޡֻⷽڱ׼ĵеЩ涼Ժ͹⳧ҵֻͬȡԣӦ˵ֻ粻һ⡣ҲáĵҲãӲҲã쿴һƿ</P>\r\n<P>ΰ</P>\r\n<P>Ŀǰ3Gʹ֮Уԭ2Gעػҵ⣬Ҫйݵҵ񣬱webôRadio֮жõ˺ܹ㷺ӦáNEC˾ĿǰѾƳ˼ʮõ3GնˣĵʱЩ涼ûġ콲ںʱҲ̸ҲƳһWCDMAWLAN˫ģնˣȥ11DoCoMoƳնWLANĴʱѾܹﵽ230СʱϡWCDMAͬʱҲ˫ģĴWCDMAϵĴʱ䳬260СʱϡԣֻĵĿǰȵ¡Ĵ̶ֻڿȼϵأһµĹչͨչҲչȼϵءڲõĽֻĺĵʱ϶ԽԽߺӪ̵ĽǶȶúܵ⡣</P>\r\n<P>ͮ</P>\r\n<P>ýоƬͼͼղŸͨԺǵһоƬоƬĵ籾Ӧò̫ġ</P>\r\n<P>¬£</P>\r\n<P>ĶоƬ̣ŸͨоƬ̡ĿǰWCDMAGSM˫ģоƬĴʱ˵Ѿһ400СʱǵоƬҲṩNECڵն˳̡ͨ˵ƵͨͻͨҲû</P>\r\n<P></P>\r\n<P>¬ܽúܺãһֱҲŬͨڹϲĽоƬϵĹĻԽԽãһϵͳḶ́оƬֻʾǰݽҲͨ˾һLCDĹ˾ڴ㹦ģһĽӦãӦñƺٵĹģʹòõʱ̨ܵȵȵȵЩҪһŬ͹ġⲻӦһ谭Ƿչ⡣</P>\r\n<P>ˣ</P>\r\n<P>һǳ⣬ǲֻṩĵͶֻ</P>\r\n<P>ΰ</P>\r\n<P>ĿǰNECҪƳĶǸ߶ֻWCDMAгĿǰƳĶ100ϣԵĴǸ߶˵ĿͻйгвͬйҲһзģĿǰҲڿеһֻܵ</P>\r\n<P>ˣ</P>\r\n<P>ڲYesйδгҪĻ϶Yesλն˳ҲӦƵĻش𡣸ղѾ˵ͻ̡ӪǵһְֻҪгҪҶȥ</P>\r\n<P>תTDSCDMA⡣ұȽϹģһTDSCDMAָ֧ܲƶµҵ񡣵ڶTDSCDMAûҵصĵطӵоԺĽǶȣƶ3GTDSCDMA棬ӱ׼棬ûʲôƻʲôļƻ</P>\r\n<P></P>\r\n<P>ȸлԺĽܣлļαTDSCDMAĹġ͸ղ⣬һTDSCDMAָ֧ܲƶΪTDSCDMAϵͳһʼƵʱӪܹȫṩ3GӪҵҪһϵͳԣǴ֧ݵϣֵ֧ƶӪϣƶٶϣǾ˴ķͷͲԣҲϰĲҵ飬֤֤TDSCDMAڸƶܹ֧ӦƶƶҵⷽҪ</P>\r\n<P>ڶ⣬TDSCDMAҵĶԡΪ3GĳԱ֮һTDSCDMAҵӦúҵߴ󼸸3Gϵͳһͬ󣬾ָ֧ߵʣָ֧ƶĻûǶʵľõĸϵͳĵҪʲôҵҵʲôܹ֧ܹṩ3G͵ĸҵ񡢿ӵ绰ЩӦΪTDSCDMA3Gϵͳ֧൱ģҲ㡣֮⣬TDSCDMAܶصӦã֧ҵ˵кܶɫĵط֧Уն˵նֱͨҲص㣬ڱԵĵ縲Ǵﲻ£նǰ֮ͿͨŵģʽΪTDϵͳ֧ѻӦþȻơ⣬˶λļȻڶλļкܶ࣬öվ϶λGPSλϵͳλλ֮⣬TDϵͳͿɵվĶλҲһվʹм֮ͿԶûԱȽϾȷĶλλҲⳡӦĲԣķ;СλߵöࡣԣҵӦҲڲȡTDļصһЩҵӦϵɫĵط</P>\r\n<P></P>\r\n<P>ʵδҶ֪оԺҲе3GļĴ󲿷ֹĿǰץ͸桢ҵйصķһTDSCDMAҵ顣鱾ʵĿģһǶϵͳļܺûĳ̶Ƚм顢֤⣬鱾ҲϵͳƱزٵһ֡ڶTDSCDMAĿǰݡټѾûǰıѾ˽ˡоԺǻץʱ͸һѿֶ֧ýЩҵӦãܹڲԵĵʵ֡</P>\r\n<P>һҵӹ滮ʵֻҪһʱ䣬ǰһTDSCDMAҵеٶʱȷǳ졣ԣȫҪҵʱȫṩûĲƷ</P>\r\n<P>ˣ</P>\r\n<P>ллԺҿԿоԺڱ׼Էҵ磬Ӫ̡̹ͬƽTDSCDMAƽĹУҷǳĵTDSCDMAоƬն⡣ΪTDSCDMAֻṩ֮һҲһԺTDSCDMAֻĿǰĽչһĿƻ</P>\r\n<P>ͮ</P>\r\n<P>ĿǰTDSCDMAն˵ĽչڻѾˣﲻռøʱ䡣Ŀƻ档һ棬һõҪƶԷ棬ʡͺĵ磬ȶԷ棬ûҪһղԺˣһ֤һһҵһĿĹ̡ǸһһļƻһûܹʹáڶʹշˣӪ̲ɹˣʹûˣԲǴͨĵ绰һиָӦã3GһЩ͵Ӧãӣ2GѾõWAPJAVAݵȡģģҲ˵ںϡΪܵ˵ڲȫ3GûӶ죬3GӪչöôãǳǰгȵʱ򣬲֪жٸҪڿ͵HSDPA֪DMBļ1XǶģGSMTDSCDM˫ģҪģWCDMAHSDPAĿǰǵļƻHSDPA</P>\r\n<P>ˣ</P>\r\n<P>ллԺĻشΪǳֻ̣ӸǶ̸CDMAĿƻҲһǹTDSCDMAǿͼԼĿǰ3GPPģTDDйصLTEʲôĽչĽַ֪ǲַ׼Ҳܻشһ¡</P>\r\n<P></P>\r\n<P>ȥμʱTDSCDMAûкķչʵϵʱشкü򣬵ûϸ̸̸һTDSCDMA׼չʵһֱϵڽС3GPPӪġTDSCDMA汾ķչҪ㣬һ3GPP R4۱ȽȵHSDPAӦпõĵһ汾ٺ棬ڲԺ֯۵3GPP ǿһǶزTDSCDMAڹ㷺ڽ׺ӦļȷЩдݽİ汾3GPPʵǼ汾ڲУݽһ汾R7R8ݽһ汾Ϊʲô漰罨ͶʺͺͶô֤ʵ᷽ʱҲǳֿǵһ㣬3GPPĳݽķֿ˶ϵͳĺݣʵǶӪ̺ͶʵһֱҲڱܵͬʱܹĺԡȻں3GPPݽ۷ܶ࣬ҪһOIBMһǶزTDSCDMAиƺͷչ3GPPĲͬİ汾</P>\r\n<P>ˣ</P>\r\n<P≯TD-CDMAǿͣ漰3Gһķչ⡣ȴ߲֣һο3Gʲôչڶ⣬3G߼WiMAX֮ĹϵǾǻ</P>\r\n<P>¬£</P>\r\n<P>ллԺҲллλ3GPPķչһ·꣬R99Ժ󣬽꿪ʼõHSDPA겻··ҲǿHSUPAHSDPAļHSDPAһǿжԸ߿Ե14M2Mһ㡣MDEMSSҲ3G硢ƶ磬ƵԴһ㲥кܶ㲥ڽϿá2007һ롣һ3GϵѾһ׼Ḷ֮̌꣬2007Ӧðѱ׼϶2008׼Ժ2008ꡢ2009еƵԴϣڽƵԣ20MƵԴܶ3GӪ20MƵԴϣԴﵽ100MBps3GPPĿǰһЩ3G߼ϵݽֽ˺ܶ4GĿǰоûн뵽ϵṹϡôе߼ۺٲµ߼ܹõõƵЧʺ͸Ĵ</P>\r\n<P>ڿʼҪƶﵽӪɱԽһ͡IMSݽһǸṩҵ񡣵ڶڰǵĺݽһּпƵȫIPĺ磬Ҳܹʵƶ͹ںϡԣӦ3GһЩҪݽ֮⣬һЩ߼ĹϵWiMAXĹϵ԰˵Ȼ֪3GϵһЩȫ쵼ߣ֮ʵҲWiMAX̳ĳԱҲWIMAXĿΪⲻǾԵļΪʲô㡣һ3GͷƶҪʵֵĿ꣬һǴΧĸǣ޷ĸǣκʱκεص㶼õص㡣ڶ֧Ǹ˻ֳֵıȽСնˣҲPCնˡWIMAXʵһ㣬̶ܴϹ̶㣬802.16B802.16Eڹ̶ߵĻһƶԡ滹һPCûֳն˵ĲʲôʱضҪãȵȵһЩԣΪӦòȫһ3Gǿݽǽƶĸƶ޷츲ʵֿWIMAX߿߼Ϲ̶ƶҲṩһƶԣӦòȫһ</P>\r\n<P>˵ʱҿ֪HSDPAѾϽꡢ꿪ʼãӦĶWIMAXеĽ16DһЩϵͳ߶߷Χڵӡǵ׼̣ܱ2007껹Ҫһ㡣ȫͬһʱ䣬Ӧ˵ڷѼƶ802.16eһ㡣˵׼Ҳȫһ188ƶ802.16EWiMAXı׼϶ǵһ͵ڶı׼WiMAX̳ﶨƶԵı׼׼Ḷ̌ոĽǶӦ˵ƶԵҵбȽϳʱ䡣</P>\r\n<P>˵ΪìܵļһʵHSDPAҲãHSUPAҲã3GѼĽһݽҲãʵֵǷƶ޷Ļ´һǶߵĻ£ƶԺͿЯĻṩ߿ƶӡ</P>\r\n<P>ɱķ</P>\r\n<P>3GWiMAXĹϵ3GPPһֱڽڵݽһЩҪҲ֪ѡּ֪ǿ͵CDMA20001XWIFIǼǿ3GһƵ磬ǱҪʹǵǽκηʽӡ2G3G֮ʹʲôͣ4Gʹǻһһͨ3G3GPP3GPP2۵ļǷǳƵģʵЩ֮䱾ûнޡΪ802.16eʹõļǷǳƵģʲô3Gʲôǳ3Gû̫ġǵֽ뷽ʽǿģõġ</P>\r\n<P>WiMAXڵı׼ƶ˵㹻WIMAX̳ҪӪ̡ṩ̸ĺ綨׼ֱĩӪѰʹ߽ļڸעظָı׼</P>\r\n<P>ˣ</P>\r\n<P>ллɱӽ⼸⼸֯Ľչ̸KDDI˾ĿҲر̸ˣϣԺҲشһ¡ΪּرǶּԺڵ3GǸWiMAX֮䣬ԺоԺĽǶλش</P>\r\n<P></P>\r\n<P>һWiMAXͷѣ23㲻һϵͳǴխǺܺõƶ͸֣ϵԼĴҪWiMAXõǴӹ̶ߣǺܿĴʼͼϵԼƶԺ͸ǵķΧԣһ㣬һȻĿ˵ǽǴ󸲸ǡƶܿĴʵΪ㲻ͬһҪԭκһӸϵһʵʵʹõϵͳҪʱġһǵķϵͳģ⵽2Ѿһʮʱˣܹȫôãı׼ûĹʮʱ䡣ڴWiMAX˵̹ʵؽҪЩơЩ׼ûҪʱġԣʱϵĲܻܿһϵļܲҵȡԤڵЧʷйġ</P>\r\n<P>⣬ˮ䰡дѵĺܳб׼ĵӸƵģǵʵó鲻̫һܿĳЩ˳֣Ƕ̵һϡò˵һСвãͬһ飬ƵļҲǲһġ</P>\r\n<P>ˣ</P>\r\n<P>ղŴ̸ּ緢չʱѾ̸ںϣںҲһǳġǳȵһ⡣Ҳкܶǹںϵģе棬еҵ棬еն˲档棬̶ƶںǶȣϣαܹشһ¡һοںϹлʲôƿ</P>\r\n<P></P>\r\n<P>ߡߵʵϸ岻ߣûҪҪġΪûҶǣʲô룿ֻмĵ绰˾й˾ĵ绰ÿWIFIȵȡֽǶʹõʹøֲͬʱ򣬿ȡõϢһǲϣڸֽ߽롢߽붼ȡһҵһķһݣƶںϵҪɲ˵µļгҪƶҲҪµļܹ֧֡ȻгƶҲȻм֧֡ȻгҪҵ񡢸ּںϣIMSҲǰѸߡ߸ֽܹںһIMS̸ѾǸ⣬ѶĽǶ˵ȫ100磬кüѾ磬ѾʼIMSӪܹѸֹĽںϡ߷棬нӿݽʵߣվܹϵ߽߽ûҪ</P>\r\n<P>ˣ</P>\r\n<P>ҵںϷǳ͵Ҳǵǰ۵ȵƵҵ񣬻ǵҵֻ͵ӵĽҲǴҷǳעһ⡣ձûⷽľ飬ֻƵֻûһЩرûӭģֻӰҵǲѾչˣ</P>\r\n<P>ɱķ</P>\r\n<P>ǵġձѾһЩֻܹع㲥ҵǵֻܹյӽĿܹṩۺԵķ񣬱Ӻ硣˵һûڿӣߺܿһվʵ˹㲥͵ںϡͬʱǻFMƵͬʱҲһֽϵķҲ֣Ҳȥֹ˾վCDͬʱԣںҲǷǳҪġ</P>\r\n<P>ˣ</P>\r\n<P>Ҳˣ3GѾΪҵںϣΪƶͨŵķչ˸Ŀռ䣬ֻϸָҵѾΪܡƶͨҵںϵͬʱնȥҲǷǳҪģǲҲһλն˳ҵĴشһ£ն˷</P>\r\n<P>ͮ</P>\r\n<P>ʵϸղԺ÷ǳãڽʱ򣬽3GWIMAXʱǽǵ𡣵ǽںϵʱҲǼԭʼɳĹǲͬġǴҵϣҵǰеԴϣûôķֱ𡣴ûĸܸûСնˣûϵʱʵǷֱ治ʲôļ硣KDDIõͬһǣںձͬDMBҵֹͨ㲥ֻӣѾͨǵDMBҵҪͨ粨DMBҵ񣬶ֻҪҲ͸ˡܹͨʱӣͬʱͨȵֵ&gt;</FORM></SPAN>ͨ粨ȵֵӡںϣͬʱҲ˾ղ¬ܽMBMSҲͨ㲥ŵǹ㲥ͨŵϢHSDPAHSUPA㲥ҪҪáԣоն˿ںԶԶǿϵͳ߼ںҪǿҵö࣬Ժƶͨն˺ֵܿӵնˣ3G3Gնˡ̸3GMMSDMBһֻϣֻ㲻ͬڲͬĳϡеûרֻͨûȻԣ󣬿жܵںϡ </P>','','1127372929','','73681,73680',1127373764,1127900001,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73205,'ͼģоԺԺ±Ļ','','','','','','<CENTER><IMG alt=Ƽʱ_ͼģоԺԺ±Ļ src=\"../resource/img/h000/h00/img200509221507400134.jpg\" border=1><BR>ͼΪϢҵоԺԺ( )<BR><FONT class=title12><B></FONT></B><BR></CENTER>\r\n<P>˿ƼѶ 2005914-163Gй2005ȫȫ3G豸ҵչʾй˹ٰ졣ϢҵоԺ죬ּڽһƶʹٽй3GҵķչΪָŻ֧֡915ջڶ졣</P>\r\n<P>ˣ</P>\r\n<P>3GĻܻܳʱֲ̽ꡣʱϵǵĺܶûʱشһ⻹ǽ췽ԺǵоԺٰĻ飬λ飬ǲԤʾй3GպܿʵҷǳȤоԺǲǻҪپٰĻ飿 </P>\r\n<P></P>\r\n<P>ܸлҸش⡣̸յʱ䣬ΪоԺϢҵ&gt;</FORM></SPAN>һʼӱ׼ƶ飬ҵḶ́Ƕ䡣֮34ʱ£һܹߴµĸļܹйʵ֡⣬ʱжϣоԺѾȷرʾֹ۵Ĺơԣǽʱ̸һЩҿܹܺĵ顣</P>\r\n<P>ȣں3Gķᣬ̸ϵͳݽ죬Ҳϣʵǻ̸WIMAX̸WIFI̸˽ĻʵҪٵ֧ǸһĻʲôأһںϵĻ</P>\r\n<P>ȾһӣеʱҪСǺ˰ǼõǰѺܺõļӴϣһʿصһСļӡΪʲôôصͨʵϽҪһ޷绷ܹκʱ䡢κεصͨŵҪʴһ⣬÷ѲͿΪʲôҪأʲôҪҪȥںϵأԭܼ򵥣ʵǾǼ۸⡣ΪߵƵ޵ģܹںܴķΧǣʵƵṩʹõʱһԵѵġWIFIģǵķΧС&gt;</FORM></SPAN>ֻһãСϵͳǹĸǵһϣʱʵϿԹʹõĴǷǳġʲôأͬʹһ޵Դʱļ۸ȻҪǵġԣϣҿʱصʹúܿĴͬʱҲϣҸķԽСԽáԣʵҾϣʹұڹΧʱ֧Ƚϸߵļ۸񡣵һҵҵİ칫ҺҼʱҾͺϣʹͬʱ򣬵ܹúܱ˵ļֵʵһǿģΪоԺϣǵӪܹṩɷϵͳWIMAXWIFIܹڸСķΧṩ˵ߴԼṩ˵Ĺܹܺõںһṩһ޷Ļ</P>\r\n<P>ṩļѾһһسˡֻϴ̸IMSĹܹѷѡ̶ߺ͹ʺܺõضںһڹ򣬴ѩɽũ壬ģҵİ칫ңҵļңҿԸоʵͬĿҵʱҸķѾڲϵŻԣںϣܹŵļ۸ʹҪڶڽѾȫṩںϡΪһȫҵӪ̣ô֧ļΪѵѡ䣬Ϊṩ޷ĻͬӪ̿Լѡв죬ʲôطѡ÷ѣʲôطѡWIFIWIMAX߹̶뼼ʲôʹù˵ܲͬӪеĸԺ;Ĳԣܻвһѡ񣬵յЧһںϵ绷ṩһŻ۸һѴ</P>\r\n<P>ηǳлĸλлҵĹע֧֡رϣ33GķܹʹҶԽһʱ3GȫӦ÷չµ˽⣬йӦЩ׼ЩӦôЩ׼Ҳ˸¡Ե˽⡣⣬ǳǳлֻ֧ȫвҵĹ˾ѣǹͬΪƽؽ츣ûĵƶͨżЩŬؽܹĳɹ</P>\r\n<P>رлηȫݽߣر̨Լ̨µݽߣлЩʵݽЩŬʹвμӻܹջ</P>\r\n<P>ѾˣʵоԺĵֻ3GҲٰһ硢ȫҵģʽᣬҹۻᣬǿ϶ᰴռķչӦòϵĳ֣᲻Щµȵ֯Щֻᡣ</P>\r\n<P>Ϳ쵽ˣף彡ȫҶร֡</P>','','1127372861','','',1127373628,1127380269,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73200,'̫ʹⴥýҵ̳','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>ڹⴥýҵľӰ̫ʹⴥýҵ̳925ڹ¡ٿΪͬھٰĹݲеһ֣̳̫ⴥýҵϻίᡢձⴥýЭᡢ̨ⴥýҵչЭԼⴥýҵļҵλϷ졣</p>\n\n<p>̳а췽㶫Ĳչ޹˾˽ܣⴥýӦ漰(\n塢մ)ƷȸҵԳ()װҵӦý϶ࡣݲȫͳƣڸҵĿǰйÿԼ100ԪгרԤ⣬δⴥýľЧڻҵегݶٶȶ̳ίйѧԺ⼮Ժʿձⴥý֮ٵᲢݽ(ƼС) \n</p>\n\n\t\n\t\t\n','','','',NULL,1126863856,1126863856,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73201,'й绰û7ڻ ֻû3.63','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<center><IMG SRC=\"../resource/img/h000/h00/img200508171850550719.jpg\" BORDER=1 alt=\'Ƽʱ_й绰û7ڻ ֻû3.63\'><br>ƶ绰ռʴﵽ28/<br><font class=title12><b></font></b><br></center><p>˿ƼѶ ϢҵĽֹ6µ׵Ϣƶ绰ûﵽ3.63168ڻ̶绰ûﵽ3.37438ڻй绰ûͻ7ڻȫ̶绰ռʴﵽ26/ˣƶ绰ռʴﵽ28/ˡ</p>\n\n<p>ͬʱû3165.1򻧣ĩ677.7򻧡</p>\n\n\n\t\n\t\t\n','','˿Ƽ','',NULL,1126863856,1126863856,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73202,'Ӣضִ߿','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>»ɼ81յ(˾) ɻ̲˾͵оƬӢض˾1ҹ˾ѴЭ飬ָĽƹиʹ񺽻ĳ˿ڷ;硣</p>\n<p>ΪЭһ֣ҹ˾ɶԲӢضѸоƬıʼǱͨõļԲԣʹĲӹ˾ΪһͨӢض֤Ŀ\n˾</p>\n<p>ӹ˾ܲô˵ͨӢضѸƶ豸벨ļԽ֤Ϊÿṩȶ͸</p>\n<p>ĿǰжҺչ˾Լ70ܿͻṩӡ</p>\n\t\n\t\t\n','','»','',NULL,1126863856,1126863856,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73203,'ƶ1100ڽ3G ȫ80%','','','','','','\n\n\n\n\n<p><font size=\"2\"><br/>죬ϢҵоԺ3G滮רҳƣ3GĲѾ滮׶Ρ </font></p>\n<p><font size=\"2\">ϢҵоԺ滮оͨоκطʾWCDMAڽй滮Ŀǰƶ滮ԭ滮ǰ׼طĿǰе3Gʵ滮о </font></p>\n<p><font size=\"2\">ط˵WCDMAڽԸΪΪҪٹȸǡĵ3Gʷ⣬طȷָ3Gն˽и߶ûʷѲ2GʱͣңӪ̽ʷײֶƹ3G </font></p>\n<p><font size=\"2\">죬ϰոջ240Ԫƶù˾WCDMAչ3G磬ڽ׼ϺݵغУ漴ڵشƽ </font></p>\n<p><font size=\"2\">ÿվšƶڲϤƶѾƻδͶ1100Ԫһй80%3G硣</font></p>\n\t\t\n','','ÿվ','',NULL,1126863856,1126863856,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73199,'ҵܿĦ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>켫83ظ(Ѱ )ڹȥĵڶУȫֻͷԵʱڣĦȴһ˸оŤΪӯϳǵȫֻгġ϶Ħ״̬Ӻζ?ܵġҵܿ˴:Ħ!</p>\n\n<p>һѮȵ壬һȺĦʦ֥Ӹ\n26㣬ۼֻԭ͡ʱһдϯִй޵(Edward J. Zander)ſ̽ͷ:ҿԽ? ܿ죬ֱ⣬ϷŵֻԭQģֻĸ̣ΪǺ͹ܻӭļôRIM˾ġݮ(BlackBerry)ֻչ</p>\n\n<p>κһϸڶӲ޵µĻ۽𾦡ʦĦһԭͻ;ֵķһ顣ǵе㳤޵´رʾǡǣֻб˵һ񣬡ʦ(Sean Daw)ķѸ١޵һͺţʼҲ֪GoodǸ˵һЩ޵ָGoodһֻ˾QԭȻȥǳƣϸ΢Ĳ:̸߳ףҪʹ΢һ޵ҵһоԭͣһȥ</p>\n\n<p>޵¶Ħ˾ƺҲҵõĸоŵǺǵӵҵƽӹʱ뾽Ħȴҵ˸о719գĦ˾Ʊжȵ?ֻﵽ˴¼3400򲿡ʹĦȫгռ17%ǹȥ7ߵģʹռ33%ġϴŵ֮ľһСѾһǿǾ޵ڷƱʱ˵ڵĿǵһ</p>\n\n<p>Ħµĺģһ޵²Ʒս:ȣԴ1928ԼӶ칫˾ݵ˾ǹʦʹĦ²ϣȽֻ1990ĩڣֲԿʼʧһֻʧгܶƷ޷֡ڣ޵</p>\n\n<p>ڹ˾½˵ʦҪλʦ˵:ȥһֱǹʦӸһ·壬Ȼ󷢺ʩ˵һ!ڣκ鶼ԤƶĿ꣬ʦṩ</p>\n\n<p>Ħڹȥһֱͼˮƽ޵µļߺ͹˾ʼ˵ӼӶ(Christopher B. Galvin)˺ܶдţصṫ˾Ǹ˹(James Wicks)ĦֻƲŵܡȻʵļӶĺճľߵС޵²һһʱ䶼ڵģЩʦĴ⣬ǳ춼ŵݵĦܲش١̼ʦȥһе鷳Ľ⣬޵»Ϳ˹˾ǰִйGeoffrey FrostӪܼһְʦľںΪ</p>\n\n<p>Ħı仯ӪϿɡʹھֵġϳSKѶ˾ĲƷ滮You Jong O˵:ĦĶͬǵĲƷǳ</p>\n\n<p>ڣֻҵûҳ϶ȼ½ʧһ޵ºĦĺ˶ɢŵǣĦںǺLGӹ˾һЩӪ̱ʾĦ֤ԼĶ󺫹顱һ죬ϷȹܼɵֻСӪVerizon߹˾ϯ(Dick Lynch)˵:Ħкܳ·Ҫߡ</p>\n\n<p>ôҫ۵ĳɹֻһֻ޵ǿһֲϴµġաԱзһһĳɹƷȥƳĳֻRazrȻ۸500ԪѾ֤һӮҡĦʵûѾʼȴƳiTunesֻʱԴƻվɡ725QֻҲӭ糱ֻ11׺113أʿһг漣ҵʿEd Lewis˵ĦQʱڳ֡ݮ</p>\n\n<p>ʵϣĦϷı仯ҵݽһӰͨõ๫˾ȫ򻯽ͳɱľִӵһǴ˼ſڣ𲽼ǿ˶ԴºзӡQԿĦͼļ̡</p>\n\n<p>QƷ֮ǰĦȺз˴Ϊ桱͡MPXֻ޵µġֻҵмRonald G. Garriques֮зQĵ·»ص졣</p>\n\n<p>Qķϣ΢˾ϯִйٱĬͬʱԶƵ˹ĦQֻһ޵˵QRazr̤δ;һźšɹʮңԶ ޵˵ѾΪʵζҪ̽ͷʦ顣\n</p>\n\n\t\n\t\t\n','','ChinaByte','',NULL,1126863856,1126863856,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73198,'ѶչѶ ֻгͻ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t<p>/</p>\n\t\n\t<p>731գѶչѶͨŵϢҵڲֶߣգѶѶȡԭѶšáǿ֡͵10ҷֵơչѶٶ֮Ѹ٣ֻгѶ³ܲڽܼߵ绰ɷʱ֤ʵչѸϢȻû͸¶˴չľǰչɽ⡢Сλԡ˵ȵѶӪҵг뵽Ѷֻ㲨ơͷ\nλѶĿȻֻгġ⡱</p>\n<p><strong>չͻƺȦ</strong></p>\n<p>1997Ѷͨڵ׼һйƶ(ڷֹ˾)йͨ(ڷֹ˾)һʸֻҵĦȶֻǩˡֱЭ顱ӵ20ֲֵ꣬ڻǿ޺šɽ֡͵ȷȦ</p>\n<p>ѶӪĸܾ׺ڽܼ߲ɷʱʾѶһֱǿģӪչ沢ѶʹƵչʽǿǡˡӪˡչ沢˵ĿǰֻҵرӪΪĵҪؾǹģٶȡ߹ģͣͲǰĹģԽԽСĳϽٶȾģٶȿԸıģѶԡٶȡڽ衮ģʽѸͨһҷǳֻҵʧȥггĩͱͳһʷᡭȻѶչڹںȦеģ͸гѾõһᡣ</p>\n<p>ǰҲʾѶгȡԵġũΧСսԣ3ĳѶѾֻгεСѡڴʱѸѶƷƷչսԲֵıȻ˽⣬ռĿҪռг35%гݶ</p>\n<p><strong>ϽǱȻ</strong></p>\n<p>ǹ㶫ֻڶгܱ߳Ųɹķڹȥ൱һʱڣֻгĸν㶦Ѷ㲨Ϊıҵ򡢹ΪƷƵгУҪɫһȱֻϷΪֻ۵ġͷ</p>\n<p>ֻгѽ롰ӢۡʱڼҵгУͨѶҵѾ˹ͷ¢ϵĳ׶Σǿ߻ǿ߾ͱ沢̭˾йģƺƷĴҵСС̳罫˳гѶɹչѶ֮󣬣ֻг㶦ľѱơĿǰѶг겼Ѿ60ңʵصֻгġͷ</p>\n<p>뵱ļҵҵһѶҵսͬǳ־õģйг֮󣬺ϵ̨ν޿㡣Уһ̶ͣ١ԭǳ򵥣κһҵҪڼҵľռƵλӵгʱƷơγҵȸԴȺƸͻ̹ԣѶδһʱڣڹ㶫ʡٶչ300500㣬ңδгչУѶӪıչͼ沢Ѷʵʩгԡ2005Ĺ㶫ֻгҪˡ()</p>\n<p><strong>ҵ</strong></p>\n<p>㲨ӪĸܾӢ</p>\n<p>չѸǿгʵг϶һӰ죬رǶСҵڵгָıӦòһֱƵļ沢չУСֻԺԽԽֻǿ󣬲Ͽľȥ</p>\n<p>ƶ븱ܲã</p>\n<p>ǲչ¼гӰӦò󡣴ҵľӪģʽͬǻרעԼ£ǲгġϴ󡱣Ҫг˵㡣</p>\n<p>Эڷֹ˾ܾܾ</p>\n<p>չӦöгûʲôӰ죬ǺʹģΪʧȥһƷлսѡڶֻˮٻĳЭƷͼ۵ľӪ롣 </p>\n\n\t\n\t\t\n','','̱','',NULL,1126863856,1126863856,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73195,'Ӣضִ߿','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>ɻ̲˾͵оƬӢض˾81ҹ˾һЭ飬ָĽƹиʹ񺽻ĳ˿ڷ;硣\n</p>\n\n\n\t\n\t\t\n','','ʽڱ','',NULL,1126863856,1126863856,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73196,'ռƶ90% ƶ뻥','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>: </p>\n\n<p>Ѷ83ϢйٷʾĿǰйƶݷһڷٷչ </p>\n\n<p>SMSϢֻƶݷ룬Ŀǰռ˷Ӧ\n7%ϡ </p>\n\n<p>ϢҵоԺͨо½űʾԤйŷδʮڻÿλʽ </p>\n\n<p>ͬʱʾĿǰռƶ90%ϣҵȴʮ־޴ķչǱ </p>\n\n<p>δƶͨѶ뻥ҲӿƶҵķչŲ½˵(c000)  \n</p>\n\n\t\n\t\t\n','','','',NULL,1126863856,1126863856,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73197,'̨彫׼ֱӴйڵؽֻ᰸','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>: 롡</p>\n\n<p>Ѷ83ϢϢʿ͸¶Ԥ̨徭ǫ̀óֽڱѮ׼ֱӴйڵؽֻ᰸ʱйڵصֻ̡ڵصֻ̨쳧ԼŵǺĦȹ֪ҵ档 </p>\n\n\n<p>ҵʾ̨2003ƻֱӴйڵؽֻĴţʱ᰸ȴ⵽Ħᰮẉ̂ԼӢ͵ϱڵ̨屾ֻ˾ǿҷԶƲ </p>\n\n<p>Ȼ̨ڷһʾĿǰ80%ϵ̶ֻ̨ѿʼ᰸ʾ֧֡ǰǿұʾԵĦ˴ѡ </p>\n\n<p>ѻ÷SagemԼйڵصĲֻȨ̨Ŷ³Ӱرʾ᰸ڽ9ʼʵУôTCL¡˺ͻΪڵйڵֻпܽڽռ̨3Gֻг10%гݶ </p>\n\n<p>ӰͬʱʾֱӴйڵؽֻ֮ԭҪ3ܵ˻ڽΪ1죬߽ʹýÿֻĳɱ510Ԫ </p>\n\n<p>żƻڽ9½µĵڶ3Gֻ92019203뵽̨гÿֻۼ̨7000Ԫ(Լ220Ԫ)8000Ԫ(Լ251Ԫ)֮䣬ԼµN5000ֻ̨1500Ԫ(Լ47Ԫ)(c000)  \n</p>\n\n\t\n\t\t\n','','','',NULL,1126863856,1126863856,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73192,'ŵǵ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>նϢ82ȫֻӦŵCEO200661жΣְֻܰ-忨˹ֽΡ</p>\n\n<p>ŵͬʱʾжκпԹְ˾ηִж³һְάڶ»ϯΡ</p>\n\n\n<p>Ϣһŵŷ޹µ0.5%</p>\n\n<p>54İνŵǵĵߡ1992ŵִй֮ŵǻһұƲԭֽĴͳҵѳΪȫĸ߿Ƽǡ</p>\n\n<p>52Ŀ˹1980ŵǣĿǰŵֻܣżֻҵ</p>\n\n<p>˼ʿΪ-忨˹ֺͰľӪ˴θ߲ŵǽеľӪսԡ</p>\n\n<p>(ʵϰ)\n</p>\n\n\t\n\t\t\n','','ʽڱ','',NULL,1126863856,1126863856,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73193,'Ħֱ עWi-Fiҵ˾ջ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>켫83Ϣ ( ) 籨һWi-FiҵҵTrapeze繫˾ճƣĦ˾ͱ繫˾Ѿֱиù˾Ĺɷݡ</p>\n\n<p>ĦջĦ˾սͶʹ˾뱱繫˾һTrapeze˾ʽעʡͶʵĲδ¶Trapeze˾ܼSimone˵˾ʹļ2250Ԫ</p>\n\n\n<p>ǸôҵҵĵʣɷͶʻDuff Ackerman & Goodrich쵼ģʹҹ˾ﵽ6759Ԫù˾״2002ꡣ</p>\n\n<p>Trapeze˾·ڹվ㣬ЩװýPCʼǱԺWi-Fi豸ӵ˾ϡ</p>\n\n<p>ҴҵҵڽЩʱ뱱繫˾սԺϵҹ˾ϿƷ繫˾Trapeze˾豸Trapeze˾һĦ˾ʽϵ</p>\n\n<p>ù˾ܼƣ˵ĦսԺ顣Ȼ֪ʱӦͨѶǵصǿ߾Ƕгתƶƣֻ֪߾ϡ</p>\n\n<p>Ħ˾һЩ²Ʒомȿֻ磬Ҳ߾豸</p>\n\n<p>˼ƹ˾ӹ˾չһЩСĴҵҵĦͱ˾߾·豸ҵҵʾȤ()\n</p>\n\n\t\n\t\t\n','','ChinaByte','',NULL,1126863856,1126863856,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73194,'ŵܲ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>»硿(Գ)ȫֻŵǼŹ˾»1ŵֻܰ-忨˹ֳθüŹ˾ܲüϯӪ٣20066½ԼθüŹ˾ϯִй١</p>\n\n<p>52İ-忨˹ֽڽ101ΡŵǼŹ˾ܲ忨-ƤҮԭְƹŵǹ˾13֮õϯִйٰ\nҲ5µжΡ \n</p>\n\n\t\n\t\t\n','','̱','',NULL,1126863856,1126863856,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73190,'ѧѰαƶ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>720磬еشѰ֮áƶ׽ѧʵڱͨѧ˿Ļʽѧͱƶ쵼ݰٿĻʽԻ˳ֵĿ϶еشѰ֮áɱƶϢĴ͹ջƻ廪ѧѧѧͨѧȸУ50ѧ뱱ƶ10ӪҵΪ20ʵϰʵϰڼ䱱ƶҵ׼ѡѧϵͳѵͬʱչ˾ƶȶ\nǽй淶ʵʵʵԱΪּ</p>\n\n<p>עѧҵ</p>\n\n<p>ѧǹҵĶеشͻĵƶͨƷơڴˣƶͨеشѰ֮áΪѧְҵ֮һӵݱƶܣеشѰ֮áϸµĲ߻ͰšƸѡιְ̡ǰϵͳѵȻһ˿ĿΪѧӪǹʵġʵص㰲ڱƶӪҵΪ˽趯еشƴȡںѧ̬ǿҵġ</p>\n\n<p>˴ζеشѰ֮áֻǱƶѰΡĿʼڴѧӦ£еشѰ֮á᳤ڽȥԺĻУøΪʱ䰲ţ˫աڼҲ֯ճʵͬʱΧҲΪ㷺ɴѧһչѧڸѧܹһʵ</p>\n\n<p>ҵƷ</p>\n\n<p>ҵᣬΪӪΪṩʵĲƷͷԶԶģעķչеҵ񡱵Ρ</p>\n\n<p>ƶʼհѳеοҵչҪʹ˾ҵĻҲʼǿҵӦΪҡΪᴴֵƶѾγͨȶʽرĴͳ2003ꡰǵ䡱</p>\n\n<p>Űڼٰ־Ըοʻ2004ӡŴХͨġХɫͨȵȣеΡر֮١</p>\n\n<p>ƶͨһϵеĹΪչ춨˴ζеشѰ֮áٴԱƶҵƷʡ</p>\n\n<p>ƽг</p>\n\n<p>ƶеشѰ֮áԶԶΪѧṩʵ᱾йѧԺйרָѧҵǣ浽ķ棬ѳΪȫձע⡣еشѰ֮áʵ˻ʾãҵҪע÷չӦͨжеΣһҵ</p>\n\n<p>ƶΪѧٰĶеشѰ֮áһµ㣬ٽҵע⣬еӦеΡҵжͬƽгĹ</p>\n\n<p>()\n</p>\n\n\t\n\t\t\n','','ʱ','',NULL,1126863856,1126863856,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73191,'Ϊõȫ113Gúͬ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>Ѷ( )2005ϰ꣬ΪWCDMAȫȡ11úͬȡWCDMA 5%Ļרȫǰλڽ2ȫȷWCDMAֲʽվǰٿ̫ƶͨѶչ̳ϣΪܲĳƣΪȫWCDMAһš</p>\n\n<p>WCDMAȫ3G׼֮һȨŷС</p>\n\n\n<p>Ļ͸¶ĿǰΪȫӴ۷ƽ̨855ҽ˴ͷģƷ90Һ͵\n</p>\n\n\t\n\t\t\n','','','',NULL,1126863856,1126863856,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73188,'UT˹￵Q2747Ԫ Q3Ԥ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>:ȸ</p>\n\n<p>Ѷ83Ϣ ͨѶ豸UT˹￵ܶ˵ڶҵܽṹйҵƣӰ죬Ȳ𣬸ù˾˶ԵȵԤڡƱ󣬹˾Ʊµ10%ϡ </p>\n\n\n<p>UT˹￵ԵȵԤɴǰ6.8Ԫ6.6ԪгƽԤ7.791Ԫ14% </p>\n\n<p>UT˹￵Ʊܶʱµ3.2%ڲƱ󣬸֧Ʊ̺ٴµ10.2%ÿ7.7Ԫ </p>\n\n<p>UT˹￵ĲƱʾڶȾ747Ԫÿɿ65֡һǰͬڵҵΪӯ4390Ԫÿ33֡ </p>\n\n<p>·͸ĵʾгҴǰUT˹￵ҵƽԤΪÿɿ76֡ </p>\n\n<p>UT˹￵ȾӪ7.23Ԫȥͬڵ6.896Ԫ5% </p>\n\n<p>⣬ù˾˹Ͷ(Francis Barton)ϯһְεϯѱΪϯӪ١ \n</p>\n\n\t\n\t\t\n','','','',NULL,1126863756,1126863756,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73189,'õþ Ϊ3G̫','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>ߣ </p>\n<p>ڻΪ߼ܲμ׽조̫ƶ̳ͨǰһڣΪ2005ϰҵΪı˲ٹעȡϰ꣬Ϊʵȫ۶330Ԫңȥͬ85%</p>\n\n<p>˾ȵǣΪϰ꺣۴24.7ռܶ62%ѳ2004ȫĹг۶߳ȥĻΪԣμƯһۡУǸ3GгûΪ</p>\n<p>ƶгٶȷ</p>\n<p>ӻΪҵ2005ϰ껪ΪƶͨŲƷ2004ͬڣ۶ʵ120%CDMAڹгϵʴﵽ200%ڸݵйĻΪ˵й3Gδ£Ϊ</p>\n<p>䣬WCDMA򣬻Ϊͨз£Ѿȡ5%Ļרȫǰ塣ֹ2005630գΪWCDMAȡ11úͬHSDPAHSDPAݿںTELFORTɹáΪ20052ȫȷWCDMAֲʽվִ»վСװףԼؽͽɱ߽ٶȣµĽһ˻ΪWCDMAȫȵλ</p>\n<p>ͬʱΪGSMƳ3GĽȫ֧3G֧רҵȺܣרҵļȺֻ߶ûĵȡ㲥Լе2005ϰ꣬ΪGSMƶۼƳﵽ2000û2026Ӫ̡ȫ״GT800ϵͳͨ˹Ҽ3GPP׼Ϊȫ׼</p>\n<p>ΪԺWCDMA⣬˷ܲѵCDMA2000 1X1X EV-DOгϣΪҲն2005ϰ꣬Ϊ̩ǡϼͻ˹̹Լŷ󵥣ϰCDMA1000ûΪѾ10ҽCDMA2000 1x EV-DO磬̩ī硢ͻ˹̹ǵȡ</p>\n<p>̹ԣȻΪ3GгһһȴR99ֱӽR4R5һȴˡ</p>\n<p>ͻƸ</p>\n<p>죬ΪʵȫWCDMAһţǸܵĽɫΪȫR4ߣֲʽUMTSվĴߣҳɹáڽ2·ݣHSDPAںɹáĿǰȫͶУΪ11硣ͬʱCDMA2000豸ʮң2500ûĿǰʮʽCDMA3G磬ͨӺΪʽӵȫ׵TD-SCDMA</p>\n<p>ڹ˾зΪƳһWCDMAվȴͳWCDMAкܶƵĵطЩзɹԴԴϵ͵ȫޡԭWCDMAֻṩ򵥵HSDPAܣʲ5ףܴͨ£Ѿ֧14.4סͳWCDMAվխշŻǵʵ֣һƵ㣬һվصǿշŻһʵƵ㣬󣬳ɱ͡ͳWCDMAվģԹţһĻվڲԹţʡ糬30%</p>\n<p>½ٽ3Gҵչɾ˻ΪƶгļСԺ˵2005껪ΪUMTSնˡ</p>\n<p>ԶΪһ̫ƶͨ豸̣Ҫչܷ⣬·ǱҪ߱ǼĴ£֯Ĵ¡ΪΧƿͻ󣬽оĽķ񣬳Ϊͻṩֵķȫзͷϵֻзͷ񱾵ػ⡣</p>\n<p>гʹش</p>\n<p>Ķڽϰ껪Ϊ˾Ʒ½27ңĶ࣬·ϵʿ֪ĿǰΪƷѷӢ¹˹97Һ͵</p>\n<p>纣гͬ300%ӢBTʼҵKPNԼӪORASTELECOMWARIDҵӪ̽ҪOptiXϵй豸½22ңа䡢ɳءµǵȡ</p>\n<p>ͨ򣬽껪ΪͨƷ³нױǡ³ӡȡȹҵIPǸMetro Ethernet磬ʳ100%ΪȫͨгϳɳĹ˾</p>\n<p>꣬ΪҵƷ½18ңӡTATAӡTelkomselյš̩CATױǵšĦŵȣв״νŷޣͻOPTIMUSг</p>\n<p>ΪΪɼȡҪ֣һǼΧƿͻд£ƳͻĲƷʵֿͻֵ󻯣ڶǼֹĽȫзͨ϶˵˽ĽǼӪ̺̽սԺǿҵڵľ鹲ͬάҵĽչֵ档</p>\n<p>ΪһֱȷսԣΪͻǻΪڵΨһɣͻǻΪչԭΪͻṩáãͻͻӯϳʵиЧ̹Լȷ˵˵ʽ̹ͬչǻΪںⷢչУΪĦӵȽõսԻѡ</p>\n<p></p>\n<p>85%ʶѹ˸ٷչڵͨҵͻΪ˵Ϊһ쫷硣ΪǶ</p>\n<p>ڹNGNDSLAMն˵ҪƷϣΪʵֿԽʽĳɳ²ƷͽûNGN(һ)򣬻ΪƳIMSܹNGN֤ĳչֵڿ򣬻ΪƳIPTVTriple-playΪĿҵ˵˽豸IP DSLAMгȫһADSL2+ӦȫһDSLAMȫڶгݶ20053»ΪɹּͥƷǼͥͨţ֣ͥͥ칫ͼ7³Ϊȫļͥ׼֯-(DLNA)PromoterԱ</p>\n<p>6£ΪȫͬME60ϵжҵأҵ׿ΪżIPĲƷ־ŵӪڽIPQoS簲ȫϿиķӿռ䣬ƶIPżת͡</p>\n<p>ΪΪںһжΪ˶ȡڹڽ3Gľ飬Ѹõ3GþйгйںߵԶߵĳǻΪϵ </p>\n\t\n\t\t\n','','ͨŲҵ','',NULL,1126863756,1126863756,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73186,'ŵŰ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>й³࿭</p>\n\n<p>Ѷ( 桡ʵϰ ɺ) ŵǹ˾ȫ³CEOԼꡤ61ݣŵй³࿭Ϊšŵй˾֤ʵһϢ</p>\n\n\n<p>ִŵ˧ӡ13꣬ʹѥֽҵɹΪȫֻж֮󽫵ŵǷִж³ְ</p>\n\n<p>ŵǹĵڶȲƱȫֻгռѾ33%ȾĦǡȻռʡ۶ֻϾȡŵǵѾʼҵڵԤڡҵʿΪŵȥ׿ʼĸ߲ѡȻٷŻҵйء\n</p>\n\n\t\n\t\t\n','','ʱ','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73187,'еشʷѴµ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>7ѮƶԶеشʷѽ˴µŻݷߴ75%еشĴ˴ʷѵ󶯸еشͻǰδеĳŻݣʹеشƷӰõһ</p>\n\n<p>ʷµM-ZONE˶ʵ</p>\n\n\n<p>˴ζеشʷµŻݷȷǳڱгʵͻĻӦ˵Ҳ֮ССФеش˿ͻĳصѧһ꼶ѧ̸𶯸еشʷµϲ֮ԱǰöеشҪʵݵĶײңȴ绰ǴҲǳ˵սپڿɺˣеش̫ˣƽͨ0.25Ԫ/ӣÿ2300-900ŻʱΣֻҪ0.15Ԫ/ӣ۷ȴﵽ75%ԾеشʺҹèӡŻʱ绰лһˣʡȥŶӴлš0.15Ԫ/ӣҾһСʱҲһǮˣʱ֪˵绰࣬ѾкüѼ˶еش</p>\n\n<p>ù󶯸еشͻ˵ĻֹЩµʷѱ׼볤;ҵͬ˺ܴͻơԭеشͨ⣬0.60Ԫ/ӡ0.80Ԫ/ӣڲ𶨼ȫȡͳһΪ״̬0.60Ԫ/ӡŻǣеشͻڱز17951IPڳ;绰IP;ѽ͵0.1Ԫ/ӵľ۸ϻͨڣеشͻڱش;ֻҪ0.25Ԫ/ӣҲֻ0.35Ԫ/ӡ֮ǰŶڡIPɡ;Ŀͻ˵ֱֻӲĻѾIPɳƽˡںܶУѧĶеشͻ˵һǳĵʵݡ</p>\n\n<p>Էչеشŵ</p>\n\n<p>˵µ󶯸еشͻǾŻݵĻôȫȡ𶨼ǶƶͨгԷչĽһƶʷѵУƶ᳹ʵŲȡ𶨼۵ؾµķչ£ȡһ涨ά桢ٽƶͨгĽչɾҪ塣</p>\n\n<p>˴˴ʷµ⣬еشڽ죬ƳԶеشͻֻرMƻΪеشͻṩʵϰѰ֮õڶȨЩŻݵϳӰ޴󡣴Ŀǰг̬Ŷеشҵƹ㣬Ǵ˴ʷѵȫѾʼȺ붯еشƷӰҲڽһ()\n</p>\n\n\t\n\t\t\n','','ʱ','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73184,'ҹֻûѴ3.632 ռ˿28%','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>:ȸ</p>\n\n<p>Ѷ83Ϣ Ų·ͳݣ6µףҹֻû͹̶绰ûֱﵽ3.632˺3.374ˣռǰ˿28%26% </p>\n\n<p>ҹûѴ31702190(69.1%)xDSL\nû \n</p>\n\n\t\n\t\t\n','','','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73185,'ŵǻӱ𡰰ʱ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>й³࿭6½˧ӡ</p>\n\n<p>Ѷ( )ȫֻҵϴŵǽ𡰰ʱ54ŵǶ³CEOԼꡤ61ְ</p>\n\n<p>죬ŵϢͬʱŵܲڸԭȥ\nְŵǰϯ١ֻܼй˾³࿭ڽ101վι˾ܲüϯӪ٣6´Ӱнӹ˧ӡ</p>\n\n<p>ŵǵĹ˳ݵżıһȫֻ˳ɳĴ¡</p>\n\n<p>80ŵԪʱûж֪ŵʲôġ1988꣬ʱεŵǶ»ϯCEO򿴲˾ǰɱҹ˾ĹɶţŵʱûȤʱ̣Լꡤǰ̨ι˾CEOˣɾŵǽȫֻһʢ </p>\n\n<p>ӹŵǺ󣬰һ󵨵ľֻΪĵרҵչսԣ½ѹ۵ӡֽҵ񣬼չƶͨѶĺͶý弼</p>\n\n<p>ʱ֤˰ߵӢ2000꣬ŵǳΪŷֵߵĹ˾ȫֻһı</p>\n\n<p>һУƽΪŵЧµְŵǶ»ִϯڣǰĿͶĽӰˡ</p>\n\n<p>࿭52꣬ŵһġ1980ŵǣֻܣǰϯ١˼ǣ࿭ŵǵĹͬк֮ܶCEOǰҲ˾񣬲ιֻҵܡ</p>\n\n<p>Ŀǰ࿭µĸλȱûй˾³Ҫְŵ¹2005ϰҵУֻгݶһ󣬲رᵽйгǿ</p>\n\n\t\n\t\t\n','','','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73183,'UT˹￵ǰAMD߹Ϊϯ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>˿ƼѶ ʱ82(ʱ83)ϢUT˹￵-Ͷ(Fran Barton)Ϊ˾ִиܲüϯ񳤣20059ЧͶٴǰAtmel˾ִиܲüϯ񳤡</p>\n<p>UT˹￵CEO½ʾUT˹￵ĿǰһתڣǵĿгչֹ˾ҵȲͬʱǱ뱣֤˾ĲŶӵ㹻\n;飬㹫˾ڷչĿҪⷽ棬ͶĹ¼ɫĲսԹ滮Լ쵼ƼҵŶӵķḻ顣</p>\n<p>ڼUT˹￵֮ǰͶAtmel˾ִиܲüϯ񳤣˾Ĳ͹1998굽2001ڼ䣬ͶAMD˾θ߼ܲüϯ񳤣1996굽1998ڼ䣬ͶAmdahl˾θܲüϯ񳤣1974굽1996ڼ䣬ͶDEC˾ְɲʦֱDEC˾˼Ÿܲüϯ񳤡</p>\n<p>Ͷӵ˹عѧԺ(Worcester Polytechnic Institute)ѧѧѧʿѧλԼѧҵ˶ʿѧλ(Ħ</p>\n\t\n\t\t\n','','˿Ƽ','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73181,'ѶUT˹￵2005ڶȲƱ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>˿ƼѶ ʱ821605(ʱ83405)ϢUT˹￵(Nasdaq:UTSI)췢˽630յ2005ڶȲƱƱʾUT˹￵ڶȾ۶Ϊ7.23Ԫͬ5%Ϊ7470ԪȥͬھΪ4390Ԫ</p>\n\n\n\t\n\t\t\n','','˿Ƽ','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73182,'UT˹￵ڶƱ 7470Ԫ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>˿ƼѶ ʱ821630(ʱ83430)ϢUT˹￵(Nasdaq:UTSI)췢˽630յ2005ڶȲƱƱʾUT˹￵ڶȾ۶Ϊ7.23Ԫͬ5%Ϊ7470ԪȥͬھΪ4390Ԫ</p>\n<p><strong>Ҫҵ</strong></p>\n\n<p>-UT˹￵ڶӪΪ7.23Ԫͬ5%</p>\n<p>-ڶȻöܶΪ9.15Ԫ</p>\n<p>-ڶйǩ˼ֵ2.5ԪСͨͬ</p>\n<p>-ӪֽԼΪ4400Ԫ</p>\n<p>-Ϊ7470ԪȥͬھΪ4390Ԫ</p>\n<p><strong></strong></p>\n<p>UT˹￵ڶȾ۶Ϊ7.23Ԫȥͬڵ6.896Ԫ5%иͨŲ۶Ϊ3.423Ԫ</p>\n<p>UT˹￵ڶëΪ15.1%ȥͬڵ25.6%UT˹￵ëʵ»ҪܵעƻӰ졣ͨŲţUT˹￵ڶëΪ24.5%UT˹￵ͨŲŵڶëΪ4.7%</p>\n<p>ͨû׼UT˹￵ڶȾΪ7470Ԫÿ̯65֡UT˹￵ڶҵм2070Ԫ(ÿ֧16)֧1350Ԫ(ÿ֧12)ķֽ˰֧2004ڶȣUT˹￵Ϊ4390Ԫÿ̯33֡</p>\n<p><strong>ƻ</strong></p>\n<p>-UT˹￵ԱڶȲԱ960ˣ</p>\n<p>-ͨڶȲԱUT˹￵ÿȿԼ2400ԪӪ֧ԱЧӵȿʼ֡UT˹￵Ԥƣƻ֮ÿȿԼ4000ԪӪ֧</p>\n<p>-ڶӪʽԼ8200ԪUT˹￵ԤƣԱƻ֮ӪʽԼ2Ԫ</p>\n<p>-ڶҵм2070Ԫ(ÿ֧16)֧UT˹￵Ԥƣҵн500Ԫ1000Ԫ֧</p>\n<p>-UT˹￵ԤƵĩƻ</p>\n<p><strong>ҵչ</strong></p>\n<p>UT˹￵ԤƵӪմԼΪ6.6Ԫ6.8ԪëΪ15%18%ͨŲëΪ30%32%֧ԼΪ500Ԫ1000Ԫͨû׼ÿɿ0.35Ԫ0.40Ԫ</p>\n<p><strong>绰飺</strong></p>\n<p>UT˹￵ʱ821630(ʱ83430)ٿ绰飬ʱ˾Ŷӽϯ鲢شͶʡͶ˴λ飬ûԲ绰888-398-3046ûԲ绰706-634-2492</p>\n<p>û绰¼ûԲ绰800-642-1687ûɲ绰706-645-9291Ϊ7733344绰¼ʼʱΪʱ822030(ʱ83830)ʱΪʱ810259(ʱ8101459)</p>\n<p>Ͷ߻ԷUT˹￵վwww.utstar.com绰ֱ¼վֱûҪǰʮӵվעᣬزװƵ(Ħ) </p>\n\t\n\t\t\n','','˿Ƽ','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73179,'ͯҧϹͨŶж ֱӾʧ5','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>» ʡ֣һ11кĳҧͨŹͼ棬ʹͨۼж29СʱֱӾʧ5Ԫ</p>\n<p>425գס֣ˮ԰ӴĳĳѧУ˶֮͵͵ѧУ֣ƶ˾ˮվϾ2׶ߵƽ̨ˣĳ豸󣬷кֵܴɫĽƤߣĳĳһһؽҧϺȥ\n</p>\n<p>510գٴͬ޸õĹβҧϡ517գһƶ˾վβҧϣͨ˾ˮվҧβˣվͨٴжϡĳˣʱ񾯷֡</p>\n\t\n\t\t\n','','ű','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73180,'ŵȫ³и','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>űѶ ( ) 죬ŵй˾֤ʵŵȫCEOԼꡤ6ְתηִж³ְλŵй˾³࿭Ρ</p>\n\n<p>ŵǻ˾ܲ忨ڸԭ򽫴ӹ˾ְЧʱΪ200621ա</p>\n\n\n<p>ȰĿ࿭Ϊŵй˾³ǰ࿭ȺŵCFOƶ绰ҵܾȶְ񣬹Ϊҵϡ</p>\n\n<p>ڿ࿭£ҵʿձΪ࿭ıŵѾ֤ȷļȶ롣\n</p>\n\n\t\n\t\t\n','','ű','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73176,'ͨŰ걨Ԥ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>̶ǵķʦBertrandChuiָùĿǰԤӯ10£顰С </p>\n\n<p>գͨ(2342.HK)ƣӪ˿֧ԼҪͻӳִ߸Ƿ֮ʱ֧ƻԭ򣬹˾2005ϰ꾻󣬽ȥͬڵԼ1.18ڸԪ½˾9Ѯҵ</p>\n\n\n<p>ͨųƣбԤԭ£ڵصӪҵĲӰ죬һҪͻӳִʱ֧ƻ˾ɲӰ졣ڶڵδ3Gգ˾ͶʣӰҵڵصڶƶͨгѷչ죬˾زƷƽۼۼ߼ëˮģȥϰ𣬹˾ʼѶ豸ҵڷչ׶Σδ빱ס壬˾ڵؽ硢Ӵ²ƷзȵӪ˿֧ӡ</p>\n\n<p>̶ǵķʦBertrandChuiƣҪͻйͨ(0762.HK)Ϊù˾ƳCDMẠָùĿǰԤӯ10£е͹ɣ顰СΪùսڵ3Gҵķչ</p>\n\n<p>һŷзʦҲΪҵѵĲԭйͨCDMAͶʷŻʾùɶںѴǶȡйй3GյϢ</p>\n\n<p>бԤϢӰ죬գùһȴ20.72%2.2Ԫµͣ1045Ժù𽥷̱2\n</p>\n\n\t\n\t\t\n','','ÿվ','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73177,'TOM˳ŮŻ ͨ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>ҵʿƣ̫ǿƣSPֳܴѹ </p>\n\n<p> </p>\n\n<p>ÿվšջϤһֱϹŽܺĹֵṩ(SP)TOM˳ŮܲλϺͬΪ˹й˾SP\nͨ</p>\n\n<p>ܼͨźսܡÿվšɷʱ֤ʵ˸Ϣʾͨͨӹ˾ʱպϺε޹˾ΪŮͶƱṩ֧֡⣬һһáŮȨSPͨ޹˾ʹĿкΪŮĶŻڵҪֵ̡</p>\n\n<p>ԴˣһλSPҵʿ˵ǰҪĿĶֵ񼸺TOM¢ϣڡŮĽĿʧǰ㣬⡣</p>\n\n<p>ȷʵһʱ䡣TOMܲ÷ԡÿվšʾTOMͺںܶĿϷֲͬ׶ǩЭ飬ŮǰTOMҲ˲룬Ѿֹֹͣͣԭ򣬷岻Ը̸ʼǿ˾չҵһҪԱ֤Ϊǰᡣ</p>\n\n<p>Դˣ漰ҵΪɾܾܲɷá714վϷƣ2005ŮܾʼƳȫ¶Ųƽ̨ͬʱԭƽ̨Ѷƽ̨ҵֹ</p>\n\n<p>²⣬ܿΪTOMֳɱϲܴһ¡ȥӪ15%ɣSPṩһֳɡһֳɱҪýǿƳ̶ȾͬΪSPĻ͸ܲ˵һSPʾšŮȡѸ£ӺܿԼķֳɱӶTOM硣</p>\n\n<p>ôŮܸӺSP</p>\n\n<p>ÿվšӺӹٷվ˽⵽ͶƱĹڣƶûÿһΪ1ԪͨûСͨûÿһΪ0.5Ԫ⣬һûͶƱţͱƶӪĬϲչڡŮѶ뻨ֵ񣬸÷շΪ6Ԫ</p>\n\n<p>ԳɶܾΪɹͶƱӱνһڵĶŵƱֱΪ2065645817242335ţƱԼ30.7Ʊɴ˲ֵѱ㳬180ԪŲûΪ(ƶͨСͨ5445)Թ㣬ĶŷԼΪ23Ԫܼ203ԪϡУȥӪ̵ֳ(15%)ӺSPһܽ170Ԫ</p>\n\n<p>źȴʾͨûôߣʵû׬Ǯ\n</p>\n\n\t\n\t\t\n','','ÿվ','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73178,'ȫСͨûƽ8000','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>Բͬгλ3G </p>\n\n<p> »</p>\n\n<p>Ϣҵͳʾ6µףȫСͨûѽ8000򻧣ƽÿû250򻧡һףȫСͨû1ڻ\n</p>\n\n<p>רΪδƶͨ(3G)շźСͨ䲻ͬгλ3Gҵ񹲴档</p>\n\n<p>Ϣҵйظ2˵СͨӪйšйͨĿǰҪҵ֮һͳƱȥ굽ϰ꣬ȫ̶绰ûн6Сͨû</p>\n\n<p>йѧԺϢоĸоԱǿΪҹĿǰĹûѲεĶԣ缼ĶԣҲСͨгռΪһΧڻͨա</p>\n\n<p>ڴ˻ϣӪʵСͨ룬նûṩ˸ѡ񡣶ššԻֵҵĲƳҲʹСͨĹܸΪȫգӪ̿ʼȫнСQBOXҵԵ㣬ʹСͨ͹̶绰޷ںϡ\n</p>\n\n\t\n\t\t\n','','ÿվ','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73175,'3GƳ޶ Ԥɼˮ1.8ڸԪ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p> ޻ Ϻ</p>\n<p>գͨ(2342.HK)»ʾܶţԤڽ6µװ괿ȥͬڵ1.18ڸԪ½򹫸淢֮󣬾ͨŵĹɼڶ̶̵һСʱ֮ˮ20%ȻɼֵͨȻˮ1.8ڸԪ</p>\n\n<p>ͨŶڹ˾ҵԤĽǸù˾һҪͻ(ͬһ֮˾)ִ߸Ƿʱ֧ʹþͨҵܵӰ죻ͬʱù˾ڵƶҵͶʵͬʱڵصΪֹδ3GգҲʹþͨҵ𡣳֮⣬ڶƶгѴ׶ΣҲƷۼۼ߼ëѹ</p>\n<p>ù˾»ỹʾȻչҵ߼ϵͳԼ΢ϵͳڷչʼ׶Σڸù˾ͶⷽĶԴҵδԤе빱סھ½ȣͨűʾڲ񱨱ڻڱƹ̵УԤ9Ѯʽҵ</p>\n<p>֤ȯʦ־ʾڵƳ3Gʱ䡢ģƼ׵ԴΪֹδг֮ǰھܻͨ3G̨Ŀ롣ͨȥƷƽ۸µ15%ë200346.4%µ200443%ҲԤ½</p>\n<p>˽⣬ͨҪӪת߼ƵԴ߸ǲƷйƶйͨĿͻйƶйͨռӪҵֱ48.7%37.8%гһֱ²ڵؼƳ3Gҵ񣬶ͨΪƶӪ̵Ҫ豸Ӧ֮һձԤ3Gҵĳ̨ʹþͨӪģɱӡ</p>\n<p>̶ָͨŵԤȻʹùɼ۴µڵ3GһʵйƶйͨӴͶʣ3GѶ豸гľԶû2Gңʸֻ89ңΪһԱľͨţʱȻܻݡ</p>\n<p>ԱŹΪϰйͨٵѶӲĿ֧ʹþͨŶ֮ڵҵܼ١ͬʱδ3G̨ӵѶӪ̵3GƳĳڿֻȼڵزҪУտܲʹþͨŹģִȵ</p>\n<p>գͨڿ̺ܵгѹ͵2.20Ԫﵽ20.72%˺̵ƶ߸ߣ̱2.475ԪȻߴ10.81% </p>\n\t\n\t\t\n','','һƾձ','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73173,'SBS1ŷԪ Ӳü4000¹Ա','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p> һ ۺϱ</p>\n<p>ӹ˾Ŀҵӹ˾(³ơSBS)ƻüԼ4000¹ˡͬʱ·ͨѶӹ˾Ⱥǩºͬ漰ܽ4Ԫ</p>\n<p>ĽڵطֽTZáڲʿĻƣSBSԼ25%ԱüS\nBSҪӪϢڵ¹дԼ1.5Աӵķ˾ܾԱܣϯִйKlausKleinfeldʾӽ״ѵӹ˾вԱоͰSBSʱKleinfeldܾ͸¶ԤƲԱSBSȿͬڵ200ŷԪ1.09ŷԪ</p>\n<p>SBSԱͬӹ˾˫ϲšӹ˾PGһձʽǩЭ飬̩ͬο޽һ700صĸʽѭ糧PGе2ȼ֡1ֻ̨3̨豸ϵͳԼʩֵͬ3.87Ԫҵڹƣ̩20072015䣬ÿõ2200ء</p>\n<p>⣬ͨѶᲴ˽ֻӪSpiceNepalӮһݼֵ2900ԪĺͬΪᲴȫΧڽGSM硣δʱڣӽṩװʩͶӪһϳƣʱᲴ100ûͨGSM粦ͽ绰</p>\n\t\n\t\t\n','','һƾձ','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73174,'ѶչѶ ͼıֻг','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>  Թ</p>\n<p>죬ֻҵѶʽչڵҵѶͨŵĹ731ȫɡˣѶڵͻ60ң㶫ӵ700ҡѶܲʾѶȡƷսԣȡѶƷơʹøƷƲ</p>\n\n<p>漰ҵܣ͸¶˴չľʾεչ100%ĹȨչǿعɡѶ﷽Աʾǹ߻ӹֻҪԸ⣬ϣܽȫŶӡҲɳĹԱԼǿŶӵĥϡ</p>\n<p>ʵѶܾ콨ǷԭְʱʾֻҪ콨Ը⣬ǷǳӭģҪǽӹ콨ȥΪȽУڲ˵һ֮Ӧûн</p>\n<p>˵ѶڱнϸߵӰԻڹ㶫ȡƷƵĲԣʹѶƷӰԼǶԹ㶫ĵѡ򡱺͡ѶƷƶŶҲ໥ƷƽλҪһƻԡٶȡ衰ģʽ</p>\n<p>˽⣬ѶѾ8ʷӵ18꣬һֱĦֻƷڵΨһĳֱ̣׼ٻйƶڷֹ˾йͨڷֹ˾һ̵ʸϰнϸߵӰͽϺõĿڱ</p>\n<p>Ѷڿչ֮С2003꣬Ѷɹչ˷ɽ⡢Сλԣ2004չ˹ˣĿǰڹ㶫гռΪ10%ҡѶӪĸܾ׺ΪĿǰֻҵرӪΪĵҪؾǹģٶȡ߹ģͣͲǰģԽԽСĳϽٶȾģٶȿԸıģѶԡٶȡڽ衰ģʽ</p>\n<p>˵չѶǿѶ޷Ʒƺ͵λáҲ˵Ŀǰÿ¿10ҵٶšѶȻӯȴͣ״̬ҵ˵ŵĺǱ沢չѶһļϵԭ򡣶Ҳȡչķʽ룬ͬе˺ȽСҵĽչ</p>\n<p>ڹ㶫ֻгġصء˵70%ֻڹݡںͶݸˣ˵ڶݸгѾռƵ£һعݺгĿڽʵֹ㶫1000ϣռг35%ϵķݶ</p>\n<p>͸¶ĿǰڸݵҵѶӪҵ̸ˣǩԼ֮ǰ͸¶ԷݡҲһֱڻﻮУСܶණҪʱ䡰ꡱ </p>\n\n\n\t\n\t\t\n','','һƾձ','',NULL,1126863541,1126863541,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73171,'ͨ뱱ǩЭ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>ͨŽܹ</p>\n\n<p>729գйͨ()޹˾ֹ˾뱱ʵҵŹ˾ǩսԺЭ飬ͨΪһġ͡˻ý塱ṩȫܵİͨŷ</p>\n\n\n<p>һܽΪ53ƽף˻ڼ佫(MPC)ʹ㲥(IBC)ýĵڵء˻ýռԼ40ƽףݹʰ˻ýָϵҪ2008Լ21600ýԱɷñ˻ᣬͨϵͳڰ˻ڼΪýṩݡȰ̶ͨšƶͨźͼȺͨڵȫλ</p>\n\n<p>йͨŸܾ汱зֹ˾ܾԼ̶ǩʽϳŵһĺͰ˻ýͨϵͳ̽˻ڼ»ͳֱ֤ҵӪԭн衣˻ڼ䱣֤ΪŹߡԱ˶ԱṩȫɿЧͨͨűϣṩκһ˻ᶼӷ㡢ٺȽͨŷ</p>\n\n<p>( ʵ籨) \n</p>\n\n\t\n\t\t\n','','йϢҵ-ʵ籨','',NULL,1126758501,1126758501,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73172,'еֲԱ¶̰ IPTVּϲ','','','','','','<P>&nbsp;&nbsp;&nbsp; סݣÿ˹Ϣ⣬Ѵ󲿷ҵʱ仨ڻϣϷ̳졭Ѿϰַɷʽǣʱȴ鷳ÿ8ңپͱ˵ϷˣͨҳҪȴܳʱ䡣 <BR>ΪˣǳջҵĿṩ̡ͨӪҵõĴȴǣڽڿͨIPTVҵûԽԽ&nbsp;&nbsp;&nbsp;縺ӣʱεӵ£ܿʱȻ޷ĽͣѾ뺼ͨѡĿ̡<IMG alt=\"\" src=\"../resource/img/h000/h00/img200509221508480133.jpg\" border=0></P>\r\n<P>ںݣĿǰIPTVûѾͻ2򻧡û࣬ҲˣԭƴΪ10M̫IPTV޴ѹ¿ƵȻ޴棬Ӱ쵽ʹͨûΪĿǰIPTVӪһ幤̣ͨٵֵ׼ͨIPTVҵӪ˼</P>\r\n<P>IPTVټ</P>\r\n<P>ͨΣڲ缼IPTVһܺQoSҪΪϸҵеʾûĲԣȴ޷ܳ5ϵͼӳ١</P>\r\n<P>еĻϽⲢһ£漰ԴԼҵȸĵ鲥BRAS豸ٵѡ뷽ʽȫơּQoSƣ齨ͥķȵȡУܶļûơĽ</P>\r\n<P>йżŹ˾CTOΤƽΪĿǰIPTVٵļսҪ߸档һͽṹչܷûѸսڶDSLAMBRASܷõ鲥ܷ֤ĸ(ּĿԡʱͶ)ģеƵ׼(MPEG2MPEG4VC1H.264AVS)нѡ񣿵壬α֤ݵİȫԺְȨмƵѡӦʱ䣿ߣ硢меȲͬʵֻԣ</P>\r\n<P>йźйͨѾչIPTVУûʮޣΪǧûгֹ⣻ǽʼʽãûģҪչ򡢼ʮ򻧣սǰδеġ</P>\r\n<P>ƷȻչ</P>\r\n<P>ʱգIPTVڹӪ˵Ǽϡʵ֮ǰӪ̻ҪͲƷѡͣʵָȶɿIPTVҵӪ</P>\r\n<P>Τƽ͸¶ӽ6¿ʼйѾʼڰ㶫㽭աϺ5ʡ17пչIPTVáȻõʵ̽ʹIPTVʼ߳ߵӰʼʵӪҵչ</P>\r\n<P>ϢйſʼʽΪԸʡ˾ЧָȷIPTV˳УйίϺоԺչһδģIPTVԣԽ·ʡ˾ΪѡͲο</P>\r\n<P>75ʽʼ712Ա͸¶˴βԺǵ㲥ʱơֱϢ񡢻СҵӪ֧֣ģʵӦûõһֵӦݡĿǰгϵҪIPTVṩ̾μ˲ԣǣΪˡUTӡء˼ҹ˾ǲԽȻڱܽ׶ΣϢƣΪˡUT졣</P>\r\n<P>ѰҲ</P>\r\n<P>йŽд˴βԵĿķǳȷΪһ17еIPTVʵʩѡ̽͡·ڲԹȴ¶IPTVʵ֮Ĳࡣ</P>\r\n<P>ĿǰеƵ׼УMPEG2Ǵӷչ۹⿴H.264VC1𽥽MPEG2ڴ˴βУϺоԺֶܷ֧˵˵H.264/VC1Ϊһص㣬ǽȴǿ⣬һЩͷ˺ͻ豸֧H.264롣⣬֧鲥ʱƹܡϵͳֵҵҲձڡ</P>\r\n<P>һλμӲԵϺоԺԱ߼ߣԽõŷʮ⣬رܺͻͨԷ棬úԶпܻӰ쵽һIPTVĲٶȡ</P>\r\n<P>IPTVǺܶ豸ṩ̿õһ鵰⣬ĿǰȱٴģӦõ£Ѿӿ˴ССټҵרΪҵϽܿϯIPTV豸гֻоγǿĲҵͳļпܽIPTV鵰</P>\r\n<P>&nbsp;</P>','','ͨŲҵ','','',1126758501,1127444584,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73170,'ȫСͨûѽ8000 1ڻ','','','','','','<P>»82յ(߷) Ϣҵͳʾ6µףȫСͨûѽ8000򻧣ƽÿû250򻧡һףȫСͨû1ڻ </P>\r\n<P>Ϣҵйظ2˵С֮ͨƵлǹҵĲ죬ҲӪйšйͨĿǰҪҵ֮һͳƱȥ굽ϰ꣬ȫ̶绰ûнСͨû </P>\r\n<P>йѧԺϢоĸоԱǿ˵ֲͨյʵСͨչ׳Ҫԭ򡣡ҹĿǰĹûѲεĶԣ缼ĶԣҲСͨгռΪһΧڻͨա </P>\r\n<P>ͬʱĲŻԼ¼ҵҲʹСͨõ˳չйźйͨһֱݺŻڽա㽭ĴɽϺͱȵΪԡ߻ϤӪ̽СͨҪ豸ӦUT˹￵ǩ1.67Ԫݺͬ </P>\r\n<P>ڴ˻ϣӪʵСͨӻ룬նûṩ˸ѡ񡣶ššԻֵҵĲƳҲʹСͨĹܸΪȫգӪ̿ʼȫнСQBOXҵԵ㣬ʹСͨ͹̶绰޷ںϣСͨͨչ˹̶绰ֵҵרΪδƶͨ(3G)շźСͨ䲻ͬгλ3Gҵ񹲴档</P>','','»','','',1126758501,1127380286,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73169,'˼ڸ© ȫרҰڿͽн¶','','','','../resource/img/h000/h00/img200509161645340.jpg','','<P>Ѷ82ϢԺڿĩŬ⣬Խ¶˼ϵͳһ©߿ø©˼Ƶ· </P>\r\n<P>·͸˹ά˹˼Ʊͼѹϵͳ©Ϣղ̼˼λϯDefcon԰ȫİȫרҡһֱҹ֮Դһȱⶨƻ </P>\r\n<P>֮ôΪ˵첻һλڿ˵λڿڿڽ·͸ɷʱҪ </P>\r\n<P>Щڿͳƣȡ񸶿͵˽˵ʡ߷κ⹥෴ģǱʾֻҪ˼ûбҪԷЩܵĶ⹥˼ûӻ˼ѹ̣Ϊܵȫ޷ </P>\r\n<P>ȫרLynn˼ƼǰISSXķԣBlack Hat˸©Э˼ƿLynnһ޲򣬵ϣô߾衣</P>','','','','',1126758500,1126860336,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73168,'õͨල취','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>һ  </p>\n\n<p>һ  Ϊǿõͨල淶ͨϰϹõͨųͨݡл񹲺͹͡õ以涨ƶ취</p>\n\n\n<p>ڶ  취йõͨල</p>\n\n<p>(һ)̶ص绰</p>\n\n<p>()ڳ;绰</p>\n\n<p>()ʵ绰</p>\n\n<p>()IP绰</p>\n\n<p>()½طƶͨ</p>\n\n<p>()ƶͨ</p>\n\n<p>()Ǹ()</p>\n\n<p>()Ϣҵ涨</p>\n\n<p>  ϢҵȫΧڵĹõͨලʡֱϽͨŹָڵĹõͨල</p>\n\n<p>  õͨӦϢҵ䲼ġõͨҪ󡷼õ以м̵·ݼҪ󡷵Ĺ涨ԹõͨĲӦϢҵ䲼ġõͨԷ취ҪС</p>\n\n<p>  ϢҵʡֱϽͨŹ(ͳƵżܲ)AϰBϰϰ¹ʺ¹ʵͨϰԹõͨԼල</p>\n\n<p>(һ)Aϰ</p>\n\n<p>1.ĺ𣺹еķ20%</p>\n\n<p>һûڷڵĺ𣺶ĳһûĹнвԣû뷢Ĺڷڵĺ20%(û뷢ĺд30ΣƵβС30ΣСʱ60ΣСʱ)</p>\n\n<p>2.ܶͨʣеܶͨʵ80%</p>\n\n<p>һûܶڵͨʣĳһûĹнвԣûĹܶڵͨʵ80%(ûĺд30ΣƵβС30ΣСʱ60ΣСʱ)</p>\n\n<p>3.()ĺнʱӣڷ()еĺнʱӣ뷢()ֿͬɱҵӽʱӵĲ6ķʳ20%</p>\n\n<p>һûڷ()еĺнʱӣĳһûĹнвԣڷ()еĺнʱӣ뷢()ֿͬɱҵӽʱӵĲ6ķʳ20%(û뷢ĺлûĺд30ΣƵβС30ΣСʱ60ΣСʱ)</p>\n\n<p>4.()Ķϻ쳣󣺹ڷ()γɵĶϻͨš޻ٻ(ָûû壬ͬ)ķʳ20%</p>\n\n<p>һûڷ()еĶϻ쳣󣺶ĳһûĹнвԣڷ()γɵĶϻͨš޻ٻķʳ20%(û뷢ĺлûĺд30ΣƵβС30ΣСʱ60ΣСʱ)</p>\n\n<p>5.以м̵·ĸɣõĳһмȺæʱ5%߾żܲ㼰ͨϵͳ(¼Ƽϵͳ)⣬æʱÿ߻ƽﵽͨϰм̵·ɱ(5)Ӧֵ</p>\n\n<p>취Aϰָ֮һҲBϰϰ¹ʺ¹ʵ</p>\n\n<p>()Bϰ</p>\n\n<p>1.ĺ𣺹еķ40%</p>\n\n<p>2.ܶͨʣеܶͨʵ60%</p>\n\n<p>3.()ĺнʱӣڷ()еĺнʱӣ뷢()ֿͬɱҵӽʱӵĲ6ķʳ40%</p>\n\n<p>4.()Ķϻ쳣󣺹ڷ()γɵĶϻͨš޻ٻķʳ40%</p>\n\n<p>5.以м̵·ĸɣõĳһмȺæʱ40%߾żܲżϵͳ⣬æʱÿ߻ƽﵽͨϰм̵·ɱӦֵ</p>\n\n<p>취Bϰָ֮һҲϰ¹ʺ¹ʵ</p>\n\n<p>()ϰ</p>\n\n<p>1.ĺ𣺹еķ40%Ӱ쵽5000û</p>\n\n<p>2.ܶͨʣеܶͨʵ60%Ӱ쵽5000û(û)</p>\n\n<p>3.()ĺнʱӣڷ()еĺнʱӣ뷢()ֿͬɱҵӽʱӵĲ6ķʳ40%Ӱ쵽5000û(û)</p>\n\n<p>4.()Ķϻ쳣󣺹ڷ()γɵĶϻͨš޻ٻķʳ40%Ӱ쵽5000û(û)</p>\n\n<p>5.以м̵·ĸɣڱΧڣõĳһмȺæʱ40%߾żܲżϵͳ⣬æʱÿ߻ƽﵽͨϰм̵·ɱӦֵӰ쵽5000û(û)</p>\n\n<p>취ϰָ֮һҲ¹ʺ¹ʵ</p>\n\n<p>()¹ʣ</p>\n\n<p>1.һΧڣͨȫ衢ؿھĳһȫжϻĳһҵȫжϲ2СʱֱӰ췶Χ5(ûСʱ)</p>\n\n<p>2.ͨϰһۼ2Сʱϲ12Сʱ</p>\n\n<p>취¹ָ֮һ</p>\n\n<p>()¹ʣ</p>\n\n<p>1.һΧڣͨȫ衢ؿھĳһȫжϻĳһҵȫж2СʱϻֱӰ췶Χ5(ûСʱ)ϣ</p>\n\n<p>2.ͨϰһۼ12Сʱϡ</p>\n\n<p>취¹ָ֮һ</p>\n\n<p>˥ĵ쳣ؼ׼̨Թ涨Ǹͨ쳣й涨</p>\n\n<p>취ͨϰָδﵽõͨҪ󡷹涨</p>\n\n<p>취ͨϰָͨϰĹͨЭ桢漰ų</p>\n\n<p>취ûָϰ¹ʡ¹ʷǰͬʱʹͬҵûƽֵ취жָͨжϣΪ100%ͨΪ0%취漰ļμϢҵ䲼ġõͨҪ󡷡õ以м̵·ݼҪ󡷼õͨԷ</p>\n\n<p>ڶ ͨϰ  </p>\n\n<p>  ҵӪӦõͨҵӪӦȷмʡܲõͨ˼ˣӦмͨϰ24Сʱ绰绰֤ÿ24СʱͨϰͨĳͨҵӪؼְͨܣмΪʹ</p>\n\n<p>취ָõͨһԱҪְǶԱҵӳҵͨϰԷͬʵʱͨЭʱųͨϰͨϰδԼʱųģҵͬ˼ʱ档</p>\n\n<p>취ָõͨĹ˾쵼쵼ҪְǶԱҵ˻ӳҵͨϰԹͨЭָӡȣͨϰз쵼ߵá</p>\n\n<p>  ҵӪܲ˵緽ʽܲϢҵҵӪߵмʡ˵緽ʽԼͨϰ24Сʱ绰绰ʡʡֱϽͨŹֱ</p>\n\n<p>˫ͬӦ໥ͨ˺˵緽ʽͨϰ24Сʱ绰绰</p>\n\n<p>Ϣ仯ϢӦ24СʱԴ淽ʽصҵӪͨ10żܲű</p>\n\n<p>ڰ  ҵӪӦõм䡢ʡ䡢ܲĹͨЭǰһͨЭδͨʧʱӦúһĹͨʽԹͨЭ</p>\n\n<p>ھ  ӵͨϰûߡҵ棬߾żܲżϵͳԡҵԷͨϰʱҵӪӦȱϰŲ˳ŲͨϰϰڱȷϷǱԭӦԷͬ档Էмʱɲô淽ʽύύͨϰ浥(1)淽ʽ棬Ҳɲͨϰ24Сʱ绰˵绰ȵ绰ʽ档Էʡܲʱɲô淽ʽύύͨϰ浥淽ʽ档</p>\n\n<p>ô淽ʽύͨϰ浥ʱӦʹͨϰ24Сʱ绰˵绰ȷ϶ԷǷյ棻淽ӦյһСʱڴִǩյġͨϰ浥ύͨϰ浥ʱ淽Ӧڡͨϰ浥(һʽ)ǩա</p>\n\n<p>õ绰ʽʱӦõ绰¼ӱҪõ绰¼һСʱԷͨϰ浥淽ӦյһСʱڴִǩյġͨϰ浥</p>\n\n<p>ʮ  ҵӪԷͬ󣬻˫ˡӦͨϣʱȡЧʩųͨϰָͨš</p>\n\n<p>ͨϰų󣬱淽Ӧдͨϰ浥Ŀ֪Է绰ȷ϶ԷǷյ棻淽ӦյһСʱԷִȷϰǷ绰ȷ϶ԷǷյִ</p>\n\n<p>˫ʡ»(ʡ)Ӧԭ򲢲ձͬϰĴʱޣͬƶͨϰĴʱޣ</p>\n\n<p>(һ)Aϰյͨϰ浥ͨϰʱ䲻ó72Сʱ</p>\n\n<p>()Bϰյͨϰ浥ͨϰʱ䲻ó72Сʱ</p>\n\n<p>()ϰյͨϰ浥ͨϰʱ䲻ó24Сʱ</p>\n\n<p>()¹ʡ¹ʣյͨϰ浥ͨϰʱ䲻ó12Сʱ</p>\n\n<p>ʮһ  ҵӪͨϰܼʱųģӦԱҵڲ涨Ĺͨʽ(淽ʽ绰ʽ)ʱ뱾ҵϼͨɱҵϼЭ뱾ҵϼͨʱޡɱҵȷ</p>\n\n<p>ʮ  ҵӪͨϰĹͨЭУӦƱ֤ݣԱżܲȷη֤Ӧʵ׼ȷٱһ꣺</p>\n\n<p>1.û߼¼ҵ(ϡ绰¼绰¼)</p>\n\n<p>2.ͨϰĲԼ¼(¼̼¼)</p>\n\n<p>3.ԷĹͨЭ¼ҵӪ߲õͨϰֶӦܿѧбͨϰϰڱ</p>\n\n<p>ʮ  ҵӪ߷ϰ¹ʡ¹ʱӦԷͨ˫ػӦָͨϰųʱӦͨϵԭָͨšҵӪʡӦաõ以涨աӪҵش¹ʱ涨()涨ʱޡʡֱϽͨŹֱ档</p>\n\n<p>ʮ  ҵӪͨϰм䡢ʡ乵ͨЭڱ취ʮ涨ʱԲųģҵӪʡύͨϰ浥֤ݣʡֱϽͨŹ档</p>\n\n<p>ҵӪʡʡֱϽͨŹύͨϰ浥󣬷ͨϰʧõųʱӦʡֱϽͨŹֱ档</p>\n\n<p>ҵӪʡʡֱϽͨŹύ֤Ӧϱ취ʮҪ</p>\n\n<p>ҵӪϵżܲŶͨϰȡ֤</p>\n\n<p>ʮ  ҵӪʡʡֱϽͨŹύͨϰ浥ʱͨϰδõųδյʡֱϽͨŹ´ͨϰж顷(2)ģҵӪܲύͨϰ浥֤ݣϢҵŹ棺</p>\n\n<p>Aϰύͨϰ浥ͨϰյͨϰж顷ʱԭϲʮա</p>\n\n<p>Bϰύͨϰ浥ͨϰյͨϰж顷ʱԭϲա</p>\n\n<p>ϰ¹ʡ¹ʣҵӪܲʱϢҵŹֹͨ</p>\n\n<p>ҵӪܲϢҵŹּ乵ͨԺ͵ҵӪܲ乵ͨСҵӪܲϢҵŹύ֤Ӧϱ취ʮҪ</p>\n\n<p>ʮ  ҵӪӦ໥ϣϢҵ䲼ġõ绰ҵ·õļҪ󡷣ƶʵʩͨűϵӦԤ֤ڽڼյ쳣ͻ״̬µͨųͨͨŰȫʵʩӦԤʱʡֱϽͨŹЭ </p>\n\n<p> õͨල  </p>\n\n<p>ʮ  ʡֱϽͨŹӦලҵӪ߽м䡢ʡĶڹͨƣƶϱ֤ͨϰڻԹͨЭ</p>\n\n<p>ʡֱϽͨŹӦҵӪ߹ͨõͨ⣬ȡҵӪߵӦʱ赼ƴ</p>\n\n<p>ͨƵӦ汾ڹõͨ漰Χس̶ȵı仯仯</p>\n\n<p>ʮ  ʡֱϽͨŹӦڹõͨҪìܣҪìֲҪͻص㣺</p>\n\n<p>(һ)ڷʡû绰(12300)漰õͨϢ֯ҵӪŲͨϰ</p>\n\n<p>()ڷżܲżϵͳϢٵҵӪ߶以м̵·ʱݻųͨϰ</p>\n\n<p>()ҪҵӪ߶ԹõͨڲԲύܿѧбͨϰϰڱĲԼ¼</p>\n\n<p>ԵƵΣӦ汾ڹõͨ漰Χس̶ȵı仯仯</p>\n\n<p>ʮ  żܲӦڽйõͨļල飬ʱ˽⹫õͨ״ҵӪͨල</p>\n\n<p>ڶʮ  ʡֱϽͨŹյҵӪʡύġͨϰ浥֤ݺӦʱȡ֤´ͨϰж顷ʱ֪淽</p>\n\n<p>Aϰյͨϰ浥´ͨϰж顷ʱԭϲʮա</p>\n\n<p>Bϰյͨϰ浥´ͨϰж顷ʱԭϲա</p>\n\n<p>ϰ¹ʡ¹ʣʡֱϽͨŹֿʱ봦ظָͨţʱȡ֤жη</p>\n\n<p>ʡֱϽͨŹֿõżܲżϵͳҪļֶΣжͨϰϰ淽绹ڱ淽硣</p>\n\n<p>ʡֱϽͨŹȡ֤ڼ䣬ͨϰʧõųʱӦʱڸ֪淽´ͨϰж顷</p>\n\n<p>ڶʮһ  ϢҵŹյҵӪܲύͨϰ浥֤ݺӦдͨϰת쵥(3)תʡֱϽͨŹְʡֱϽͨŹյͨϰת쵥Ӧת쵥Ϲ涨ʱڰϡ</p>\n\n<p>ڶʮ  ϢҵŹӦÿ·ȫõͨͨȫΧڹõͨԼලͨݰδڹ涨ʱڽͨϰڹõͨԵҵӪߵĴͨϰûͨϰҵȡ</p>\n\n<p>ڶʮ  ʡֱϽͨŹӦÿ·ڹõͨͨԱڹõͨԼලͬʱϢҵʡֱϽͨŹӦÿϢҵϱõͨ±(4)±ݰ</p>\n\n<p>(һ)δڹ涨ʱڽͨϰη</p>\n\n<p>()ڹõͨԵҵӪߵĴ(ͨ)</p>\n\n<p>()ϰ¹ʺ¹ʼ</p>\n\n<p>ڶʮ  ʡֱϽͨŹӦϢҵ䲼ġõ绰ҵ·õļҪ󡷣ҪҵӪ໥ϣƶʵʩͨűӦԤҵӪʵʩӦԤʱӦЭ֤ڽڼյ쳣ͻ״̬µͨųͨͨŰȫ</p>\n\n<p>   </p>\n\n<p>ڶʮ  Υ취ʮĹ涨δڹ涨ʱųͨϰģżܲӦݡл񹲺͹ʮһĹ涨ηдͨɽйزŻߵλصҵӪߵҪ쵼ǹֱ֣Ա辯ǹ֡</p>\n\n<p>ڶʮ  Ϊ֮һģżܲӦͨɽйزŻߵλصҵӪߵҪ쵼ǹֱ֣Ա辯ǹ֣</p>\n\n<p>(һ)Υ취Ĺ涨δͨϰʮСʱ绰绰</p>\n\n<p>()Υ취Ĺ涨δԷͨˡ˵緽ʽͨϰʮСʱ绰绰Ϣ</p>\n\n<p>()Υ취ھĹ涨Է绰棬յԷδǩջδڹ涨ʱڴִ</p>\n\n<p>()Υ취ʮĹ涨żܲṩٵͨϰ֤ݻϰ𣬻߲õͨϰֶξżܲ֯ר֤֤Ϣҵָļ֤޷ѧбͨϰϰڱŴô˲ֶΪ֤ݣ</p>\n\n<p>()Υ취ʮĹ涨ܾϵżܲŶͨϰȡ֤</p>\n\n<p>ڶʮ  ڱΧڣAϰBϰͬڹ()ڹ()棬ηΪͬһҵӪߵģżܲӦηͨɽйزŻߵλصҵӪߵҪ쵼ǹֱ֣Ա辯ǹ֡</p>\n\n<p>ڶʮ  ж以ͨرջԭѻͨͨҵģżܲӦݡл񹲺͹ʮõ以涨ʮĹ涨дɽйزŻߵλصҵӪߵҪ쵼ǹֱ֣ԱǴְֱ֣ɷģݡԺƻõʩ°Ӧ÷Ľ͡(¼ơ˾͡)ƽ˾׷Ρ</p>\n\n<p>ڶʮ  ԶҵӪߵҵ޺صģżܲӦݡл񹲺͹ʮʮԼõ以涨ʮĹ涨дɽйزŻߵλصҵӪߵҪ쵼ǹֱ֣ԱǹǴְֱ֣ɷģݡ˾͡ƽ˾׷Ρ</p>\n\n<p>ʮ  һڷӰͨŵ·֯м̵·ʽݡ汾ȵĵδõ以涨ʮĹ涨ǰԷͨģżܲӦݡõ以涨ʮдɸݲͬйزŻߵλصҵӪߵҪ쵼ǹֱ֣ԱǴֱ֡</p>\n\n<p>ʮһ  ûϸִйõͨƶȺͨϰƣͨϰ¹ʡ¹ʵģżܲӦݡõ以涨ʮĹ涨дɸݲͬйزŻߵλصҵӪߵҪ쵼ǹֱ֣ԱǴֱ֣ɷģݡ˾͡ƽ˾׷Ρ</p>\n\n<p>   </p>\n\n<p>ʮ  õͨϡõͨҪ󡷹涨δﵽAϰس̶ȵģҵӪӦ໥ϣЭͬAϰżܲ棬żܲſɲձ취Լල</p>\n\n<p>ʮ  취Ϣҵ͡</p>\n\n<p>ʮ  취200581ʩУ20031112Ϣҵ䲼ġõ以ͨල취()ͬʱֹ(˵ʵ籨)\n</p>\n\n\t\n\t\t\n','','йϢҵ-ʵ籨','',NULL,1126758500,1126758500,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73167,'ŷʹõǮֻҵ ҲԾԾ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>Ѷ82Ϣһ£ֻһ̨ǰӶһֻͿԶƬ㳪Ϲһ׸һʳƷԹ볡ȯ </p>\n<p>·͸ŦԼ޺ŷ޵Ѿʼʹֻˮ֧֮ͣʱѾõĵǮҲʼӽˡ </p>\n\n<p>䡢Ӣȹң˾ԲʱͶңֻֻͨһžͿɸѡ </p>\n<p>ձNTT DoCoMoԼ200ͻѾʹڽǩʿֻԼ2Ҳͳе̼Ҹ </p>\n<p>DoCoMoƻûʹֻ𳵳ƱΪƶֻһ֣ù˾Ͷһÿ˾ </p>\n<p>2000￵(dot.com)ĭ֮˾ֻǮҵ񱣳ֵ͵๫˾Ȼֻ̬ȣڴҵͺⷢչůЩ˾ѾԾԾԡ </p>\n<p>\"ֿ(ֻ)ˡҵģʽڷչ\"ֻӪSprintҵչܱȶķ(Chris Bierbaum)˵</p>\n\t\n\t\t\n','','','',NULL,1126758500,1126758500,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73163,'ðͨԱƭȡǮ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>Ѷ (ʵϰ  ʵϰ ܿܿ )ǰˡðͨԱ Ѻ С30ס˵һģٶߴ绰ѯͨװCDMA绰Ϊ˲ɷйֹͨ˾Ϊѡ</p>\n\n<p>йֹͨ˾ݲͨѯ֤ʵǰǵƭȡСѺƼ޹˾Ͳͨ˾ģĿǰΪͨ˾CDMA\n绰ҵֻ16ҹ˾Щƭӹ˾ƭȡûǮƣͨ˲õӰ졣ͨѶߣкͨдҵϵĹ˾ҵԱͨ˾ͨ˾ÿҵԱͳһƣҵԱƬƬҵԱְλźͱţҵԱڸûװʱʾƣûҲҵԱҪһšйͨ񹫻û֪ͨ顱ͨ񹫻ĵ绰13325470468вѯֻҪûҵԱıţɷֱҵԱǷͨ˾Ա߼ߣͨı񹫻ʷΪлÿ0.1Ԫÿ0.3Ԫѡ\n</p>\n\n\t\n\t\t\n','','ضб','',NULL,1126758499,1126758499,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73164,'ܿݮ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>ʹսBlackberryںŵMOTO QˣRIMҲγвΪBlackberryӲĳɹ</p>\n\n<p>ߣ</p>\n\n<p>ʱ725գĦ֥ӸٿMOTO NOW 2005飬һ\nһȵĲʦᣬȻĻϣǵĿȴMOTOƶֳ豸ϣսBlackberry(ݮ)ΪںŵġMOTO QݳƣƷᱡߵʽ</p>\n\n<p>Ϊֳ豸ҵһɲ֣ߵʽƺ̫Сˣǵע⡣ȻBlackberryĳɹȴڶ۵˴һȥ䣬iPodƻ4ĹɼBlackberryȴĵRIM˾(Research in Motion)˹ɼ6ҵ˹־ڡ2005ȫ20ƷơѡУBlackberryߵۣڹȥУƷƵʴﵽ36%ƻԵ38%λӵڶ</p>\n\n<p>ʼѾΪǴճҪߣʱշʡҵæʿ˵һջĸ</p>\n\n<p>ʵϣŵǡPalmȹ˾90Ϳʼշʼƶն˲ƷڲƷĻɫʡڼ򵥵ĹܺŵļһȸеֻǸȡߡЩȣRIMҲƺƣȻһֱǱߵʼзƹRIMȴѡʱĻתҵģʽӡ豸תΪߵʵмƽ̨200211£ŵǿʼBlackberryʼɵֻϣΪһṩ˺RIMĳɹһʰ</p>\n\n<p>죬ǰɹѡֳ豸νĿPalmOneTreoϵСRIMBlackberryϵС֮£PalmOneTreoһֻȻҲѡñʼǱʱʼһӵQWERTY̡ٲȻһ̨ʼǱԵ豸Ҳ򵥣ʡȥЯԼ鷳ֶΪأ</p>\n\n<p>ĦµMOTO QϿMOTO V3ֻᣬȽΪ1.1ףװ΢Windows Mobile 5.0ϵͳƷ2006һУBlackberryPalmOneTreoֱӽ</p>\n\n<p>ͬƶֳ豸PDAҵӪBlackberryǵĻγԱȡIDCʾĿǰΪֹPDAгѾ6ȵ»ΪPDAдԵĹ˾PalmҲ˶ε𵴣ӷֲΪPalmOnePalmSourceٵ7PalmOne¸ΪPalm</p>\n\n<p>˵ǹܶԪֻȥPDAռ䣬ߵ豸ĳɹƺ޴ӽͬ͡ǹԵһΪȴ˲ͬĴⲻǲƷĲµġBlackberryĳɹߵʽгĳɹiPodĳɹֲгҲBlackberryԭĬĬŵгճֿȵ򡣶Blackberryĳɹڱϲ豸ĳɹǡʱշʡĳɹǶ˵MOTO QPalmOneTreoһƫڶԪֻܹܵڲƷгRIMֻҵҵ˵ֳη壬ΪBlackberryģʽǡӲ \n</p>\n\n\t\n\t\t\n','','ܿ','',NULL,1126758500,1126758500,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73165,'ŵCEO6ж ǰ񳤽','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>  </p>\n\n<p>ݸ̨ý屨ȫֻӦŵ(Nokia)ŸָΪҵչǰ߲½д䶯;ŵִйٳ13꣬ɹͳҵҵɸ߿Ƽ˾Jorma Ollila200661жִйһְǸù˾ǰ񳤡ĿǰƵͶֻҵOlli-Pekka Kallasvuo</p>\n\n\n<p>ŵǶ»Ollilaжְ󣬿ԱзְִĶ³ͷΣάڶ»ϯΡOllila54꣬1992굣ŵִй٣һұƲԵԭֽĴҵɰȫĸ߿Ƽǡ1992굽2000䣬ŵӪ9ŵƷƳΪȫ֪ƷƣԽ(GE)(McDonald)֪ҵ</p>\n\n<p>Ollila1985ŵǣβعڴѧѧֻ1990ŵֻҵʱ۶ռӪԼ1ɣ2ִй٣ΪҵŵгһֻۣǱӡ֮⣬ȫչֻŵִйڼ䣬ù˾ɼ500</p>\n\n<p>Ollilaִйڵ2006ΪֹǰѱﲻεԸĿǰʱձȷӦµִй쵼ŵǣԿ޼ľ֡εKallasvuoڱΪͶֻҵ֮ǰŵǵĲ񳤣ճӪ˹ɣзʦָKallasvuoǷƶЧӪ˲ԣԴ۲졣\n</p>\n\n\t\n\t\t\n','','ChinaByte','',NULL,1126758500,1126758500,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73166,'ŵг 40ֻ̲','','','','../resource/img/h000/h00/img200509161713350.jpg','','<P>Ѷ82ϢŵִйٽӰOlli-Pekka Kallasvuoʾ߹˾ֻгҵҪ֮ </P>\r\n<P>̨ý屨Kallasvuo˵гڵصͶʣԤڽֳЧ </P>\r\n<P>ŵֻгӵģĦLGǿСĦRazrпŻ֮͡Strategy Analytics.ʦMilton Keynes˵ŵŷʧͼձ˵ûгһֻ֧ʱŵǣɫɵֻʱתŵǵĶ֡ </P>\r\n<P>Kallasvuo200661ս潫ݵִйJorma OllilaնMandatum stockbrokersŲҵʦErkki Vesola˵Ҳֻź̵Ĺϵ </P>\r\n<P>Strategy Analytics728շŵǵڶȫֻгռʴ32.3%ǰһ31.2%ҪгۡĦгͼ16.7%18%14.2%»13% </P>\r\n<P>г鹫˾Gartner Inc.616շڽһĦгռʴ34.5%ƽ1200򲿡ۣŵȥͬڵ24.2%»14.3%г䵽ģĦLGǡ </P>\r\n<P>ŵƳ40ֻгͼ3Ϊ3GֻֻҵռŵӪս80% </P>\r\n<P>Kallasvuo2004Ԫ»ִֻ֧˺һֱŵڶŷ޵гͼŵռ޺жгͼԼ61%ռŷͶŷͼ42% </P>\r\n<P>죬ŵǹɼ۽13.3%1µ1.21%ںն13.01ŷԪ </P>\r\n<P>ŵ721ڶ15%ѷڷʦԤֵɼѶ´졣 </P>\r\n<P>ڶ7.99ŷԪ (9.72Ԫ)ÿ0.18ŷԪȥͬΪ6.95ŷԪÿ0.15ŷԪڶ64.6ŷԪ80.6ŷԪ </P>\r\n<P>ʦԭԤŵǵڶ8.69ŷԪÿ0.20ŷԪ </P>\r\n<P>ŵͬʱܼٵգԤÿӯ0.14-0.17ŷԪ֮䣬ȥͬڵ0.15ŷԪ </P>','','','','',1126758500,1126862018,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73161,'֣ͯҧͨŹ ͨж29Сʱ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>Ѷ ( ΰ ͨѶԱ ʯ)֣һ11кĳҧͨŹͼ棬ʹͨۼж29СʱֱӾʧ5Ԫ</p>\n\n<p>ס֣ˮ԰Ӵĳĳ׼Ҿƶȼÿ425գó³ѧУ˶֮͵͵ѧУ ˾ˮվϾ2׶ߵƽ̨ˣĳ豸󣬷кֵܴɫĽƤ\nߣĳĳһһؽҧϺȥ510գóٴͬ޸õĹβҧϡ517գóһվβҧϣͨ˾ˮվҧβˣվͨٴжϡĳˣʱ񾯷֡</p>\n\n<p>ǰĳѧУ쵼ʹɲܡ\n</p>\n\n\t\n\t\t\n','','ضб','',NULL,1126758499,1126758499,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73162,'ڵس̨3Gֻгһɷݶ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>   </p>\n\n<p>ݸ̨ý屨ڵֻǫ̈̄3GгµڵֻԤ2005ǰڵƷֻ̨3Gг1ɱءֻ̨г3GݱԵͣڵس̻λһ̨3Gгɣڵ3Gֻ̨г߱صλĿǰ̨гֻ˫Ħ\n(Motorola)ŵ(Nokia)άԼ2гռ⣬̶1ɣױ֮ڵس׷ϹȥһгϴƷ硣</p>\n\n<p>ڵ3Gֻ̨Ŷ³ӰָTCLڵڵֻ󳧣δ̨ܼ3Gս֣ԤµڵƷֻ2005ǰл̨3Gֻ1гռʡ3GֻսԲʣڵ3Gֻڣ2Gʱͬնһ̨3Gг泬ԤڣƱشڵֻ̼һƽҲֻų֮߶ȹע</p>\n\n<p>ȥ̨гĬĬŵڵֻ̣һ3G̨ȳУҡһΪըӡл(2412)Ѳֻ⣬̨(3045)콫8ΪӦ̣Ԥ10¿̨ţǽرڵس̣¡ΪͨżUT˹￵(UTStarcom)ȣվϻߡ</p>\n\n<p>ڵֻƷƵļȡۺƷڵػ֧ȫʵս飬ֻ̨ܵɡͨ(2352)³jҫʾڵֻ̨3GгֹɣǷȽгûо̨гֵۣýһ۲졣</p>\n\n<p>˶(2357)зЭΪڵسΪͶ3Gֻ磬ܱȿƳƷڵֻҵ̬ȥ2G2.5Gʱƹ˾ĿǰQualcommֻȨƽ̨(EMP)3GרþӸ߲£ƽżӰڵֻսˣƳƷûӮȴ˶ֻ̨ƷƳ̣2005׵2006ӭͷϡ</p>\n\n<p>ӰضԴ˱ʾ56ǰڵƷֻʱȷʵ̫2004ʽڵֻʱ߶˿ʽѸԼ̨гСͶ˶λ20053Gʱ̨ϿƳ3Gֻĳ̶15ңûмߣʱеľľۺϵڵֻ̾ȱȲ</p>\n\n<p>Ŀǰֻ̨гֳ˫ƴ棬6ĦŵǸ½24%ռʣ½뽭ɽڵԺĳгռʶ7%Ϊڵ3GֻλٶȣԽʶֻ̨̼ƷƣɱΧδ̨յȶƷƳֽ̣һ̨3Gгٴֻ̨гͼڵس̼սֶ\n</p>\n\n\t\n\t\t\n','','ChinaByte','',NULL,1126758499,1126758499,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73160,'ϵֻˮ ܷ','','','','../resource/img/h000/h00/img200509161648020.jpg','','<P> ϼ</P>\r\n<P>ϮˣϵֻҵйгľӪ״ȴ··ѩǶֻ֥Ťʽйг⾭Ӫҵһ겻һĲNECֻ״ֹ۵Ĵš</P>\r\n<P>ձֻƷƾٲά֮ʣһֱּĬһձֻҵ·ȫ̬йгߵࡣ725գµ(й)޹˾ڱ¡ƳVSϵΪİMXSAڵϵй7ֻܴﵽ5%10%ռʾˡϵֻҵһƬƣµ(й)޹˾ƶͨŹ˾ܾ̫ɶδ</P>\r\n<P><STRONG>ǿܴ Ѱ컯</STRONG></P>\r\n<P>ʵϵֻҲͣGD88NEC N8һֱ˼¡̫֮Զڴ˴ƳƷģΪЩֻڹϵֻĻ涼Ǹ塢ȣȻܱѤɫʣ䱸ͷMP3;ʵϷЩӭй߶ֻܵ󡣡˵</P>\r\n<P>еֻʱг͵VS2/VS3˶͵SA6͵MX63ֻVS7SA7MX7ڽʮ·СƳ4ƷĿǶӵɫĻ2.2Ӣ硢Լ1600ɫQVGAԼ300cd/m2ʾʹЩֻƷĻɫޣͼ档ݳƣЩܶʷ״Ƴÿͬϵ־жص㣬ѭʱС֡ƷԭͬʱЩƷֱ׼˲ͬϸг</P>\r\n<P>VS3VS2ĿȺᡢʱеŮΪϸ˳ӦʱеᱡƣVSϵеƷVS3Ϯ¾ġX-Changeable CoverʿǹܣɲMP3֡չϣVS3VS2130ͷرVS3֧2ڵ15ġ</P>\r\n<P>MX6һʿֻﵽֵֻһǣMX6йƶ֤ṩơƶȷḻѶ</P>\r\n<P>SA6Եǰû˶ֻ꣬ˡSonic The Hedgehog͡Super Real Soccer3DϷ˿ҵϷڣSA6ӵиȵĲԼĵʱ䳤ܡеVS7MX7SA7ƷǷ˴Ļȡȵƣ߱2.5Ӣ糬Ļ200صͷĻߴչܱͬϵвƷΪ߶ˡ</P>\r\n<P>ǽԼۺʵѵӦõĸ¼Ͷ뵽ֻƷС̫˵</P>\r\n<P><STRONG>Խš صǿػ</STRONG></P>\r\n<P>ڣֻгƿԸΪ»+ۡԼ۱Ȼ߹ʱΪĵġӲָꡱ߷ʱƷδ֣ڹгĶ۲ö֪̫ɳƣ˴ƳƷԽи߶г</P>\r\n<P>ר߶ֻĶ֥йCDMAӪƳŵǵ˵ͶгĽ죬µи߶˲ܷŤתϵֻҵҵľӪ״̬</P>\r\n<P>Ȩͳݱ2004ףҹ׼ֻҵ38ңҵ15ңҵ23ң3ڲռȫ45%1.46ڲĿǰҹֺ׼ֻҵ8ңҵѳ60ңԤ2005ֻܽﵽ5ڲֻܹгԳȲ̬ƣϾޣŽ࣬սᱻ̯ʱ̵ĲƷơзӪԡֶεǷܹг󣬾ͳΪֻҵɰܵĹؼءˣҵʿΪϵֻҪھӪƣš</P>\r\n<P>ǲƷĶλϵֻձи߶ˣȻŵǡĦȾѽĿתƵ۸ΪԪĵͶгرǣгС߶˲ƷĽ۷糱ҡ727յгʾᰮƵֻW800cԽ5000Ԫļ۸н10Ϳ500ԪȡʤNEC۵N7305ʱԽ2000ԪʾڣѴ600Ԫصŵ3230ֹǿĦE680۸ѵ3000ԪһƬУй߲ûΪϵɫͿϳ߼ۡܵͼۻʧ󣬵и߶ˣֻ̽ڲпľлʤ</P>\r\n<P>ǶϰߵĴĦֻݻΪһĻ壬ҪϼĻʱԪءйϰձкܴ죬ǻойߵĻϣƳʺĲƷг컯̫֡˵ȣձֻҵĺзձԲƷܵ׷ʤۣƳĻƫй߶Сɡᱡƫá⣬ߵֶƣŷƷƶڷ׷׼ӿƳ³µٶȣ֮£ձֻҵƳƷٶȻ̲Ʒڡ</P>\r\n<P>ǾӪԵת䡣ϵֻϰӪˣӪֻ̿ն˵ۣԼרעڰӪҪֻƫؼ죬гչΪϵֻҵӪеġˡйֻгӪ̾ʽˣֻ֮ľձгҵö࣬Ҫбй3Gҵֻ̺Ӫ̵ĹϵУҪ˫Ӵȣֻҵ۵ĲԡϵֻԲӽӪ֮ĹϵͨͳɱƽгݶôйгӽѰ</P>\r\n<P>Ϣҵͳݱ15£GSMCDMAֻۼѴ10528.1򲿣ȥͬڵ8180.428.7%ֻ͵гʱ򣬲Щйгˮϵֻҵ̶ֻһϾĿ顣 </P>','','йӱ','','',1126758499,1126860485,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73159,'2008ͨţͨ׼','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p> </p>\n<p>е˻ڼͨŷ񣬶йӪһȫµĿ顣Ϊһ»ͨȫλҪ󣬴ݡƵĴҪͨ裬ʱؿܷͨҪ֧֣ȫɿϢݷʽҪձṩ20047·ݣйͨΪ2008걱˻̶ͨź顣һѹԽ\nԽ2008˻ᣬйͨ׼</p>\n<p>ǰйͨھʽ˰սԣ԰5ൺػʵϺڵȫ30ʡֹ˾ܶԱ˾ζйͨʼȫ汸ս2008ʢᣬ硢ҵ񡢷ȷˮƽ</p>\n<p>Ŀ꣺ʵֺ</p>\n<p>йͨԱ˻ͨŷŵĿǡκˡκʱκΰسܹʵְȫ㡢ݡЧػȡ֧ġḻġܻġԻϢ񡣡ʵһĿ꣬һʵֺõͨأ</p>\n<p>ݽܣйͨһŰͨרṹΪ㡢ǸɴͲ㡢ҵ㡢ݽ㡢ҵṩ档</p>\n<p>йͨĹ滮ݼ¡ܵۺϲߵȻʩ紫͵㣬ɰ˳ǸɴعǸɴмǸɴʹǸɴɰ˻ǸɴͲ㣻ûṩݡƵ뼰ƶҵĸҵ򹹳ҵ㡣ҵȫڰ˳Ǹɴϣ˳ǸɴڸơıعǸɴмǸɴʹǸɴϣͨȽˮƽͳһϵͳȫ̶˵˵Ĺֱ֤ÿһ˳ӵĿɿԡ</p>\n<p>йͨÿȫù̶ͨŻ˫·ɵĹܵ½룬ڻõԴϵͳϵͳϵͳۺϽϵͳۺƵϵͳϵͳȣṩĸ̶ֹͨŷ񣬸˳ݼ䲻ͬͨϵͳͨƺͻ·ıݻƹɿѧİ磬Ǹɴ硢硢ۺϽ硢ۺƵ磬ʵְ˻ͨűϡ</p>\n<p>ݽǽص</p>\n<p>˽⵽2008˻᳡ݷɢģǰͨĸӳ̶Ҫ˻ᡣڻù̶ͨŷʸйͨͳ˰ͨŹòȫ潻Ϥŵĳɹ飬ŬʹͨĿǰӵĳӦƽͨŹ̽衣</p>\n<p>ڳΪһУйͨȴ˰˻Ҫͨƽ̨ۺҵҲǹܳϵͳ˺йͨҰƥǩĿͨȫЭ顱˹ģϴİ˳ͨŽ蹤̣˾ǩ˱2008˻Ӵ͵Э飻37ݹ̡15Ǿݵгҵϵռȷ˸ݵĻϢ11½ݵĲͼͷֱĿʩͼ󣬴ٽĿʵʩȷڿɱίַ칫¥ͨŹ̡ƥת˾(BOB)칫¥ͨŹ;չίַ칫¥ͨẒ́Ѿֱڱൺٿеר飬֯ʵع</p>\n<p>ڽĹϣйͨҪرӶ԰˳ݵͨŽ衣ݱͨͨŹ滮Ŀܣ2008˻ڱг37ڱ32ݣ½1112ٽ8滮ҪݷΪͷ10Ǿ6˴塢ߴ塢IBCMPCֱáƥɭֹ԰22ݣԼǾݵİί칫¥BOBܲ¥Ƶꡢýĵȡ</p>\n<p>ĿǰͨͰίֹͨѾȷ˰˻Ҫͨȷ˳ͨŹ̽ĻԭʹͨżγĽʱ˽⣬2008˻ͨʵʩҪ汾ÿһ涼ݼݽгı仯ȡʱԪؽиĽһĿǰѾΣֽ⣬ϵͳؿʼʵʩڶ潫2006ȷ2008һȣƳ汾Ҳǰͨŵշ</p>\n<p></p>\n<p>йͨսԵʵʩߡˡ</p>\n<p>ϤйͨƶġˡһսϵӸ硢롢ۺҵ񡢷ḻӦúͱݷй滮ʵʩ鲼ͨȫݵ磬ṩȫȶ졢Ƚͨż;ʵְ˻ͨŵĿͼĿĿݴĿӦõĿ;ȫͨĻϣ2008֮ǰڱȵʵ֡ҼͨӦ深٣ҵγɹģЧӦ;ΪԻϹʹۺϢϵӶ֤2008˻Ϊʷϵһϵġ˻ᡣͬʱˡʵ֣ƶγɣӶЧ߱Ϣˮƽ</p>\n<p>Ϊ˺飬йͨҪ£һ罨Ӫһǽ֮гӪð˺ԣơ</p>\n<p>ĿǰйͨеİӪѾչйͨƷӡġͨšΪͨгעµĻݱͨǰڽеĵʾ80%û֪йͨ2008˻ͨŷ顣 </p>\n<p></p>\n<p>սƻ</p>\n<p>йͨսɱϼƻչƻƻɡ</p>\n<p>˱ϼƻݰͨŷƶȶȽʵʩͰȫݵıϷϰͨŷȫɹ12רҵİʩƻIT֧ϵͳƻϼƻȫƻԼĿƻУİȫԺȶҪǵءйͨȶ켼ֿǰͻ¼رðȫ</p>\n<p>˷չƻгЧӦչмƻгӪٽƷҵ¡гչȡðЧ档йͨΧưսԷչ߽趨һ׾սӪƻʱϣһƻһֱ2012꣬2008ﵽ߳ͨۻЧʵְƷЧӦ󻯡</p>\n<p>˷ƻ˵ƷƷЧӦƶйͨŸԴƻƻҵĻƻƻ</p>\n\t\n\t\t\n','','йӱ','',NULL,1126758499,1126758499,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73154,'ֻͷ ýƴƿ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>ܱ  </p>\n<p>Ϣƣ㶫ƶϹ㶫ļҵţչֻֽҵһҵĳܵ㷺ĹעʵֻƷѾһµĲƷˣ20047¡йŮͿʼĳԣռƶг1/6ǿĹ㶫ƶйıҵŵϳ֣ͷȻ</p>\n\n<p>δŴҪýʲôֻһɺӵ壬ֽýͶýȣֻý岻ɱȵĶƣĿǰйֻûѾﵽ3.5ڣЩû󲿷ʱ䶼ЯֻֻΪݵնˣֻϿͼġӰýʽֻһǿԣֽ߿Բ򣬵ӿԲûȴܲյĲš</p>\n<p>ϣֻǰ;Զ</p>\n<p>ȻֻΪֻǰѱֽɵӰ棬ֻϷܻͣͣڱȽϳĲϣʵϽıֽʽ³ϰ߶ֻĴʽ١ࡢֱֻýԵ⣬ڲͬûṩиԻרҵҲǡֻٵһҪ⡣</p>\n<p>Ҫֻһƽý壬ȥһֻҪоֻûܵϰߣǶڼ۸ĳܣҲҪӪ̵ĺģʽֳɡϣҪֻýɫȥѡ⣬½ṹ﷽ʽԷγýķͬʱͼƬӰҲҪֵ̽⡣</p>\n<p>룬3GĵƿĴƣŴʽͻеʽý彫չʢ </p>\n\t\n\t\t\n','','ͨ','',NULL,1126758498,1126758498,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73155,'йƶ̨ Ƭ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>˵ӰҲԼĻƽʱΣôڵһҪʱΡ˵ӰҲԼT̨ô·ӰƹT̨㣬ֱֽӰߵĹ729ȫͬӳġ߽Ϊڵֵڴƣƾ˵һʦݺ͸ƬƼСۺͺؾǣá߽ʶĿȻڵӰƹ߽Ȼ\"ֻٷվ\"ǳΪƹеһ㡣 </p>\n\n<p>Ϥ߽\"ֻٷվ\"ɹ֪ĵӪйƶͨ졣йƶͨڵӰƹϵ״\"\"\"ֻٷվ\"ڡ߽ǰгĿ⣬ΪһܹעĴƬT̨ </p>\n<p><strong>ֻϵĴƬ</strong></p>\n<p>ܵӰ߽Ĺӳڶ729գйƶͨƳ\"ֻ桶߽ٷվ\"ȴ71վͿʼԤгйƶͨŴ71𣬱ƶҳšӰƵƵֻѶMOȶΪû \"ֻ桶߽ٷվ\"ڡ </p>\n<p>ݽܽ\"ֻ߽\"ҳһ\"\"ҳɽΪ\"߽\"֣ǵӰľ䱳\"Ī¡پǡ\"-ֱһʦƵ߰ѽơҳǳɫپ;ĵӰͼƬڲֻĻϿɿҲʮ־СȥƳWAP2.0ϵͻʹйƶͨŵWAPҳԽԽӽϤļͼƬһάҳ档ʹMOֻҳûԸ׺ֻ桶߽ٷվһ֤</p>\n<p>ҳϷ\"ֻ߽\"\"Ѷ\"\"߽Ӣ\"\"ͼ\"\"ⳡ\"\"ɽ۽\"ߴ飬ЩֱṩӰܡӰƬѶӰＰԱϡӰءӰĻºƬݣе\"ɽ۽\"רֻ߽ԼۡЩݷḻɫİ鼸Ӱ߽йصϢһ򾡣ṩӰԭֺͶ21ӰƬϵأӰȱ۸</p>\n<p>Ϊƶͨҵһ£\"ֻ桶߽ٷվ\"ϵҵ״ν֡ͼƬƵƵƷһ𣬲廯չʾ˵Ӱ߽ķɣҲƶûֻýҵƶͨҵĶý廯νδһչ򣬽ƵƵ»ֻնۻη£ý๦ܵնˡйƶͨŴ˴μ롶߽ЯƹȳƳ˶ýҵֻҳ似ʵԲ˵ߵҵԾͱ\"ý\"</p>\n<p>ݺҵ\"ֻ桶߽ٷվ\"ֵóƵ֮йƶͨȴЩҵϢѣûͨ½ֻ桶߽ٷվܻñӳʽӳƱֻ߽߽ͼǩƬ߽PCϷ鿨ȽƷһϵоٴȻܰġ߽㼯ڲԵӰгΪĿйƶͨŶԣ⡣</p>\n<p>˫Ӯ</p>\n<p>ͨT̨ĵƹǼģصϣйƶͨźơ߽Яִ㳡ȴ⵽˵߸T̨õĹעĴƬ߽ƹ㷽Ĵý裬ڹװгƹࡣ̨ĴйƶͨͬƶֵͨгϷ߳һֱ䴴ºгڸԵǸ֣ЯݵƹϷûֻ֣֮ĿĲͬ</p>\n<p>ơ߽Ŀ굱ȻƱӰƬټƵƹ㣬ʹá߽ΪǰߵڵƬƱ߽ӰҵʿȼйӰڵΡڵŷӰгϷǳ죬ҹȴһֱƽƽһԭڵĹƬûԡŻѪġ߽ڵƳƱһʵشͻгעģҹӰڵĳȶ˱ڵӰҵ翴áѡйƶͨЯƹ㣬߽ǷǳǵġйƶͨŲӵģûȺ壬˳ƶֵϵµƷ\"ƶ\"򿪴˹ڵֵҵģʽȡ˾޴ҵɹƶйƶͨŵۺΪ˹ķṩ̡ƶֵҵзƺƹйƶͨŶ߱ɱơЩΪ߽ƹɫ١</p>\n<p>\"ֻ桶߽ٷվ\" ṩϾ⣬ҵĴ֮״ν֡ͼƬƵһԳΪ\"ֻ߽\"ɱﵡйƶͨŲȫҵ\"ֻ桶߽ٷվ\"ϢѵͬʱΪûƷȻȡMOֻʣûֻϵĶýҵ񡣵ֵƹеƿ\"\"ҵƳϱѾʹϰ⣬м㡢õȵص㡣Ҫʹ߽ҵΨһ;\"\"·Ҳ\"\"йƶͨгƹϴ˵Ȼ\"ֻ桶߽ٷվ\"ɽ򣬸Ҫֻûһɡ</p>\n<p>йƶͨź߽͡ԣ˭̨˭㶼ҪߵĲڵӰƵ\"\"ĸ˫ʱһ壬Χɴϸ\"\"߽һѽһԽԽҫۡ\"\"˫ֻһ֣˫Ӯ </p>\n\t\n\t\t\n','','ZDNet China','',NULL,1126758498,1126758498,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73156,'10ͬ ΪGSMȫ8000û','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>1995꿪ʼоGSMΪGSMԡͶ룬ϴ¡ľȫ5090Ӫ̻ùģã8000ûۼƲ𳬹30زƳרҵȺϵͳGT800ǵBTCCTBCԼɳصSTC2004ѡGSM/EGDEӦʱԼͬѡΪĿӪMTNѡΪǲ˳9000TRXGSM磬MTNһԾΪMTNӮǿġֽţ</p>\n\n\n<p>йӪ̸˻ΪGSM֧֡</p>\n\n<p>ΪGSMйĲ𳬹10ƵйǻΪGSMҪг֮һ</p>\n\n<p>1997꣬ΪGSM״ڱͨչGSM1998ͨGSMü1999꣬ƳBSCMSC1999꣬нй ȫ2000ƳGPRS2000ǰ廪ΪGSMзĶΧйгMSCʺؿھֵȵȡ</p>\n\n<p>1999ǰΪGSMȫзԱ500ˣȱþ飬ڹʾͷĽ۾ǰһһʵҲҲܶ໪Ϊ񶼺ܻɶʤͺӱݣطùػ˻ΪGSMûпͻ֧֣ûлΪGSMĽ졣ǻΪGSMһģþ֣˰ǵõʱӵʱգȶһһ900㣬ͻȻĵ绰ͨˣֳշǳšΪGSMǷˣǺͽÿһˡΪֳܲ˽飬ͨͳ֣GSMϵͳ·ܵǿҵߵţŲ飬ĳ˾90һ׿߽ϵͳĸšϵͳΪ˹㲥ڻõģĩϢһ9㿪5ͣڽĹУʡֵ쵼Ҳֳ벦⣬ϹֳļԱû֧ʹΪGSM𽥳ɳ</p>\n\n<p>2001꣬پ㸲ǵ󣬻Ϊһ廯Сվ˱߼ǵ˼·Ϊͨ绰ԼĹס</p>\n\n<p>ܸмаǵĿͻרҡΪGSMƷܼ˵ΪΧƿͻд£ΪͻĴֵԴرͻԻΪGSMĺ񰮡</p>\n\n<p>г˻ΪGSMڷɵĳ</p>\n\n<p>ڹгѶ2000Ժ󣬻ΪGSMںгĿǰѾڶ˹Ϸǡжǣ̫ŷ޶ùģãռȫGSMгݶ10%ϡGSMգΪбʸߴ33%ĿǰΪGSM۶70%ԺггûΪGSMƷŤΪӯҪ˽⵽ȫгĲԣΪ3GƷƵ춨õĻ</p>\n\n<p>ΧƿͻпΪͻֵǻΪ͵İǻΪ̩AISĺʹAISû400Ѹٷչ1200򡣻ΪĴپĺͳɱٽ߽ʵӦлûϿɡΪGSMĻվϵͳƷ֧EDGEϵлվ͡͡һ廯СվȣϵлվӦͬӦóй㸲Ǽô䡢õԴص㣬ܹڱɳչͬʱ󽵵ɱ</p>\n\n<p>3GзĽչΪʼ3Gƽ̨GSMΪGSM ƽ̨ƽ֧WCDMA R4ܵȫ Ӫ̵ĻӭۼѾ𳬹2000ߡΪGSM ص㣺2G/3GֲʽVoIPپ˫磬A-FLEXԴƽݣҵٲص㡣</p>\n\n<p>ʶרҵȺго޴̻2003꣬ΪGT800ּȺϵͳо2005꣬GT8003GPPʱ׼GT800ֱ֧ͨվͨŵרҵܣٺнʱС700룬ȺҵḻãûƣʵȫλȼбϵͳͻļȺơGT800רͳӦѡ񡣻ΪGSM-RнĴҲ20056¿ͨС</p>\n\n<p>GSM2005꽫뵽2G/3Gںϵķչ׶ΣͬʱGSMļȺҵҲΪµķչƣΪGSMƷܼ˵ΪGSMӷͽԣ2G/3GںԼȺȽΪͻֵ\n</p>\n\n\t\n\t\t\n','','˿Ƽ','',NULL,1126758498,1126758498,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73157,'˴ʲô','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t<p>/</p>\n\t\n\t<p>722գйͨΪ2008˻һ֮ʣ</p>\n\n<p>йͨսھ</p>\n\n<p>722գйͨΪ2008˻һ֮ʣйͨսСڱ᳡⣬ڰ5ڵȫ30ʡ\nֹ˾ֻ᳡ͨȫԱͨͨƵϵͳͬ᳡ֱֳγȫͬʢ</p>\n\n<p>սҵ</p>\n\n<p>йͨսɱϼƻչƻƻɡսԵʵʩָܹͨʩ裬ֱͨ󣬲һгЧӦʹйͨȡðЧ棬ʹͻõķ</p>\n\n<p>У˱ϼƻָݰͨŷƶȶȽʵʩͰȫݵıϷϰͨŷȫɹ12רҵİʩƻIT֧ϵͳƻϼƻȫƻԼĿƻİȫԺȶеҪءڲȶ켼ֿǰͻ¼رǰ£йͨðȫ</p>\n\n<p>˷չƻָгЧӦչмƻгӪٽƷҵ¡гչȡðЧ档ƷԼػ¼ȺΪͨչӪйͨΧưսԷչ趨һ׾սӪƻʱϣһƻ2012꣬2008ﵽ߳ͨۻЧʵְƷЧӦ󻯡</p>\n\n<p>˵ƷƷЧӦ˷ƻƶйͨŸԴƻƻҵĻƻƻ档ҵĻǶȿǣҵĻǰͨŵ</p>\n\n<p>սԹ簲ȫ</p>\n\n<p>˽⣬2008˻᳡ݷɢģǰͨĸӳ̶ȳ˻ᡣڻù̶ͨŷʸйͨ˰ͨŹòȫ潻Ϥŵĳɹ飬ŬʹͨĿǰӵĳӦƽͨŹ̽衣</p>\n\n<p>һйͨҪɾǣ˻Ҫͨƽ̨----ۺҵ˳ǹܳϵͳҰƥǩĿͨȫЭ顱˹ģϴİ˳ͨŽ蹤̣˾ǩ˱2008˻Ӵ͵Э飻37ݹ̡15Ǿݵгҵϵռȷ˸ݵĻϢ11½ݵĲͼͷֱĿʩͼ󣬴ٽĿʵʩȷڿɱίַ칫¥ͨŹ̡ƥת˾(BOB)칫¥ͨẒ́չίַ칫¥ͨẒ́Ѿֱڱൺٿеר飬֯ʵع</p>\n\n<p>ĿǰͨͰίֹͨѾȷ˰˻Ҫͨȷ˳ͨŹ̽ĻԭʹͨżγĽʱ˽⣬2008˻ͨʵʩҪ汾ÿһ涼ݼݽгı仯ȡʱԪؽиĽһĿǰѾΣֽ⣬ʼϵͳʵʩڶ潫2006ȷ2008һȣƳ汾Ҳǰͨŵշ</p>\n\n<p>˽⣬ͨŽ跽ȫ˱¼ͨͨԵص㣬ܹûı仯ѡõ豸мԣܹͬʱֿ֧խۺϽҵʵʽУͨȶļȶΪһҪصǰ¼˼ǰհԣ¼չơѻָҲʮҪݽ˫·ɽṹͨSDHܺ͹˱ݹܣγͻ¼Ч滮ͬʱڱϰ˻ǰ£ͨᾡ豸ͶЧ档ڽзѡͶЧ󣬴Ӽ;֤Ͷʿԣ˽Զڷչϰ˻豸Ŀԡ</p>\n\n<p>սԴٽƵӦ</p>\n\n<p>ÿһεİ˻ᣬһͨʵչʾÿһεİ˻ᣬҲһµͨżͨҵΪ㡣1996˻ϣһ2000Ϥ˻ϣƶͨųΪ㣻2004ŵ˻ϣͰȫֶܵעչ2008˻ᣬƵϢõ㷺ӦãУָźŵĴͽһ㡣</p>\n\n<p>չֵܾĹ滮ҹ2008ȫƹָӵĵ洫䣬2015رеģӹ㲥ǵһչƣͨ2008˻ṩӴͷ񡣾˽⣬ƥת˾(BOB)ṩİ˱Ŀ60%70%ָźšͨйͨ͹Ӫ̵Яֺȫڼоտȹȥʵİ˱еظܰ˵ľ\n</p>\n\n\t\n\t\t\n','','й','',NULL,1126758498,1126758498,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73158,'йͨҵչͼ','','','','../resource/img/h000/h00/img200509161648160.jpg','','<P> Ӣ</P>\r\n<P>728գйϢҵչоԺġ̫ƶͨŷչ̳(׽)ھٿڼ䣬̫ƶͨŵĲҵ֡չơг̻гӮȷȵ˳֡йͨҵǱʾǿҵԸϣܹδʱڽԼĿͻͼչĶ䣬Ҳʾһеĸ̫гȹ̡</P>\r\n<P>̫ƶͨԽԽʾЧܣڳΪȫƶͨŵĺȫƶûг̫ƶͨŵչйƶͨŵƴ̫ƶͨŵĲҵԼӪҵľ־̱仯</P>\r\n<P>³Ϊгˮ</P>\r\n<P>ڱ̳Ϊʤ̫ ȫ򡱣ӪҵҵĴ̫ƶͨгչ״ƣ̫ƶͨŵĲҵ뾺̫ƶͨЭ̻Ӯ̫ЭƻӮԷƶͨŶй̫ĻսȻ֡רָ̫ƶͨгδ10Խֽϸٶȵ𽥳Ϊȫƶͨгչ</P>\r\n<P>ϢƣǰҹͨҵĴҵΪ̫Ӫ̺ѯʦ֯ѡΪ2005豸Ӧ̡Ϣ֤йͨŲҵʵFrost&amp;Sullivanķʦлָδ5Уȫƶͨгһȶ̬ơΪ˹עĽ̫ƶϴռ䣬̫ҪйӪ̺豸ṩ̵˫ӮֳΪгǰչĶлԻΪѴҵΪó̫豸ȫĹؼĽۡ</P>\r\n<P>йҵϰ꺣ⴴ漣</P>\r\n<P>գߴˡΪȹ˾ϢЩͨҵڽϰ궼ȡ˺гشͻƣһѾýصעǰߴӻΪ˾Ϣ2005ϰ꣬Ϊʵȫ۶330Ԫңȥͬ85%ϰ꺣۴24.7Ԫռܶ62%ѳ2004ȫĹг۶½19Ӫ̣ɹѡӢšʮһ硱</P>\r\n<P>ֵùעǣΪ˾2005ϰƶͨŲƷ2004ͬڣ۶ʵ120%CDMAڹгϵʴﵽ200%WCDMA򣬻Ϊͨз£Ѿȡ5%Ļרȫǰ塣2005630գΪWCDMAȡ11úͬHSDPAHSDPAݿںTelfortɹáΪ20052ȫȷWCDMAֲʽվִ»վСװףԼؽͽɱ߽ٶȣµĽһ˻ΪWCDMAȫȵλ</P>\r\n<P>CDMA2000 1X1X EV-DOгϣΪ2005ϰ̩ǡϼͻ˹̹Լŷ󵥣ϰCDMA1000ûΪѾ10ҽCDMA 2000 1x EV-DO磬̩ī硢ͻ˹̹ǵȡ</P>\r\n<P>Ϊйͨҵй˾ͨѶȻûзϰƱϤҲȫƮ졣ɼйҵδгʼƯƵơ</P>\r\n<P>гȻֹ</P>\r\n<P>գΪ˾߲Ʒ߸ܲıʾΪɼȡҪ֣һǼΧƿͻд£ƳͻĲƷʵֿͻֵ󻯣ڶǼֹĽȫзͨ϶˵˽ĽǼӪ̺̽սԺǿҵڵľ鹲ͬάҵĽչֵ档</P>\r\n<P>ԺгרұʾйҵڳڹгҪԵȻ϶࣬رйͨҵĿͻȻڷҲȡһЩɼĿǰ뻹ǼڷչйҵЩҵгһЩȷԡ⣬νͻҲһϴ⡣ıʾΪѾ˹ҽڻ֧֣ÿҲвٵĴͬʱһЩǷйҵҲԲȡԻ׻ģʽģʽƷס</P>\r\n<P>Ȼ˵ĿǰйҵҵһЩгӦԴʩǴĿǰйҵںг·Ҳֹۡ </P>','','йӱ','','',1126758499,1126860499,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73152,'ƳȤ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>ڿѵص̳ʷֵеˣȴҲӪǡȦءĺʱ</p>\n\n<p>6µס7³µĽڽߣӪ֮ľҲ˰ȻǷ׷׼˴ķгݶУڽƳġȤĿ</p>\n\n\n<p>ݷĸ˽ܣ625𣬷֮ڱװûɻ÷ĸֳֵƷмûɻʱˮѡ꽻ûԻྫƷӰԺ¿ͼ¿йԺ¿EworkȨ220ѶŻ73ѹڳ;ѡ꽻ûԸҪѡ꽻ûƷе</p>\n\n<p>ͬʱΪڵĸڽˡ2005ڿӰƽݽܣһĿΪ˷ḻСҵĻ</p>\n\n<p>Ϥ˴¶ӰŻ6³Сսݡ֮󣬻½԰԰߼԰ʢ԰Ӫ־ӵСڳУԤ9³ݷĸ˽ܣּ򵥵ķʽĵĹػڹľ񣬴С֡ӵĿΪûܷΪҵĻû֮ľ룬ûγõĻ\n</p>\n\n\t\n\t\t\n','','˿Ƽ','',NULL,1126758498,1126758498,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73153,'йŹ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t<p>/</p>\n\t\n\t<p>ſӦõ࣬ûߵĴ</p>\n\n<p>FTTHڽģãPONᴫͳDSLг</p>\n\n<p>PONٶȶԱȱ</p>\n\n\n<p>B-PON GE-PON ITU G-PON</p>\n\n<p>׼ ITU T G.983 IEEE 802.3ah ITU T G.984</p>\n\n<p>ٶ 622 Mb/s 1.25 Gb/s 2.4 Gb/s</p>\n\n<p>ٶ 156 Mb/s 1.25 Gb/s 1.2 Gb/s</p>\n\n<p>ʽ ATM Ethernet GEM</p>\n\n<p>(Ethernet+TDM)</p>\n\n<p>ŻĿٷչ͸ֿӦõռûڽѸӣĲչѸ͡718-23գ߲ɷܲл˽ձڿķչ״ͨרҵĽԿſӦõ࣬ûߵĴΪû󣬴̼չձFTTH(˵)ϵͳԴ(PON)Ϊȵ㡣ԿFTTHڽģãPONᴫͳDSLг</p>\n\n<p>2004꿪ʼFTTHңԶĶģгرձͱʼģӦãչǳѸ٣ӶΪԵĹͨг㣬ҵ繫ΪܹͨӰ죬ҹһЩ(人)ҲʼСģFTTH飬һЩӪ(籱ͨ)ʼFTTHá</p>\n\n<p>Ƕȷͨżҵܲüϯִйľ˾ָû򵥵죬ΪûṩĿֵҵԵԽԽСһ濴ҵΪӪҪҵռҵıߡ2003ȣ2004йҵ87ԪӪӪҵбس30%ΪӪеҪɲ֡ȫгݶȫơͬʱTriple Play(Ӱͬ)ΪڿӦõȵ㡣оTriple PlayŷгûARPUֵͬʱûʡûڼûֵݾֳͨӷIPTVҵ߱ơTriple Playҵ2004ŷӪ÷ǳԣѾΪϼ߷չֵӦ÷͡</p>\n\n<p>ǣЩӦõĿҵģʽĴ£ƱҪпٴݵĹܡĿǰDSLڿгռλоԺܹʦΪADSLпһֽʵԶԳҵչܲ磬IPTVƵл⣬ù˵Ľ룬ܶͿԽ</p>\n\n<p>صӪǶFTTxPONֳ൱ߵȤžͷSBCͨŹ˾ΪLightSpeedĺΰƻҪδ3֮ͨPON̫1800򻧼ͥôȫIPȫֵĸӰҵǵĵΪڶƵṩ̡</p>\n\n<p>ĿǰгӪֽ׶ҲͨPONĸͶ롢߲ͨŲƷڲ򲿷ֿͻĿԻóԾơһͨPONȵĻʵҵͷḻ޴ĳ⴫絽칫һͥ죬ͨḻҵģʽھͻֵǱӪ档صPONڻһġ·ȨƣмԴڣֱӽͻͨýӵӪ̵Ӫ硣ͨPONͽάɱ</p>\n\n<p>гоΪԴһгϸ֡Infonetics Researchоʾ2004гģΪ5.25Ԫҽ200821.5Ԫƽʴ42%гǿڽģºṩ˿ʱѳ죬δĽ罫ǹ˽¡ĿǰFTTHPON׶ΣθõطչPONҪǽĳɹ飬ٽķչǰڵгңڿͻһˡPONɻΪӪҪֶΡŹ? </p>\n\n<p>  </p>\n\n<p>ſӦõ࣬ûߵĴ</p>\n\n<p>FTTHڽģãPONᴫͳDSLг</p>\n\n<p>PONٶȶԱȱ</p>\n\n<p>B-PON GE-PON ITU G-PON</p>\n\n<p>׼ ITU T G.983 IEEE 802.3ah ITU T G.984</p>\n\n<p>ٶ 622 Mb/s 1.25 Gb/s 2.4 Gb/s</p>\n\n<p>ٶ 156 Mb/s 1.25 Gb/s 1.2 Gb/s</p>\n\n<p>ʽ ATM Ethernet GEM</p>\n\n<p>(Ethernet+TDM)</p>\n\n<p>ŻĿٷչ͸ֿӦõռûڽѸӣĲչѸ͡718-23գ߲ɷܲл˽ձڿķչ״ͨרҵĽԿſӦõ࣬ûߵĴΪû󣬴̼չձFTTH(˵)ϵͳԴ(PON)Ϊȵ㡣ԿFTTHڽģãPONᴫͳDSLг</p>\n\n<p>2004꿪ʼFTTHңԶĶģгرձͱʼģӦãչǳѸ٣ӶΪԵĹͨг㣬ҵ繫ΪܹͨӰ죬ҹһЩ(人)ҲʼСģFTTH飬һЩӪ(籱ͨ)ʼFTTHá</p>\n\n<p>Ƕȷͨżҵܲüϯִйľ˾ָû򵥵죬ΪûṩĿֵҵԵԽԽСһ濴ҵΪӪҪҵռҵıߡ2003ȣ2004йҵ87ԪӪӪҵбس30%ΪӪеҪɲ֡ȫгݶȫơͬʱTriple Play(Ӱͬ)ΪڿӦõȵ㡣оTriple PlayŷгûARPUֵͬʱûʡûڼûֵݾֳͨӷIPTVҵ߱ơTriple Playҵ2004ŷӪ÷ǳԣѾΪϼ߷չֵӦ÷͡</p>\n\n<p>ǣЩӦõĿҵģʽĴ£ƱҪпٴݵĹܡĿǰDSLڿгռλоԺܹʦΪADSLпһֽʵԶԳҵչܲ磬IPTVƵл⣬ù˵Ľ룬ܶͿԽ</p>\n\n<p>صӪǶFTTxPONֳ൱ߵȤžͷSBCͨŹ˾ΪLightSpeedĺΰƻҪδ3֮ͨPON̫1800򻧼ͥôȫIPȫֵĸӰҵǵĵΪڶƵṩ̡</p>\n\n<p>ĿǰгӪֽ׶ҲͨPONĸͶ롢߲ͨŲƷڲ򲿷ֿͻĿԻóԾơһͨPONȵĻʵҵͷḻ޴ĳ⴫絽칫һͥ죬ͨḻҵģʽھͻֵǱӪ档صPONڻһġ·ȨƣмԴڣֱӽͻͨýӵӪ̵Ӫ硣ͨPONͽάɱ</p>\n\n<p>гоΪԴһгϸ֡Infonetics Researchоʾ2004гģΪ5.25Ԫҽ200821.5Ԫƽʴ42%гǿڽģºṩ˿ʱѳ죬δĽ罫ǹ˽¡ĿǰFTTHPON׶ΣθõطչPONҪǽĳɹ飬ٽķչǰڵгңڿͻһˡPONɻΪӪҪֶΡ\n</p>\n\n\t\n\t\t\n','','й','',NULL,1126758498,1126758498,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73151,'ͨŴעȳ ע¸','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>82յ ݡͨŴעġϢͨŴ롱2005728տʼԤע̶45000Ʊ㱻עһաҵע޼81һ죬ע㳬1500լ͡ʿͻ㶫زֽ֣աʿᡢͿϵŴʻѱԤעᡣ</p>\n<p>ͨŴ롱ȫΪ绰š硢3GͨŴ롱һִ\nͨűʶͨйܻʵ֡籱24Сʱгĵ绰010-68373399Լ䣬עͨŴκֻҪס⡱Ϳͨйܻ95001000ֱӵ绰ͨгͶݡ⡱95001000нгйܻйšйƶйͨйֵ֧ͨͬһµֵͨں˵绰ȶִ·һκҵͨעᡰͨŴ롱(Ʒ̱ҵ)绰롢طżַֻѸݵĹͨйܻùͨøӷ㡢ݺԻ</p>\n<p>йܻռгݶ80%ййסͳ⡢ߴҵ̺ͺ(ż)»ҵ֪ҵƳͨŴעἰͨ\"ͨŴע\"ͳһ</p>\n<p>ݡйܻķйʾйܻ֮ʱ㶫γˡͨŴ롱עȳͨŷŸܹ˵Ĺ㷺ӭڹ㶫۵йͳĻҵ͸ȽǿͨŴ뿪˽ΪͨŷšͨŵȺӣܺõʵĻӪԤƣйҵע\"ͨŴ\"ȳ </p>\n\t\n\t\t\n','','й','',NULL,1126758498,1126758498,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73148,'ͨڳʧ 칫¥','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>̱Ѷ ( )Ŀǰڵȴھͻʽȥű뿪ׯ칫¥ˡ죬һλԸ͸¶ͨʷֹ˾Ա߼ߡ</p>\n<p>ռŵͳһ72731ΪͨԱڣ81ǰͨʸŵĹȫͨŵزţͨԱת²ϰࡣʱڲִ٣رǺܶҵĽӲڶʱɣͨʲû\nСȥ¥աŵĽӻڽСڴ˴Աƻתķʽ˲˽ӵԱÿׯϰ࣬źͲһȥ()ϰࡣ</p>\n<p>ͨŹʲܾڽܼ߲ɷʱʾԱСְ𵽸ڡ͡Աڡ֣֮ĿǰŵĹְѻλԱڱ½λ׷ͨׯİ칫¥ΰʱ京رʾŻаšߴйϤ֤ͨʻԻ͹ȥĴ¥á</p>\n<p>ݼ˽⣬ǰҵ紫ġͨ߹ܵ뼯šδʵԭʷֹ˾ܹ720ǰʽΪŹʲܾ⣬ԭܾͨ԰ԭΤȺĿǰδʽ·ǰҵ紫˶˽ֱͨżܾͨŹʲܾ </p>\n\t\n\t\t\n','','1124443590','',NULL,1126758497,1126758497,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73149,'Ϣͤɲ齻ͨΥϢ(ͼ)','','','','','','<P align=center></P>\r\n<P align=center><IMG style=\"WIDTH: 500px; HEIGHT: 333px\" alt=Ϣͤɲ齻ͨΥϢ(ͼ) hspace=0 src=\"../resource/img/h000/h00/img200508171851460495.jpg\" border=1><BR>82գһ˾ڱͷϢͤѯͨΥ¼ͼʻԱϢ</P>\r\n<P align=left>&nbsp; գ˾ͨ鲼гǰϢͤѯͨΥ¼ͼʻԱϢݽܣϢͤṩĽͨΥѯϢ׶ܾ֮վṩĲѯϢһ,Աнܾݿ⣬ȷϢ׼ȷ »緢(Ŵ ) </P>','','»','','',1126758497,1127370631,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73204,'Ӣض߼ܣδ㽫10ٳɳ','','','','','','<P>:ķ </P>\r\n<P>ظ塿гԼҪĦɱֲ䣬ΪģĦɵķʽѾӹȥעƵתں˵Ĳм㡣ΪITҵʯĴһԵĸı佫ҵرҵ̵Ӱ졣 </P>\r\n<P>ʵӢض˾߼ܲüҵҵܾء񣬽ս˼ߵĵĴζרá</P>\r\n<P align=center><IMG alt=Ӣض߼ܣδ㽫10ٳɳ src=\"../resource/img/h000/h00/img200509221507450263.jpg\" border=1></P>\r\n<P align=center>Ӣض˾߼ܲüҵҵܾء</P>\r\n<P align=center><IMG alt=Ӣض߼ܣδ㽫10ٳɳ src=\"../resource/img/h000/h00/img200509221507451962.jpg\" border=1>&nbsp;</P>\r\n<P align=center>Ӣض˾߼ܲüҵҵܾء </P>\r\n<P>ļٴں˻ </P>\r\n<P>ߣȥһĹӰߵϰΪӰ칦ĵҪЩ </P>\r\n<P>IntelҪۺϿǵУѾΪؼءȣֿھܲϣڲǿܵٶȣҲǿ;ܵĹġȻǵƲԲڵ·ϣҲ߼ͼܹϡĦڽ͹ϣǹȥʮʮ֮䣬Ħɷ仯 </P>\r\n<P>ߣIntelͨµں˻ǲµĹܣ </P>\r\n<P>ԽԽע˫ں˺Ͷںˣҵʷϼһʱڣڵ20105Уܽ10ڴ֮ǰ5Уֻ3~4ܵĴǼת˼Ľ </P>\r\n<P>ߣȥ꣬Intel˵꽫Ƴ10ڸܵоƬʱûиı䣿 </P>\r\n<P>ƻڽƳ׿ӵ10оƬMontecito17ڸܵ˫оƬڰڼ塣 </P>\r\n<P>ߣǵüǰҵ̸10GHzоƬ˵ò˼ͿԳΪʵ </P>\r\n<P>δķչУȻƵʣƵߵȥҪܶࡣڻԤ10GHzʱ֡Ƶʵ߽ӹģǹעģ仰˵ϣڻøܵͬʱƵʵ߲ȥ졣 </P>\r\n<P>ż15Ԫ </P>\r\n<P>ߣ뵼켼ÿһƵĴߣδ65׺45׶ӦƵǶ٣ </P>\r\n<P>񣺶65׻45ӦƵǻûһ׼ȷ˵ǰעҪ˫ںˡں˺ͽ͹ķ棬ڽ͹ĵͬʱϡƵûзǳȷĿꡣ¹յƵķȲ󣬱˵ӹ180׽130ʱƵһ65׵45ʱƵֻ10%~20% </P>\r\n<P>ߣǰңӢضĺľȲŶӣҲӴʩϣߵĽϡӢضڵзصתϵܹĹƺڱǷζIntelĺľ˶λ </P>\r\n<P>ûб仯ڷҪתֻŻĶͬȥǲƷϸ»Ĳϵߡʵڲϸ»ʱʼձֺ㶨ˮƽϵصͷάֹˮƽ¶ܽŻ˵35߹ĵıʼǱԴڴ90׵65סٵ45׵ĹУܲϷͬʱȥı䴦ɢγߴ磬Ҫת䡣 </P>\r\n<P>ûиıĹעǵĲȻɢȺŻ£ʱƳµĲƷʵֹģƷʣӶͳɱ </P>\r\n<P>ߣ45Ժ󣬹輼߶Զ </P>\r\n<P>ǽÿһι(μ1)ÿ¹սɶ190ϣȻMontecitoһܴĹо17ڸܣƷļɶΪ5ڸܡƵʷ棬ῴٶȴȽϻҪڹޣƽÿԼ10%~20%ܹıȵǳ죬ÿ¹ս1 </P>\r\n<P align=center><IMG alt=Ӣض߼ܣδ㽫10ٳɳ src=\"../resource/img/h000/h00/img20050922150746284.jpg\" border=1></P>\r\n<P align=center>1 뵼켼δչò </P>\r\n<P>Դṩ </P>\r\n<P>ͬĹ£ܼɶȿ1Ħɷת䡪ǳעģ⽫ڲƵǰ£Եܡ </P>\r\n<P>ߣǵǰң뵼ҵżÿʩϵͶΪ10Ԫ˶٣Ҫ೤ʱ䣬˾ûбǮǾˣ </P>\r\n<P>԰Ƭֱ200׵300׵ǳ300ߵͶʶԼҪ30Ԫ֮450ʱҪ40ԪҪڰ뵼չҵͱÿһļӹ </P>\r\n<P>뵼幤ÿһΡÿû15~20ԪʽͶ룬ǾζѾˡţһҵÿͶ15ԪѾˡĿǰչҵą̇̄硢IntelԼΪġͶʶ15Ԫҵ </P>\r\n<P>ں˽̴޴ս </P>\r\n<P>ߣ̼߳ǲмеҪ֮һӢض˵̶߳ܵ17%ңIBM iϵϯѧ Frank SoltisңIBMĲ߳̿Ч30%ԵĲʵֻͬ </P>\r\n<P>ӦÿǾӦõͣԼӦڶ̶Ͽʵֲл˵ڴ˴֮ûκԴġ̵߳˫ϵͳУһӦֻһĻٶȾͲκεߣӦÿԳֲлôܾͿһڳ߳ϵͳУЩӦõûκߣЩӦõ40%Ӣض˵17%ǶԺܶӦƽͳƵĽSoltis˵ûдҪҪӦá </P>\r\n<P>Ҫǿǣ̶߳ܵں̶ܴϻȡڴΪṩߡ˾ȣIntelӵһΪḻıԹߡŹߵԴԼӦʵң̼߳Ͳϵͳţת̺߳ͶںʱеĶһ޶ĲƸ </P>\r\n<P>ߣ֪ˮ40Чʲô̵߳ǷҲһֵ </P>\r\n<P>̵߳ԺܶࡣѾ˫ںˣܿ콫Ƴںˣ4~8ںˣǻоں˵оƬԺһоƬڻẬ163264ںˡ󣬼ԺڵһоƬ64ںˣÿں2~4̵߳Ļǻ׾ٵؿһоƬӵ265̡߳ </P>\r\n<P>ߣɲ⣬ӹյΪƵܣ߼ɶԱɸںˣӶܣ </P>\r\n<P>ǶԵģҪܶ߾ܼɶȺں˵ڹˮƽƵߵ£Ҫʵּɵں˺;ܵ </P>\r\n<P>ߣں˺Ͷ̻߳ҵʲôս </P>\r\n<P>δ5꣬ӲķչٶȽɱسĽѾϰڴں˺͵̵߳⣬Ǳд̲߳гһ޴ķԾҲһѵת䡣Ŀǰǽж̲߳лĹߣ󶼱ȽϲԶ˵һǳ޵ս </P>\r\n<P>ߣ˭ӭսأ </P>\r\n<P>ǳԼӦÿ̽кӲں˻ĽбԹߡŹߵȺܶ๤ߣΪṩѵγԼֵ֧ȶַ񣬻еʵңһѵת䡣 </P>\r\n<P>ߣ΢װǰںշѵĳ˵˫ںӰ컹󣬵ںʵֺܳʧ </P>\r\n<P>Ϊ΢շģʽǶԵģһ档ӢضԷǳٶȲں˵ʱ΢ѾҵģʽһЩںշѵUnix̸о </P>\r\n<P>ߣǵӢضƳ64ں˵оƬʱ뵥һں˵շȣ64ںоƬշϣ΢յĻ1ǮЩUnixյ64ǮδںԽԽ࣬΢ס </P>\r\n<P>UnixҪλи߶ҵӦò̫һ΢һעгģܴӦ򣬶Щں̫(μ2) </P>\r\n<P align=center><IMG alt=Ӣض߼ܣδ㽫10ٳɳ src=\"../resource/img/h000/h00/img200509221507463757.jpg\" border=1></P>\r\n<P align=center>2 Ӣضں˷չ·гģ </P>\r\n<P>Դṩ </P>\r\n<P>5Unixһ </P>\r\n<P>ߣIBMʾֲPowerϵǾӦ֤ļIntelνӦ¼뵽У </P>\r\n<P>ǵģҲϵһЩֲǵĲƷУ˵ECC⻯ȼǽԤƳĴΪMontecitoİڴеĲͺϲЩǽڰںǿMPϼĿɿԡ </P>\r\n<P>ߣIntelδ᲻΢ </P>\r\n<P>һһЩѡIBMͬ·ߣδǽһṩһЩIBMеȫͬĹܡ </P>\r\n<P>ߣIAܲߣΪIARISCһ»Ҫ೤ʱ䣿 </P>\r\n<P>ڷƷϵУעܡչԺͿɿԣǿܡܼ۸ȺܹıȡǵĿͻӦϵõ⡣ÿҳ̶ѡתIntelܹǿǰڣ߼汸NECʿͨSGIHPIBMSunIBMһֱǿδ5ĵսϣIBMרеPowerרеĲϵͳAIXרемӮǻڹҵ׼İںǿӮÿǶǸɾϢ </P>\r\n<P>ߣȥϰ꣬IBMӷȫµPower 5Ƴp5AIX 5.3ϵͳǰֻµʱ䡣UnixгĴֱ֣ͬ¼ </P>\r\n<P>PCгˮƽɶ¼ĳʮ¼뷽첽ģ˵x86ƽ̨ϵһ΢Ƴ64λWindowsϵͳʱ֮ãҪ˵Ӧ̵ӳ١Intelûа취ӳ٣ </P>\r\n<P>ҵȻͬ˵ֱгļҪˮƽгֻǰѼһȻнʽԾˮƽֵгƶĽˮƽֵÿһµļ </P>\r\n<P>ں̵ܶʱֱֵĲҵȣܵ˵ˮƽֵĲҵһֱȣΪ˼ĽOSWindowsLinuxHP-UXSolarisڻApple OSVMWare()ЩƷľټĽղŹĵ⻯Ӣضƽ̨δзḻ⻯ΪˮƽϵͳľͺܶᣬҪܼ۸ȻܹıȣͨȡʤĹؼء </P>\r\n<P>ƻתӢض΢ѡIBM </P>\r\n<P>ߣҸΪƻIBMPowerתIntelĴMac OSƣIntelPCгͨPCϵͳ΢ľȡгݶ֧Ź˾ҵΪƻĿʲô </P>\r\n<P>AppleCEO Steve˵ӢضзǳǿĲƷߣҪǿϺͶ·ͼϡΪIBMȣӢضǸõļ顣 </P>\r\n<P>֪ApplePowerĺ飬ǷΨһĺ顣Steve˵IBM·ͼҪӢضԣѡӢضû˵гƷƻԭ </P>\r\n<P>ߣSteve˵Ѿ֪ˣĿ </P>\r\n<P>ȣͬSteveĹ۵㡣ߣиõĹõ켼õĲƷ·ͼΪǻAppleṩĺô˵ȫг۷档룬AppleһҷǳмġҪǳĲƷĹ˾ΪӢضļܹϽõĲƷ</P>\r\n<P>ߣȤƻתӢضƽ̨֮ǰ΢ϷXboxȴӢضPƽ̨ǨƵIBMPowerƽ̨ˣSony΢õϷҵƽ̨Power֮ϣ΢˾ǳڼݻϵĿǣ </P>\r\n<P>ɣPowerһüܹõĲƷ΢Ǩƹнܶ鷳˵ΰеXboxϷмԷսҲ޷PCһ </P>\r\n<P>룬΢ѡIBM PowerҪΪƽ̨ۺо΢ƳһϷʱ۸ܹƥ䡣ȵƷƳгʱҽŨȤαֵġ </P>\r\n<P>ߣӢضȷ˴оƬӦӲƽ̨Ӧתսԣ֮ĦɴľܼɶȵѸߣδPCͨüƽ̨ڶ̶ʵSOC(оƬϵͳ) </P>\r\n<P>SOCδҪΪߵļɶȣԽܶණɵоƬСⲢԽPCŵһоƬϡΪںܶԼԭ򣬱˵PCЩĽҪܶ࣬磬Щɱ׼ģЩģ⼼ġ֮ῴPCоƬڲϵؼ٣һоƬδῴǳǿĻӢضSOCƷߣṩ͵ĳɱ͵Ĺĺ͸Сγߴ磬ЩǵSOC </P>\r\n<P>ּǣĦɵ </P>\r\n<P>Ħ40ꡣ40ɵ·ҵķչĦԤ˿Ϸ죬Ӧ˵κβҵδй漣40ǰĦƾڼɶֻǧܵ£ܽһӰԶԶɵ·ҵľ鹫ʽ˵һ񻰡 </P>\r\n<P>̶ܴϣ˵Ħȷҵ˰뵼ҵķչɣ˵Ħ׼ȷԤг </P>\r\n<P>ÿ18¾ܼɶ1ĦɷֵǼɶʱȹϵʵϣżʱȹϵг˵ûʹȻ </P>\r\n<P>ѳΪԽϰʹõƵʵĽݾ;ĩ·ʱûʹоƬҵ˼ʮĸı䡪תںˡ </P>\r\n<P>мƵΪܵҪ;ĦҲҵˡ١ΪӼɶȵĦɣôԭĦɵЧڻʮ꣬ӼܵоƬ(ں)ϵͳ(ദ)ɵĲмڸʱ߶û </P>\r\n<P>ͨں˼ܲͨƵķʽʡ¶һ̴൱鷳ǣ鷳Ҳÿ˷ΪûǶء </P>','','1127372867','','',1127372889,1127373095,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73150,'û״γû խܻ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t<p>/־</p>\n\t\n\t<p>йĻûѾڣû״γ˲û19992000ޱȻԻ͵խǷĺꣿխзĻ </p>\n<p>721գйϢ(CNNIC)ھġʮй緢չ״ͳƱ桱ʾйĿûһγ˲ûûѾ΢½ơ </p>\n\n<p>ʾйûΪ5300ˣͬǰĵȣû1020ˣΪ23.8%ͬ71.0%û״γ˲û״γһ룬ﵽ51%ûΪ4950ˣͬǰĵȣû290ˣΪ-5.5%ͬ½4.0% </p>\n<p>1999Žʱ˵໹꣬2001˵Ż꣬2003껹˵ŻԼꡣ죬ȡǱȻġ263缯ܲû200410·ݸ߼ߵĻҲû뵽ǣ˲һʱ䣬йĿûѾ˲û </p>\n<p>1996ڳխҵ񣬵1999ꡢ2000խӭԻ¡խҵڿʼĺꡣ </p>\n<p>ǣһһһϦ飬ڣȻûխǣûȻ4950ˣЩûҪȫתɿûҪһʱ䣬ң۸ӦõȶҲխûȻһʱ䣬ǲûĿ˵խꡱ </p>\n<p><strong>խҲû</strong> </p>\n<p>ʾڸĿУȡϢ37.8%ѡ񣻽ڽΪҪĿ37.9%Ҳ10.3%ѧϰ֪ʶңڻİ˴ŷ(1/3ѡ)ǣ䡢š桢ҳ()()ʱͨѶ̳/BBS/Ӱ()ҳ桢䡢ʱͨѶԼ̳/BBSЩĻȻռҪϻݡЩӦխȫʤΣӦþгЩխڼʱ </p>\n<p><strong>۸խľ</strong> </p>\n<p>ע⵽λ鱨Уûþͻ֣ᷢÿʵʻѵ(ü绰ѣʹķ)50Ԫ࣬ռﵽ37.9%ǻ51100Ԫռ31.2%20.8%ÿ»ѵ101200Ԫÿ»ѳ200Ԫֻռ10.1%ÿʵʻѵҪ100Ԫ¡ǣ˽⣬Ŀǰȫİ·û50ԪϣϺȴеİ·øǳ100Ԫ </p>\n<p><strong>ÿ÷ֲ</strong> </p>\n<p>խļ۸ڿķã263缯žƳһ120Ԫײͼƻ </p>\n<p>εȣǾͿԿһÿ100Ԫµӣ˴Ϊ0.7%ﵽ69.1%ÿѳ100Ԫͣ˴Ϊ30.9%һǿûӣխûļ٣һûƽõĽͣеƶͨŵARPUֵ仯ûչһ̶ԺӵûΪͶûѡ뷽ʽʱ߱ԪԡңȣйĻռȻܵ͡ͳƣ7·ȫ9.28ڣû1.5ڣȫƽռ14.5%67.8%й7.9%ձѾﵽ60.6%63.3%˵йȻܴռ仹ǷǳģխûַҲûпܡ </p>\n<p><strong>խг</strong> </p>\n<p>ʧ֮ɣ ֮硣й˿ũ壬խ𽥱гͬʱҲпũг»ഺΪʹֿܱɱȻ </p>\n<p>һũгķչ </p>\n<p>ĿǰϢҵڴƽũŵĽ衣20041£ũͨձз̨ԷƬΪġ̡ͨʼԵ㡣 20048£Ϣҵ̡ͨڶ׶ԵʽĴӪ̸µġ 2004꣬Ϣҵ䷢ũͨձ񡪡ͨʵʩȷ涨̵ͨĻĿ2005ףȫ95%忪ͨ绰2004ȫĿ40%ҡӦǣũгĻٵĿ </p>\n<p>PC̿ũгսԡ </p>\n<p>ʹȺƳۼΪ2999ԪԣʼعũгԪΪ2˿ڵĵ4000̨ңй13˿ڵĵȴֻ1000̨Ϊйһܴġ㡱ڣйг㡱PCгĴӴͳгתѾǲתʽ߽Ϊйгδ5ڵҪ㡣 </p>\n<p>ʱļֲԼļֵȻԳũгĳɹؽûĸҲԴӷԭϣԶӰ̶ȡ </p>\n<p>εʾҪԭУ/磬46.7%ķѡû豸19.1%ķѡûʱ17.7%ķѡ񣻾û/Ҫ8.1%ķѡΪù7.5%ķѡ񡣿ɼ/ӰҹҪء </p>\n<p>ũгĲԡ </p>\n<p>Ŀǰйũгչ磬ǲܵġȣӼϽʹ֮⣬ʹADSLͭ߾ͻáıȡխ硣˵췽ҹ̷խ󡱵һġ족ڽıԷ޿ɱơԽŽ֮Ϊߵƶڵźͨ̿ļʵ޴ڵĹ̻ŽŸĻԺ͸򣬿ƶ </p>\n<p>⣬ڿķãխļ۸гиԣ˵խũΨһѡ </p>\n\t\n\t\t\n','','й','',NULL,1126758497,1126758497,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73146,'Ϻƶлÿ0.12Ԫ ʷѴսһ','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>Ϻ걨һֵƶʷսϺгӣ̱ƶͱͨļҶԿ֮ϺƶͨгսѾһĵزƶ̵ͨĲݡϺƶڼ̡2939ײ֮ٴγˡ60ƣ˴ȫͨġ60ײͱ֮Ϊˮޡ̴ϺͨһߺҪԭʼļ۸սһ߿ʼ˱սӦԷѾ¯ֻһ¾ͿʼС</p>\n\n\n<p>ƶ60ײɱ</p>\n\n<p>ûͨ棬ͨĹ湥ƺƣϺƶȻȫͨ60ײ֮ͣȫǽ֪ڼеϺƶûעһײ͵ͬʱֱӾϺͨȴΪš</p>\n\n<p>˽⵽˴Ϻƶġ60ײʹﵽײ0.15Ԫ/Ӻײ0.12Ԫ/ӵġʵڡŻݡڴ˴ν֮ǰƶͨгսѾȼҵʿϺгʷսһС</p>\n\n<p>ͨϣԭʼ۸ս</p>\n\n<p>Ѿƶġ60ײƶһ׷ĿǰѾ׼ϡϺܾͨѦ𸣶Լ߱ʾϺͨ˴̴һҪԭһѾõġϼܹͨGʷҪƶʷѵ10%15%CDMAʷƶƽCDMA1XʷѸƶ10%</p>\n\n<p>˫ܲҪȡ𶨼֮ۡϺƶԸߡСͶгȫʷµ̨ϰЭ̶ʱľϼܹȻʧȥ塣˫ʼδġ</p>\n\n<p>ܲţӦֹӼ۸ս</p>\n\n<p>ΪܲţϺͨŹгܴΪϺԭеԽԵʷг֮׵ġʾĿǰƶӪ̵ʷѵһҪ˫Ķ̺ͽǽԾֵġӵļ۸սӦֹܵġ\n</p>\n\n\t\n\t\t\n','','1124443591','',NULL,1126758497,1126758497,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73147,'Ӫɼ ϰջǿ۸','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>ͨ </p>\n<p>81գһֵ鴫ա</p>\n<p>725գһΪǵ鷽\"ս汾\"ϢԶšMSNȷʽйƶ㽭Ĵڵȷֹ˾ԱڲϢԭΪ\"ŵĸĸ﷽\n鷽ö£ƶͨ=йƶͨGCϱͨͨCţͨ=йţͨCͨͨ=йͨ÷͹Ժϣ81\" 81մ˴Բơ</p>\n<p>4·ݣίڱʾ\"ҵ϶Ҫ飬Ǽ򵥵ĺ϶߼϶˵ͨ\"˵ҹҵĿǰ6ңظͶʵ⣬ڵҵչͬʱԽ3GչԣίڻоνԴúá</p>\n<p>3GʽƳ֮ǰйŲҵдģ顣ǹĴһֱӪ̡</p>\n<p>ԴԭйŲֵڣӪ̵ƺһֱͣ飬Ӫɼǰһ飬Сͨϲˣͨʧˣֵͨͨһ鲻ֻ֪˭˭</p>\n<p>ĺôҲд۵ġոչȥļڣͨʵѾṩһ700Աȥ˲С𶯣ȶԣӪԱӽ80򣬵ԱһСս</p>\n<p>ݱйŲҵĲȷԵ¹ͶڹͨɷʱѲǰйͨCEOƣĿǰTelefnica˾Ψһһ\"\"ͶͨĹʵŹ˾ڴǰͨͬ¼µšԼձNTTȶҹ˾й̸Уûдһ¡˵\"Щ̶йŲҵĲȷĴǣû㹻\'\'ͶͨȻֻҸ˵жϣӦһҪԭͶ֮ǰͶ߱ϸܷеա\"飬ӪмΡʲôʱӪжһȨ</p>\n<p>Ϊ˱ظ飬ʵظ費һȫĻ£ʶȵظǳ־ǰᣬ־гҪģϾڵϰոĵǼ۸⣬ҿĿǰгļ۸ǴоռģʷѻԶûдﵽĵؼλ</p>\n<p>Ȼ⻹ǽڷίȥǣϰոĵǲΣβͨţ֮¡صţʱҲһ£īӵһûִͨŵĹȥ徲ȥ() </p>\n\t\n\t\t\n','','1124443591','',NULL,1126758497,1126758497,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73144,'ŵCOOְλ ࿭','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>켫82Ϣ( )죬ŵй˾Ѿ֤ʵй˾³࿭(Olli-Pekka Kallasvuo)61սԼꡤŵǹ˾CEOͬʱ࿭ڽ101վι˾ܲüCOOŵܲ忨ƤҲ򡰸ԭ21Ρ</p>\n<p>ڴ˴УŵCOOְλ˽⣬ŵǹ˾δֹøλ\n</p>\n<p>ڽ2µŵڻ20ϣŵǹ˾³CEOԼꡤЯ㹲ͬ࣬˾ִиܲÿ࿭ҲλУոճŵй˾³20041£ƶ绰ҵܾҲй10ϯپ</p>\n<p>ŵй˾ʿѯ࿭ְλεԷʾĿǰûȷ˵</p>\n<p>ȥףԼꡤʾԼڽڽŵʿ20066·ε˵Ϊӽ101գ࿭ǹ˾ܲüCOOѾʼְĲֹֻCEOҪ6¡</p>\n<p>࿭ŵѾ25꣬Ҳһֱǹ˾ĺ쵼֮һʿƣβʹԼꡤԭеļȶ뷢̫ı仯</p>\n<p>ȥףŵϯսԹ١粿ͶŮʿ粿ȫҵܾӿ˹̴ְʱŵǱʾ±䶯ǻ£ʹŶ»</p>\n<p>54İڴȥŵǶ³CEOְԵ˾ķִж³Ŀǰŵǻδ200661պ˾³˵() </p>\n<p>&nbsp; <strong>ر</strong></p>\n<p>&nbsp; </p>\n\t\n\t\t\n','','1124443593','',NULL,1126758496,1126758496,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73145,'ٿ籩ϯŷг','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t\n\t\n\t<p>ߣ  </p>\n\n<p>򡡽顿</p>\n\n<p>Ӳĵ֣Ƿ׷׽ŷ޵ŷûڷɿҵ񣬲ŷ޵ҵ˸ƶ˻زƷĲչͬʱҵ\nҲĵظıŷ˵Ĺϰߡŷһ¡ķ籩  </p>\n\n<p>eNetȶר塿ջͳƷ2004꣬ŷû1400ĿǰѴﵽ4400ĿûҪࡣŷ޼ͥԼ25%˸ٿģ൱޴λ׶صоOvumķʦCharlotte DaviesƣѳΪŷ޵ </p>\n\n<p>ҵѳΪŷ޵һ޴гջԤ⣬2005꣬ŷûߺDSLķÿɴ240Ԫ2008ߵ420ԪΪҪǣΪ羭õļλ׶صĴ½о˾ƣӢûӰκʱһ˵֡ʹüʱͨѶȻͬʱ߹㲥ϷûҲࡣԼķ֮һİκû߹DVDû߹Ҳ40%Żŷ޲ŵĸNick HazellƣıûĹϰߣȥܵģѱΪʵ </p>\n\n<p>ûӣʹŷ޸˾ࡣ¹źӢŵDSLٶԶԶǵԤڡ磬ţһDSL65%3¾ʹﵽ340ˣƼҵﵽ4.1Ԫںͥûﵽ47%гͷKPN˾һȵDSLͬ51%ﵽ1.31Ԫ </p>\n\n<p>ЧӦרŴ֡ϷͶĲݺͷĹ˾ϷԵӰ졣Photoways˾ŷͼӡ˾ù˾CEO Michel de GuilhermierƣûпûPhotowaysָ˾Լ98%ûǿûǰ˾æһһһ죬ûڰ칫ϴĩƬڣͥΪձ飬ĸ߷Ϊϡ͸¶˾2004Ҳˡ </p>\n\n<p>ͬʱվҲʷ¸ߡõ¹Ź˾T-Online˵Musicloadпͻ150ˣÿµ100ΡƻԹ˾iTunesַŷ޵16ƹ㡣6£ŷûͨŻýַ1400׸гоForresterԤ⣬2008꣬ŷгҵ񽫴24ԪĹģeLabs֯ĸܲBarney WraggƣʶƵýûѸ</p>\n\n<p>⣬ٿڸıŷ˵ʽûʹÿʱǶʹû绰нSkype˾ҪṩPCPCĿǰȫĶѴﵽ4700ˣ82%ĶǿûSkypeľ֡Vonageڽ5ӢƳΪ17.50Ԫȫʱ绰ӢšŵӪ̿ʼڷƳ˴VoIP񣬶ֹͳ͸гоIDCķ2008꣬ŷг绰ģﵽ42Ԫջ޹԰ŷ޼ĵGregH. Garrisonƣҵ񽫳Ϊҵɱﵡ </p>\n\n<p>⣬ҵҲƳ˵ķչeBay˾Ӣֹ˾ķҵRichard </p>\n\n<p>Ambroseƣ½eBayվĿûûࡣҪĶǷḻͼƬϡЩվṩ3Dͼ񣬱Ӣfindaproperty.comṩƲҵλYoox.com۴۵ʱзװûжơվCEO Gabriele TazzariƣûʮϲֽʽĻ </p>\n\n<p>ֽʽĻҲƶ߹ҵķչӰ̡绰˾ԼĹ˾ÿĸƣĹм˶ƵݡDoubleClick˾2004ͳƷ֣ý塱ĹĵǾ̬ʵĽࡣi-Level PLC˾ս EdLingƣýĵ֮ߣ˳ԾָĿǰʽռ߹10%ջԤ⣬2008꣬ļռʹŷ޵߹ﵽ80Ԫ </p>\n\n<p>һķչңƻûʼԼĸý壬Ƶ͵͵ȡڼڣֺͨѶҵ񽫻ᷢϷԵı仯</p>\n\n\t\n\t\t\n','','1124443592','',NULL,1126758496,1126758496,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73143,'ѧƶ©','','','','','','\n\n\n\n\t\n\t\n\t\n\t\n\t<p>/ </p>\n\t\n\t<p>Ѷ  ѧͬѧ򱾱ӳƶ˾ҵ©䷢ֵķʽƽշѳʵ</p>\n\n<p>磬Сʾ˷©Ḷ́½ƶ롰ˮ(շѵ㲥ҳ)ҳʾ趩밴ȷ5Ԫ£Ȼҳ·ġҳ桱صҳٰؼֻصˡˮշҳ棬䱣\nǩ(൱ڵҳղؼ)</p>\n\n<p>ؼһǩʾַ޸ģڶhttp֮ǰַȫɾȻ󱣴棬ٴӱǩ룬ֻ֡ˮҳ(ֻжûܿ)</p>\n\n<p>ƣܷһ©ùΣÿνշʾͽ1861ѯδշѼ¼ݽܣ÷ǰôѵѧģԴֻշҳáҲвʱһTCLֻԹδɹ</p>\n\n<p>ͬѧʾһշ©δϣͨƶ˾ʱ޲©</p>\n\n<p>󽫴ƶͷ1860ӳԱʾе顣\n</p>\n\n\t\n\t\t\n','','1124443593','',NULL,1126758496,1126758496,1,1,0,0);
INSERT INTO {$table_header}content_1 VALUES (73207,'test111111111111111111111','','','','','','<IMG alt=\"\" src=\"../resource/img/h000/h00/3c24e648e713da6946d4d4b9045b2c3d.jpg\" border=0> ','','','','',1127703636,1127703684,1,1,1,3);



DROP TABLE IF EXISTS {$table_header}content_2;

CREATE TABLE {$table_header}content_2 (
  `ContentID` int(10) NOT NULL auto_increment,
  `CreationDate` int(10) NOT NULL default '0',
  `ModifiedDate` int(10) NOT NULL default '0',
  `CreationUserID` int(8) NOT NULL default '0',
  `LastModifiedUserID` int(8) NOT NULL default '0',
  `ContributionUserID` int(8) NOT NULL default '0',
  `ContributionID` int(10) NOT NULL default '0',
  `SoftName` varchar(250) NOT NULL default '',
  `SoftSize` varchar(15) NOT NULL default '',
  `Language` varchar(10) NOT NULL default '',
  `SoftType` varchar(50) NOT NULL default '',
  `Environment` varchar(50) NOT NULL default '',
  `Star` int(2) NOT NULL default '0',
  `Developer` varchar(250) NOT NULL default '',
  `SoftKeywords` varchar(250) NOT NULL default '',
  `Intro` text NOT NULL,
  `Download` text NOT NULL,
  `Photo` varchar(250) NOT NULL default '',
  `LocalUpload` varchar(250) NOT NULL default '',
  `CustomSoftLinks` text NOT NULL,
  `CustomLinks` text NOT NULL,
  PRIMARY KEY  (`ContentID`)
) TYPE=MyISAM;



INSERT INTO {$table_header}content_2 VALUES (103,1126758899,1126758899,1,1,0,0,'ϵͳ 1.48','3359KB','','Ѱ/ϵͳ','Win9x/Me/NT/2000/XP',4,'http://www.microsword.net','','&nbsp;&nbsp;&nbsp;&nbsp;ϵͳһСɵϵͳǿܽϵͳŻáIE޸ϵͳļиԻãȵȡ^_^  ','http://sq5.onlinedown.net/down/SysTools148.exe\rhttp://hld.onlinedown.net/down/SysTools148.exe\rhttp://wh.onlinedown.net:82/down/SysTools148.exe\rhttp://ftpwh.onlinedown.net:82/down/SysTools148.exe\rhttp://nc.onlinedown.net/down/SysTools148.exe\rhttp://sx.huajun.net/files/SysTools148.exe\rhttp://lctt.onlinedown.net/down/SysTools148.exe\rhttp://sccrc2.onlinedown.net:82/down/SysTools148.exe\rhttp://gzcnc.onlinedown.net:82/files/SysTools148.exe\rhttp://sccnc.onlinedown.net/down/SysTools148.exe\rhttp://cttnb.onlinedown.net/down/SysTools148.exe\rhttp://hecz.onlinedown.net/down/SysTools148.exe\rhttp://hbcrc.onlinedown.net:82/down/SysTools148.exe\rhttp://hld165.onlinedown.net/down/SysTools148.exe\rhttp://ctttl.onlinedown.net:82/down/SysTools148.exe\rhttp://wznetcom.onlinedown.com:81/down/SysTools148.exe\rhttp://zj.onlinedown.net:82/down/SysTools148.exe\rftp://cnc:10060@221.12.150.27/SysTools148.exe\rftp://cnc:10060@soft.10060.tv/SysTools148.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/SysTools148.exe\rhttp://ctttl.onlinedown.net:8080/down/SysTools148.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (104,1126758900,1126855598,1,1,0,0,'Windows Power Tools 5.0.2005','5524KB','Ӣ','/ϵͳ','Win9x/Me/NT/2000/XP',4,'http://sensor.hypermart.net/','','5ǳõϵͳ: HyperWindows, HyperNet, Security Toolkit, Quick-AccelaratorRAM-MagnifierHyperWindowsϵͳŻӶʹ֮еظ졣HyperNetṩ˶ãʹٶȸ졣 Security Toolkitǿϵͳİȫԣṩ˶ְȫáQuick-AcceleratorǿϵͳٶȡRAM-Magnifier߿԰ڴʹ״ϵͳȶԡ ','http://www.dmisoftware.com/drptools.exe\nhttp://sq5.onlinedown.net/down/drptools.exe\nhttp://hld.onlinedown.net/down/drptools.exe\nhttp://wh.onlinedown.net:82/down/drptools.exe\nhttp://ftpwh.onlinedown.net:82/down/drptools.exe\nhttp://nc.onlinedown.net/down/drptools.exe\nhttp://sx.huajun.net/files/drptools.exe\nhttp://lctt.onlinedown.net/down/drptools.exe\nhttp://sccrc2.onlinedown.net:82/down/drptools.exe\nhttp://gzcnc.onlinedown.net:82/files/drptools.exe\nhttp://sccnc.onlinedown.net/down/drptools.exe\nhttp://cttnb.onlinedown.net/down/drptools.exe\nhttp://hecz.onlinedown.net/down/drptools.exe\nhttp://hbcrc.onlinedown.net:82/down/drptools.exe\nhttp://hld165.onlinedown.net/down/drptools.exe\nhttp://ctttl.onlinedown.net:82/down/drptools.exe\nhttp://wznetcom.onlinedown.com:81/down/drptools.exe\nhttp://zj.onlinedown.net:82/down/drptools.exe\nftp://cnc:10060@221.12.150.27/drptools.exe\nftp://cnc:10060@soft.10060.tv/drptools.exe\nftp://wzcnc:wzcnc@onlinedown.wzcnc.com/drptools.exe\nhttp://ctttl.onlinedown.net:8080/down/drptools.exe','../resource/img/h000/h00/img200509161526350.jpg','','','');
INSERT INTO {$table_header}content_2 VALUES (105,1126758900,1126855503,1,1,0,0,'ɽ -没 09.14','3609KB','','/ɱ','Win9x/Me/NT/2000/XP',5,'http://www.duba.net/download/','','ɽԳں;ɰð8а汾-没.. ','http://download.duba.net/download/downloadupdate/KS050914.EXE\nhttp://sq.onlinedown.net:82/down/KS050914.EXE\nhttp://wh.onlinedown.net:82/down/KS050914.EXE\nhttp://ftpwh.onlinedown.net:82/down/KS050914.EXE\nhttp://hlbr.onlinedown.net/files3/KS050914.EXE\nhttp://nc.onlinedown.net/down/KS050914.EXE\nhttp://sx.huajun.net/files/KS050914.EXE\nhttp://lctt.onlinedown.net/down/KS050914.EXE\nhttp://sccrc2.onlinedown.net:82/down/KS050914.EXE\nhttp://gzcnc.onlinedown.net:82/files/KS050914.EXE\nhttp://sccnc.onlinedown.net/down/KS050914.EXE\nhttp://crc.onlinedown.net:82/files/KS050914.EXE\nhttp://cttnb.onlinedown.net/down/KS050914.EXE\nhttp://jsnetcom.onlinedown.com/down/KS050914.EXE\nhttp://hld165.onlinedown.net/down/KS050914.EXE\nhttp://ctttl.onlinedown.net:82/down/KS050914.EXE\nhttp://wznetcom.onlinedown.com:81/down/KS050914.EXE\nhttp://zj.onlinedown.net:82/down/KS050914.EXE\nftp://cnc:10060@221.12.150.27/KS050914.EXE\nftp://cnc:10060@soft.10060.tv/KS050914.EXE\nftp://wzcnc:wzcnc@onlinedown.wzcnc.com/KS050914.EXE\nhttp://ctttl.onlinedown.net:8080/down/KS050914.EXE','../resource/img/h000/h00/img200509161525000.jpg','','','');
INSERT INTO {$table_header}content_2 VALUES (106,1126758900,1126758900,1,1,0,0,'ӥ/Ʊ/֧Ʊӡϵͳ 3.0','1573KB','','/ӡ','Win9x/Me/NT/2000/XP',4,'http://fly-eagle.nease.net/','','ӥҿͨõݴӡڸҵи൥ݵĴӡмõص㣬ӡݵĲһ趨ʹãûԶӡݡӡλá塢СɫÿдӡȲʵʹùҲԷӡ<br>\nΪûʹãϵͳֶ֧״ӡڴӡʱݴӡݵѡͬĵݼɣʵԻĵݴӡ̡<br>\nϵͳִ֧ӡĵͬʱִ֧ӡݵĹѽݿ£ӡϵݽԶдݿ⣬û⴦ӡݣܰʽӡ  ','http://fly-eagle.nease.net/Res/flytable-setup.exe\rhttp://sq5.onlinedown.net/down/flytable-setup.exe\rhttp://hld.onlinedown.net/down/flytable-setup.exe\rhttp://wh.onlinedown.net:82/down/flytable-setup.exe\rhttp://ftpwh.onlinedown.net:82/down/flytable-setup.exe\rhttp://nc.onlinedown.net/down/flytable-setup.exe\rhttp://sx.huajun.net/files/flytable-setup.exe\rhttp://lctt.onlinedown.net/down/flytable-setup.exe\rhttp://sccrc2.onlinedown.net:82/down/flytable-setup.exe\rhttp://gzcnc.onlinedown.net:82/files/flytable-setup.exe\rhttp://sccnc.onlinedown.net/down/flytable-setup.exe\rhttp://cttnb.onlinedown.net/down/flytable-setup.exe\rhttp://hecz.onlinedown.net/down/flytable-setup.exe\rhttp://hbcrc.onlinedown.net:82/down/flytable-setup.exe\rhttp://hld165.onlinedown.net/down/flytable-setup.exe\rhttp://ctttl.onlinedown.net:82/down/flytable-setup.exe\rhttp://wznetcom.onlinedown.com:81/down/flytable-setup.exe\rhttp://zj.onlinedown.net:82/down/flytable-setup.exe\rftp://cnc:10060@221.12.150.27/flytable-setup.exe\rftp://cnc:10060@soft.10060.tv/flytable-setup.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/flytable-setup.exe\rhttp://ctttl.onlinedown.net:8080/down/flytable-setup.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (107,1126758901,1126758901,1,1,0,0,'Aimini P2P 1.6.3.3','2401KB','Ӣ','/ļ','Win9x/Me/NT/2000/XP',4,'http://www.aimini.com/','','    ๦ܵļϢP2P(peer-to-peer)Եû͵ļûֱܹ֮ӽӣܹٺͼĴͲļ֮ͨƵƵ죬֮ԸݹϢƷΪԴṩȫ͸Чķַ ⣬һܿĵַһܺõFTPͻߡ  ','http://www.aimini.net/download/setup_cns.exe\rhttp://sq5.onlinedown.net/down/setup_cns.exe\rhttp://hld.onlinedown.net/down/setup_cns.exe\rhttp://wh.onlinedown.net:82/down/setup_cns.exe\rhttp://ftpwh.onlinedown.net:82/down/setup_cns.exe\rhttp://nc.onlinedown.net/down/setup_cns.exe\rhttp://sx.huajun.net/files/setup_cns.exe\rhttp://lctt.onlinedown.net/down/setup_cns.exe\rhttp://sccrc2.onlinedown.net:82/down/setup_cns.exe\rhttp://gzcnc.onlinedown.net:82/files/setup_cns.exe\rhttp://sccnc.onlinedown.net/down/setup_cns.exe\rhttp://cttnb.onlinedown.net/down/setup_cns.exe\rhttp://hecz.onlinedown.net/down/setup_cns.exe\rhttp://hbcrc.onlinedown.net:82/down/setup_cns.exe\rhttp://hld165.onlinedown.net/down/setup_cns.exe\rhttp://ctttl.onlinedown.net:82/down/setup_cns.exe\rhttp://wznetcom.onlinedown.com:81/down/setup_cns.exe\rhttp://zj.onlinedown.net:82/down/setup_cns.exe\rftp://cnc:10060@221.12.150.27/setup_cns.exe\rftp://cnc:10060@soft.10060.tv/setup_cns.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/setup_cns.exe\rhttp://ctttl.onlinedown.net:8080/down/setup_cns.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (108,1126758901,1126758901,1,1,0,0,'Cache View 2.6.01','1461KB','Ӣ','/ϵͳ','Win9x/Me/NT/2000/XP',4,'','','&nbsp;&nbsp;&nbsp;&nbsp;쿴NetscapeMozillaIEļĹߡԴ򿪻ļ쿴ƻӻɾǣΪؽļƺĿ¼ṹԽбCSVʽļ  ','http://www.progsoc.uts.edu.au/~timj/cv/dl/cview260.zip\rhttp://sq5.onlinedown.net/down/cview260.zip\rhttp://hld.onlinedown.net/down/cview260.zip\rhttp://wh.onlinedown.net:82/down/cview260.zip\rhttp://ftpwh.onlinedown.net:82/down/cview260.zip\rhttp://nc.onlinedown.net/down/cview260.zip\rhttp://sx.huajun.net/files/cview260.zip\rhttp://lctt.onlinedown.net/down/cview260.zip\rhttp://sccrc2.onlinedown.net:82/down/cview260.zip\rhttp://gzcnc.onlinedown.net:82/files/cview260.zip\rhttp://sccnc.onlinedown.net/down/cview260.zip\rhttp://cttnb.onlinedown.net/down/cview260.zip\rhttp://hecz.onlinedown.net/down/cview260.zip\rhttp://hbcrc.onlinedown.net:82/down/cview260.zip\rhttp://hld165.onlinedown.net/down/cview260.zip\rhttp://ctttl.onlinedown.net:82/down/cview260.zip\rhttp://wznetcom.onlinedown.com:81/down/cview260.zip\rhttp://zj.onlinedown.net:82/down/cview260.zip\rftp://cnc:10060@221.12.150.27/cview260.zip\rftp://cnc:10060@soft.10060.tv/cview260.zip\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/cview260.zip\rhttp://ctttl.onlinedown.net:8080/down/cview260.zip','','','','');
INSERT INTO {$table_header}content_2 VALUES (109,1126758901,1126758901,1,1,0,0,'ŵ 1.0','37242KB','','/ɱ','Win9x/Me/NT/2000/XP',4,'http://www.sanlen.com','','&nbsp;&nbsp;&nbsp;&nbsp;ŵϵɱȡʽķģʽнģǴӷ˵ն˵аȫڵļ磬ͬʱЩڵڰȫĵĿ£ȡпƣֲģʽƹܣֹĽȾڿɿطΧ֮ڣҵĳС<br>\n&nbsp;&nbsp;&nbsp;&nbsp;Ĵƣ<br>\n&nbsp;&nbsp;&nbsp;&nbsp;֪Զϵͳһ廯ϵ, ĳһڵ⵽δ֪, ˽ڵڵ㷢֪ͨ, Զȡδ֪Ϣ.ʹµĽڵܸò<br>\n&nbsp;&nbsp;&nbsp;&nbsp;ڵЭͬɱž罻ȾЭͬɱƲھеķ, ͬʱͷ۵ĽȾ⡣ⳣ๫˾жķﲡɴ̱վյЭͬɱָԺжԼ;ӣȻк̨ɱȷȫԺٽԼӺϣܵ˲ž˽Ⱦ<br>\n&nbsp;&nbsp;&nbsp;&nbsp;,Эϵͳ֧57600վڵ1024̨Эϵͳžɢǿʹȫװķַ׾١<br>\n&nbsp;&nbsp;&nbsp;&nbsp;ʵʱϹԡֲʱزƲͬʱҳԴжϸԴ(ʼߣվھӣ̣̣վ)žţִк̨ɱȻϸ档֤ûԣ˾Ĺ򲻱ţΪɱжϡ<br>\n&nbsp;&nbsp;&nbsp;&nbsp;<br>\n&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;λϵŵϵҵ岡ҵİȫȫǿӦȫģκνڵĴϵͳĲȫԡŵϵҪΣؼģͻ˲Ƕڵİȫ˵İȫǿڵϵͳʵʱͬʱܲȾĵʼϵͳWEB񡣲ðŵȽĲ棬ϲĴƣ簲ȫ״̬<br>\n&nbsp;&nbsp;&nbsp;&nbsp;лйֲʽʵʩԱͨƶֻ̨һ̨Ϳеκλʵʩȫն˵ķϵƣȫȫ״̬ʵʩڵķֲʽʵʩЭͬɨ裬ڲжϹɲҵСȽķֲʽʩ̵Ķȫͬڵļڴȫ没ɨ衣лĹͷֲʽĴģʽԱĲҲΪģͷöˡ<br>\n&nbsp;&nbsp;&nbsp;&nbsp;ܻδ֪ԶԣģʽŵеİװַƣİװܻԶʶϵͳΪȫÿڵõķϵͳӶ׽ԱнųȫԶϵͳʵʱظļͬʱڵ㷢֪ͨ͸²ȫķ״̬£Ƶ״̬<br>\n&nbsp;&nbsp;&nbsp;&nbsp;ŵδ֪õĹ˺ϵѾΪһ֮Чδ֪ԣӸƽδ֪ϵ⡣&nbsp;  ','http://www.sanlen.com/soft/sp/Anti_net.zip\rhttp://sq5.onlinedown.net/down/Anti_net.zip\rhttp://hld.onlinedown.net/down/Anti_net.zip\rhttp://wh.onlinedown.net:82/down/Anti_net.zip\rhttp://ftpwh.onlinedown.net:82/down/Anti_net.zip\rhttp://nc.onlinedown.net/down/Anti_net.zip\rhttp://sx.huajun.net/files/Anti_net.zip\rhttp://lctt.onlinedown.net/down/Anti_net.zip\rhttp://sccrc2.onlinedown.net:82/down/Anti_net.zip\rhttp://gzcnc.onlinedown.net:82/files/Anti_net.zip\rhttp://sccnc.onlinedown.net/down/Anti_net.zip\rhttp://cttnb.onlinedown.net/down/Anti_net.zip\rhttp://hecz.onlinedown.net/down/Anti_net.zip\rhttp://hbcrc.onlinedown.net:82/down/Anti_net.zip\rhttp://hld165.onlinedown.net/down/Anti_net.zip\rhttp://ctttl.onlinedown.net:82/down/Anti_net.zip\rhttp://wznetcom.onlinedown.com:81/down/Anti_net.zip\rhttp://zj.onlinedown.net:82/down/Anti_net.zip\rftp://cnc:10060@221.12.150.27/Anti_net.zip\rftp://cnc:10060@soft.10060.tv/Anti_net.zip\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/Anti_net.zip\rhttp://ctttl.onlinedown.net:8080/down/Anti_net.zip','','','','');
INSERT INTO {$table_header}content_2 VALUES (110,1126758902,1126758902,1,1,0,0,'Code Co-op 4.6a','3881KB','Ӣ','/̹','Win9x/Me/NT/2000/XP',4,'http://www.relisoft.com','','&nbsp;&nbsp;&nbsp;&nbsp;ֿĿߣͨ˵˵ЭͰ汾ƹߣʹòͬԵĳԱͨVPNʼĿ.  ','ftp://ftp.relisoft.com/co-op.exe\rhttp://sq5.onlinedown.net/down/co-op.exe\rhttp://hld.onlinedown.net/down/co-op.exe\rhttp://wh.onlinedown.net:82/down/co-op.exe\rhttp://ftpwh.onlinedown.net:82/down/co-op.exe\rhttp://nc.onlinedown.net/down/co-op.exe\rhttp://sx.huajun.net/files/co-op.exe\rhttp://lctt.onlinedown.net/down/co-op.exe\rhttp://sccrc2.onlinedown.net:82/down/co-op.exe\rhttp://gzcnc.onlinedown.net:82/files/co-op.exe\rhttp://sccnc.onlinedown.net/down/co-op.exe\rhttp://cttnb.onlinedown.net/down/co-op.exe\rhttp://hecz.onlinedown.net/down/co-op.exe\rhttp://hbcrc.onlinedown.net:82/down/co-op.exe\rhttp://hld165.onlinedown.net/down/co-op.exe\rhttp://ctttl.onlinedown.net:82/down/co-op.exe\rhttp://wznetcom.onlinedown.com:81/down/co-op.exe\rhttp://zj.onlinedown.net:82/down/co-op.exe\rftp://cnc:10060@221.12.150.27/co-op.exe\rftp://cnc:10060@soft.10060.tv/co-op.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/co-op.exe\rhttp://ctttl.onlinedown.net:8080/down/co-op.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (111,1126758902,1126758902,1,1,0,0,'ʯļм 2.0','3350KB','','/ϵͳȫ','Win9x/Me/NT/2000/XP',4,'http://www.goldenfound.com/close','','&nbsp;&nbsp;&nbsp;&nbsp;ʯļмܡһרҵļм!ԻƣѺüõص㣡öTMFGǿȼܣ֤ݰԡ  ','http://www.goldenfound.com/close/diamond.exe\rhttp://sq.onlinedown.net:82/down/diamond.exe\rhttp://wh.onlinedown.net:82/down/diamond.exe\rhttp://ftpwh.onlinedown.net:82/down/diamond.exe\rhttp://hlbr.onlinedown.net/files3/diamond.exe\rhttp://nc.onlinedown.net/down/diamond.exe\rhttp://sx.huajun.net/files/diamond.exe\rhttp://lctt.onlinedown.net/down/diamond.exe\rhttp://sccrc2.onlinedown.net:82/down/diamond.exe\rhttp://gzcnc.onlinedown.net:82/files/diamond.exe\rhttp://sccnc.onlinedown.net/down/diamond.exe\rhttp://crc.onlinedown.net:82/files/diamond.exe\rhttp://cttnb.onlinedown.net/down/diamond.exe\rhttp://jsnetcom.onlinedown.com/down/diamond.exe\rhttp://hld165.onlinedown.net/down/diamond.exe\rhttp://ctttl.onlinedown.net:82/down/diamond.exe\rhttp://wznetcom.onlinedown.com:81/down/diamond.exe\rhttp://zj.onlinedown.net:82/down/diamond.exe\rftp://cnc:10060@221.12.150.27/diamond.exe\rftp://cnc:10060@soft.10060.tv/diamond.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/diamond.exe\rhttp://ctttl.onlinedown.net:8080/down/diamond.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (112,1126758902,1126758902,1,1,0,0,'αװļ 1.25','3631KB','','Ѱ/ϵͳȫ','Win9x/Me/NT/2000/XP',4,'http://hws.512j.com','','&nbsp;&nbsp;&nbsp;&nbsp;ǳ,Ұȫļαװ,ֻҪͻʹñ,ʩչһԽеļαװɸϵͳļ,罫ɻվ,ӵ˻վۺ͹,˽Ҳֻǽ˻վ,ӶﵽظļеĿ.㲻صļαװ,ļܵ,Ϊֻļвļ.Ҫļ˽ļزٵ.ҪǸȫ,õ,עʲô.<br>\n<br>\n&nbsp;&nbsp;:<br>\n&nbsp;&nbsp;&nbsp;&nbsp;1.,;<br>\n&nbsp;&nbsp;&nbsp;&nbsp;2.ݲ,ֱѡļпѡļкҼ˵в.  ','http://hws.533.net/download/weizhuang.exe\rhttp://sq.onlinedown.net:82/down/weizhuang.exe\rhttp://wh.onlinedown.net:82/down/weizhuang.exe\rhttp://ftpwh.onlinedown.net:82/down/weizhuang.exe\rhttp://hlbr.onlinedown.net/files3/weizhuang.exe\rhttp://nc.onlinedown.net/down/weizhuang.exe\rhttp://sx.huajun.net/files/weizhuang.exe\rhttp://lctt.onlinedown.net/down/weizhuang.exe\rhttp://sccrc2.onlinedown.net:82/down/weizhuang.exe\rhttp://gzcnc.onlinedown.net:82/files/weizhuang.exe\rhttp://sccnc.onlinedown.net/down/weizhuang.exe\rhttp://crc.onlinedown.net:82/files/weizhuang.exe\rhttp://cttnb.onlinedown.net/down/weizhuang.exe\rhttp://jsnetcom.onlinedown.com/down/weizhuang.exe\rhttp://hld165.onlinedown.net/down/weizhuang.exe\rhttp://ctttl.onlinedown.net:82/down/weizhuang.exe\rhttp://wznetcom.onlinedown.com:81/down/weizhuang.exe\rhttp://zj.onlinedown.net:82/down/weizhuang.exe\rftp://cnc:10060@221.12.150.27/weizhuang.exe\rftp://cnc:10060@soft.10060.tv/weizhuang.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/weizhuang.exe\rhttp://ctttl.onlinedown.net:8080/down/weizhuang.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (113,1126758902,1126758902,1,1,0,0,'PGWARE SuperRam 5.9.12.2005','2020KB','','//ڴ','Win9x/Me/NT/2000/XP',4,'','','    Windows ϵͳУǲǾڴ治ãϵͳҲ--ʹõԽãϵͳԽʹ SuperRam ĸ˵Եڴͷų˷ѵһ߼ܡӵиڴ棬ļи졣 <br>\nο: <br>\nܻڴ <br>\n  ','http://sq.onlinedown.net:82/down/H_PGWARESuperRam.exe\rhttp://wh.onlinedown.net:82/down/H_PGWARESuperRam.exe\rhttp://ftpwh.onlinedown.net:82/down/H_PGWARESuperRam.exe\rhttp://hlbr.onlinedown.net/files3/H_PGWARESuperRam.exe\rhttp://nc.onlinedown.net/down/H_PGWARESuperRam.exe\rhttp://sx.huajun.net/files/H_PGWARESuperRam.exe\rhttp://lctt.onlinedown.net/down/H_PGWARESuperRam.exe\rhttp://sccrc2.onlinedown.net:82/down/H_PGWARESuperRam.exe\rhttp://gzcnc.onlinedown.net:82/files/H_PGWARESuperRam.exe\rhttp://sccnc.onlinedown.net/down/H_PGWARESuperRam.exe\rhttp://crc.onlinedown.net:82/files/H_PGWARESuperRam.exe\rhttp://cttnb.onlinedown.net/down/H_PGWARESuperRam.exe\rhttp://jsnetcom.onlinedown.com/down/H_PGWARESuperRam.exe\rhttp://hld165.onlinedown.net/down/H_PGWARESuperRam.exe\rhttp://ctttl.onlinedown.net:82/down/H_PGWARESuperRam.exe\rhttp://wznetcom.onlinedown.com:81/down/H_PGWARESuperRam.exe\rhttp://zj.onlinedown.net:82/down/H_PGWARESuperRam.exe\rftp://cnc:10060@221.12.150.27/H_PGWARESuperRam.exe\rftp://cnc:10060@soft.10060.tv/H_PGWARESuperRam.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/H_PGWARESuperRam.exe\rhttp://ctttl.onlinedown.net:8080/down/H_PGWARESuperRam.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (114,1126758903,1126758903,1,1,0,0,'NOD32 Antivirus System  2.50.44 For Win9x/ME','8270KB','Ӣ','/ɱ','Win9x/Me',4,'http://www.nod32.com/','','ȨķNOD32ܸߵķƷߺܳDOSWindows 9x/MeWindows NT/XP/2000Novell Netware ServerLinuxBSDȣṩ߼⹦ܣǽԤķ֮Զʼʵʱ⣬ռڴԴ٣ٶЧ⣡  ','http://u4.eset.com/eval/win/v2/ne98enst.exe\rhttp://sq.onlinedown.net:82/down/ne98enst.exe\rhttp://wh.onlinedown.net:82/down/ne98enst.exe\rhttp://ftpwh.onlinedown.net:82/down/ne98enst.exe\rhttp://hlbr.onlinedown.net/files3/ne98enst.exe\rhttp://nc.onlinedown.net/down/ne98enst.exe\rhttp://sx.huajun.net/files/ne98enst.exe\rhttp://lctt.onlinedown.net/down/ne98enst.exe\rhttp://sccrc2.onlinedown.net:82/down/ne98enst.exe\rhttp://gzcnc.onlinedown.net:82/files/ne98enst.exe\rhttp://sccnc.onlinedown.net/down/ne98enst.exe\rhttp://crc.onlinedown.net:82/files/ne98enst.exe\rhttp://cttnb.onlinedown.net/down/ne98enst.exe\rhttp://jsnetcom.onlinedown.com/down/ne98enst.exe\rhttp://hld165.onlinedown.net/down/ne98enst.exe\rhttp://ctttl.onlinedown.net:82/down/ne98enst.exe\rhttp://wznetcom.onlinedown.com:81/down/ne98enst.exe\rhttp://zj.onlinedown.net:82/down/ne98enst.exe\rftp://cnc:10060@221.12.150.27/ne98enst.exe\rftp://cnc:10060@soft.10060.tv/ne98enst.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/ne98enst.exe\rhttp://ctttl.onlinedown.net:8080/down/ne98enst.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (115,1126758903,1126855573,1,1,0,0,'ZTreeWin 1.50rc2','1170KB','Ӣ','/ļ','Win9x/Me/NT/2000/XP',4,'http://www.zedtek.com/','microsoft','&nbsp;&nbsp;&nbsp;&nbsp;ZTreeWinһıʽļߣ֧Windows 95Ժа汾ǰDOSµļXTreeGoldڵǰGUIģʽѾˣһ32λWindowsʹ޵ıݡ ','http://www.zedtek.com/download/ztw150rc2.exe\nhttp://sq.onlinedown.net:82/down/ztw150rc2.exe\nhttp://wh.onlinedown.net:82/down/ztw150rc2.exe\nhttp://ftpwh.onlinedown.net:82/down/ztw150rc2.exe\nhttp://hlbr.onlinedown.net/files3/ztw150rc2.exe\nhttp://nc.onlinedown.net/down/ztw150rc2.exe\nhttp://sx.huajun.net/files/ztw150rc2.exe\nhttp://lctt.onlinedown.net/down/ztw150rc2.exe\nhttp://sccrc2.onlinedown.net:82/down/ztw150rc2.exe\nhttp://gzcnc.onlinedown.net:82/files/ztw150rc2.exe\nhttp://sccnc.onlinedown.net/down/ztw150rc2.exe\nhttp://crc.onlinedown.net:82/files/ztw150rc2.exe\nhttp://cttnb.onlinedown.net/down/ztw150rc2.exe\nhttp://jsnetcom.onlinedown.com/down/ztw150rc2.exe\nhttp://hld165.onlinedown.net/down/ztw150rc2.exe\nhttp://ctttl.onlinedown.net:82/down/ztw150rc2.exe\nhttp://wznetcom.onlinedown.com:81/down/ztw150rc2.exe\nhttp://zj.onlinedown.net:82/down/ztw150rc2.exe\nftp://cnc:10060@221.12.150.27/ztw150rc2.exe\nftp://cnc:10060@soft.10060.tv/ztw150rc2.exe\nftp://wzcnc:wzcnc@onlinedown.wzcnc.com/ztw150rc2.exe\nhttp://ctttl.onlinedown.net:8080/down/ztw150rc2.exe','../resource/img/h000/h00/img200509161526100.jpg','','','');
INSERT INTO {$table_header}content_2 VALUES (116,1126758903,1126767964,1,1,0,0,'SpeedFan 4.26','1401KB','Ӣ','Ѱ/ϵͳ','Win9x/Me/NT/2000/XP',4,'http://www.almico.com/speedfan.php','microsoft','<STRONG>ϵͳִ֧ӡĵ</STRONG><FONT color=#f73809>ͬʱִ֧ӡݵĹ</FONT>ѽݿ£ӡϵݽԶдݿ⣬û⴦ӡݣܰʽӡ ','http://www.almico.com/installspeedfan426.exe\nhttp://sq.onlinedown.net:82/down/installspeedfan426.exe\nhttp://wh.onlinedown.net:82/down/installspeedfan426.exe\nhttp://ftpwh.onlinedown.net:82/down/installspeedfan426.exe\nhttp://hlbr.onlinedown.net/files3/installspeedfan426.exe\nhttp://nc.onlinedown.net/down/installspeedfan426.exe\nhttp://sx.huajun.net/files/installspeedfan426.exe\nhttp://lctt.onlinedown.net/down/installspeedfan426.exe\nhttp://sccrc2.onlinedown.net:82/down/installspeedfan426.exe\nhttp://gzcnc.onlinedown.net:82/files/installspeedfan426.exe\nhttp://sccnc.onlinedown.net/down/installspeedfan426.exe\nhttp://crc.onlinedown.net:82/files/installspeedfan426.exe\nhttp://cttnb.onlinedown.net/down/installspeedfan426.exe\nhttp://jsnetcom.onlinedown.com/down/installspeedfan426.exe\nhttp://hld165.onlinedown.net/down/installspeedfan426.exe\nhttp://ctttl.onlinedown.net:82/down/installspeedfan426.exe\nhttp://wznetcom.onlinedown.com:81/down/installspeedfan426.exe\nhttp://zj.onlinedown.net:82/down/installspeedfan426.exe\nftp://cnc:10060@221.12.150.27/installspeedfan426.exe\nftp://cnc:10060@soft.10060.tv/installspeedfan426.exe\nftp://wzcnc:wzcnc@onlinedown.wzcnc.com/installspeedfan426.exe\nhttp://ctttl.onlinedown.net:8080/down/installspeedfan426.exe','../resource/img/h000/h00/img200509151326190.jpg','','73499,73475,73472','73465,73464,73463,73461,73457');
INSERT INTO {$table_header}content_2 VALUES (73,1126756354,1126756354,1,1,0,0,'Visual Zip Password Recovery 6.0 Beta 3','1037KB','Ӣ','/ƽ','Win9x/Me/NT/2000/XP',4,'http://www.regnow.com/softsell/visitor.cgi?product=6095-1&affiliate=10793&action=site&ref=http://www.zipcure.com/zippasswordcracker.html','','&nbsp;&nbsp;&nbsp;&nbsp;ZIP ѹļָصֶ֧ദ㣬ʹܹӸٶȥѰ㶪ʧ롣ʹͼβ棬ԶС볤ȼ֡ĸ\'\'롣жѯ湦ܣ´ҪָǰεĲѯʱֻ轫ļ뼴ɼϴεĲѯṩֲͬѯģʽڲ;  ','http://www.zipcure.com/beta/vzr60b3.exe\rhttp://sq.onlinedown.net:82/down/vzr60b3.exe\rhttp://wh.onlinedown.net:82/down/vzr60b3.exe\rhttp://ftpwh.onlinedown.net:82/down/vzr60b3.exe\rhttp://hlbr.onlinedown.net/files3/vzr60b3.exe\rhttp://nc.onlinedown.net/down/vzr60b3.exe\rhttp://sx.huajun.net/files/vzr60b3.exe\rhttp://lctt.onlinedown.net/down/vzr60b3.exe\rhttp://sccrc2.onlinedown.net:82/down/vzr60b3.exe\rhttp://gzcnc.onlinedown.net:82/files/vzr60b3.exe\rhttp://sccnc.onlinedown.net/down/vzr60b3.exe\rhttp://crc.onlinedown.net:82/files/vzr60b3.exe\rhttp://cttnb.onlinedown.net/down/vzr60b3.exe\rhttp://jsnetcom.onlinedown.com/down/vzr60b3.exe\rhttp://hld165.onlinedown.net/down/vzr60b3.exe\rhttp://ctttl.onlinedown.net:82/down/vzr60b3.exe\rhttp://wznetcom.onlinedown.com:81/down/vzr60b3.exe\rhttp://zj.onlinedown.net:82/down/vzr60b3.exe\rftp://cnc:10060@221.12.150.27/vzr60b3.exe\rftp://cnc:10060@soft.10060.tv/vzr60b3.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/vzr60b3.exe\rhttp://ctttl.onlinedown.net:8080/down/vzr60b3.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (74,1126756354,1126756354,1,1,0,0,'McAfee VirusScan DAT 4581','6317KB','Ӣ','Ѱ/ɱ','Win9x/Me/NT/2000/XP',5,'http://www.nai.com/','','&nbsp;&nbsp;&nbsp;McAfee, ˲,Ҳù˾WebScanXܺһ,¹! ˰VShieldԶϵͳ᳣פSystem TrayӴ̡ϡE-mailļпļʱԶļİȫԣļں棬ʵĴ֧ҼĿѡܣʹ뽫˵趨סñ޷Ҹ趨ע4.0.1Dr Solomon\'s virus棬Java AppletActiveXĹܣҲȻһ¡ǵòҪµ!  ','http://speedownload.nai.com/products/datfiles/4.x/nai/dat-4581.zip\rhttp://sq.onlinedown.net:82/down/dat-4581.zip\rhttp://wh.onlinedown.net:82/down/dat-4581.zip\rhttp://ftpwh.onlinedown.net:82/down/dat-4581.zip\rhttp://hlbr.onlinedown.net/files3/dat-4581.zip\rhttp://nc.onlinedown.net/down/dat-4581.zip\rhttp://sx.huajun.net/files/dat-4581.zip\rhttp://lctt.onlinedown.net/down/dat-4581.zip\rhttp://sccrc2.onlinedown.net:82/down/dat-4581.zip\rhttp://gzcnc.onlinedown.net:82/files/dat-4581.zip\rhttp://sccnc.onlinedown.net/down/dat-4581.zip\rhttp://crc.onlinedown.net:82/files/dat-4581.zip\rhttp://cttnb.onlinedown.net/down/dat-4581.zip\rhttp://jsnetcom.onlinedown.com/down/dat-4581.zip\rhttp://hld165.onlinedown.net/down/dat-4581.zip\rhttp://ctttl.onlinedown.net:82/down/dat-4581.zip\rhttp://wznetcom.onlinedown.com:81/down/dat-4581.zip\rhttp://zj.onlinedown.net:82/down/dat-4581.zip\rftp://cnc:10060@221.12.150.27/dat-4581.zip\rftp://cnc:10060@soft.10060.tv/dat-4581.zip\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/dat-4581.zip\rhttp://ctttl.onlinedown.net:8080/down/dat-4581.zip','','','','');
INSERT INTO {$table_header}content_2 VALUES (75,1126756354,1126756354,1,1,0,0,'McAfee VirusScan SuperDAT 4581','7349KB','Ӣ','Ѱ/ɱ','Win9x/Me/NT/2000/XP',5,'http://www.mcafee.com/0','',' McAfee, ˲,Ҳù˾WebScanXܺһ,¹! ˰VShieldԶϵͳ᳣פSystem TrayӴ̡ϡE-mailļпļʱԶļİȫԣļں棬ʵĴ֧ҼĿѡܣʹ뽫˵趨סñ޷Ҹ趨ע4.0.1Dr Solomon\'s virus棬Java AppletActiveXĹܣҲȻһ¡ǵòҪµ!  ','http://speedownload.nai.com:80/products/datfiles/4.x/nai/sdat4581.exe\rhttp://sq.onlinedown.net:82/down/sdat4581.exe\rhttp://wh.onlinedown.net:82/down/sdat4581.exe\rhttp://ftpwh.onlinedown.net:82/down/sdat4581.exe\rhttp://hlbr.onlinedown.net/files3/sdat4581.exe\rhttp://nc.onlinedown.net/down/sdat4581.exe\rhttp://sx.huajun.net/files/sdat4581.exe\rhttp://lctt.onlinedown.net/down/sdat4581.exe\rhttp://sccrc2.onlinedown.net:82/down/sdat4581.exe\rhttp://gzcnc.onlinedown.net:82/files/sdat4581.exe\rhttp://sccnc.onlinedown.net/down/sdat4581.exe\rhttp://crc.onlinedown.net:82/files/sdat4581.exe\rhttp://cttnb.onlinedown.net/down/sdat4581.exe\rhttp://jsnetcom.onlinedown.com/down/sdat4581.exe\rhttp://hld165.onlinedown.net/down/sdat4581.exe\rhttp://ctttl.onlinedown.net:82/down/sdat4581.exe\rhttp://wznetcom.onlinedown.com:81/down/sdat4581.exe\rhttp://zj.onlinedown.net:82/down/sdat4581.exe\rftp://cnc:10060@221.12.150.27/sdat4581.exe\rftp://cnc:10060@soft.10060.tv/sdat4581.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/sdat4581.exe\rhttp://ctttl.onlinedown.net:8080/down/sdat4581.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (76,1126756355,1126756355,1,1,0,0,'Windows File Explorer 0.6 Build 1.127','2639KB','Ӣ','Ѱ/ļ','Win9x/Me/NT/2000/XP',4,'http://www.freesoftlabs.com','','ǲǻ Windows ļ̫ˣ Windows File Explorer ѵȡԭеWindows ļһҳͬʱļĴڣҪĸƼӵķ㣬ҲͼļԤĹܣԤͼ:bmp jpeg png gif tiff pcx pbm pgm ppm tga dib rle wmf emf icons and cursors ..ȵȡ  ','http://web.telia.com/~u58004883/FileExplorer.exe\rhttp://sq.onlinedown.net:82/down/FileExplorer.exe\rhttp://wh.onlinedown.net:82/down/FileExplorer.exe\rhttp://ftpwh.onlinedown.net:82/down/FileExplorer.exe\rhttp://hlbr.onlinedown.net/files3/FileExplorer.exe\rhttp://nc.onlinedown.net/down/FileExplorer.exe\rhttp://sx.huajun.net/files/FileExplorer.exe\rhttp://lctt.onlinedown.net/down/FileExplorer.exe\rhttp://sccrc2.onlinedown.net:82/down/FileExplorer.exe\rhttp://gzcnc.onlinedown.net:82/files/FileExplorer.exe\rhttp://sccnc.onlinedown.net/down/FileExplorer.exe\rhttp://crc.onlinedown.net:82/files/FileExplorer.exe\rhttp://cttnb.onlinedown.net/down/FileExplorer.exe\rhttp://jsnetcom.onlinedown.com/down/FileExplorer.exe\rhttp://hld165.onlinedown.net/down/FileExplorer.exe\rhttp://ctttl.onlinedown.net:82/down/FileExplorer.exe\rhttp://wznetcom.onlinedown.com:81/down/FileExplorer.exe\rhttp://zj.onlinedown.net:82/down/FileExplorer.exe\rftp://cnc:10060@221.12.150.27/FileExplorer.exe\rftp://cnc:10060@soft.10060.tv/FileExplorer.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/FileExplorer.exe\rhttp://ctttl.onlinedown.net:8080/down/FileExplorer.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (77,1126756355,1126756355,1,1,0,0,'Winzip 10.0 Beta Build 6604','5157KB','Ӣ','/ѹ','Win9x/Me/NT/2000/XP',4,'http://www.winzip.com/','','&nbsp;&nbsp;&nbsp;&nbsp;Vector CapitalչWinzipշµWinzip 10 beta.Vector CapitalóʹӪƵļ˾2003Corel.WinZipPCʷеѹٷѾﵽ14000Ρ<br>\n<br>\n<br>\nµĸ:<br>\n*ʼֻΪ汾׼רҵ<br>\n*µĽ棬µԴµͼ꣬.<br>\n*ĽѹĴʹøߵѹ<br>\n*<br>\n*¼CD(רҵ棩<br>\n  ','http://sq.onlinedown.net:82/down/wz100beta.exe\rhttp://wh.onlinedown.net:82/down/wz100beta.exe\rhttp://ftpwh.onlinedown.net:82/down/wz100beta.exe\rhttp://hlbr.onlinedown.net/files3/wz100beta.exe\rhttp://nc.onlinedown.net/down/wz100beta.exe\rhttp://sx.huajun.net/files/wz100beta.exe\rhttp://lctt.onlinedown.net/down/wz100beta.exe\rhttp://sccrc2.onlinedown.net:82/down/wz100beta.exe\rhttp://gzcnc.onlinedown.net:82/files/wz100beta.exe\rhttp://sccnc.onlinedown.net/down/wz100beta.exe\rhttp://crc.onlinedown.net:82/files/wz100beta.exe\rhttp://cttnb.onlinedown.net/down/wz100beta.exe\rhttp://jsnetcom.onlinedown.com/down/wz100beta.exe\rhttp://hld165.onlinedown.net/down/wz100beta.exe\rhttp://ctttl.onlinedown.net:82/down/wz100beta.exe\rhttp://wznetcom.onlinedown.com:81/down/wz100beta.exe\rhttp://zj.onlinedown.net:82/down/wz100beta.exe\rftp://cnc:10060@221.12.150.27/wz100beta.exe\rftp://cnc:10060@soft.10060.tv/wz100beta.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/wz100beta.exe\rhttp://ctttl.onlinedown.net:8080/down/wz100beta.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (78,1126756355,1126756355,1,1,0,0,'Free History Eraser 4.5','419KB','Ӣ','Ѱ/жع','Win9x/Me/NT/2000/XP',4,'http://smartprotector.com/eraser/free-history-eraser.htm','','&nbsp;&nbsp;&nbsp;ͨɾʷ¼ʹùĵ˽  ','http://smartprotector.com/eraser/downloads/historyeraser.exe\rhttp://sq.onlinedown.net:82/down/historyeraser.exe\rhttp://wh.onlinedown.net:82/down/historyeraser.exe\rhttp://ftpwh.onlinedown.net:82/down/historyeraser.exe\rhttp://hlbr.onlinedown.net/files3/historyeraser.exe\rhttp://nc.onlinedown.net/down/historyeraser.exe\rhttp://sx.huajun.net/files/historyeraser.exe\rhttp://lctt.onlinedown.net/down/historyeraser.exe\rhttp://sccrc2.onlinedown.net:82/down/historyeraser.exe\rhttp://gzcnc.onlinedown.net:82/files/historyeraser.exe\rhttp://sccnc.onlinedown.net/down/historyeraser.exe\rhttp://crc.onlinedown.net:82/files/historyeraser.exe\rhttp://cttnb.onlinedown.net/down/historyeraser.exe\rhttp://jsnetcom.onlinedown.com/down/historyeraser.exe\rhttp://hld165.onlinedown.net/down/historyeraser.exe\rhttp://ctttl.onlinedown.net:82/down/historyeraser.exe\rhttp://wznetcom.onlinedown.com:81/down/historyeraser.exe\rhttp://zj.onlinedown.net:82/down/historyeraser.exe\rftp://cnc:10060@221.12.150.27/historyeraser.exe\rftp://cnc:10060@soft.10060.tv/historyeraser.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/historyeraser.exe\rhttp://ctttl.onlinedown.net:8080/down/historyeraser.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (79,1126756356,1126756356,1,1,0,0,'Norton Antivirus 20050914-008-i32.exe','8899KB','Ӣ','Ѱ/ɱ','Win9x/Me/NT/2000/XP',5,'http://www.symantec.com/','','&nbsp;&nbsp;&nbsp;&nbsp;Norton AntiVirus һǿķɰ֪δ֪ĲÿʱԶ᳣פSystem TrayӴ̡·ϡE-mail епʱԶ⵵İȫԣں棬ʵĴСLiveUpdateĹܣɰԶ Symantec  FTP Server µĲ룬ԶɰװµĶ<br>\n˲룺<br>\nNAV 2000 for Win9x/NT/2000<br>\nNAV 2001 for Win95b/98/NT/2000/Me<br>\nNAV 2002 Professional Edition<br>\nNAV 2002 for Win98/Me/NT/2000/XP Home/XP Pro<br>\nNAV 4.0, 5.0 and 2000 for Win9x<br>\nNAV 4.0, 5.0 and 2000 for WinNT<br>\nNAV for Firewalls 1.5 or higher<br>\nNAV for Lotus Notes (Intel)<br>\nNAV for MS Exchange (Intel)<br>\nNorton SystemWorks (all versions)<br>\nNorton Utilities for Windows 95/98 (all versions)<br>\npcAnywhere32 7.5 and higher for WinNT<br>\n  ','http://www.symantec.com/avcenter/download/us-files/20050914-008-i32.exe\rftp://ftp.symantec.com/public/english_us_canada/antivirus_definitions/norton_antivirus/20050914-008-i32.exe\rhttp://securityresponse.symantec.com/avcenter/download/us-files/20050914-008-i32.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (80,1126756356,1126756356,1,1,0,0,'Norton Antivirus 20050914-008-x86.exe','11769KB','Ӣ','Ѱ/ɱ','Win9x/Me/NT/2000/XP',5,'http://www.symantec.com/','','&nbsp;&nbsp;&nbsp;&nbsp;Norton AntiVirus һǿķɰ֪δ֪ĲÿʱԶ᳣פSystem TrayӴ̡·ϡE-mail епʱԶ⵵İȫԣں棬ʵĴСLiveUpdateĹܣɰԶ Symantec  FTP Server µĲ룬ԶɰװµĶ&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br>\n˲룺<br>\nNAV 2000 for Win9x/NT/2000<br>\nNAV 2001 for Win95b/98/NT/2000/Me<br>\nNAV 2002 Professional Edition<br>\nNAV 2002 for Win98/Me/NT/2000/XP Home/XP Pro<br>\nNAV 3.0 & 4.0 for DOS/Win3x<br>\nNAV 4.0 for NetWare<br>\nNAV 4.0, 5.0 and 2000 for Win9x<br>\nNAV 4.0, 5.0 and 2000 for WinNT<br>\nNAV 6.0 & 7.x Corporate Edition<br>\nNAV for Gateways 2.x (WinNT/2000)<br>\nNAV for Internet Email Gateways 1.x (WinNT only)<br>\nNAV for Lotus Notes (Intel)<br>\nNAV for MS Exchange (Intel)<br>\nNorton NT Tools<br>\nNorton Utilities 2.0 for WinNT<br>\npcAnywhere32 7.5 and higher for WinNT<br>\n  ','http://www.symantec.com/avcenter/download/us-files/20050914-008-x86.exe\rftp://ftp.symantec.com/public/english_us_canada/antivirus_definitions/norton_antivirus/20050914-008-x86.exe\rhttp://securityresponse.symantec.com/avcenter/download/us-files/20050914-008-x86.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (81,1126756356,1126756356,1,1,0,0,'F-Secure Anti-Virus 2005.09.14 ','8318KB','Ӣ','Ѱ/ɱ','Win9x/Me/NT/2000/XP',4,'http://www.f-secure.com/','','    ൱ɱṩֵɨ跽ʽɵһɨӲ̻һļлļṩ ıԣṩϢ  ','ftp://ftp.f-secure.com/anti-virus/updates/fsupdate.exe\rftp://ftp.europe.f-secure.com/anti-virus/updates/fsupdate.exe\rhttp://sq.onlinedown.net:82/down/fsupdate.exe\rhttp://wh.onlinedown.net:82/down/fsupdate.exe\rhttp://ftpwh.onlinedown.net:82/down/fsupdate.exe\rhttp://hlbr.onlinedown.net/files3/fsupdate.exe\rhttp://nc.onlinedown.net/down/fsupdate.exe\rhttp://sx.huajun.net/files/fsupdate.exe\rhttp://lctt.onlinedown.net/down/fsupdate.exe\rhttp://sccrc2.onlinedown.net:82/down/fsupdate.exe\rhttp://gzcnc.onlinedown.net:82/files/fsupdate.exe\rhttp://sccnc.onlinedown.net/down/fsupdate.exe\rhttp://crc.onlinedown.net:82/files/fsupdate.exe\rhttp://cttnb.onlinedown.net/down/fsupdate.exe\rhttp://jsnetcom.onlinedown.com/down/fsupdate.exe\rhttp://hld165.onlinedown.net/down/fsupdate.exe\rhttp://ctttl.onlinedown.net:82/down/fsupdate.exe\rhttp://wznetcom.onlinedown.com:81/down/fsupdate.exe\rhttp://zj.onlinedown.net:82/down/fsupdate.exe\rftp://cnc:10060@221.12.150.27/fsupdate.exe\rftp://cnc:10060@soft.10060.tv/fsupdate.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/fsupdate.exe\rhttp://ctttl.onlinedown.net:8080/down/fsupdate.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (82,1126756356,1126756356,1,1,0,0,'AntiVir VDF update 6.32.00.09','4386KB','Ӣ','Ѱ/ɱ','Win9x/Me/NT/2000/XP',4,'http://www.avup.de/','','AntiVirṩܵԲֺЧı˵Լվʹá ⲢƳ 50,000ֲϸ춱״̬  ','http://dl.antivir.de/down/vdf/fuse.zip\rhttp://sq.onlinedown.net:82/down/fuse.zip\rhttp://wh.onlinedown.net:82/down/fuse.zip\rhttp://ftpwh.onlinedown.net:82/down/fuse.zip\rhttp://hlbr.onlinedown.net/files3/fuse.zip\rhttp://nc.onlinedown.net/down/fuse.zip\rhttp://sx.huajun.net/files/fuse.zip\rhttp://lctt.onlinedown.net/down/fuse.zip\rhttp://sccrc2.onlinedown.net:82/down/fuse.zip\rhttp://gzcnc.onlinedown.net:82/files/fuse.zip\rhttp://sccnc.onlinedown.net/down/fuse.zip\rhttp://crc.onlinedown.net:82/files/fuse.zip\rhttp://cttnb.onlinedown.net/down/fuse.zip\rhttp://jsnetcom.onlinedown.com/down/fuse.zip\rhttp://hld165.onlinedown.net/down/fuse.zip\rhttp://ctttl.onlinedown.net:82/down/fuse.zip\rhttp://wznetcom.onlinedown.com:81/down/fuse.zip\rhttp://zj.onlinedown.net:82/down/fuse.zip\rftp://cnc:10060@221.12.150.27/fuse.zip\rftp://cnc:10060@soft.10060.tv/fuse.zip\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/fuse.zip\rhttp://ctttl.onlinedown.net:8080/down/fuse.zip','','','','');
INSERT INTO {$table_header}content_2 VALUES (83,1126756356,1126756356,1,1,0,0,'Kaspersky Anti-Virus(AVP) ղ09.15','536KB','Ӣ','Ѱ/ɱ','Win9x/Me/NT/2000/XP',5,'http://www.Kaspersky.com','','&nbsp;&nbsp;&nbsp;&nbsp;AVPǶ˹˾ĲƷ,һڹۼɱҲгפSystem TrayԶӹܣɰԶӴӴ̡·ϡE-mail епļİȫԣҼĿѡ LiveUpdate ϸ²Ĺܡ&nbsp;  ','http://downloads3.kaspersky-labs.com/updates_zip/daily.zip\rhttp://sq.onlinedown.net:82/down/daily.zip\rhttp://wh.onlinedown.net:82/down/daily.zip\rhttp://ftpwh.onlinedown.net:82/down/daily.zip\rhttp://hlbr.onlinedown.net/files3/daily.zip\rhttp://nc.onlinedown.net/down/daily.zip\rhttp://sx.huajun.net/files/daily.zip\rhttp://lctt.onlinedown.net/down/daily.zip\rhttp://sccrc2.onlinedown.net:82/down/daily.zip\rhttp://gzcnc.onlinedown.net:82/files/daily.zip\rhttp://sccnc.onlinedown.net/down/daily.zip\rhttp://crc.onlinedown.net:82/files/daily.zip\rhttp://cttnb.onlinedown.net/down/daily.zip\rhttp://jsnetcom.onlinedown.com/down/daily.zip\rhttp://hld165.onlinedown.net/down/daily.zip\rhttp://ctttl.onlinedown.net:82/down/daily.zip\rhttp://wznetcom.onlinedown.com:81/down/daily.zip\rhttp://zj.onlinedown.net:82/down/daily.zip\rftp://cnc:10060@221.12.150.27/daily.zip\rftp://cnc:10060@soft.10060.tv/daily.zip\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/daily.zip\rhttp://ctttl.onlinedown.net:8080/down/daily.zip','','','','');
INSERT INTO {$table_header}content_2 VALUES (84,1126756357,1126756357,1,1,0,0,'jv16 PowerTools 2005 1.5.1.310','1394KB','Ӣ','/жع','Win9x/Me/NT/2000/XP',4,'http://www.jv16.org/','','RegCleaner һ汾һWindows¼ļĹߡߵĺôǣִߺ󣬻ὫWindows¼ļĵ¼ϸ嵥ʾơ湫˾ܶõ¼ϵȵȡ͸ϸ嵥ʾRegCleanerЩõĵ¼ϡṩʽֻҪɾĵ¼ڴ򹴣һΰԶЩõĵ¼Ϻʹĵ¼ļ¼ļʹWindows¼ļļʣϵͳִеĸ˳  ','http://www.macecraft.com/downloads/jv16pt_setup.exe\rhttp://sq.onlinedown.net:82/down/jv16pt_setup.exe\rhttp://wh.onlinedown.net:82/down/jv16pt_setup.exe\rhttp://ftpwh.onlinedown.net:82/down/jv16pt_setup.exe\rhttp://hlbr.onlinedown.net/files3/jv16pt_setup.exe\rhttp://nc.onlinedown.net/down/jv16pt_setup.exe\rhttp://sx.huajun.net/files/jv16pt_setup.exe\rhttp://lctt.onlinedown.net/down/jv16pt_setup.exe\rhttp://sccrc2.onlinedown.net:82/down/jv16pt_setup.exe\rhttp://gzcnc.onlinedown.net:82/files/jv16pt_setup.exe\rhttp://sccnc.onlinedown.net/down/jv16pt_setup.exe\rhttp://crc.onlinedown.net:82/files/jv16pt_setup.exe\rhttp://cttnb.onlinedown.net/down/jv16pt_setup.exe\rhttp://jsnetcom.onlinedown.com/down/jv16pt_setup.exe\rhttp://hld165.onlinedown.net/down/jv16pt_setup.exe\rhttp://ctttl.onlinedown.net:82/down/jv16pt_setup.exe\rhttp://wznetcom.onlinedown.com:81/down/jv16pt_setup.exe\rhttp://zj.onlinedown.net:82/down/jv16pt_setup.exe\rftp://cnc:10060@221.12.150.27/jv16pt_setup.exe\rftp://cnc:10060@soft.10060.tv/jv16pt_setup.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/jv16pt_setup.exe\rhttp://ctttl.onlinedown.net:8080/down/jv16pt_setup.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (85,1126756357,1126756357,1,1,0,0,'Ace Utilities 2.6.0.4026','1890KB','Ӣ','/жع','Win9x/Me/NT/2000/XP',4,'http://www.acelogix.com/','','Ace UtilitiesһСɶֹǿ󣬿ϵͳĹߡҶ᣺Windowsʹþ, ļоͻۻʹϵͳúЩҪļĿݷʽ , ĸļ , ϵͳעĿ , ʷ¼ϢȡЩļصӰϵͳܡԼȥֹ޸ĵģܷһͿϵͳ޸ˡAce UtilitiesЩɸ㶨  ','http://acelogix.fileburst.com/au.exe\rhttp://sq.onlinedown.net:82/down/Ace_au.exe\rhttp://wh.onlinedown.net:82/down/Ace_au.exe\rhttp://ftpwh.onlinedown.net:82/down/Ace_au.exe\rhttp://hlbr.onlinedown.net/files3/Ace_au.exe\rhttp://nc.onlinedown.net/down/Ace_au.exe\rhttp://sx.huajun.net/files/Ace_au.exe\rhttp://lctt.onlinedown.net/down/Ace_au.exe\rhttp://sccrc2.onlinedown.net:82/down/Ace_au.exe\rhttp://gzcnc.onlinedown.net:82/files/Ace_au.exe\rhttp://sccnc.onlinedown.net/down/Ace_au.exe\rhttp://crc.onlinedown.net:82/files/Ace_au.exe\rhttp://cttnb.onlinedown.net/down/Ace_au.exe\rhttp://jsnetcom.onlinedown.com/down/Ace_au.exe\rhttp://hld165.onlinedown.net/down/Ace_au.exe\rhttp://ctttl.onlinedown.net:82/down/Ace_au.exe\rhttp://wznetcom.onlinedown.com:81/down/Ace_au.exe\rhttp://zj.onlinedown.net:82/down/Ace_au.exe\rftp://cnc:10060@221.12.150.27/Ace_au.exe\rftp://cnc:10060@soft.10060.tv/Ace_au.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/Ace_au.exe\rhttp://ctttl.onlinedown.net:8080/down/Ace_au.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (86,1126756358,1126756358,1,1,0,0,'ɱKV2004 09.14','1176KB','','Ѱ/ɱ','Win9x/Me/NT/2000/XP',5,'http://www.jiangmin.com','','&nbsp;&nbsp;&nbsp;&nbsp;\"5Ķͯ70˶ϰʹKV 2004вڣճ칫շʼϢ洢ûеԵһΪKV 2004ı֮£ûԤȫԶС˲KV 2004ȷеĲܵõȫ׵\"зܾ쳣ļǰ  ','http://218.56.43.205/lixianbao/KvUp20050914.exe\rhttp://sq.onlinedown.net:82/down/KvUp20050914.exe\rhttp://wh.onlinedown.net:82/down/KvUp20050914.exe\rhttp://ftpwh.onlinedown.net:82/down/KvUp20050914.exe\rhttp://hlbr.onlinedown.net/files3/KvUp20050914.exe\rhttp://nc.onlinedown.net/down/KvUp20050914.exe\rhttp://sx.huajun.net/files/KvUp20050914.exe\rhttp://lctt.onlinedown.net/down/KvUp20050914.exe\rhttp://sccrc2.onlinedown.net:82/down/KvUp20050914.exe\rhttp://gzcnc.onlinedown.net:82/files/KvUp20050914.exe\rhttp://sccnc.onlinedown.net/down/KvUp20050914.exe\rhttp://crc.onlinedown.net:82/files/KvUp20050914.exe\rhttp://cttnb.onlinedown.net/down/KvUp20050914.exe\rhttp://jsnetcom.onlinedown.com/down/KvUp20050914.exe\rhttp://hld165.onlinedown.net/down/KvUp20050914.exe\rhttp://ctttl.onlinedown.net:82/down/KvUp20050914.exe\rhttp://wznetcom.onlinedown.com:81/down/KvUp20050914.exe\rhttp://zj.onlinedown.net:82/down/KvUp20050914.exe\rftp://cnc:10060@221.12.150.27/KvUp20050914.exe\rftp://cnc:10060@soft.10060.tv/KvUp20050914.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/KvUp20050914.exe\rhttp://ctttl.onlinedown.net:8080/down/KvUp20050914.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (87,1126756358,1126756358,1,1,0,0,'⻪ v050916a','482KB','','Ѱ/ɱ','Win9x/Me/NT/2000/XP',4,'http://www.viruschina.com','','&nbsp;&nbsp;&nbsp;&nbsp;⻪ӵɱ棬ǿļģһġȫɱͨ巴¸顢ɱ׺ļ<br>\n<br>\n߱ǿԶϵͳɫϷʺźװQQȫľע޸ʼȲչϵͳݡɱӦ̡Ϊûṩ꾡Ĳ鶾桢ӱ桢б棬ݵĹ鿴<br>\n<br>\n⻪ΪûķϷҵƲеĸ˽֤ܹܣԼʱͨѶƷϢȫȱݲȰȫܡ<br>\n<br>\nƷԻƣѺãƷĵ沼֡ϰߡָʾ־ͼĲïĲƷ˵ȷȫλû<br>\n<br>\nݣѸ٣ûڵһʱܵɿİȫ񣬼ûģûʡġȫĲϼ֧֣ʱصϷӦ𣬿١Զȫ<br>\n  ','http://www.viruschina.com/html/v050916a.exe\rhttp://sq.onlinedown.net:82/down/v050916a.exe\rhttp://wh.onlinedown.net:82/down/v050916a.exe\rhttp://ftpwh.onlinedown.net:82/down/v050916a.exe\rhttp://hlbr.onlinedown.net/files3/v050916a.exe\rhttp://nc.onlinedown.net/down/v050916a.exe\rhttp://sx.huajun.net/files/v050916a.exe\rhttp://lctt.onlinedown.net/down/v050916a.exe\rhttp://sccrc2.onlinedown.net:82/down/v050916a.exe\rhttp://gzcnc.onlinedown.net:82/files/v050916a.exe\rhttp://sccnc.onlinedown.net/down/v050916a.exe\rhttp://crc.onlinedown.net:82/files/v050916a.exe\rhttp://cttnb.onlinedown.net/down/v050916a.exe\rhttp://jsnetcom.onlinedown.com/down/v050916a.exe\rhttp://hld165.onlinedown.net/down/v050916a.exe\rhttp://ctttl.onlinedown.net:82/down/v050916a.exe\rhttp://wznetcom.onlinedown.com:81/down/v050916a.exe\rhttp://zj.onlinedown.net:82/down/v050916a.exe\rftp://cnc:10060@221.12.150.27/v050916a.exe\rftp://cnc:10060@soft.10060.tv/v050916a.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/v050916a.exe\rhttp://ctttl.onlinedown.net:8080/down/v050916a.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (88,1126756358,1126756358,1,1,0,0,'VRV °没ļ(ͻ) 77T','6814KB','','Ѱ/ɱ','Win9x/Me/NT/2000/XP',4,'http://www.vrv.com.cn/','','&nbsp;&nbsp;&nbsp;&nbsp;ԴϵҪɲ HDGUARD&VRV һȫĴɱDOSWINDOWS汾ɱɾDOSɱɱͬʱڶڽͬɱ󱨡ļ\n裺1.ļص CʱĿ¼УC:\\LinHao\\)Ȼ VRVɱ ȥд A 2. VRVUP.EXE ԶʼԲǽ VRV ɱϺ뽫¼д(Aû VRV ɱ̣VRVUP  VRV ɱ̣VRVUP Ϊ   ','http://www.vrv.com.cn/update/vrvclient.exe\rhttp://sq.onlinedown.net:82/down/vrvclient.exe\rhttp://wh.onlinedown.net:82/down/vrvclient.exe\rhttp://ftpwh.onlinedown.net:82/down/vrvclient.exe\rhttp://hlbr.onlinedown.net/files3/vrvclient.exe\rhttp://nc.onlinedown.net/down/vrvclient.exe\rhttp://sx.huajun.net/files/vrvclient.exe\rhttp://lctt.onlinedown.net/down/vrvclient.exe\rhttp://sccrc2.onlinedown.net:82/down/vrvclient.exe\rhttp://gzcnc.onlinedown.net:82/files/vrvclient.exe\rhttp://sccnc.onlinedown.net/down/vrvclient.exe\rhttp://crc.onlinedown.net:82/files/vrvclient.exe\rhttp://cttnb.onlinedown.net/down/vrvclient.exe\rhttp://jsnetcom.onlinedown.com/down/vrvclient.exe\rhttp://hld165.onlinedown.net/down/vrvclient.exe\rhttp://ctttl.onlinedown.net:82/down/vrvclient.exe\rhttp://wznetcom.onlinedown.com:81/down/vrvclient.exe\rhttp://zj.onlinedown.net:82/down/vrvclient.exe\rftp://cnc:10060@221.12.150.27/vrvclient.exe\rftp://cnc:10060@soft.10060.tv/vrvclient.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/vrvclient.exe\rhttp://ctttl.onlinedown.net:8080/down/vrvclient.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (89,1126756359,1126756359,1,1,0,0,'VRV °没ļ() 77T','6770KB','','Ѱ/ɱ','Win9x/Me/NT/2000/XP',4,'http://www.vrv.com.cn/','','&nbsp;&nbsp;&nbsp;&nbsp;ԴϵҪɲ HDGUARD&VRV һȫĴɱDOSWINDOWS汾ɱɾDOSɱɱͬʱڶڽͬɱ󱨡ļ<br>\n裺1.ļص CʱĿ¼УC:\\LinHao\\)Ȼ VRVɱ ȥд A 2. VRVUP.EXE ԶʼԲǽ VRV ɱϺ뽫¼д(Aû VRV ɱ̣VRVUP  VRV ɱ̣VRVUP Ϊ&nbsp;  ','http://www.vrv.com.cn/update/vrvserver.exe\rhttp://sq.onlinedown.net:82/down/vrvserver.exe\rhttp://wh.onlinedown.net:82/down/vrvserver.exe\rhttp://ftpwh.onlinedown.net:82/down/vrvserver.exe\rhttp://hlbr.onlinedown.net/files3/vrvserver.exe\rhttp://nc.onlinedown.net/down/vrvserver.exe\rhttp://sx.huajun.net/files/vrvserver.exe\rhttp://lctt.onlinedown.net/down/vrvserver.exe\rhttp://sccrc2.onlinedown.net:82/down/vrvserver.exe\rhttp://gzcnc.onlinedown.net:82/files/vrvserver.exe\rhttp://sccnc.onlinedown.net/down/vrvserver.exe\rhttp://crc.onlinedown.net:82/files/vrvserver.exe\rhttp://cttnb.onlinedown.net/down/vrvserver.exe\rhttp://jsnetcom.onlinedown.com/down/vrvserver.exe\rhttp://hld165.onlinedown.net/down/vrvserver.exe\rhttp://ctttl.onlinedown.net:82/down/vrvserver.exe\rhttp://wznetcom.onlinedown.com:81/down/vrvserver.exe\rhttp://zj.onlinedown.net:82/down/vrvserver.exe\rftp://cnc:10060@221.12.150.27/vrvserver.exe\rftp://cnc:10060@soft.10060.tv/vrvserver.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/vrvserver.exe\rhttp://ctttl.onlinedown.net:8080/down/vrvserver.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (90,1126756359,1126756359,1,1,0,0,'⻪ۻ a050915a','16494KB','','/ɱ','Win9x/Me/NT/2000/XP',4,'http://www.viruschina.com','','&nbsp;&nbsp;&nbsp;&nbsp;⻪ӵɱ棬ǿļģһġȫɱͨ巴¸顢ɱ׺ļ<br>\n<br>\n߱ǿԶϵͳɫϷʺźװQQȫľע޸ʼȲչϵͳݡɱӦ̡Ϊûṩ꾡Ĳ鶾桢ӱ桢б棬ݵĹ鿴<br>\n<br>\n⻪ΪûķϷҵƲеĸ˽֤ܹܣԼʱͨѶƷϢȫȱݲȰȫܡ<br>\n<br>\nƷԻƣѺãƷĵ沼֡ϰߡָʾ־ͼĲïĲƷ˵ȷȫλû<br>\n<br>\nݣѸ٣ûڵһʱܵɿİȫ񣬼ûģûʡġȫĲϼ֧֣ʱصϷӦ𣬿١Զȫ<br>\n  ','http://www.viruschina.com/html/a050915a.exe\rhttp://sq.onlinedown.net:82/down/a050915a.exe\rhttp://wh.onlinedown.net:82/down/a050915a.exe\rhttp://ftpwh.onlinedown.net:82/down/a050915a.exe\rhttp://hlbr.onlinedown.net/files3/a050915a.exe\rhttp://nc.onlinedown.net/down/a050915a.exe\rhttp://sx.huajun.net/files/a050915a.exe\rhttp://lctt.onlinedown.net/down/a050915a.exe\rhttp://sccrc2.onlinedown.net:82/down/a050915a.exe\rhttp://gzcnc.onlinedown.net:82/files/a050915a.exe\rhttp://sccnc.onlinedown.net/down/a050915a.exe\rhttp://crc.onlinedown.net:82/files/a050915a.exe\rhttp://cttnb.onlinedown.net/down/a050915a.exe\rhttp://jsnetcom.onlinedown.com/down/a050915a.exe\rhttp://hld165.onlinedown.net/down/a050915a.exe\rhttp://ctttl.onlinedown.net:82/down/a050915a.exe\rhttp://wznetcom.onlinedown.com:81/down/a050915a.exe\rhttp://zj.onlinedown.net:82/down/a050915a.exe\rftp://cnc:10060@221.12.150.27/a050915a.exe\rftp://cnc:10060@soft.10060.tv/a050915a.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/a050915a.exe\rhttp://ctttl.onlinedown.net:8080/down/a050915a.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (91,1126756359,1126756359,1,1,0,0,'Хļָ 1.0532','3086KB','','Ѱ/ļָ','Win9x/Me/NT/2000/XP',4,'http://popocy.nease.net','','&nbsp;&nbsp;&nbsp;&nbsp;ǳõһָͺϲļĹߣȫѡܹ͵ļָָСԱװЯָͺϲȿ죬ɿԸߡ  ','http://www.xiaowu.net/popocy/software/HXSplitV10.exe\rhttp://sq.onlinedown.net:82/down/HXSplitV10.exe\rhttp://wh.onlinedown.net:82/down/HXSplitV10.exe\rhttp://ftpwh.onlinedown.net:82/down/HXSplitV10.exe\rhttp://hlbr.onlinedown.net/files3/HXSplitV10.exe\rhttp://nc.onlinedown.net/down/HXSplitV10.exe\rhttp://sx.huajun.net/files/HXSplitV10.exe\rhttp://lctt.onlinedown.net/down/HXSplitV10.exe\rhttp://sccrc2.onlinedown.net:82/down/HXSplitV10.exe\rhttp://gzcnc.onlinedown.net:82/files/HXSplitV10.exe\rhttp://sccnc.onlinedown.net/down/HXSplitV10.exe\rhttp://crc.onlinedown.net:82/files/HXSplitV10.exe\rhttp://cttnb.onlinedown.net/down/HXSplitV10.exe\rhttp://jsnetcom.onlinedown.com/down/HXSplitV10.exe\rhttp://hld165.onlinedown.net/down/HXSplitV10.exe\rhttp://ctttl.onlinedown.net:82/down/HXSplitV10.exe\rhttp://wznetcom.onlinedown.com:81/down/HXSplitV10.exe\rhttp://zj.onlinedown.net:82/down/HXSplitV10.exe\rftp://cnc:10060@221.12.150.27/HXSplitV10.exe\rftp://cnc:10060@soft.10060.tv/HXSplitV10.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/HXSplitV10.exe\rhttp://ctttl.onlinedown.net:8080/down/HXSplitV10.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (92,1126756360,1126756360,1,1,0,0,'ļбݾ 1.01.04','24KB','','Ѱ/ݹ','Win9x/Me/NT/2000/XP',4,'http://xhk.ik8.com','','&nbsp;&nbsp;&nbsp;&nbsp;һļбݹߣԶȽÿļʱȷļǷӦٴαݣûбҪÿζ±еļˣճݵĹ<br>\n>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ݲʱԹһЩ͵ļһܶڳԱ˵ǷǳõģԺٱԴʱҲɾʱļˣֻҪúòҪݵļ;Ϳˡ  ','http://xgstudio.home4u.china.com/DirBackup10104.zip\rhttp://sq.onlinedown.net:82/down/DirBackup10104.zip\rhttp://wh.onlinedown.net:82/down/DirBackup10104.zip\rhttp://ftpwh.onlinedown.net:82/down/DirBackup10104.zip\rhttp://hlbr.onlinedown.net/files3/DirBackup10104.zip\rhttp://nc.onlinedown.net/down/DirBackup10104.zip\rhttp://sx.huajun.net/files/DirBackup10104.zip\rhttp://lctt.onlinedown.net/down/DirBackup10104.zip\rhttp://sccrc2.onlinedown.net:82/down/DirBackup10104.zip\rhttp://gzcnc.onlinedown.net:82/files/DirBackup10104.zip\rhttp://sccnc.onlinedown.net/down/DirBackup10104.zip\rhttp://crc.onlinedown.net:82/files/DirBackup10104.zip\rhttp://cttnb.onlinedown.net/down/DirBackup10104.zip\rhttp://jsnetcom.onlinedown.com/down/DirBackup10104.zip\rhttp://hld165.onlinedown.net/down/DirBackup10104.zip\rhttp://ctttl.onlinedown.net:82/down/DirBackup10104.zip\rhttp://wznetcom.onlinedown.com:81/down/DirBackup10104.zip\rhttp://zj.onlinedown.net:82/down/DirBackup10104.zip\rftp://cnc:10060@221.12.150.27/DirBackup10104.zip\rftp://cnc:10060@soft.10060.tv/DirBackup10104.zip\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/DirBackup10104.zip\rhttp://ctttl.onlinedown.net:8080/down/DirBackup10104.zip','','','','');
INSERT INTO {$table_header}content_2 VALUES (93,1126756360,1126756360,1,1,0,0,'WindowsŻʦ 6.82 Build 5.913','2876KB','','/ϵͳ','Win9x/Me/NT/2000/XP',5,'http://www.wopti.net/','','   浽磬ϵͳϢ⵽ϵͳάWindowsŻʦΪṩȽȫĽ \n   WindowsŻʦ 6.7 Build 5.708 £ 1Ľ˴̻Ż 2ϵͳŻеIEģIEģ顣 3Ľжء (1)ָжطİȫԡ (2)ȡԭеĿɷб˿ɷ 4ѡϵͳļָղؼбָܡ 5Ľϵͳܲģ顣 (1)LCDʾĲģ顣 (2)OpenGLܲģ顣 (3)DirectX 7ģ顣 (4)ĽеĲģ顣 6Ľܱģ顣 (1)ļб鿴ܡ (2)жعܡ 7Ľ˿ٶŻģ顣 8ĽϵͳϢ⡣ (1)ĽPCI豸ģ顣 (2)ĽCPU⡣ӶP4 SmithFieldʶAMD Athlon 64칤ռһԲֱʼǱԸĽCPUٶȼ⡣ (3)˶IDEӲ̼⡣ (4)Ľ˲ϵͳ⡣ (5)Ľģ顣 9Ľ˺̨Ż (1)˺̨õĵ (2)˺̨õĵ롣 10˱ݻָһBug 11ActiveX߿⡣ 12һЩϸСĸĽ͵ (1)Ľ󻯼ָ (2)ļĿɷɨļ͡\n  ','http://sq.onlinedown.net:82/down/WomV682Setup.zip\rhttp://wh.onlinedown.net:82/down/WomV682Setup.zip\rhttp://ftpwh.onlinedown.net:82/down/WomV682Setup.zip\rhttp://hlbr.onlinedown.net/files3/WomV682Setup.zip\rhttp://nc.onlinedown.net/down/WomV682Setup.zip\rhttp://sx.huajun.net/files/WomV682Setup.zip\rhttp://lctt.onlinedown.net/down/WomV682Setup.zip\rhttp://sccrc2.onlinedown.net:82/down/WomV682Setup.zip\rhttp://gzcnc.onlinedown.net:82/files/WomV682Setup.zip\rhttp://sccnc.onlinedown.net/down/WomV682Setup.zip\rhttp://crc.onlinedown.net:82/files/WomV682Setup.zip\rhttp://cttnb.onlinedown.net/down/WomV682Setup.zip\rhttp://jsnetcom.onlinedown.com/down/WomV682Setup.zip\rhttp://hld165.onlinedown.net/down/WomV682Setup.zip\rhttp://ctttl.onlinedown.net:82/down/WomV682Setup.zip\rhttp://wznetcom.onlinedown.com:81/down/WomV682Setup.zip\rhttp://zj.onlinedown.net:82/down/WomV682Setup.zip\rftp://cnc:10060@221.12.150.27/WomV682Setup.zip\rftp://cnc:10060@soft.10060.tv/WomV682Setup.zip\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/WomV682Setup.zip\rhttp://ctttl.onlinedown.net:8080/down/WomV682Setup.zip','','','','');
INSERT INTO {$table_header}content_2 VALUES (94,1126756360,1126756360,1,1,0,0,'MSDE Manager 4.15','12829KB','Ӣ','/̹','Win9x/Me/NT/2000/XP',4,'http://www.valesoftware.com','','ͨһֱ۵ĽMSDE/SQLݿ⡣  ','http://www.valesoftware.co.uk/download/msde.exe\rhttp://sq.onlinedown.net:82/down/msde.exe\rhttp://wh.onlinedown.net:82/down/msde.exe\rhttp://ftpwh.onlinedown.net:82/down/msde.exe\rhttp://hlbr.onlinedown.net/files3/msde.exe\rhttp://nc.onlinedown.net/down/msde.exe\rhttp://sx.huajun.net/files/msde.exe\rhttp://lctt.onlinedown.net/down/msde.exe\rhttp://sccrc2.onlinedown.net:82/down/msde.exe\rhttp://gzcnc.onlinedown.net:82/files/msde.exe\rhttp://sccnc.onlinedown.net/down/msde.exe\rhttp://crc.onlinedown.net:82/files/msde.exe\rhttp://cttnb.onlinedown.net/down/msde.exe\rhttp://jsnetcom.onlinedown.com/down/msde.exe\rhttp://hld165.onlinedown.net/down/msde.exe\rhttp://ctttl.onlinedown.net:82/down/msde.exe\rhttp://wznetcom.onlinedown.com:81/down/msde.exe\rhttp://zj.onlinedown.net:82/down/msde.exe\rftp://cnc:10060@221.12.150.27/msde.exe\rftp://cnc:10060@soft.10060.tv/msde.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/msde.exe\rhttp://ctttl.onlinedown.net:8080/down/msde.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (95,1126756361,1126756361,1,1,0,0,'PC-Cillin 2.838.01 Beta','7508KB','Ӣ','Ѱ/ɱ','Win9x/Me/NT/2000/XP',4,'http://www.trendmicro.com/','','    Աļ ܴͳͲļͲ겡ԼJava AppletInternetֺһ  ','http://www.trendmicro.com/ftp/products/pattern/cpr/lpt838.zip\rhttp://sq.onlinedown.net:82/down/lpt838.zip\rhttp://wh.onlinedown.net:82/down/lpt838.zip\rhttp://ftpwh.onlinedown.net:82/down/lpt838.zip\rhttp://hlbr.onlinedown.net/files3/lpt838.zip\rhttp://nc.onlinedown.net/down/lpt838.zip\rhttp://sx.huajun.net/files/lpt838.zip\rhttp://lctt.onlinedown.net/down/lpt838.zip\rhttp://sccrc2.onlinedown.net:82/down/lpt838.zip\rhttp://gzcnc.onlinedown.net:82/files/lpt838.zip\rhttp://sccnc.onlinedown.net/down/lpt838.zip\rhttp://crc.onlinedown.net:82/files/lpt838.zip\rhttp://cttnb.onlinedown.net/down/lpt838.zip\rhttp://jsnetcom.onlinedown.com/down/lpt838.zip\rhttp://hld165.onlinedown.net/down/lpt838.zip\rhttp://ctttl.onlinedown.net:82/down/lpt838.zip\rhttp://wznetcom.onlinedown.com:81/down/lpt838.zip\rhttp://zj.onlinedown.net:82/down/lpt838.zip\rftp://cnc:10060@221.12.150.27/lpt838.zip\rftp://cnc:10060@soft.10060.tv/lpt838.zip\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/lpt838.zip\rhttp://ctttl.onlinedown.net:8080/down/lpt838.zip','','','','');
INSERT INTO {$table_header}content_2 VALUES (96,1126756361,1126756361,1,1,0,0,'FastReport 3.17.7','1576KB','Ӣ','/̹','Win9x/Me/NT/2000/XP',4,'http://www.fast-report.com/','','&nbsp;&nbsp;&nbsp;&nbsp;FastReport ǷǳǿıؼQuickReportReportBuilderַǳСɣٶȿ졣VCL汾֧Borland Delphi 2-6 and Borland C++Builder 1-6CLX汾֧DelphiKylix  ','http://www.fast-report.com/pbc_download/fr3demo.exe\rhttp://sq.onlinedown.net:82/down/fr3demo.exe\rhttp://wh.onlinedown.net:82/down/fr3demo.exe\rhttp://ftpwh.onlinedown.net:82/down/fr3demo.exe\rhttp://hlbr.onlinedown.net/files3/fr3demo.exe\rhttp://nc.onlinedown.net/down/fr3demo.exe\rhttp://sx.huajun.net/files/fr3demo.exe\rhttp://lctt.onlinedown.net/down/fr3demo.exe\rhttp://sccrc2.onlinedown.net:82/down/fr3demo.exe\rhttp://gzcnc.onlinedown.net:82/files/fr3demo.exe\rhttp://sccnc.onlinedown.net/down/fr3demo.exe\rhttp://crc.onlinedown.net:82/files/fr3demo.exe\rhttp://cttnb.onlinedown.net/down/fr3demo.exe\rhttp://jsnetcom.onlinedown.com/down/fr3demo.exe\rhttp://hld165.onlinedown.net/down/fr3demo.exe\rhttp://ctttl.onlinedown.net:82/down/fr3demo.exe\rhttp://wznetcom.onlinedown.com:81/down/fr3demo.exe\rhttp://zj.onlinedown.net:82/down/fr3demo.exe\rftp://cnc:10060@221.12.150.27/fr3demo.exe\rftp://cnc:10060@soft.10060.tv/fr3demo.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/fr3demo.exe\rhttp://ctttl.onlinedown.net:8080/down/fr3demo.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (97,1126756361,1126756361,1,1,0,0,'RegVac 4.02.08 ','656KB','','//жع','Win9x/Me/NT/2000/XP',4,'http://www.hanzify.org/?Go=SendMail::Software&ID=6076','','&nbsp;&nbsp;&nbsp;&nbsp;RegVac ע һרעĶ๦ܹߣں 10 ҪߣԾЩ߶עļȫĵࡣRegVac û̫ѡҲûиӵãҲֱۣ˲伴֡ѹѹһעѡ<br>\n<br>\nע⣺ĺС֡͡DuDu ںѡ档&nbsp;  ','http://sq.onlinedown.net:82/down/HB_RegVac40208_ljh.rar\rhttp://wh.onlinedown.net:82/down/HB_RegVac40208_ljh.rar\rhttp://ftpwh.onlinedown.net:82/down/HB_RegVac40208_ljh.rar\rhttp://hlbr.onlinedown.net/files3/HB_RegVac40208_ljh.rar\rhttp://nc.onlinedown.net/down/HB_RegVac40208_ljh.rar\rhttp://sx.huajun.net/files/HB_RegVac40208_ljh.rar\rhttp://lctt.onlinedown.net/down/HB_RegVac40208_ljh.rar\rhttp://sccrc2.onlinedown.net:82/down/HB_RegVac40208_ljh.rar\rhttp://gzcnc.onlinedown.net:82/files/HB_RegVac40208_ljh.rar\rhttp://sccnc.onlinedown.net/down/HB_RegVac40208_ljh.rar\rhttp://crc.onlinedown.net:82/files/HB_RegVac40208_ljh.rar\rhttp://cttnb.onlinedown.net/down/HB_RegVac40208_ljh.rar\rhttp://jsnetcom.onlinedown.com/down/HB_RegVac40208_ljh.rar\rhttp://hld165.onlinedown.net/down/HB_RegVac40208_ljh.rar\rhttp://ctttl.onlinedown.net:82/down/HB_RegVac40208_ljh.rar\rhttp://wznetcom.onlinedown.com:81/down/HB_RegVac40208_ljh.rar\rhttp://zj.onlinedown.net:82/down/HB_RegVac40208_ljh.rar\rftp://cnc:10060@221.12.150.27/HB_RegVac40208_ljh.rar\rftp://cnc:10060@soft.10060.tv/HB_RegVac40208_ljh.rar\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/HB_RegVac40208_ljh.rar\rhttp://ctttl.onlinedown.net:8080/down/HB_RegVac40208_ljh.rar','','','','');
INSERT INTO {$table_header}content_2 VALUES (98,1126756362,1126756362,1,1,0,0,'PC-Cillin  2.837.00','7508KB','Ӣ','Ѱ/ɱ','Win9x/Me/NT/2000/XP',4,'http://www.trendmicro.com/','','&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Աļ ܴͳͲļͲ겡ԼJava AppletInternetֺһ  ','http://www.trendmicro.com/ftp/products/pattern/lpt837.zip\rhttp://sq.onlinedown.net:82/down/lpt837.zip\rhttp://wh.onlinedown.net:82/down/lpt837.zip\rhttp://ftpwh.onlinedown.net:82/down/lpt837.zip\rhttp://hlbr.onlinedown.net/files3/lpt837.zip\rhttp://nc.onlinedown.net/down/lpt837.zip\rhttp://sx.huajun.net/files/lpt837.zip\rhttp://lctt.onlinedown.net/down/lpt837.zip\rhttp://sccrc2.onlinedown.net:82/down/lpt837.zip\rhttp://gzcnc.onlinedown.net:82/files/lpt837.zip\rhttp://sccnc.onlinedown.net/down/lpt837.zip\rhttp://crc.onlinedown.net:82/files/lpt837.zip\rhttp://cttnb.onlinedown.net/down/lpt837.zip\rhttp://jsnetcom.onlinedown.com/down/lpt837.zip\rhttp://hld165.onlinedown.net/down/lpt837.zip\rhttp://ctttl.onlinedown.net:82/down/lpt837.zip\rhttp://wznetcom.onlinedown.com:81/down/lpt837.zip\rhttp://zj.onlinedown.net:82/down/lpt837.zip\rftp://cnc:10060@221.12.150.27/lpt837.zip\rftp://cnc:10060@soft.10060.tv/lpt837.zip\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/lpt837.zip\rhttp://ctttl.onlinedown.net:8080/down/lpt837.zip','','','','');
INSERT INTO {$table_header}content_2 VALUES (99,1126756363,1126756363,1,1,0,0,'NJStar Communicator(ϼȫͨ) 2.51','8848KB','Ӣ','/ƽ̨','Win9x/Me/NT/2000/XP',4,'http://www.njstar.com/','','ϼȫͨ鿴Сաĵκ,ָ֧32λ汾Windows(95/98/NT)͸ֱػ汾Windows(ġġġ),Զʶ,ø뷽(ƴע˫ƴ),Զ鿴ı,MSOffice 97,ṩǿת,֧4.xIENetscape!汾ҪԤȰװ2.0档EmailͻNJStar ExpressMail˺뷨̣ԶպʼGIFͼƬʽͣתUniversal Code ConvertorԶ뼰תΪGIFͼƬʽѡ֧IE5޸NTͻһЩ⡣  ','http://japanology.arts.kuleuven.ac.be/mirrors/monash/njcom251.exe\rhttp://sq.onlinedown.net:82/down/njcom251.exe\rhttp://wh.onlinedown.net:82/down/njcom251.exe\rhttp://ftpwh.onlinedown.net:82/down/njcom251.exe\rhttp://hlbr.onlinedown.net/files3/njcom251.exe\rhttp://nc.onlinedown.net/down/njcom251.exe\rhttp://sx.huajun.net/files/njcom251.exe\rhttp://lctt.onlinedown.net/down/njcom251.exe\rhttp://sccrc2.onlinedown.net:82/down/njcom251.exe\rhttp://gzcnc.onlinedown.net:82/files/njcom251.exe\rhttp://sccnc.onlinedown.net/down/njcom251.exe\rhttp://crc.onlinedown.net:82/files/njcom251.exe\rhttp://cttnb.onlinedown.net/down/njcom251.exe\rhttp://jsnetcom.onlinedown.com/down/njcom251.exe\rhttp://hld165.onlinedown.net/down/njcom251.exe\rhttp://ctttl.onlinedown.net:82/down/njcom251.exe\rhttp://wznetcom.onlinedown.com:81/down/njcom251.exe\rhttp://zj.onlinedown.net:82/down/njcom251.exe\rftp://cnc:10060@221.12.150.27/njcom251.exe\rftp://cnc:10060@soft.10060.tv/njcom251.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/njcom251.exe\rhttp://ctttl.onlinedown.net:8080/down/njcom251.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (100,1126756363,1126756363,1,1,0,0,'ͨ2005 4.4.5','3253KB','','/ϵͳȫ','Win9x/Me/NT/2000/XP',4,'http://www.etongsoft.net','','&nbsp;&nbsp;&nbsp;&nbsp;ͨʹʱ(Թػʹ״̬)ʱϵͳƲ(ʱػ)һƲ(һػ)ϵͳ޸һϵͨʵõĹܣ԰ȫʹùȫ½<br>\n1.ĵʹʱͨʱֶκۼʹʱʱƷʽԵԵʹʱȫλĿƹʱֶοΪ7 X 24СʱʱƱÿʹʱΡۼʹʱΪÿۼʹõʱÿʹõԵʱ䡣<br>\n2.ȫĶʱϵͳ:ϵͳΪṩÿ¡ÿܡÿ졢ÿСʱԶʱ䡢ۼƼʱ䡢ʱʱ䡢޲ʱʱƷʽûɸԼҪáϵͳΪṩ˶ʱػʱʱʱעʱʱʱߡʱִлرָĳ򡢶ʱѵȿƲ<br>\n3.һƲ:ùرռעߵȼͨõȼͿʵһһرռһһעһһ߹ܡ<br>\n4.ǿϵͳ޸:١ȫȫر޸IE/ϵͳϡ  ','http://www.chinansl.com/down/clock2005.exe\rhttp://www.etongsoft.net/download/clock2005.rar\rhttp://sq.onlinedown.net:82/down/clock2005.exe\rhttp://wh.onlinedown.net:82/down/clock2005.exe\rhttp://ftpwh.onlinedown.net:82/down/clock2005.exe\rhttp://hlbr.onlinedown.net/files3/clock2005.exe\rhttp://nc.onlinedown.net/down/clock2005.exe\rhttp://sx.huajun.net/files/clock2005.exe\rhttp://lctt.onlinedown.net/down/clock2005.exe\rhttp://sccrc2.onlinedown.net:82/down/clock2005.exe\rhttp://gzcnc.onlinedown.net:82/files/clock2005.exe\rhttp://sccnc.onlinedown.net/down/clock2005.exe\rhttp://crc.onlinedown.net:82/files/clock2005.exe\rhttp://cttnb.onlinedown.net/down/clock2005.exe\rhttp://jsnetcom.onlinedown.com/down/clock2005.exe\rhttp://hld165.onlinedown.net/down/clock2005.exe\rhttp://ctttl.onlinedown.net:82/down/clock2005.exe\rhttp://wznetcom.onlinedown.com:81/down/clock2005.exe\rhttp://zj.onlinedown.net:82/down/clock2005.exe\rftp://cnc:10060@221.12.150.27/clock2005.exe\rftp://cnc:10060@soft.10060.tv/clock2005.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/clock2005.exe\rhttp://ctttl.onlinedown.net:8080/down/clock2005.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (101,1126756363,1126756363,1,1,0,0,'DOSBox 0.63','1025KB','','/ϵͳ','Win9x/Me/NT/2000/XP',4,'http://dosbox.sourceforge.net/','','&nbsp;&nbsp;&nbsp;&nbsp;κWINƽ̨DOSϷDOSıر <br>\nʹ÷ <br>\n1װ <br>\n2 <br>\n3״̬z:\\&gt; <br>\nz:\\&gt;mount c d:\\dos ===&gt;z:\\&gt;ʾ cΪC &quot;d:\\dos&quot;Ҫļλá <br>\nĽҪļλû D:\\DOS <br>\n4ڸղŵʾ c: лc̣ҲҪϷĿ¼ <br>\n5CĿ¼µϷԺDOS <br>\n  ','http://surfnet.dl.sourceforge.net/sourceforge/dosbox/DOSBox0.63-win32-installer.exe\rhttp://sq.onlinedown.net:82/down/DOSBox0.63-win32-installer.exe\rhttp://wh.onlinedown.net:82/down/DOSBox0.63-win32-installer.exe\rhttp://ftpwh.onlinedown.net:82/down/DOSBox0.63-win32-installer.exe\rhttp://hlbr.onlinedown.net/files3/DOSBox0.63-win32-installer.exe\rhttp://nc.onlinedown.net/down/DOSBox0.63-win32-installer.exe\rhttp://sx.huajun.net/files/DOSBox0.63-win32-installer.exe\rhttp://lctt.onlinedown.net/down/DOSBox0.63-win32-installer.exe\rhttp://sccrc2.onlinedown.net:82/down/DOSBox0.63-win32-installer.exe\rhttp://gzcnc.onlinedown.net:82/files/DOSBox0.63-win32-installer.exe\rhttp://sccnc.onlinedown.net/down/DOSBox0.63-win32-installer.exe\rhttp://crc.onlinedown.net:82/files/DOSBox0.63-win32-installer.exe\rhttp://cttnb.onlinedown.net/down/DOSBox0.63-win32-installer.exe\rhttp://jsnetcom.onlinedown.com/down/DOSBox0.63-win32-installer.exe\rhttp://hld165.onlinedown.net/down/DOSBox0.63-win32-installer.exe\rhttp://ctttl.onlinedown.net:82/down/DOSBox0.63-win32-installer.exe\rhttp://wznetcom.onlinedown.com:81/down/DOSBox0.63-win32-installer.exe\rhttp://zj.onlinedown.net:82/down/DOSBox0.63-win32-installer.exe\rftp://cnc:10060@221.12.150.27/DOSBox0.63-win32-installer.exe\rftp://cnc:10060@soft.10060.tv/DOSBox0.63-win32-installer.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/DOSBox0.63-win32-installer.exe\rhttp://ctttl.onlinedown.net:8080/down/DOSBox0.63-win32-installer.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (102,1126756363,1126756363,1,1,0,0,'Smart Undelete 2.3','521KB','Ӣ','/ϵͳȫ','Win9x/Me/NT/2000/XP',4,'http://www.smartundelete.com/','','һǿݻָЧһѱɾļʹãĻָɾļЩΪ޷ȵʧ  ','http://www.smartundelete.com/downloads/smart-undelete-setup.exe\rhttp://sq.onlinedown.net:82/down/smart-undelete-setup.exe\rhttp://wh.onlinedown.net:82/down/smart-undelete-setup.exe\rhttp://ftpwh.onlinedown.net:82/down/smart-undelete-setup.exe\rhttp://hlbr.onlinedown.net/files3/smart-undelete-setup.exe\rhttp://nc.onlinedown.net/down/smart-undelete-setup.exe\rhttp://sx.huajun.net/files/smart-undelete-setup.exe\rhttp://lctt.onlinedown.net/down/smart-undelete-setup.exe\rhttp://sccrc2.onlinedown.net:82/down/smart-undelete-setup.exe\rhttp://gzcnc.onlinedown.net:82/files/smart-undelete-setup.exe\rhttp://sccnc.onlinedown.net/down/smart-undelete-setup.exe\rhttp://crc.onlinedown.net:82/files/smart-undelete-setup.exe\rhttp://cttnb.onlinedown.net/down/smart-undelete-setup.exe\rhttp://jsnetcom.onlinedown.com/down/smart-undelete-setup.exe\rhttp://hld165.onlinedown.net/down/smart-undelete-setup.exe\rhttp://ctttl.onlinedown.net:82/down/smart-undelete-setup.exe\rhttp://wznetcom.onlinedown.com:81/down/smart-undelete-setup.exe\rhttp://zj.onlinedown.net:82/down/smart-undelete-setup.exe\rftp://cnc:10060@221.12.150.27/smart-undelete-setup.exe\rftp://cnc:10060@soft.10060.tv/smart-undelete-setup.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/smart-undelete-setup.exe\rhttp://ctttl.onlinedown.net:8080/down/smart-undelete-setup.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (117,1126775114,1126775114,1,1,0,0,'AntiVir Personal Edition 6.32.00.09','7241KB','Ӣ','Ѱ/ɱ','Win9x/Me/NT/2000/XP',4,'http://www.avup.de/','','&nbsp;&nbsp;&nbsp;&nbsp;AntiVirĸ˵İ汾ṩܵԲֺЧı˵Լվʹá ԼⲢƳ 50,000ֲ֧¡<br>\n幦:<br>\n--׼ȷĲ5֣<br>\n--ڹܶԱȲиָλǰé<br>\n--ʵʱʿʱ̼ļ<br>\n--δ֪<br>\n--Internet򵼸׸£<br>\n--δ֪Ŀ¼¼<br>\n  ','http://www.avup.de/personal/en/avwinsfx.exe\rhttp://sq.onlinedown.net:82/down/avwinsfx.exe\rhttp://wh.onlinedown.net:82/down/avwinsfx.exe\rhttp://ftpwh.onlinedown.net:82/down/avwinsfx.exe\rhttp://hlbr.onlinedown.net/files3/avwinsfx.exe\rhttp://nc.onlinedown.net/down/avwinsfx.exe\rhttp://sx.huajun.net/files/avwinsfx.exe\rhttp://lctt.onlinedown.net/down/avwinsfx.exe\rhttp://sccrc2.onlinedown.net:82/down/avwinsfx.exe\rhttp://gzcnc.onlinedown.net:82/files/avwinsfx.exe\rhttp://sccnc.onlinedown.net/down/avwinsfx.exe\rhttp://crc.onlinedown.net:82/files/avwinsfx.exe\rhttp://cttnb.onlinedown.net/down/avwinsfx.exe\rhttp://jsnetcom.onlinedown.com/down/avwinsfx.exe\rhttp://hld165.onlinedown.net/down/avwinsfx.exe\rhttp://ctttl.onlinedown.net:82/down/avwinsfx.exe\rhttp://wznetcom.onlinedown.com:81/down/avwinsfx.exe\rhttp://zj.onlinedown.net:82/down/avwinsfx.exe\rftp://cnc:10060@221.12.150.27/avwinsfx.exe\rftp://cnc:10060@soft.10060.tv/avwinsfx.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/avwinsfx.exe\rhttp://ctttl.onlinedown.net:8080/down/avwinsfx.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (118,1126775114,1126775114,1,1,0,0,'NOD32 Antivirus System 2.50.44 for Win2000/NT/XP','8659KB','Ӣ','/ɱ','WinNT/2000/XP',4,'http://www.nod32.com/','','ȨķNOD32ܸߵķƷߺܳDOSWindows 9x/MeWindows NT/XP/2000Novell Netware ServerLinuxBSDȣṩ߼⹦ܣǽԤķ֮Զʼʵʱ⣬ռڴԴ٣ٶЧ⣡  ','http://u4.eset.com/eval/win/v2/nentenst.exe\rhttp://sq.onlinedown.net:82/down/nentenst.exe\rhttp://wh.onlinedown.net:82/down/nentenst.exe\rhttp://ftpwh.onlinedown.net:82/down/nentenst.exe\rhttp://hlbr.onlinedown.net/files3/nentenst.exe\rhttp://nc.onlinedown.net/down/nentenst.exe\rhttp://sx.huajun.net/files/nentenst.exe\rhttp://lctt.onlinedown.net/down/nentenst.exe\rhttp://sccrc2.onlinedown.net:82/down/nentenst.exe\rhttp://gzcnc.onlinedown.net:82/files/nentenst.exe\rhttp://sccnc.onlinedown.net/down/nentenst.exe\rhttp://crc.onlinedown.net:82/files/nentenst.exe\rhttp://cttnb.onlinedown.net/down/nentenst.exe\rhttp://jsnetcom.onlinedown.com/down/nentenst.exe\rhttp://hld165.onlinedown.net/down/nentenst.exe\rhttp://ctttl.onlinedown.net:82/down/nentenst.exe\rhttp://wznetcom.onlinedown.com:81/down/nentenst.exe\rhttp://zj.onlinedown.net:82/down/nentenst.exe\rftp://cnc:10060@221.12.150.27/nentenst.exe\rftp://cnc:10060@soft.10060.tv/nentenst.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/nentenst.exe\rhttp://ctttl.onlinedown.net:8080/down/nentenst.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (119,1126775115,1126775115,1,1,0,0,'Malicious Software Removal Tool 1.8 ','833KB','Ӣ','Ѱ/ɱ','Win9x/Me/NT/2000/XP',4,'http://www.microsoft.com/downloads/details.aspx?displaylang=zh-cn&FamilyID=ad724ae0-e72d-4f54-9ab3-75b8eb148356','','&nbsp;&nbsp;&nbsp;&nbsp;˹߿ԼļǷضж(BlasterSasser Mydoom)Ⱦ,Ұɾֵκα.Ӧʹ÷Ʒ,ɾܴڵκ.˹߿ɰάļ;ִ˹,ζļܶĸȾ.װĿ,Ҫ.  ','http://download.microsoft.com/download/3/9/8/3982d61b-07a5-44cd-a7a7-1aa4565f0e93/Windows-KB890830-V1.8-CHS.exe\rhttp://sq.onlinedown.net:82/down/Windows-KB890830-V1.8-CHS.exe\rhttp://wh.onlinedown.net:82/down/Windows-KB890830-V1.8-CHS.exe\rhttp://ftpwh.onlinedown.net:82/down/Windows-KB890830-V1.8-CHS.exe\rhttp://hlbr.onlinedown.net/files3/Windows-KB890830-V1.8-CHS.exe\rhttp://nc.onlinedown.net/down/Windows-KB890830-V1.8-CHS.exe\rhttp://sx.huajun.net/files/Windows-KB890830-V1.8-CHS.exe\rhttp://lctt.onlinedown.net/down/Windows-KB890830-V1.8-CHS.exe\rhttp://sccrc2.onlinedown.net:82/down/Windows-KB890830-V1.8-CHS.exe\rhttp://gzcnc.onlinedown.net:82/files/Windows-KB890830-V1.8-CHS.exe\rhttp://sccnc.onlinedown.net/down/Windows-KB890830-V1.8-CHS.exe\rhttp://crc.onlinedown.net:82/files/Windows-KB890830-V1.8-CHS.exe\rhttp://cttnb.onlinedown.net/down/Windows-KB890830-V1.8-CHS.exe\rhttp://jsnetcom.onlinedown.com/down/Windows-KB890830-V1.8-CHS.exe\rhttp://hld165.onlinedown.net/down/Windows-KB890830-V1.8-CHS.exe\rhttp://ctttl.onlinedown.net:82/down/Windows-KB890830-V1.8-CHS.exe\rhttp://wznetcom.onlinedown.com:81/down/Windows-KB890830-V1.8-CHS.exe\rhttp://zj.onlinedown.net:82/down/Windows-KB890830-V1.8-CHS.exe\rftp://cnc:10060@221.12.150.27/Windows-KB890830-V1.8-CHS.exe\rftp://cnc:10060@soft.10060.tv/Windows-KB890830-V1.8-CHS.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/Windows-KB890830-V1.8-CHS.exe\rhttp://ctttl.onlinedown.net:8080/down/Windows-KB890830-V1.8-CHS.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (120,1126775115,1126775115,1,1,0,0,'Malicious Software Removal Tool 1.8 Ӣİ','831KB','Ӣ','Ѱ/ɱ','Win9x/Me/NT/2000/XP',4,'http://www.microsoft.com/downloads/details.aspx?familyid=AD724AE0-E72D-4F54-9AB3-75B8EB148356&displaylang=en','','&nbsp;&nbsp;&nbsp;&nbsp; Windows XPWindows 2000  Windows Server 2003 Ƿܵ˸ضĺеĶĸȾ( BlasterSasser  Mydoom)ɾȾɼɾ̺󣬸ù߽ʾһ棬ִн⵽ĺɾĶ()⣬ %WINDIR%\\debug ļдһΪ mrt.log ־ļ   ','http://download.microsoft.com/download/4/a/a/4aa524c6-239d-47ff-860b-5b397199cbf8/Windows-KB890830-V1.8-ENU.exe\rhttp://sq.onlinedown.net:82/down/Windows-KB890830-V1.8-ENU.exe\rhttp://wh.onlinedown.net:82/down/Windows-KB890830-V1.8-ENU.exe\rhttp://ftpwh.onlinedown.net:82/down/Windows-KB890830-V1.8-ENU.exe\rhttp://hlbr.onlinedown.net/files3/Windows-KB890830-V1.8-ENU.exe\rhttp://nc.onlinedown.net/down/Windows-KB890830-V1.8-ENU.exe\rhttp://sx.huajun.net/files/Windows-KB890830-V1.8-ENU.exe\rhttp://lctt.onlinedown.net/down/Windows-KB890830-V1.8-ENU.exe\rhttp://sccrc2.onlinedown.net:82/down/Windows-KB890830-V1.8-ENU.exe\rhttp://gzcnc.onlinedown.net:82/files/Windows-KB890830-V1.8-ENU.exe\rhttp://sccnc.onlinedown.net/down/Windows-KB890830-V1.8-ENU.exe\rhttp://crc.onlinedown.net:82/files/Windows-KB890830-V1.8-ENU.exe\rhttp://cttnb.onlinedown.net/down/Windows-KB890830-V1.8-ENU.exe\rhttp://jsnetcom.onlinedown.com/down/Windows-KB890830-V1.8-ENU.exe\rhttp://hld165.onlinedown.net/down/Windows-KB890830-V1.8-ENU.exe\rhttp://ctttl.onlinedown.net:82/down/Windows-KB890830-V1.8-ENU.exe\rhttp://wznetcom.onlinedown.com:81/down/Windows-KB890830-V1.8-ENU.exe\rhttp://zj.onlinedown.net:82/down/Windows-KB890830-V1.8-ENU.exe\rftp://cnc:10060@221.12.150.27/Windows-KB890830-V1.8-ENU.exe\rftp://cnc:10060@soft.10060.tv/Windows-KB890830-V1.8-ENU.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/Windows-KB890830-V1.8-ENU.exe\rhttp://ctttl.onlinedown.net:8080/down/Windows-KB890830-V1.8-ENU.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (121,1126775115,1126775115,1,1,0,0,'Malicious Software Removal Tool 1.8 ','833KB','','Ѱ/ɱ','Win9x/Me/NT/2000/XP',4,'http://www.microsoft.com/downloads/details.aspx?familyid=AD724AE0-E72D-4F54-9AB3-75B8EB148356&displaylang=zh-tw','','&nbsp;&nbsp;&nbsp;&nbsp;˹߿ԼļǷضж(BlasterSasser Mydoom)Ⱦ,Ұɾֵκα.Ӧʹ÷Ʒ,ɾܴڵκ.˹߿ɰάļ;ִ˹,ζļܶĸȾ.װĿ,Ҫ.  ','http://download.microsoft.com/download/1/d/9/1d9d44de-60ee-4d7a-b2b7-844e700c7fe9/Windows-KB890830-V1.8-CHT.exe\rhttp://sq.onlinedown.net:82/down/Windows-KB890830-V1.8-CHT.exe\rhttp://wh.onlinedown.net:82/down/Windows-KB890830-V1.8-CHT.exe\rhttp://ftpwh.onlinedown.net:82/down/Windows-KB890830-V1.8-CHT.exe\rhttp://hlbr.onlinedown.net/files3/Windows-KB890830-V1.8-CHT.exe\rhttp://nc.onlinedown.net/down/Windows-KB890830-V1.8-CHT.exe\rhttp://sx.huajun.net/files/Windows-KB890830-V1.8-CHT.exe\rhttp://lctt.onlinedown.net/down/Windows-KB890830-V1.8-CHT.exe\rhttp://sccrc2.onlinedown.net:82/down/Windows-KB890830-V1.8-CHT.exe\rhttp://gzcnc.onlinedown.net:82/files/Windows-KB890830-V1.8-CHT.exe\rhttp://sccnc.onlinedown.net/down/Windows-KB890830-V1.8-CHT.exe\rhttp://crc.onlinedown.net:82/files/Windows-KB890830-V1.8-CHT.exe\rhttp://cttnb.onlinedown.net/down/Windows-KB890830-V1.8-CHT.exe\rhttp://jsnetcom.onlinedown.com/down/Windows-KB890830-V1.8-CHT.exe\rhttp://hld165.onlinedown.net/down/Windows-KB890830-V1.8-CHT.exe\rhttp://ctttl.onlinedown.net:82/down/Windows-KB890830-V1.8-CHT.exe\rhttp://wznetcom.onlinedown.com:81/down/Windows-KB890830-V1.8-CHT.exe\rhttp://zj.onlinedown.net:82/down/Windows-KB890830-V1.8-CHT.exe\rftp://cnc:10060@221.12.150.27/Windows-KB890830-V1.8-CHT.exe\rftp://cnc:10060@soft.10060.tv/Windows-KB890830-V1.8-CHT.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/Windows-KB890830-V1.8-CHT.exe\rhttp://ctttl.onlinedown.net:8080/down/Windows-KB890830-V1.8-CHT.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (122,1126775115,1126775115,1,1,0,0,'BySoft FreeRAM 4.0.4.257','492KB','Ӣ','Ѱ/ڴ','Win9x/Me/NT/2000/XP',4,'http://www.bysoft.com/','','FreeRAMһ׿ֶԶͷڴĹߣԵʱ䣬Զڴޣڴ浽ʱԶǱҪռõڴ棬ṩڴ״̬CPUʹͼṩSKINɹ  ','http://free-st.t-com.hr/bysoft/BySoftFreeRAM32.exe\rhttp://sq.onlinedown.net:82/down/BySoftFreeRAM32.exe\rhttp://wh.onlinedown.net:82/down/BySoftFreeRAM32.exe\rhttp://ftpwh.onlinedown.net:82/down/BySoftFreeRAM32.exe\rhttp://hlbr.onlinedown.net/files3/BySoftFreeRAM32.exe\rhttp://nc.onlinedown.net/down/BySoftFreeRAM32.exe\rhttp://sx.huajun.net/files/BySoftFreeRAM32.exe\rhttp://lctt.onlinedown.net/down/BySoftFreeRAM32.exe\rhttp://sccrc2.onlinedown.net:82/down/BySoftFreeRAM32.exe\rhttp://gzcnc.onlinedown.net:82/files/BySoftFreeRAM32.exe\rhttp://sccnc.onlinedown.net/down/BySoftFreeRAM32.exe\rhttp://crc.onlinedown.net:82/files/BySoftFreeRAM32.exe\rhttp://cttnb.onlinedown.net/down/BySoftFreeRAM32.exe\rhttp://jsnetcom.onlinedown.com/down/BySoftFreeRAM32.exe\rhttp://hld165.onlinedown.net/down/BySoftFreeRAM32.exe\rhttp://ctttl.onlinedown.net:82/down/BySoftFreeRAM32.exe\rhttp://wznetcom.onlinedown.com:81/down/BySoftFreeRAM32.exe\rhttp://zj.onlinedown.net:82/down/BySoftFreeRAM32.exe\rftp://cnc:10060@221.12.150.27/BySoftFreeRAM32.exe\rftp://cnc:10060@soft.10060.tv/BySoftFreeRAM32.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/BySoftFreeRAM32.exe\rhttp://ctttl.onlinedown.net:8080/down/BySoftFreeRAM32.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (123,1126775116,1126775116,1,1,0,0,'å 1.34','308KB','','Ѱ/жع','Win9x/Me/NT/2000/XP',4,'http://www.tommsoft.com/','','&nbsp;&nbsp;&nbsp;&nbsp;å֣Ŀǰåһѹ ͨ CNIC ժ ٶѰ 3721 360 Duduؼ ܰС    ','http://sq.onlinedown.net:82/down/RogueCleaner.rar\rhttp://wh.onlinedown.net:82/down/RogueCleaner.rar\rhttp://ftpwh.onlinedown.net:82/down/RogueCleaner.rar\rhttp://hlbr.onlinedown.net/files3/RogueCleaner.rar\rhttp://nc.onlinedown.net/down/RogueCleaner.rar\rhttp://sx.huajun.net/files/RogueCleaner.rar\rhttp://lctt.onlinedown.net/down/RogueCleaner.rar\rhttp://sccrc2.onlinedown.net:82/down/RogueCleaner.rar\rhttp://gzcnc.onlinedown.net:82/files/RogueCleaner.rar\rhttp://sccnc.onlinedown.net/down/RogueCleaner.rar\rhttp://crc.onlinedown.net:82/files/RogueCleaner.rar\rhttp://cttnb.onlinedown.net/down/RogueCleaner.rar\rhttp://jsnetcom.onlinedown.com/down/RogueCleaner.rar\rhttp://hld165.onlinedown.net/down/RogueCleaner.rar\rhttp://ctttl.onlinedown.net:82/down/RogueCleaner.rar\rhttp://wznetcom.onlinedown.com:81/down/RogueCleaner.rar\rhttp://zj.onlinedown.net:82/down/RogueCleaner.rar\rftp://cnc:10060@221.12.150.27/RogueCleaner.rar\rftp://cnc:10060@soft.10060.tv/RogueCleaner.rar\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/RogueCleaner.rar\rhttp://ctttl.onlinedown.net:8080/down/RogueCleaner.rar','','','','');
INSERT INTO {$table_header}content_2 VALUES (124,1126775116,1126775116,1,1,0,0,'Turbo Searcher 3.30.052705','1986KB','Ӣ','/ļ','Win9x/Me/NT/2000/XP',4,'http://www.knownsoft.com/','','뼸ٰسҪһнгTurbo SearcherһٽļĹߣͨʱΪ0.xxx룬ļļСʱ䡢СκļرͼƬֺӰļûҪֻǵꡣṩǿASCIIUNICODEַHEXԴWindowsԴwindowsļߵߡ  ','http://www.knownsoft.com/Download/TS330.exe\rhttp://sq.onlinedown.net:82/down/TS330.exe\rhttp://wh.onlinedown.net:82/down/TS330.exe\rhttp://ftpwh.onlinedown.net:82/down/TS330.exe\rhttp://hlbr.onlinedown.net/files3/TS330.exe\rhttp://nc.onlinedown.net/down/TS330.exe\rhttp://sx.huajun.net/files/TS330.exe\rhttp://lctt.onlinedown.net/down/TS330.exe\rhttp://sccrc2.onlinedown.net:82/down/TS330.exe\rhttp://gzcnc.onlinedown.net:82/files/TS330.exe\rhttp://sccnc.onlinedown.net/down/TS330.exe\rhttp://crc.onlinedown.net:82/files/TS330.exe\rhttp://cttnb.onlinedown.net/down/TS330.exe\rhttp://jsnetcom.onlinedown.com/down/TS330.exe\rhttp://hld165.onlinedown.net/down/TS330.exe\rhttp://ctttl.onlinedown.net:82/down/TS330.exe\rhttp://wznetcom.onlinedown.com:81/down/TS330.exe\rhttp://zj.onlinedown.net:82/down/TS330.exe\rftp://cnc:10060@221.12.150.27/TS330.exe\rftp://cnc:10060@soft.10060.tv/TS330.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/TS330.exe\rhttp://ctttl.onlinedown.net:8080/down/TS330.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (125,1126775116,1126775116,1,1,0,0,'Serial Monitor 4.01','1491KB','Ӣ','/ϵͳ','Win9x/Me/NT/2000/XP',4,'http://www.hhdsoftware.com/sermon.html','','&nbsp;&nbsp;&nbsp;&nbsp;Serial MonitorһǿĴڼӡ⡢ߣʹøӼ򵥣ʺϿԱʹá  ','http://hhd.df.ru/Download/sermon.exe\rhttp://sq.onlinedown.net:82/down/sermon.exe\rhttp://wh.onlinedown.net:82/down/sermon.exe\rhttp://ftpwh.onlinedown.net:82/down/sermon.exe\rhttp://hlbr.onlinedown.net/files3/sermon.exe\rhttp://nc.onlinedown.net/down/sermon.exe\rhttp://sx.huajun.net/files/sermon.exe\rhttp://lctt.onlinedown.net/down/sermon.exe\rhttp://sccrc2.onlinedown.net:82/down/sermon.exe\rhttp://gzcnc.onlinedown.net:82/files/sermon.exe\rhttp://sccnc.onlinedown.net/down/sermon.exe\rhttp://crc.onlinedown.net:82/files/sermon.exe\rhttp://cttnb.onlinedown.net/down/sermon.exe\rhttp://jsnetcom.onlinedown.com/down/sermon.exe\rhttp://hld165.onlinedown.net/down/sermon.exe\rhttp://ctttl.onlinedown.net:82/down/sermon.exe\rhttp://wznetcom.onlinedown.com:81/down/sermon.exe\rhttp://zj.onlinedown.net:82/down/sermon.exe\rftp://cnc:10060@221.12.150.27/sermon.exe\rftp://cnc:10060@soft.10060.tv/sermon.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/sermon.exe\rhttp://ctttl.onlinedown.net:8080/down/sermon.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (126,1126775116,1126775116,1,1,0,0,'Rollup 1 for Windows 2000 SP4 » Ӣİ (09.13)','31957KB','Ӣ','Ѱ/ϵͳǿ','Win9x/Me/NT/2000/XP',4,'http://www.microsoft.com/downloads/details.aspx?displaylang=en&FamilyID=B54730CF-8850-4531-B52B-BF28B324C662','','&nbsp;&nbsp;&nbsp;&nbsp;Update Rollup 1һHotfixȫ͹ؼڵۻԲWin2000ԡ <br><br>\n<br><br>\nΪۻUpdate RollupWindows 2000 SP4аȫ£ͬʱһЩҪķǰȫĸ¡Ҳ˵úΰ汾Windows 2000ֻҪװ Windows 2000 Update RollupӵWindows 2000ӹеĲˣ©Ҳûµˣһʮȫ  ','http://download.microsoft.com/download/2/7/b/27b1d1a3-0299-4336-b88a-22b9f09817e2/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://sq.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://wh.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://ftpwh.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://hlbr.onlinedown.net/files3/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://nc.onlinedown.net/down/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://sx.huajun.net/files/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://lctt.onlinedown.net/down/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://sccrc2.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://gzcnc.onlinedown.net:82/files/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://sccnc.onlinedown.net/down/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://crc.onlinedown.net:82/files/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://cttnb.onlinedown.net/down/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://jsnetcom.onlinedown.com/down/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://hld165.onlinedown.net/down/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://ctttl.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://wznetcom.onlinedown.com:81/down/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://zj.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-ENU.EXE\rftp://cnc:10060@221.12.150.27/Windows2000-KB891861-v2-x86-ENU.EXE\rftp://cnc:10060@soft.10060.tv/Windows2000-KB891861-v2-x86-ENU.EXE\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/Windows2000-KB891861-v2-x86-ENU.EXE\rhttp://ctttl.onlinedown.net:8080/down/Windows2000-KB891861-v2-x86-ENU.EXE','','','','');
INSERT INTO {$table_header}content_2 VALUES (127,1126775117,1126775117,1,1,0,0,'Rollup 1 for Windows 2000 SP4 » 棨09.13','31647KB','','Ѱ/ϵͳǿ','Win9x/Me/NT/2000/XP',4,'http://www.microsoft.com/downloads/details.aspx?familyid=B54730CF-8850-4531-B52B-BF28B324C662&displaylang=zh-tw','','&nbsp;&nbsp;&nbsp;&nbsp;Update Rollup 1һHotfixȫ͹ؼڵۻԲWin2000ԡ\n<br><br>\nΪۻUpdate RollupWindows 2000 SP4аȫ£ͬʱһЩҪķǰȫĸ¡Ҳ˵úΰ汾Windows 2000ֻҪװ Windows 2000 Update RollupӵWindows 2000ӹеĲˣ©Ҳûµˣһʮȫ  ','http://download.microsoft.com/download/9/b/f/9bfb624e-5adb-4efb-ae99-ad129ca5839a/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://sq.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://wh.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://ftpwh.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://hlbr.onlinedown.net/files3/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://nc.onlinedown.net/down/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://sx.huajun.net/files/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://lctt.onlinedown.net/down/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://sccrc2.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://gzcnc.onlinedown.net:82/files/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://sccnc.onlinedown.net/down/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://crc.onlinedown.net:82/files/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://cttnb.onlinedown.net/down/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://jsnetcom.onlinedown.com/down/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://hld165.onlinedown.net/down/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://ctttl.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://wznetcom.onlinedown.com:81/down/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://zj.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-CHT.EXE\rftp://cnc:10060@221.12.150.27/Windows2000-KB891861-v2-x86-CHT.EXE\rftp://cnc:10060@soft.10060.tv/Windows2000-KB891861-v2-x86-CHT.EXE\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/Windows2000-KB891861-v2-x86-CHT.EXE\rhttp://ctttl.onlinedown.net:8080/down/Windows2000-KB891861-v2-x86-CHT.EXE','','','','');
INSERT INTO {$table_header}content_2 VALUES (128,1126775117,1126775117,1,1,0,0,'ͨݿǰ˹ƽ̨ 6.20','18168KB','','Ѱ/̹','Win9x/Me/NT/2000/XP',4,'','','&nbsp;&nbsp;&nbsp;&nbsp;ݿƽ̨ԶԴݵӺݲ鿴ѯݵ뵼Լͼӳȹܡ<br>\nۻԱѪϵͳзǳǿݿDBADBOûܵԻĹܡ  ','http://sq.onlinedown.net:82/down/DM6.20Inst.rar\rhttp://wh.onlinedown.net:82/down/DM6.20Inst.rar\rhttp://ftpwh.onlinedown.net:82/down/DM6.20Inst.rar\rhttp://hlbr.onlinedown.net/files3/DM6.20Inst.rar\rhttp://nc.onlinedown.net/down/DM6.20Inst.rar\rhttp://sx.huajun.net/files/DM6.20Inst.rar\rhttp://lctt.onlinedown.net/down/DM6.20Inst.rar\rhttp://sccrc2.onlinedown.net:82/down/DM6.20Inst.rar\rhttp://gzcnc.onlinedown.net:82/files/DM6.20Inst.rar\rhttp://sccnc.onlinedown.net/down/DM6.20Inst.rar\rhttp://crc.onlinedown.net:82/files/DM6.20Inst.rar\rhttp://cttnb.onlinedown.net/down/DM6.20Inst.rar\rhttp://jsnetcom.onlinedown.com/down/DM6.20Inst.rar\rhttp://hld165.onlinedown.net/down/DM6.20Inst.rar\rhttp://ctttl.onlinedown.net:82/down/DM6.20Inst.rar\rhttp://wznetcom.onlinedown.com:81/down/DM6.20Inst.rar\rhttp://zj.onlinedown.net:82/down/DM6.20Inst.rar\rftp://cnc:10060@221.12.150.27/DM6.20Inst.rar\rftp://cnc:10060@soft.10060.tv/DM6.20Inst.rar\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/DM6.20Inst.rar\rhttp://ctttl.onlinedown.net:8080/down/DM6.20Inst.rar','','','','');
INSERT INTO {$table_header}content_2 VALUES (129,1126775117,1126775117,1,1,0,0,'Rollup 1 for Windows 2000 SP4 »  (09.13)','31634KB','','Ѱ/ϵͳǿ','Win9x/Me/NT/2000/XP',4,'http://www.microsoft.com/downloads/details.aspx?displaylang=zh-cn&FamilyID=B54730CF-8850-4531-B52B-BF28B324C662','','&nbsp;&nbsp;&nbsp;&nbsp;Update Rollup 1һHotfixȫ͹ؼڵۻԲWin2000ԡ <br>\n<br>\nΪۻUpdate RollupWindows 2000 SP4аȫ£ͬʱһЩҪķǰȫĸ¡Ҳ˵úΰ汾Windows 2000ֻҪװ Windows 2000 Update RollupӵWindows 2000ӹеĲˣ©Ҳûµˣһʮȫ  ','http://download.microsoft.com/download/7/e/9/7e969f31-e33d-45a2-9d1a-fecbcde29a0e/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://sq.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://wh.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://ftpwh.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://hlbr.onlinedown.net/files3/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://nc.onlinedown.net/down/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://sx.huajun.net/files/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://lctt.onlinedown.net/down/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://sccrc2.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://gzcnc.onlinedown.net:82/files/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://sccnc.onlinedown.net/down/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://crc.onlinedown.net:82/files/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://cttnb.onlinedown.net/down/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://jsnetcom.onlinedown.com/down/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://hld165.onlinedown.net/down/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://ctttl.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://wznetcom.onlinedown.com:81/down/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://zj.onlinedown.net:82/down/Windows2000-KB891861-v2-x86-CHS.EXE\rftp://cnc:10060@221.12.150.27/Windows2000-KB891861-v2-x86-CHS.EXE\rftp://cnc:10060@soft.10060.tv/Windows2000-KB891861-v2-x86-CHS.EXE\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/Windows2000-KB891861-v2-x86-CHS.EXE\rhttp://ctttl.onlinedown.net:8080/down/Windows2000-KB891861-v2-x86-CHS.EXE','','','','');
INSERT INTO {$table_header}content_2 VALUES (130,1126775117,1127913472,1,1,0,0,'ڡļָϲ 3.3','3298KB','','','Win9x/Me/NT/2000/XP',4,'','','&nbsp;&nbsp;&nbsp;&nbsp;\"\"ļָϲһõļָϲߣܹ͵ļָָСԡȫ:Win98/Me/2000/Nt/Xp/2003 ','http://sq.onlinedown.net:82/down/tyFileCut330.exe\nhttp://wh.onlinedown.net:82/down/tyFileCut330.exe\nhttp://ftpwh.onlinedown.net:82/down/tyFileCut330.exe\nhttp://hlbr.onlinedown.net/files3/tyFileCut330.exe\nhttp://nc.onlinedown.net/down/tyFileCut330.exe\nhttp://sx.huajun.net/files/tyFileCut330.exe\nhttp://lctt.onlinedown.net/down/tyFileCut330.exe\nhttp://sccrc2.onlinedown.net:82/down/tyFileCut330.exe\nhttp://gzcnc.onlinedown.net:82/files/tyFileCut330.exe\nhttp://sccnc.onlinedown.net/down/tyFileCut330.exe\nhttp://crc.onlinedown.net:82/files/tyFileCut330.exe\nhttp://cttnb.onlinedown.net/down/tyFileCut330.exe\nhttp://jsnetcom.onlinedown.com/down/tyFileCut330.exe\nhttp://hld165.onlinedown.net/down/tyFileCut330.exe\nhttp://ctttl.onlinedown.net:82/down/tyFileCut330.exe\nhttp://wznetcom.onlinedown.com:81/down/tyFileCut330.exe\nhttp://zj.onlinedown.net:82/down/tyFileCut330.exe\nftp://cnc:10060@221.12.150.27/tyFileCut330.exe\nftp://cnc:10060@soft.10060.tv/tyFileCut330.exe\nftp://wzcnc:wzcnc@onlinedown.wzcnc.com/tyFileCut330.exe\nhttp://ctttl.onlinedown.net:8080/down/tyFileCut330.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (131,1126854683,1126854683,1,1,0,0,'֧Ʊӡϵͳ 3.051','6065KB','','/ӡ','Win9x/Me/NT/2000/XP',4,'http://leidong.qyun.net','','&nbsp;&nbsp;&nbsp;&nbsp;֧ƱӡϵͳĲоʹõƱдϣдģи߶ȵʵԡһϵóɹҪĹû֧Ʊӡ󡣹ǿ󣬲򵥣ӡ٣λ׼ȷѺãʵ˳ĸ߶ܻĿꡣ<br>\n<br>\nص: <br>\n1.λϢ,ֱӵã<br>\n2.Сдֱתдʽ<br>\n3.ת֧ƱԶɽ˵<br>\n4.տ˲ѯѡٷ(رôû),ֻҪһ,ܲиֵû<br>\n5.֧ͨ/ƽʽʽīӡ<br>\n6.ӡ(Ԫȫѡ)ҲɷԪصλȣ<br>\n7.ӡ֧Ʊ<br>\n8.ݿɱݡָ<br>\n9.ܰExcelļеݵ뵽ϵͳУ߱͵Ľӿڹܣ<br>\n10.֧ƱͬʱԶɼ¼൥ʹ֧Ʊ桢ϡѯ޸ģɾȣ<br>\n11.ӡƱ׼ȷ淶<br>\n&nbsp;&nbsp;&nbsp;3.05<br>\n1ӡ㵥<br>\n2ԶƱݴӡԶ8Ʊݣ<br>\n3ṩϸİϵͳͲͼ<br>\nϵ&nbsp;&nbsp;֧ƱӡȤϵǣ֧ƱӡɣΪЧ棬Чʡ (LEIDONG_888@126.COMLEIDONG_888@SOHU.COM) <br>\n  ','http://diy.qyun.net/leidong/soft/zp-setup_3.051.rar\rhttp://sq.onlinedown.net:82/down/zp-setup_3.051.rar\rhttp://wh.onlinedown.net:82/down/zp-setup_3.051.rar\rhttp://ftpwh.onlinedown.net:82/down/zp-setup_3.051.rar\rhttp://hlbr.onlinedown.net/files3/zp-setup_3.051.rar\rhttp://nc.onlinedown.net/down/zp-setup_3.051.rar\rhttp://sx.huajun.net/files/zp-setup_3.051.rar\rhttp://lctt.onlinedown.net/down/zp-setup_3.051.rar\rhttp://sccrc2.onlinedown.net:82/down/zp-setup_3.051.rar\rhttp://gzcnc.onlinedown.net:82/files/zp-setup_3.051.rar\rhttp://sccnc.onlinedown.net/down/zp-setup_3.051.rar\rhttp://crc.onlinedown.net:82/files/zp-setup_3.051.rar\rhttp://cttnb.onlinedown.net/down/zp-setup_3.051.rar\rhttp://jsnetcom.onlinedown.com/down/zp-setup_3.051.rar\rhttp://hld165.onlinedown.net/down/zp-setup_3.051.rar\rhttp://ctttl.onlinedown.net:82/down/zp-setup_3.051.rar\rhttp://wznetcom.onlinedown.com:81/down/zp-setup_3.051.rar\rhttp://zj.onlinedown.net:82/down/zp-setup_3.051.rar\rftp://cnc:10060@221.12.150.27/zp-setup_3.051.rar\rftp://cnc:10060@soft.10060.tv/zp-setup_3.051.rar\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/zp-setup_3.051.rar\rhttp://ctttl.onlinedown.net:8080/down/zp-setup_3.051.rar','','','','');
INSERT INTO {$table_header}content_2 VALUES (132,1126854684,1126854684,1,1,0,0,'CDץʦ 1.12','6962KB','','/','Win9x/Me/NT/2000/XP',4,'http://www.flywing.cn','','һCDתΪMP3WAVWMAOGGƵʽʹܽCDϵõر浽Ӳ̻ƵMP3ϡת̶ȵرԭCDʡ <br>\n&nbsp;&nbsp;&nbsp;&nbsp;Ҫܺɫ1֧MP3WAVWMAOGGƵʽ2֧ͨCDԼĿǰϽϳHDCDCDƬ3תްȨơ4ṩID3Ϣ༭5ṩCDDBܡ6ܡ7ֶ֧  ','http://sq3.onlinedown.net/down/audio_cd_ripper.exe\rhttp://hld.onlinedown.net/down/audio_cd_ripper.exe\rhttp://wh.onlinedown.net:82/down/audio_cd_ripper.exe\rhttp://ftpwh.onlinedown.net:82/down/audio_cd_ripper.exe\rhttp://hlbr.onlinedown.net/files3/audio_cd_ripper.exe\rhttp://nc.onlinedown.net/down/audio_cd_ripper.exe\rhttp://sx.huajun.net/down/audio_cd_ripper.exe\rhttp://nn.onlinedown.net/down/audio_cd_ripper.exe\rhttp://sccrc.onlinedown.net:82/files2/audio_cd_ripper.exe\rhttp://gzcnc.onlinedown.net:82/files/audio_cd_ripper.exe\rhttp://sccnc.onlinedown.net/down/audio_cd_ripper.exe\rhttp://jsnetcom.onlinedown.com/down/audio_cd_ripper.exe\rhttp://hbcrc.onlinedown.net:82/down/audio_cd_ripper.exe\rhttp://ctttl.onlinedown.net:82/down/audio_cd_ripper.exe\rhttp://sxbctv.onlinedown.net/down/audio_cd_ripper.exe\rftp://cnc:10060@221.12.150.27/audio_cd_ripper.exe\rftp://cnc:10060@soft.10060.tv/audio_cd_ripper.exe\rhttp://snxa.onlinedown.net/down/audio_cd_ripper.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/audio_cd_ripper.exe\rhttp://ctttl.onlinedown.net:8080/down/audio_cd_ripper.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (133,1126854684,1126854684,1,1,0,0,' 5.30','2774KB','','/','Win9x/Me/NT/2000/XP',4,'http://www.vrbrothers.com/cn','','رʺϷԶĻˣҪܰ1.һȼʵһϵеļ̰ƶַӳٶĲ붯ԺҲ䡣2.ʵֶѭÿԽѭԶȼֹѭҲԼѭĴѭʱ䡣3.еȼԶָĴЧͲл˴ڻԶִж4.ÿȼĶһScriptļֿԼ༭ļʵֹǿĺ  ','http://sq3.onlinedown.net/down/qm5chs.exe\rhttp://hld.onlinedown.net/down/qm5chs.exe\rhttp://wh.onlinedown.net:82/down/qm5chs.exe\rhttp://ftpwh.onlinedown.net:82/down/qm5chs.exe\rhttp://hlbr.onlinedown.net/files3/qm5chs.exe\rhttp://nc.onlinedown.net/down/qm5chs.exe\rhttp://sx.huajun.net/down/qm5chs.exe\rhttp://nn.onlinedown.net/down/qm5chs.exe\rhttp://sccrc.onlinedown.net:82/files2/qm5chs.exe\rhttp://gzcnc.onlinedown.net:82/files/qm5chs.exe\rhttp://sccnc.onlinedown.net/down/qm5chs.exe\rhttp://jsnetcom.onlinedown.com/down/qm5chs.exe\rhttp://hbcrc.onlinedown.net:82/down/qm5chs.exe\rhttp://lctt.onlinedown.net/down/qm5chs.exe\rhttp://sxbctv.onlinedown.net/down/qm5chs.exe\rftp://cnc:10060@221.12.150.27/qm5chs.exe\rftp://cnc:10060@soft.10060.tv/qm5chs.exe\rhttp://snxa.onlinedown.net/down/qm5chs.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/qm5chs.exe\rhttp://ctttl.onlinedown.net:8080/down/qm5chs.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (134,1126854685,1126854685,1,1,0,0,'Yeepuϵ 2.22','23900KB','','/̹','Win9x/Me/NT/2000/XP',4,'http://www.yeepu.com','','   ĿЧʺóԱųѾרעҵģĿ ŵ㣺 1ֲ֧ʽֹ֧ 2֧SQL ServerAccessҲ֧Oracle 3Delphiǿ﷨ѧõĿߣֻҪһӽһ档ûʱѧ̣д 4ʲôпԢԶ屨Զ˵Զֶ΢ԶȨޢԶͳƢԶ档Զ̢ṩ 5ֻ֧šE-Mail 6ṩ롢ȫɿ 7ٱ̴룻 8ӴĿɿԺͽ׳ԣ 9ܱ֤һԺģ黯 10XPЧʹһ 11Ժϲ,ҲԷֿ15YeepuERPYeepu桢YeepuPOSYeepuڡYeepuнʡYeepuʯġYeepuôYeepuò͡YeepuҵYeepuơYeepuˡYeepuĵYeepuԱYeepuͻYeepuн   ','http://sq3.onlinedown.net/down/YeepuSoft.exe\rhttp://hld.onlinedown.net/down/YeepuSoft.exe\rhttp://wh.onlinedown.net:82/down/YeepuSoft.exe\rhttp://ftpwh.onlinedown.net:82/down/YeepuSoft.exe\rhttp://hlbr.onlinedown.net/files3/YeepuSoft.exe\rhttp://nc.onlinedown.net/down/YeepuSoft.exe\rhttp://sx.huajun.net/down/YeepuSoft.exe\rhttp://nn.onlinedown.net/down/YeepuSoft.exe\rhttp://sccrc.onlinedown.net:82/files2/YeepuSoft.exe\rhttp://gzcnc.onlinedown.net:82/files/YeepuSoft.exe\rhttp://sccnc.onlinedown.net/down/YeepuSoft.exe\rhttp://jsnetcom.onlinedown.com/down/YeepuSoft.exe\rhttp://hbcrc.onlinedown.net:82/down/YeepuSoft.exe\rhttp://ctttl.onlinedown.net:82/down/YeepuSoft.exe\rhttp://sxbctv.onlinedown.net/down/YeepuSoft.exe\rftp://cnc:10060@221.12.150.27/YeepuSoft.exe\rftp://cnc:10060@soft.10060.tv/YeepuSoft.exe\rhttp://snxa.onlinedown.net/down/YeepuSoft.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/YeepuSoft.exe\rhttp://ctttl.onlinedown.net:8080/down/YeepuSoft.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (135,1126854685,1126854685,1,1,0,0,'Ѷ˹ذȫ 2005 R2','5737KB','','/ϵͳȫ','Win9x/Me/NT/2000',4,'http://www.filseclab.com','','    Ѷ˹ذȫ(Twister Anti-TrojanVirus)һͬʱӵзľͷܵǿԷ֧Windowsȫģ֧Ҽɨ裬ֶ֧ZIPRARѹʽȫ㼶ɨ裬ʵʱعܿԶӲ̡̡̡ƶӲ̡վE-mailеÿһļʵʱأϵͳԴռüСSmartScanɨ輼зǷɨٶȡһҳӵɫĶվʶΪܷWindows֤׼ȷڵеδ֪ľͶͬʱͬľдڵءѱġϵͳ޸ߡԶIEWindowsעȳϽһ޸ ľǿ֡ЩͨľͼעʵʱܹЧֹ޸ľעĶƻֲ֧Զľ²ķӦ  ','http://sq3.onlinedown.net/down/twister_cn.zip\rhttp://hld.onlinedown.net/down/twister_cn.zip\rhttp://wh.onlinedown.net:82/down/twister_cn.zip\rhttp://ftpwh.onlinedown.net:82/down/twister_cn.zip\rhttp://hlbr.onlinedown.net/files3/twister_cn.zip\rhttp://nc.onlinedown.net/down/twister_cn.zip\rhttp://sx.huajun.net/files/twister_cn.zip\rhttp://hnpy.onlinedown.net/down/twister_cn.zip\rhttp://nn.onlinedown.net/down/twister_cn.zip\rhttp://sccrc.onlinedown.net:82/files/twister_cn.zip\rhttp://gzcnc.onlinedown.net:82/files/twister_cn.zip\rhttp://sccnc.onlinedown.net/down/twister_cn.zip\rhttp://jsnetcom.onlinedown.com/down/twister_cn.zip\rhttp://hbcrc.onlinedown.net:82/down/twister_cn.zip\rhttp://lctt.onlinedown.net/down/twister_cn.zip\rhttp://wx.onlinedown.net/down/twister_cn.zip\rhttp://zj.onlinedown.net:82/down/twister_cn.zip\rftp://cnc:10060@221.12.150.27/twister_cn.zip\rftp://cnc:10060@soft.10060.tv/twister_cn.zip\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/twister_cn.zip\rhttp://ctttl.onlinedown.net:8080/down/twister_cn.zip','','','','');
INSERT INTO {$table_header}content_2 VALUES (136,1126854685,1126854685,1,1,0,0,'è 3.04','2150KB','','/жع','Win9x/Me/NT/2000/XP',4,'http://www.66169.com','','&nbsp;&nbsp;&nbsp;&nbsp;èһ׼رϵͳǿˣȫɿ򵥷㡣Ҫܣ<br>\n1׽ֹҳȫվҳ֤ȫ;<br>\n2ȫйĳַ½ַĵӰ֣͹ͼƬȵȵʷ¼Чı˽<br>\n3ȫϵͳɾĺͲҪļָĿݷʽʱļϵͳעĿȣ<br>\n4򣬼ڴռãٶȡ  ','http://dl.hzsrf.com/league_soft/10227/bm_setup.exe\rhttp://soft.66169.com/league_soft/10227/bm_setup.exe\rhttp://sq3.onlinedown.net/down/bm_setup.exe\rhttp://hld.onlinedown.net/down/bm_setup.exe\rhttp://wh.onlinedown.net:82/down/bm_setup.exe\rhttp://ftpwh.onlinedown.net:82/down/bm_setup.exe\rhttp://hlbr.onlinedown.net/files3/bm_setup.exe\rhttp://nc.onlinedown.net/down/bm_setup.exe\rhttp://sx.huajun.net/files/bm_setup.exe\rhttp://hnpy.onlinedown.net/down/bm_setup.exe\rhttp://nn.onlinedown.net/down/bm_setup.exe\rhttp://sccrc.onlinedown.net:82/files/bm_setup.exe\rhttp://gzcnc.onlinedown.net:82/files/bm_setup.exe\rhttp://sccnc.onlinedown.net/down/bm_setup.exe\rhttp://jsnetcom.onlinedown.com/down/bm_setup.exe\rhttp://hbcrc.onlinedown.net:82/down/bm_setup.exe\rhttp://ctttl.onlinedown.net:82/down/bm_setup.exe\rhttp://wx.onlinedown.net/down/bm_setup.exe\rhttp://zj.onlinedown.net:82/down/bm_setup.exe\rftp://cnc:10060@221.12.150.27/bm_setup.exe\rftp://cnc:10060@soft.10060.tv/bm_setup.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/bm_setup.exe\rhttp://ctttl.onlinedown.net:8080/down/bm_setup.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (137,1126854685,1126854685,1,1,0,0,'ͼ- 6.3.1.2','1140KB','','/װ','Win9x/Me/NT/2000/XP',4,'http://www.yyebook.com','','&nbsp;&nbsp;&nbsp;&nbsp;һϹͼýμһĶ๦...ڹhtmҳmhtһҳwordĵexcelĵõƬpdfchmexetxtrtfGIFJPGICOTIFBMPFlashȸʽļֱּ֧ƵţϿֱɿִļκλĶ<br>\n<br>\n&nbsp;&nbsp;&nbsp;&nbsp;ӴĿ¼ṹõҪӵת룻ʹã㣬ɵӡɾĿ¼ر༭ĵݣıСɫ<br>\n<br>\n&nbsp;&nbsp;&nbsp;ͬŵ㣬ͬʱڹܼ־жصĴԣû㷨ݴ洢ԴѹʽؾжıӹܣԵҳԿɱ༭֧Wordĵҳıȶָʽĵ֮ת˶༶ֲʽ㷨֧ƤȸԻƣɿִļԿ޸ġ  ','http://www.yyebook.com/yyws.rar\rhttp://sq.onlinedown.net:82/down/yyws.rar\rhttp://ks.onlinedown.net:82/down/yyws.rar\rhttp://hlbr.onlinedown.net/files3/yyws.rar\rhttp://nc.onlinedown.net/down/yyws.rar\rhttp://sx.huajun.net/files/yyws.rar\rhttp://hnpy.onlinedown.net/down/yyws.rar\rhttp://nn.onlinedown.net/down/yyws.rar\rhttp://lctt.onlinedown.net/down/yyws.rar\rhttp://sccrc2.onlinedown.net:82/down/yyws.rar\rhttp://gzcnc.onlinedown.net:82/files/yyws.rar\rhttp://sccnc.onlinedown.net/down/yyws.rar\rftp://newhuadownload:12345678@211.154.22.149/yyws.rar\rhttp://jsnetcom.onlinedown.com/down/yyws.rar\rhttp://hecz.onlinedown.net/down/yyws.rar\rhttp://ctttl.onlinedown.net:82/down/yyws.rar\rftp://cnc:10060@221.12.150.27/yyws.rar\rftp://cnc:10060@soft.10060.tv/yyws.rar\rhttp://snxa.onlinedown.net/down/yyws.rar\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/yyws.rar\rhttp://ctttl.onlinedown.net:8080/down/yyws.rar','','','','');
INSERT INTO {$table_header}content_2 VALUES (138,1126854686,1126854686,1,1,0,0,'ԾԮר 7.3','1926KB','','ð/̹','Win9x/Me/NT/2000/XP',4,'http://www.wasay.com/','','&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ļǷ񾭳Īʧţ߰װ·ϵͳĴҡʹ˷ʱռӲ̿ռıݹǷ˷Ǯȴ򵽲ᰲװʹϲأ\nPro Magicʵʱԭг϶Ӧù(װؿ)ϵͳĸ󡣵ԾԮרṩЩأ\n1\tϵͳʵʱԭΪϵͳҵ¹ϵֻҪѰװPro Magic¿ԭ\n2\tȫĽ֧ \n3\t򷴰װܡ״̬Ը͵ֻҪ°װãֻҪ¿ԭȫƳԵ\n4\tܹܡṩ˫뱣ֹʹļҪй\n5\tȫԱϵͳ̣ҲԱ̵̣Ļԭ治Ҫȫڴ½С\n6\t㻹ԭṩ޶ʽԭ޶ʽȴ湦ܣʱһԻԭǰһο״̬ԭǰһ졢ǰһ¡ǰһ״̬  ','http://vnet.onlinedown.net:82/down/ProMagicPlus7.rar\rhttp://ks.onlinedown.net:82/down/ProMagicPlus7.rar\rhttp://wh.onlinedown.net:82/down/ProMagicPlus7.rar\rhttp://ftpwh.onlinedown.net:82/down/ProMagicPlus7.rar\rhttp://hlbr.onlinedown.net/files3/ProMagicPlus7.rar\rhttp://nc.onlinedown.net/down/ProMagicPlus7.rar\rhttp://sx.huajun.net/files/ProMagicPlus7.rar\rhttp://nn.onlinedown.net/down/ProMagicPlus7.rar\rhttp://sccrc2.onlinedown.net:82/down/ProMagicPlus7.rar\rhttp://gzcnc.onlinedown.net:82/files/ProMagicPlus7.rar\rhttp://sccnc.onlinedown.net/down/ProMagicPlus7.rar\rftp://newhuadownload:12345678@211.154.22.149/ProMagicPlus7.rar\rhttp://jsnetcom.onlinedown.com/down/ProMagicPlus7.rar\rhttp://hecz.onlinedown.net/down/ProMagicPlus7.rar\rhttp://ctttl.onlinedown.net:82/down/ProMagicPlus7.rar\rftp://cnc:10060@221.12.150.27/ProMagicPlus7.rar\rftp://cnc:10060@soft.10060.tv/ProMagicPlus7.rar\rhttp://snxa.onlinedown.net/down/ProMagicPlus7.rar\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/ProMagicPlus7.rar\rhttp://ctttl.onlinedown.net:8080/down/ProMagicPlus7.rar','','','','');
INSERT INTO {$table_header}content_2 VALUES (139,1126854686,1126854686,1,1,0,0,'ɱKV2005AAA ذ','26358KB','','/ɱ','Win9x/Me/NT/2000/XP',5,'http://www.jiangmin.com','','     KV2005ǽƼʮ귴飬ݲչƺ͵ûİȫɽзһʱ䣬ʽǧԪзɡ²ƷӦ¼ʮ㣬²ƷKV2005AAAδ֪ϵͳľһɨδ֪ǣЧľ;󲿷δ֪<br>\n<br>\n     <br>\n    <br>\n   \"̼\"ϵͳײ㼼ϸܣԸǿռϵͳԴС \"ϵͳȷ\"KV2005ϵͳ׸ıɱڲϵͳͷǽĵһӦģʽɱϵͳ¼Ԫ\"ɱ\"KV2005ɱǽͬɱЧ<br>\n<br>\n   ʮ㣺<br>\n   һδ֪ǣδ֪ǡۺ˲ĹͬڲΪȥʹ<br>\n   ľһɨ⣺ľһɨжעķǷд룬в޸ע򱨾ûѡǷ<br>\n   ȫKVȫĵKV2005ûİȫ֣ûװKV2005󣬰ȫĽʵʱû⡢ʵʱϵͳװϵͳ©ȷ԰ȫ<br>\n   ġ޶죺KV2005ʱͨżӹܣȫɱͨQQMSNݡUCȼʱͨѶߴĲ<br>\n   塢޶칫KV2005ɱƽǶOFFICEʿ쳵ϡWINRARWINZIPȰ칫ءѹУʵʱزȫ޶<br>\n   ޶ʼʼϵͳǿʵʱ˫ɨշʼжʱȷ޶С<br>\n   ߡ޶ΣKV2005ڿͷǽǿ󣬱ϷװƸ<br>\n   ˡ˽ÿšQQ䡢Ϸ˺ŵ˽ϢΪ״̬ľڿ͵ȡ˽Ϣ⴫ʱKV2005Чɨء<br>\n   šUɱKVɱ֧UӦ̺DOSɱ£ʹPCûDOS¿ٲɱ<br>\n   ʮ֧SP2ȫ֧΢²ϵͳWINXP SP2ͨWINXP SP2ȫ֤KVȫģװKV2005󣬲XP SP2ûԻðȫĹܣвϵͳʵְȫĹܣɱϵͳȷ  ','http://wx.onlinedown.net/down/kv2005download.exe\rhttp://sq.onlinedown.net/files/kv2005download.exe\rhttp://ks.onlinedown.net:82/down/kv2005download.exe\rhttp://wh.onlinedown.net:82/down/kv2005download.exe\rhttp://ftpwh.onlinedown.net:82/down/kv2005download.exe\rhttp://nc.onlinedown.net/down/kv2005download.exe\rhttp://hnpy.onlinedown.net/down/kv2005download.exe\rhttp://lctt.onlinedown.net/down/kv2005download.exe\rhttp://sccrc2.onlinedown.net:82/down/kv2005download.exe\rhttp://gzcnc.onlinedown.net:82/files/kv2005download.exe\rhttp://sccnc.onlinedown.net/down/kv2005download.exe\rhttp://crc.onlinedown.net:82/files/kv2005download.exe\rftp://newhuadownload:12345678@211.154.22.149/kv2005download.exe\rhttp://jsnetcom.onlinedown.com/down/kv2005download.exe\rhttp://hecz.onlinedown.net/down/kv2005download.exe\rhttp://lctt.onlinedown.net/down/kv2005download.exe\rftp://cnc:10060@221.12.150.27/kv2005download.exe\rftp://cnc:10060@soft.10060.tv/kv2005download.exe\rhttp://snxa.onlinedown.net/down/kv2005download.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/kv2005download.exe\rhttp://ctttl.onlinedown.net:8080/down/kv2005download.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (140,1126854686,1126854686,1,1,0,0,'پXP(SpeederXP) 1.75a','2276KB','','/ϵͳǿ','Win9x/Me/NT/2000/XP',4,'http://www.vrbrothers.com/cn/speeder/','','&nbsp;&nbsp;&nbsp;&nbsp;ȶȽıټԸıϷٶȣɸıwindowsٶȣͬʱȫ֧Windows9598me2000xpȶֲϵͳ֧ȼ壬ʱȼڡ١٣ڵ趨ٶȣ˳ٶȵĸıȻЧֱһ޼٣϶飬ɵڡ<br>\n<br>\nٺCPUӲ𺦣зɵĸо  ','http://sq5.onlinedown.net/files/speeder_cn.exe\rhttp://hld.onlinedown.net/down/speeder_cn.exe\rhttp://wh.onlinedown.net:82/down/speeder_cn.exe\rhttp://ftpwh.onlinedown.net:82/down/speeder_cn.exe\rhttp://hlbr.onlinedown.net/files3/speeder_cn.exe\rhttp://nc.onlinedown.net/down/speeder_cn.exe\rhttp://sx.huajun.net/files/speeder_cn.exe\rhttp://lctt.onlinedown.net/down/speeder_cn.exe\rhttp://sccrc2.onlinedown.net:82/down/speeder_cn.exe\rhttp://gzcnc.onlinedown.net:82/files/speeder_cn.exe\rhttp://sccnc.onlinedown.net/down/speeder_cn.exe\rhttp://jsnetcom.onlinedown.com/down/speeder_cn.exe\rhttp://hecz.onlinedown.net/down/speeder_cn.exe\rhttp://ctttl.onlinedown.net:82/down/speeder_cn.exe\rhttp://wznetcom.onlinedown.com:81/down/speeder_cn.exe\rhttp://zj.onlinedown.net:82/down/speeder_cn.exe\rftp://cnc:10060@221.12.150.27/speeder_cn.exe\rftp://cnc:10060@soft.10060.tv/speeder_cn.exe\rftp://wzcnc:wzcnc@onlinedown.wzcnc.com/speeder_cn.exe\rhttp://ctttl.onlinedown.net:8080/down/speeder_cn.exe','','','','');
INSERT INTO {$table_header}content_2 VALUES (141,1126854686,1126855627,1,1,0,0,'ħ 7.1','7433KB','','Ѱ/ϵͳ','Win9x/Me/NT/2000/XP',5,'http://www.pctutu.com','','2005-9-14&nbsp;&nbsp;7.1<BR><BR>һ7.1<BR>&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;600IE<BR>&nbsp;&nbsp;&nbsp;&nbsp;2&nbsp;&nbsp;sinasohuiCast<BR>&nbsp;&nbsp;&nbsp;&nbsp;3&nbsp;&nbsp;ҳΪͼƬĹ<BR>&nbsp;&nbsp;&nbsp;&nbsp;4&nbsp;&nbsp;IEԶɵĹ<BR>&nbsp;&nbsp;&nbsp;&nbsp;5&nbsp;&nbsp;<BR>&nbsp;&nbsp;&nbsp;&nbsp;6&nbsp;&nbsp;ҳƹ<BR>&nbsp;&nbsp;&nbsp;&nbsp;7&nbsp;&nbsp;԰ٶɡһѲ֧<BR>&nbsp;&nbsp;&nbsp;&nbsp;8&nbsp;&nbsp;ĽֹƯ湦ܵļ<BR><BR>Ż7.1<BR>&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;IEԶɹ<BR>&nbsp;&nbsp;&nbsp;&nbsp;2&nbsp;&nbsp;ͳļдС<BR>&nbsp;&nbsp;&nbsp;&nbsp;3&nbsp;&nbsp;ųļѡ<BR>&nbsp;&nbsp;&nbsp;&nbsp;4&nbsp;&nbsp;ɾļʽѡ<BR>&nbsp;&nbsp;&nbsp;&nbsp;5&nbsp;&nbsp;󻯹<BR>&nbsp;&nbsp;&nbsp;&nbsp;6&nbsp;&nbsp;ȫרҵжأ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;밲ȫģʽֻҪж<BR><BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;  ж<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Dudu ж<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ѹֱͨ ж<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ٶȳѰ ж<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Ȥ ж<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ܰС ж<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;  ж<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 360 ж<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ̫ ж<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ַ ж<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; һѹ ж<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Ŀ ж<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; MMSAssistͨ ж<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; iBar ж<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; WinStdup ж<BR><BR>&nbsp;&nbsp;&nbsp;&nbsp;7&nbsp;&nbsp;רҵжعܣжظ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ļעжعߵ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ɾܡж49<BR><BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;IE<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;RealPlayer<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ܰС<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;С۷<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Duduؼ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DMCast 洫ý<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;˵ͨ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;iGame Ϸܶ԰<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;17lele<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ͨ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;һ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ѱ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Alibaba ֱ̻ͨ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ѷ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;PP<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DIY<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5188<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ͨ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ժ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;IE<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;8848<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;8848<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;̫<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ȥ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ȥ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;NetFish <BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ѹֱͨ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CopySo<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ISC<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ַ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ŀ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MMSAssistͨ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;iBar<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;WinStdup<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3721<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3721ʵ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3721<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3721ר<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;360<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;һѹ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CNNICٷ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CNNIC<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ٶ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ٶѰ<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ٶȳѰ<BR><BR>IE޸ר7.1<BR>&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;ɼ⼰10328ľ<BR>&nbsp;&nbsp;&nbsp;&nbsp;2&nbsp;&nbsp;һļⱨ<BR><BR>ġħ7.1<BR>&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp;ĻõBug<BR>&nbsp;&nbsp;&nbsp;&nbsp;2&nbsp;&nbsp;&nbsp;ΰťBug<BR>&nbsp;&nbsp;&nbsp;&nbsp;3&nbsp;&nbsp;&nbsp;Ľ͸<BR><BR>塢Ӱȫ4.6<BR>&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp;ϵͳļеαװʶ<BR><BR>ȫѣעᣬIEҳ<BR>&nbsp;&nbsp;&nbsp;&nbsp;ʹйܣṩ<BR>&nbsp;&nbsp;&nbsp;&nbsp;κ<BR>','http://sq.onlinedown.net:82/down/magicset710.exe\nhttp://wh.onlinedown.net:82/down/magicset710.exe\nhttp://ftpwh.onlinedown.net:82/down/magicset710.exe\nhttp://hlbr.onlinedown.net/files3/magicset710.exe\nhttp://nc.onlinedown.net/down/magicset710.exe\nhttp://sx.huajun.net/files/magicset710.exe\nhttp://lctt.onlinedown.net/down/magicset710.exe\nhttp://sccrc2.onlinedown.net:82/down/magicset710.exe\nhttp://gzcnc.onlinedown.net:82/files/magicset710.exe\nhttp://sccnc.onlinedown.net/down/magicset710.exe\nhttp://crc.onlinedown.net:82/files/magicset710.exe\nhttp://cttnb.onlinedown.net/down/magicset710.exe\nhttp://jsnetcom.onlinedown.com/down/magicset710.exe\nhttp://hld165.onlinedown.net/down/magicset710.exe\nhttp://ctttl.onlinedown.net:82/down/magicset710.exe\nhttp://wznetcom.onlinedown.com:81/down/magicset710.exe\nhttp://zj.onlinedown.net:82/down/magicset710.exe\nftp://cnc:10060@221.12.150.27/magicset710.exe\nftp://cnc:10060@soft.10060.tv/magicset710.exe\nftp://wzcnc:wzcnc@onlinedown.wzcnc.com/magicset710.exe\nhttp://ctttl.onlinedown.net:8080/down/magicset710.exe','../resource/img/h000/h00/img200509161527050.jpg','','','');


DROP TABLE IF EXISTS {$table_header}content_3;

CREATE TABLE {$table_header}content_3 (
  `ContentID` int(10) NOT NULL auto_increment,
  `CreationDate` int(10) NOT NULL default '0',
  `ModifiedDate` int(10) NOT NULL default '0',
  `CreationUserID` int(8) NOT NULL default '0',
  `LastModifiedUserID` int(8) NOT NULL default '0',
  `ContributionUserID` int(8) NOT NULL default '0',
  `ContributionID` int(10) NOT NULL default '0',
  `Title` varchar(100) NOT NULL default '',
  `Author` varchar(50) NOT NULL default '',
  `Size` varchar(20) NOT NULL default '',
  `FlashSrc` varchar(250) NOT NULL default '',
  `Photo` varchar(250) NOT NULL default '',
  `Intro` text NOT NULL,
  `CustomLinks` text NOT NULL,
  PRIMARY KEY  (`ContentID`)
) TYPE=MyISAM;


INSERT INTO {$table_header}content_3 VALUES (1,1127728099,1127729232,1,1,0,0,'ֹˮ','','6.54 MB','../resource/flash/h000/h00/flash200509261712040.swf','../resource/img/h000/h00/img200508241959201.jpg','\n\nһ򽻵Ϸ.ϷؾͶ,Ҫ׬ǮͲҪϧMoney...','73685,73684');
INSERT INTO {$table_header}content_3 VALUES (2,1127728697,1127915518,1,1,0,0,'Ԫ','','','../resource/flash/h000/h00/flash200509261542230.swf','../resource/img/h000/h00/img200509161526100.jpg','\n\nŵֻгӵģĦLGǿСĦRazrпŻ֮͡Strategy Analytics.ʦMilton Keynes˵ŵŷʧͼձ˵ûгһֻ֧ʱŵǣɫɵֻʱתŵǵĶ֡ ','');
INSERT INTO {$table_header}content_3 VALUES (3,1127729924,1127915510,1,1,0,0,'ȫͨͨȫ','','','../resource/flash/h000/h00/flash200509261717460.swf','../resource/img/h000/h00/img200508241959202.jpg','\n\nŵֻгӵģĦLGǿСĦRazrпŻ֮͡Strategy Analytics.ʦMilton Keynes˵ŵŷʧͼձ˵ûгһֻ֧ʱŵǣɫɵֻʱתŵǵĶ֡ ','');
INSERT INTO {$table_header}content_3 VALUES (4,1127729995,1127915500,1,1,0,0,'̤','','','../resource/flash/h000/h00/flash200509261546130.swf','../resource/img/h000/h00/img200508241952402.jpg','\n\nŵֻгӵģĦLGǿСĦRazrпŻ֮͡Strategy Analytics.ʦMilton Keynes˵ŵŷʧͼձ˵ûгһֻ֧ʱŵǣɫɵֻʱתŵǵĶ֡ ','');

DROP TABLE IF EXISTS {$table_header}content_4;
CREATE TABLE {$table_header}content_4 (
  `ContentID` int(10) NOT NULL auto_increment,
  `CreationDate` int(10) NOT NULL default '0',
  `ModifiedDate` int(10) NOT NULL default '0',
  `CreationUserID` int(8) NOT NULL default '0',
  `LastModifiedUserID` int(8) NOT NULL default '0',
  `ContributionUserID` int(8) NOT NULL default '0',
  `ContributionID` int(10) NOT NULL default '0',
  `Content` text NOT NULL,
  PRIMARY KEY  (`ContentID`)
) TYPE=MyISAM;


INSERT INTO {$table_header}content_4 VALUES (1,1126851951,1126851951,1,1,0,0,'\n\nCMSwareʾվƳڴ ');
INSERT INTO {$table_header}content_4 VALUES (2,1126852028,1126852028,1,1,0,0,'\n\nµķòµĿʼϣһֱ֧վ ');
INSERT INTO {$table_header}content_4 VALUES (3,1126852047,1126852047,1,1,0,0,'\n\nCMSwareŷ룡');

DROP TABLE IF EXISTS {$table_header}content_5;

CREATE TABLE {$table_header}content_5 (
  `ContentID` int(10) NOT NULL auto_increment,
  `CreationDate` int(10) NOT NULL default '0',
  `ModifiedDate` int(10) NOT NULL default '0',
  `CreationUserID` int(8) NOT NULL default '0',
  `LastModifiedUserID` int(8) NOT NULL default '0',
  `ContributionUserID` int(8) NOT NULL default '0',
  `ContributionID` int(10) NOT NULL default '0',
  `LinkName` varchar(50) NOT NULL default '',
  `LinkURL` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`ContentID`)
) TYPE=MyISAM;


INSERT INTO {$table_header}content_5 VALUES (1,1126856013,1126856214,1,1,0,0,'CMSwareٷվ','http://www.cmsware.com');
INSERT INTO {$table_header}content_5 VALUES (2,1126856051,1126856051,1,1,0,0,'ս̳','http://www.cqzg.cn/');
INSERT INTO {$table_header}content_5 VALUES (3,1126856072,1126856072,1,1,0,0,'վѶ','http://www.11k.net');
INSERT INTO {$table_header}content_5 VALUES (4,1126856094,1126856094,1,1,0,0,'SmartIPB̳ٷվ','http://www.smartipb.com/');
INSERT INTO {$table_header}content_5 VALUES (5,1126856109,1126856109,1,1,0,0,'ѧ','http://www.univs.cn/');
INSERT INTO {$table_header}content_5 VALUES (6,1126856122,1126856122,1,1,0,0,'ϺС','http://www.shbear.com/');
INSERT INTO {$table_header}content_5 VALUES (7,1126856134,1126856134,1,1,0,0,'йشվ','http://www.it023.com/');
INSERT INTO {$table_header}content_5 VALUES (8,1126856142,1126856142,1,1,0,0,'ϻ','http://www.pcicp.com/');
INSERT INTO {$table_header}content_5 VALUES (9,1126856152,1126856152,1,1,0,0,'ϺС','http://www.shbear.com/');
INSERT INTO {$table_header}content_5 VALUES (10,1126856163,1126856163,1,1,0,0,'йѧ','http://www.univs.cn/');
INSERT INTO {$table_header}content_5 VALUES (11,1126866664,1126866664,1,1,0,0,'TechWeb','http://www.techweb.com.cn');


DROP TABLE IF EXISTS {$table_header}content_6;

CREATE TABLE {$table_header}content_6 (
  `ContentID` int(10) NOT NULL auto_increment,
  `CreationDate` int(10) NOT NULL default '0',
  `ModifiedDate` int(10) NOT NULL default '0',
  `CreationUserID` int(8) NOT NULL default '0',
  `LastModifiedUserID` int(8) NOT NULL default '0',
  `ContributionUserID` int(8) NOT NULL default '0',
  `ContributionID` int(10) NOT NULL default '0',
  `PhotoName` varchar(250) NOT NULL default '',
  `PhotoURL` varchar(250) NOT NULL default '',
  `PhotoIntro` text NOT NULL,
  PRIMARY KEY  (`ContentID`)
) TYPE=MyISAM;


INSERT INTO {$table_header}content_6 VALUES (1,1126923097,1126925680,1,1,0,0,'ά','../resource/img/h000/h00/img200509171011110.jpg','\n\n<font color=\"#ff0000\">ǳƯ<br/></font>ͨŽܹ\n<p>729գйͨ()޹˾ֹ˾뱱ʵҵŹ˾ǩսԺЭ飬ͨΪһġ͡˻ý塱ṩȫܵİͨŷ</p>\n<p>һܽΪ53ƽף˻ڼ佫(MPC)ʹ㲥(IBC)ýĵڵء˻ýռԼ40ƽףݹʰ˻ýָϵҪ2008Լ21600ýԱɷñ˻ᣬͨϵͳڰ˻ڼΪýṩݡȰ̶ͨšƶͨźͼȺͨڵȫλ</p>\n<p>йͨŸܾ汱зֹ˾ܾԼ̶ǩʽϳŵһĺͰ˻ýͨϵͳ̽˻ڼ»ͳֱ֤ҵӪԭн衣˻ڼ䱣֤ΪŹߡԱ˶ԱṩȫɿЧͨͨűϣṩκһ˻ᶼӷ㡢ٺȽͨŷ</p>');
INSERT INTO {$table_header}content_6 VALUES (8,1127099505,1127099505,1,1,0,0,'կ','../resource/img/h000/h00/img200509191111180.jpg','\n\nƯ');
INSERT INTO {$table_header}content_6 VALUES (9,1127099557,1127099557,1,1,0,0,'','../resource/img/h000/h00/img200509191112260.jpg','\n\n<strong></strong>');
INSERT INTO {$table_header}content_6 VALUES (10,1127099800,1127099800,1,1,0,0,'','../resource/img/h000/h00/img200509191116310.jpg','\n\n');
INSERT INTO {$table_header}content_6 VALUES (11,1127099814,1127099814,1,1,0,0,'ɽ','../resource/img/h000/h00/img200509191116470.jpg','\n\n');
INSERT INTO {$table_header}content_6 VALUES (12,1127099836,1127099836,1,1,0,0,'ɽ','../resource/img/h000/h00/img200509191117050.jpg','\n\n');
INSERT INTO {$table_header}content_6 VALUES (13,1127099932,1127099932,1,1,0,0,'ɽ','../resource/img/h000/h00/img200509191118370.jpg','\n\n');
INSERT INTO {$table_header}content_6 VALUES (14,1127099950,1127099950,1,1,0,0,'ʫ','../resource/img/h000/h00/img200509191119000.jpg','\n\n');
INSERT INTO {$table_header}content_6 VALUES (15,1127099967,1127099967,1,1,0,0,'ʿɽ','../resource/img/h000/h00/img200509191119190.jpg','\n\n');


DROP TABLE IF EXISTS {$table_header}content_fields;

CREATE TABLE {$table_header}content_fields (
  `ContentFieldID` int(8) NOT NULL auto_increment,
  `TableID` int(8) NOT NULL default '0',
  `FieldTitle` varchar(100) NOT NULL default '',
  `FieldName` varchar(20) default NULL,
  `FieldType` varchar(20) default NULL,
  `FieldSize` varchar(20) NOT NULL default '',
  `FieldInput` varchar(20) default NULL,
  `FieldDefaultValue` varchar(250) default NULL,
  `FieldInputFilter` varchar(20) default NULL,
  `FieldInputPicker` varchar(20) default NULL,
  `FieldInputTpl` varchar(250) default NULL,
  `FieldDescription` mediumtext,
  `FieldOrder` mediumint(8) NOT NULL default '0',
  `FieldListDisplay` tinyint(1) NOT NULL default '0',
  `IsMainField` tinyint(1) NOT NULL default '0',
  `IsTitleField` tinyint(1) default '0',
  `FieldSearchable` tinyint(1) default '0',
  `EnableContribution` tinyint(1) default '1',
  `EnableCollection` tinyint(1) default '1',
  `EnablePublish` tinyint(1) default '1',
  PRIMARY KEY  (`ContentFieldID`,`TableID`),
  UNIQUE KEY `ContentFiledID` (`ContentFieldID`),
  KEY `T_F` (`TableID`,`FieldListDisplay`)
) TYPE=MyISAM;


INSERT INTO {$table_header}content_fields VALUES (1,1,'','Title','varchar','250','text','http://cmsware/www/1127447494.html','','url_content','','ŵı',0,1,0,1,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (2,1,'','Author','varchar','20','text','','','content','','ŵԭ',2,0,0,0,1,1,0,1);
INSERT INTO {$table_header}content_fields VALUES (3,1,'α༭','Editor','varchar','20','text','','','','','ű༭',8,0,0,0,1,1,0,1);
INSERT INTO {$table_header}content_fields VALUES (4,1,'ͼƬ','Photo','varchar','250','text','','','upload','','',3,0,0,0,0,1,0,1);
INSERT INTO {$table_header}content_fields VALUES (5,1,'','SubTitle','varchar','250','text','','','','','',6,0,0,0,1,1,0,1);
INSERT INTO {$table_header}content_fields VALUES (6,1,'','Content','longtext','','RichEditor','','','','','',4,0,1,0,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (7,1,'ؼ','Keywords','varchar','250','text','','','','','',5,0,0,0,1,0,0,1);
INSERT INTO {$table_header}content_fields VALUES (8,1,'Դվ','FromSite','varchar','250','text','','','','','',7,0,0,0,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (9,1,'','Intro','text','','textaera','','','','','',10,0,0,0,1,1,0,1);
INSERT INTO {$table_header}content_fields VALUES (10,1,'ɫ','TitleColor','varchar','7','text','','','color','','',1,0,0,0,0,1,0,1);
INSERT INTO {$table_header}content_fields VALUES (21,1,'Զ ','CustomLinks','contentlink','','select','','','','','',9,0,0,0,0,0,0,1);
INSERT INTO {$table_header}content_fields VALUES (19,2,'صַ','Download','text','','textaera','','','','','',11,0,0,0,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (11,2,'','Intro','text','','RichEditor','','','','','',10,0,1,0,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (12,2,'  ','Developer','varchar','250','text','','','','','',9,0,0,0,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (13,2,'','Star','varchar','250','text','','','','','',7,0,0,0,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (14,2,'л','Environment','varchar','50','text','','','','','',6,0,0,0,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (15,2,'','SoftType','varchar','50','text','','','','','',3,0,0,0,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (16,2,'','Language','varchar','10','text','','','','','',5,0,0,0,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (17,2,'С','SoftSize','varchar','250','text','','','','','',4,0,0,0,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (18,2,'','SoftName','varchar','250','text','','','','','',0,1,0,1,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (20,2,'ؼ','SoftKeywords','varchar','250','text','','','','','',8,0,0,0,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (22,2,'Ԥ','Photo','varchar','250','text','','','upload','','',1,0,0,0,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (23,2,'ϴ','LocalUpload','varchar','250','text','','','upload_attach','','',2,0,0,0,1,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (24,2,'Զ ','CustomSoftLinks','contentlink','250','text','','','','','',12,0,0,0,0,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (25,2,'Զ ','CustomLinks','contentlink','250','text','','','','','',13,0,0,0,0,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (26,3,'Flash','Title','varchar','100','text','','','','','',0,1,0,1,0,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (27,4,'ſѶ','Content','text','','RichEditor','','','','','',0,1,0,1,0,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (28,5,'','LinkName','varchar','50','text','','','','','',0,1,0,1,0,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (29,5,'ӵַ','LinkURL','varchar','250','text','','','','','',0,0,0,0,0,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (30,6,'ͼƬ','PhotoName','varchar','250','text','','','','','',0,1,0,1,0,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (31,6,'ͼƬַ','PhotoURL','varchar','250','text','','','upload','','',0,0,0,0,0,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (32,6,'ͼƬ','PhotoIntro','text','','RichEditor','','','','','',0,0,0,0,0,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (33,3,'Flash','Author','varchar','50','text','','','','','',1,0,0,0,0,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (34,3,'FlashļС','Size','varchar','20','text','','','','','',2,0,0,0,0,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (35,3,'Flashַ','FlashSrc','varchar','250','text','','','flash','','',4,0,0,0,0,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (36,3,'ͼƬԤ','Photo','varchar','250','text','','','upload','','',3,0,0,0,0,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (37,3,'Flash','Intro','text','','RichEditor','','','','','',5,0,0,0,0,1,1,1);
INSERT INTO {$table_header}content_fields VALUES (38,3,'Flash','CustomLinks','contentlink','','text','','','','','',6,0,0,0,0,1,1,1);


DROP TABLE IF EXISTS {$table_header}content_index;
CREATE TABLE {$table_header}content_index (
  `IndexID` int(10) NOT NULL auto_increment,
  `ContentID` int(10) NOT NULL default '0',
  `NodeID` int(10) NOT NULL default '0',
  `TableID` int(10) default NULL,
  `ParentIndexID` int(8) NOT NULL default '0',
  `Type` tinyint(1) NOT NULL default '1',
  `PublishDate` int(10) NOT NULL default '0',
  `SelfTemplate` varchar(250) NOT NULL default '',
  `SelfPSN` varchar(250) NOT NULL default '',
  `SelfPublishFileName` varchar(250) NOT NULL default '',
  `SelfPSNURL` varchar(250) NOT NULL default '',
  `SelfURL` varchar(250) NOT NULL default '',
  `State` tinyint(2) NOT NULL default '0',
  `URL` varchar(250) NOT NULL default '',
  `Top` smallint(5) NOT NULL default '0',
  `Pink` smallint(5) NOT NULL default '0',
  `Sort` smallint(5) NOT NULL default '0',
  PRIMARY KEY  (`IndexID`,`ContentID`,`NodeID`),
  UNIQUE KEY `IndexID` (`IndexID`),
  KEY `N_P` (`NodeID`,`State`,`Top`,`PublishDate`,`Sort`),
  KEY `N_S` (`NodeID`,`State`),
  KEY `PID` (`ParentIndexID`),
  KEY `Type` (`Type`),
  KEY `Top` (`Top`),
  KEY `Pink` (`Pink`)
) TYPE=MyISAM;



INSERT INTO {$table_header}content_index VALUES (73430,101,13,0,73430,1,1126756391,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/1126756363d73430.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73433,102,13,0,73433,1,1126756392,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/1126756363d73433.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73436,73143,2,0,73436,1,1126758496,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758496d73436.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73437,73144,2,0,73437,1,1126758497,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758496d73437.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73438,73145,2,0,73438,1,1126758498,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758496d73438.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73439,73146,2,0,73439,1,1126758500,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758497d73439.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73440,73147,2,0,73440,1,1126758501,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758497d73440.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73441,73148,2,0,73441,1,1126758502,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758497d73441.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73442,73149,2,0,73442,1,1126758503,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758497d73442.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73443,73150,2,0,73443,1,1126758504,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758497d73443.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73444,73151,2,0,73444,1,1126758506,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758498d73444.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73445,73152,2,0,73445,1,1126758507,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758498d73445.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73446,73153,2,0,73446,1,1126758508,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758498d73446.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73447,73154,2,0,73447,1,1126758509,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758498d73447.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73448,73155,2,0,73448,1,1126758510,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758498d73448.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73449,73156,2,0,73449,1,1126758511,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758498d73449.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73450,73157,2,0,73450,1,1126758512,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758498d73450.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73451,73158,2,0,73451,1,1126758514,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758499d73451.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73452,73159,2,0,73452,1,1126758515,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758499d73452.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73453,73160,23,0,73453,1,1126758516,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126758499d73453.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73454,73161,23,0,73454,1,1126758517,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126758499d73454.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73455,73162,23,0,73455,1,1126758518,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126758499d73455.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73456,73163,2,0,73456,1,1126758519,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758499d73456.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73457,73164,2,0,73457,1,1126758521,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758500d73457.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73458,73165,2,0,73458,1,1126758522,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758500d73458.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73459,73166,2,0,73459,1,1126758523,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758500d73459.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73460,73167,2,0,73460,1,1126758524,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758500d73460.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73461,73168,2,0,73461,1,1126758525,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758500d73461.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73462,73169,2,0,73462,1,1126758526,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758500d73462.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73463,73170,2,0,73463,1,1126758528,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758501d73463.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73464,73171,2,0,73464,1,1126758529,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758501d73464.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73465,73172,2,0,73465,1,1126758530,'','','','','',0,'{cmsware_admin}/www/2005-09-15/content.1126758501d73465.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73466,103,13,0,73466,1,1126758899,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/1126758899d73466.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73469,104,6,0,73469,1,1126758901,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73469.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73472,105,6,0,73472,1,1126758902,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73472.html',0,3,0);
INSERT INTO {$table_header}content_index VALUES (73475,106,6,0,73475,1,1126758903,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73475.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73478,107,13,0,73478,1,1126758905,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/1126758901d73478.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73481,108,13,0,73481,1,1126758906,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/1126758901d73481.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73484,109,13,0,73484,1,1126758907,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/1126758901d73484.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73487,110,13,0,73487,1,1126758909,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/1126758902d73487.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73490,111,13,0,73490,1,1126758910,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/1126758902d73490.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73493,112,13,0,73493,1,1126758911,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/1126758902d73493.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73496,113,13,0,73496,1,1126758912,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/1126758902d73496.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73499,114,6,0,73499,1,1126758914,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73499.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73502,115,6,0,73502,1,1126758915,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73502.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73505,116,6,0,73505,1,1126758916,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73505.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73508,117,6,0,73508,1,1126775114,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73508.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73511,118,6,0,73511,1,1126775115,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73511.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73514,119,6,0,73514,1,1126775117,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73514.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73517,120,6,0,73517,1,1126775118,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73517.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73520,121,6,0,73520,1,1126775119,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73520.html',0,1,0);
INSERT INTO {$table_header}content_index VALUES (73523,122,6,0,73523,1,1126775120,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73523.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73526,123,6,0,73526,1,1126775122,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73526.html',0,2,0);
INSERT INTO {$table_header}content_index VALUES (73529,124,6,0,73529,1,1126775123,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73529.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73532,125,6,0,73532,1,1126775124,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73532.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73535,126,6,0,73535,1,1126775125,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73535.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73538,127,6,0,73538,1,1126775127,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73538.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73541,128,6,0,73541,1,1126775128,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73541.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73544,129,6,0,73544,1,1126775129,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73544.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73547,130,6,0,73547,1,1126775130,'','','','','',0,'{cmsware_admin}/www/download/2005-09-15/Soft6d73547.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73550,1,17,0,73550,1,1126851904,'','','','','',0,'{cmsware_admin}/publish/content.php/73550,0.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73553,131,7,0,73553,1,1126854683,'','','','','',0,'{cmsware_admin}/www/download/2005-09-16/1126854683d73553.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73556,132,7,0,73556,1,1126854685,'','','','','',0,'{cmsware_admin}/www/download/2005-09-16/1126854684d73556.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73559,133,7,0,73559,1,1126854686,'','','','','',0,'{cmsware_admin}/www/download/2005-09-16/1126854684d73559.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73562,134,7,0,73562,1,1126854688,'','','','','',0,'{cmsware_admin}/www/download/2005-09-16/1126854685d73562.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73565,135,7,0,73565,1,1126854689,'','','','','',0,'{cmsware_admin}/www/download/2005-09-16/1126854685d73565.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73568,136,7,0,73568,1,1126854690,'','','','','',0,'{cmsware_admin}/www/download/2005-09-16/1126854685d73568.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73571,137,7,0,73571,1,1126854691,'','','','','',0,'{cmsware_admin}/www/download/2005-09-16/1126854685d73571.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73574,138,7,0,73574,1,1126854693,'','','','','',0,'{cmsware_admin}/www/download/2005-09-16/1126854686d73574.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73577,139,7,0,73577,1,1126854694,'','','','','',0,'{cmsware_admin}/www/download/2005-09-16/1126854686d73577.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73580,140,7,0,73580,1,1126854695,'','','','','',0,'{cmsware_admin}/www/download/2005-09-16/1126854686d73580.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73583,141,7,0,73583,1,1126854696,'','','','','',0,'{cmsware_admin}/www/download/2005-09-16/1126854686d73583.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73586,1,18,0,73586,1,1126855992,'','','','','',0,'',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73593,8,18,0,73593,1,1126856136,'','','','','',0,'',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73594,9,18,0,73594,1,1126856145,'','','','','',0,'',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73595,10,18,0,73595,1,1126856155,'','','','','',0,'',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73596,73173,20,0,73596,1,1126863541,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73596.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73597,73174,20,0,73597,1,1126863542,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73597.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73598,73175,20,0,73598,1,1126863543,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73598.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73599,73176,20,0,73599,1,1126863544,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73599.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73600,73177,20,0,73600,1,1126863545,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73600.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73601,73178,20,0,73601,1,1126863546,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73601.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73602,73179,20,0,73602,1,1126863547,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73602.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73603,73180,20,0,73603,1,1126863548,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73603.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73604,73181,20,0,73604,1,1126863549,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73604.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73605,73182,20,0,73605,1,1126863550,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73605.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73606,73183,20,0,73606,1,1126863551,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73606.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73607,73184,20,0,73607,1,1126863552,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73607.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73608,73185,20,0,73608,1,1126863553,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73608.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73609,73186,20,0,73609,1,1126863554,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73609.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73610,73187,20,0,73610,1,1126863555,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863541d73610.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73611,73188,21,0,73611,1,1126863756,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126863756d73611.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73612,73189,21,0,73612,1,1126863757,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126863756d73612.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73613,73190,3,0,73613,1,1126863856,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863856d73613.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73614,73191,3,0,73614,1,1126863857,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863856d73614.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73615,73192,3,0,73615,1,1126863858,'','','','','',0,'{cmsware_admin}/www/2005-09-16/1126863856d73615.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73616,73193,23,0,73616,1,1126863859,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126863856d73616.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73617,73194,22,0,73617,1,1126863860,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126863856d73617.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73618,73195,22,0,73618,1,1126863861,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126863856d73618.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73619,73196,22,0,73619,1,1126863862,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126863856d73619.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73620,73197,22,0,73620,1,1126863863,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126863856d73620.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73621,73198,22,0,73621,1,1126863864,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126863856d73621.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73622,73199,22,0,73622,1,1126863865,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126863856d73622.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73623,73200,22,0,73623,1,1126863866,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126863856d73623.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73624,73201,22,0,73624,1,1126863867,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126863856d73624.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73625,73202,22,0,73625,1,1126863868,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126863856d73625.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73626,73203,22,0,73626,1,1126863869,'','','','','',0,'{cmsware_admin}/www/h000/h73/1126863856d73626.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73642,11,18,0,73642,1,1126866651,'','','','','',0,'',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73643,1,26,0,73643,1,1126923044,'','','','','',0,'{cmsware_admin}/www/photo/h000/h73/photo.1126923097d73643.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73670,1,27,0,73643,2,1126941241,'','','','','',0,'',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73671,8,26,0,73671,1,1127099421,'','','','','',0,'{cmsware_admin}/www/photo/h000/h73/photo.1127099505d73671.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73672,9,26,0,73672,1,1127099507,'','','','','',0,'{cmsware_admin}/www/photo/h000/h73/photo.1127099557d73672.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73673,10,26,0,73673,1,1127099559,'','','','','',0,'{cmsware_admin}/www/photo/h000/h73/photo.1127099800d73673.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73674,11,26,0,73674,1,1127099801,'','','','','',0,'{cmsware_admin}/www/photo/h000/h73/photo.1127099814d73674.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73675,12,26,0,73675,1,1127099816,'','','','','',0,'{cmsware_admin}/www/photo/h000/h73/photo.1127099836d73675.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73676,13,26,0,73676,1,1127099838,'','','','','',0,'{cmsware_admin}/www/photo/h000/h73/photo.1127099932d73676.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73677,14,26,0,73677,1,1127099933,'','','','','',0,'{cmsware_admin}/www/photo/h000/h73/photo.1127099950d73677.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73678,15,26,0,73678,1,1127099952,'','','','','',0,'{cmsware_admin}/www/photo/h000/h73/photo.1127099967d73678.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73679,73204,2,0,73679,1,1127372889,'','','','','',0,'{cmsware_admin}/www/2005-09-22/content.1127372889d73679.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73680,73205,2,0,73680,1,1127373628,'','','','','',0,'{cmsware_admin}/www/2005-09-22/content.1127373628d73680.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73681,73206,2,0,73681,1,1127373764,'','','','','',0,'{cmsware_admin}/www/2005-09-22/content.1127373764d73681.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73684,1,32,0,73684,1,1127728037,'','','','','',0,'{cmsware_admin}/www/flash/2005/09/flash.1127728099d73684.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73685,2,32,0,73685,1,1127728661,'','','','','',0,'{cmsware_admin}/www/flash/2005/09/flash.1127728697d73685.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73686,3,32,0,73686,1,1127729889,'','','','','',0,'{cmsware_admin}/www/flash/2005/09/flash.1127729924d73686.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73687,4,32,0,73687,1,1127729954,'','','','','',0,'{cmsware_admin}/www/flash/2005/09/flash.1127729995d73687.html',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73694,73190,34,0,73694,0,1127895480,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126863856d73694.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73695,73191,34,0,73695,0,1127895481,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126863856d73695.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73696,73192,34,0,73696,0,1127895481,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126863856d73696.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73697,73143,35,0,73697,0,1127896108,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758496d73697.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73698,73144,35,0,73698,0,1127896108,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758496d73698.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73699,73145,35,0,73699,0,1127896108,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758496d73699.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73700,73146,35,0,73700,0,1127896110,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758497d73700.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73701,73147,35,0,73701,0,1127896111,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758497d73701.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73702,73148,35,0,73702,0,1127896112,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758497d73702.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73703,73149,35,0,73703,0,1127896112,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758497d73703.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73704,73150,35,0,73704,0,1127896113,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758497d73704.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73705,73151,35,0,73705,0,1127896114,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758498d73705.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73706,73152,35,0,73706,0,1127896115,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758498d73706.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73707,73153,35,0,73707,0,1127896115,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758498d73707.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73708,73154,35,0,73708,0,1127896117,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758498d73708.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73709,73155,35,0,73709,0,1127896118,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758498d73709.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73710,73156,35,0,73710,0,1127896119,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758498d73710.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73711,73157,35,0,73711,0,1127896120,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758498d73711.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73712,73158,35,0,73712,0,1127896121,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758499d73712.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73713,73159,35,0,73713,0,1127896122,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758499d73713.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73714,73163,35,0,73714,0,1127896124,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758499d73714.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73715,73164,35,0,73715,0,1127896124,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758500d73715.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73716,73165,35,0,73716,0,1127896124,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758500d73716.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73717,73166,35,0,73717,0,1127896125,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758500d73717.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73718,73167,35,0,73718,0,1127896125,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758500d73718.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73719,73168,35,0,73719,0,1127896126,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758500d73719.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73720,73169,35,0,73720,0,1127896134,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758500d73720.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73721,73170,35,0,73721,0,1127896134,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758501d73721.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73722,73171,35,0,73722,0,1127896135,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758501d73722.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73723,73172,35,0,73723,0,1127896135,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1126758501d73723.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73724,73204,35,0,73724,0,1127896136,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1127372889d73724.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73725,73205,35,0,73725,0,1127896142,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1127373628d73725.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73726,73206,35,0,73726,0,1127896143,'','','','','',0,'{cmsware_admin}/www/2005-09-28/1127373764d73726.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73731,73173,36,0,73731,0,1127912554,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73731.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73732,73174,36,0,73732,0,1127912555,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73732.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73733,73175,36,0,73733,0,1127912556,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73733.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73734,73176,36,0,73734,0,1127912557,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73734.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73735,73177,36,0,73735,0,1127912557,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73735.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73736,73178,36,0,73736,0,1127912558,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73736.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73737,73179,36,0,73737,0,1127912558,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73737.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73738,73180,36,0,73738,0,1127912558,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73738.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73739,73181,36,0,73739,0,1127912558,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73739.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73740,73182,36,0,73740,0,1127912558,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73740.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73741,73183,36,0,73741,0,1127912559,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73741.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73742,73184,36,0,73742,0,1127912559,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73742.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73743,73185,36,0,73743,0,1127912559,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73743.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73744,73186,36,0,73744,0,1127912559,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73744.wml',0,0,0);
INSERT INTO {$table_header}content_index VALUES (73745,73187,36,0,73745,0,1127912560,'','','','','',0,'{cmsware_admin}/www/wap/2005-09-28/1126863541d73745.wml',0,0,0);


DROP TABLE IF EXISTS {$table_header}content_table;

CREATE TABLE {$table_header}content_table (
  `TableID` int(8) NOT NULL auto_increment,
  `Name` varchar(100) default NULL,
  `DSNID` int(8) NOT NULL default '0',
  PRIMARY KEY  (`TableID`),
  UNIQUE KEY `TableID` (`TableID`)
) TYPE=MyISAM;


INSERT INTO {$table_header}content_table VALUES (1,'ϵͳģ',1);
INSERT INTO {$table_header}content_table VALUES (2,'ϵͳģ',1);
INSERT INTO {$table_header}content_table VALUES (3,'Flashϵͳģ',0);
INSERT INTO {$table_header}content_table VALUES (4,'ſѶ',0);
INSERT INTO {$table_header}content_table VALUES (5,'',0);
INSERT INTO {$table_header}content_table VALUES (6,'ͼƬϵͳģ',0);

DROP TABLE IF EXISTS {$table_header}contribution_1;

CREATE TABLE {$table_header}contribution_1 (
  `ContributionID` int(10) NOT NULL auto_increment,
  `CateID` int(8) NOT NULL default '0',
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  `ApprovedDate` int(10) default NULL,
  `OwnerID` int(8) default NULL,
  `State` int(5) default '0',
  `Title` varchar(250) NOT NULL default '',
  `TitleColor` varchar(7) NOT NULL default '',
  `Author` varchar(20) NOT NULL default '',
  `Editor` varchar(20) NOT NULL default '',
  `Photo` varchar(250) NOT NULL default '',
  `SubTitle` varchar(250) NOT NULL default '',
  `Content` longtext NOT NULL,
  `Keywords` varchar(250) NOT NULL default '',
  `FromSite` varchar(250) NOT NULL default '',
  `Intro` text NOT NULL,
  `CustomLinks` text,
  `NodeID` int(8) NOT NULL default '0',
  `SubNodeID` varchar(250) NOT NULL default '',
  `IndexNodeID` varchar(250) NOT NULL default '',
  `ContributionDate` int(10) NOT NULL default '0',
  PRIMARY KEY  (`ContributionID`,`CateID`),
  UNIQUE KEY `ContributionID` (`ContributionID`)
) TYPE=MyISAM;



DROP TABLE IF EXISTS {$table_header}contribution_2;

CREATE TABLE {$table_header}contribution_2 (
  `ContributionID` int(10) NOT NULL auto_increment,
  `CateID` int(8) NOT NULL default '0',
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  `ApprovedDate` int(10) default NULL,
  `OwnerID` int(8) default NULL,
  `State` int(2) default NULL,
  `NodeID` int(8) NOT NULL default '0',
  `SubNodeID` varchar(250) NOT NULL default '',
  `IndexNodeID` varchar(250) NOT NULL default '',
  `ContributionDate` int(10) default NULL,
  `SoftName` varchar(250) NOT NULL default '',
  `SoftSize` varchar(15) NOT NULL default '',
  `Language` varchar(10) NOT NULL default '',
  `SoftType` varchar(50) NOT NULL default '',
  `Environment` varchar(50) NOT NULL default '',
  `Star` int(2) NOT NULL default '0',
  `Developer` varchar(250) NOT NULL default '',
  `SoftKeywords` varchar(250) NOT NULL default '',
  `Intro` text NOT NULL,
  `Download` text NOT NULL,
  `Photo` varchar(250) NOT NULL default '',
  `LocalUpload` varchar(250) NOT NULL default '',
  `CustomSoftLinks` text NOT NULL,
  `CustomLinks` text NOT NULL,
  PRIMARY KEY  (`ContributionID`,`CateID`),
  UNIQUE KEY `ContributionID` (`ContributionID`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}contribution_3;

CREATE TABLE {$table_header}contribution_3 (
  `ContributionID` int(10) NOT NULL auto_increment,
  `CateID` int(8) NOT NULL default '0',
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  `ApprovedDate` int(10) default NULL,
  `OwnerID` int(8) default NULL,
  `State` int(5) default NULL,
  `NodeID` int(8) NOT NULL default '0',
  `SubNodeID` varchar(250) NOT NULL default '',
  `IndexNodeID` varchar(250) NOT NULL default '',
  `ContributionDate` int(10) default NULL,
  `Title` varchar(100) NOT NULL default '',
  `Author` varchar(50) NOT NULL default '',
  `Size` varchar(20) NOT NULL default '',
  `FlashSrc` varchar(250) NOT NULL default '',
  `Photo` varchar(250) NOT NULL default '',
  `Intro` text NOT NULL,
  `CustomLinks` text NOT NULL,
  PRIMARY KEY  (`ContributionID`,`CateID`),
  UNIQUE KEY `ContributionID` (`ContributionID`),
  KEY `NodeID` (`NodeID`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}contribution_4;

CREATE TABLE {$table_header}contribution_4 (
  `ContributionID` int(10) NOT NULL auto_increment,
  `CateID` int(8) NOT NULL default '0',
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  `ApprovedDate` int(10) default NULL,
  `OwnerID` int(8) default NULL,
  `State` int(5) default NULL,
  `NodeID` int(8) NOT NULL default '0',
  `SubNodeID` varchar(250) NOT NULL default '',
  `IndexNodeID` varchar(250) NOT NULL default '',
  `ContributionDate` int(10) default NULL,
  `Content` text NOT NULL,
  PRIMARY KEY  (`ContributionID`,`CateID`),
  UNIQUE KEY `ContributionID` (`ContributionID`),
  KEY `NodeID` (`NodeID`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}contribution_5;

CREATE TABLE {$table_header}contribution_5 (
  `ContributionID` int(10) NOT NULL auto_increment,
  `CateID` int(8) NOT NULL default '0',
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  `ApprovedDate` int(10) default NULL,
  `OwnerID` int(8) default NULL,
  `State` int(5) default NULL,
  `NodeID` int(8) NOT NULL default '0',
  `SubNodeID` varchar(250) NOT NULL default '',
  `IndexNodeID` varchar(250) NOT NULL default '',
  `ContributionDate` int(10) default NULL,
  `LinkName` varchar(50) NOT NULL default '',
  `LinkURL` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`ContributionID`,`CateID`),
  UNIQUE KEY `ContributionID` (`ContributionID`),
  KEY `NodeID` (`NodeID`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS {$table_header}contribution_6;

CREATE TABLE {$table_header}contribution_6 (
  `ContributionID` int(10) NOT NULL auto_increment,
  `CateID` int(8) NOT NULL default '0',
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  `ApprovedDate` int(10) default NULL,
  `OwnerID` int(8) default NULL,
  `State` int(5) default NULL,
  `NodeID` int(8) NOT NULL default '0',
  `SubNodeID` varchar(250) NOT NULL default '',
  `IndexNodeID` varchar(250) NOT NULL default '',
  `ContributionDate` int(10) default NULL,
  `PhotoName` varchar(250) NOT NULL default '',
  `PhotoURL` varchar(250) NOT NULL default '',
  `PhotoIntro` text NOT NULL,
  PRIMARY KEY  (`ContributionID`,`CateID`),
  UNIQUE KEY `ContributionID` (`ContributionID`),
  KEY `NodeID` (`NodeID`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS {$table_header}contribution_note;

CREATE TABLE {$table_header}contribution_note (
  `NoteID` int(8) NOT NULL auto_increment,
  `ContributionID` int(10) NOT NULL default '0',
  `CateID` int(8) NOT NULL default '0',
  `Note` text,
  `NoteUserID` int(8) default NULL,
  `NoteUserName` varchar(50) default NULL,
  `NoteDate` int(10) NOT NULL default '0',
  PRIMARY KEY  (`NoteID`,`ContributionID`,`CateID`),
  UNIQUE KEY `NoteID` (`NoteID`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}extra_publish;
CREATE TABLE {$table_header}extra_publish (
  `PublishID` int(8) NOT NULL auto_increment,
  `NodeID` int(8) NOT NULL default '0',
  `PublishName` varchar(100) default NULL,
  `SelfPSN` varchar(250) default NULL,
  `SelfPSNURL` varchar(250) default NULL,
  `PublishFileName` varchar(100) default NULL,
  `Tpl` varchar(250) default NULL,
  `Intro` text,
  `CreationUserID` int(8) default NULL,
  `LastModifiedUserID` int(8) default NULL,
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  PRIMARY KEY  (`PublishID`),
  KEY `NodeID` (`NodeID`)
) TYPE=MyISAM;


INSERT INTO {$table_header}extra_publish VALUES (2,2,'test','','','input_test.html','/input/test.html','',1,1,1127447504,1127832348);


DROP TABLE IF EXISTS {$table_header}group;

CREATE TABLE {$table_header}group (
  `gId` mediumint(8) NOT NULL auto_increment,
  `gName` varchar(50) NOT NULL default '',
  `gPass` varchar(32) NOT NULL default '0',
  `gPublishAuth` varchar(50) NOT NULL default '',
  `gInfo` text NOT NULL,
  `gIsAdmin` tinyint(1) NOT NULL default '0',
  `canLoginAdmin` tinyint(1) NOT NULL default '0',
  `canLogin` tinyint(1) NOT NULL default '1',
  `canChangePW` tinyint(1) NOT NULL default '1',
  `canTpl` tinyint(1) NOT NULL default '0',
  `canNode` tinyint(1) NOT NULL default '0',
  `canCollection` tinyint(1) NOT NULL default '0',
  `ParentGID` mediumint(8) NOT NULL default '0',
  `canMakeG` tinyint(1) NOT NULL default '0',
  `canMakeU` tinyint(1) NOT NULL default '0',
  `CreationUserID` mediumint(8) NOT NULL default '0',
  UNIQUE KEY `gId` (`gId`)
) TYPE=MyISAM;



INSERT INTO {$table_header}group VALUES (2,'Guest','','','',0,0,0,0,0,0,0,0,0,0,0);
INSERT INTO {$table_header}group VALUES (1,'Ա','','','',1,1,0,0,1,1,0,0,0,0,0);
INSERT INTO {$table_header}group VALUES (3,'༭','0','','',0,1,0,0,0,0,0,0,0,0,0);
INSERT INTO {$table_header}group VALUES (4,'߼༭','0','','',0,1,0,0,0,0,0,0,0,0,0);


DROP TABLE IF EXISTS {$table_header}keywords;

CREATE TABLE {$table_header}keywords (
  `kId` mediumint(8) NOT NULL auto_increment,
  `keyword` varchar(250) NOT NULL default '',
  `kReplace` varchar(250) NOT NULL default '',
  `IsGlobal` tinyint(1) default '1',
  `NodeScope` text,
  UNIQUE KEY `kId` (`kId`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}log_admin;

CREATE TABLE {$table_header}log_admin (
  `LogID` int(10) NOT NULL auto_increment,
  `uName` char(50) default NULL,
  `IP` char(15) default NULL,
  `Action` char(100) default NULL,
  `ActionURL` char(250) default NULL,
  `Time` int(10) default NULL,
  PRIMARY KEY  (`LogID`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}log_login;
CREATE TABLE {$table_header}log_login (
  `LogID` int(10) NOT NULL auto_increment,
  `uName` char(50) default NULL,
  `IP` char(15) default NULL,
  `Time` int(10) default NULL,
  PRIMARY KEY  (`LogID`)
) TYPE=MyISAM;




DROP TABLE IF EXISTS {$table_header}plugin_base_comment;

CREATE TABLE {$table_header}plugin_base_comment (
  `CommentID` int(10) NOT NULL auto_increment,
  `IndexID` int(10) NOT NULL default '0',
  `ContentID` int(10) NOT NULL default '0',
  `NodeID` int(10) NOT NULL default '0',
  `Author` varchar(100) default NULL,
  `CreationDate` int(10) default NULL,
  `Ip` varchar(15) default NULL,
  `Comment` text,
  `Approved` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`CommentID`),
  KEY `IndexID` (`IndexID`),
  KEY `NodeID` (`NodeID`)
) TYPE=MyISAM;


INSERT INTO {$table_header}plugin_base_comment VALUES (41,73625,73202,22,'',1127053625,'127.0.0.1','10ͬ ΪGSMȫ8000û (1)',1);
INSERT INTO {$table_header}plugin_base_comment VALUES (40,73583,141,7,'',1127036798,'127.0.0.1','Great!',1);
INSERT INTO {$table_header}plugin_base_comment VALUES (28,73568,136,7,'',1126855046,'127.0.0.1','ddd',1);
INSERT INTO {$table_header}plugin_base_comment VALUES (44,73686,3,32,'',1127916344,'127.0.0.1','asdfasdf',1);
INSERT INTO {$table_header}plugin_base_comment VALUES (42,73463,73170,2,'',1127553855,'127.0.0.1','sdsadf',1);
INSERT INTO {$table_header}plugin_base_comment VALUES (32,73625,73202,22,'',1126922350,'127.0.0.1','hahah\n',1);
INSERT INTO {$table_header}plugin_base_comment VALUES (33,73556,132,7,'',1127035780,'127.0.0.1','adasf',1);
INSERT INTO {$table_header}plugin_base_comment VALUES (43,73450,73157,2,'',1127559066,'127.0.0.1','',1);
INSERT INTO {$table_header}plugin_base_comment VALUES (35,73502,115,6,'',1127035992,'127.0.0.1','asdfasdfasdf',1);
INSERT INTO {$table_header}plugin_base_comment VALUES (36,73625,73202,22,'',1127036100,'127.0.0.1','Ӣضִ߿  \nֻѸ˹۵㣬۵  \n',1);
INSERT INTO {$table_header}plugin_base_comment VALUES (25,73547,130,6,'',1126778964,'127.0.0.1','asdfasdfasdf',1);
INSERT INTO {$table_header}plugin_base_comment VALUES (26,73547,130,6,'',1126778993,'127.0.0.1','\n ѰҲ\n\nйŽд˴βԵĿķǳȷΪһ17еIPTVʵʩѡ̽͡·ڲԹȴ¶IPTVʵ֮Ĳࡣ\n\nĿǰеƵ׼УMPEG2Ǵӷչ۹⿴H.264VC1𽥽MPEG2ڴ˴βУϺоԺֶܷ֧˵˵H.264/VC1Ϊһص㣬ǽȴǿ⣬һЩͷ˺ͻ豸֧H.264롣⣬֧鲥ʱƹܡϵͳֵҵҲձڡ\n\nһλμӲԵϺоԺԱ߼ߣԽõŷʮ⣬رܺͻͨԷ棬úԶпܻӰ쵽һIPTVĲٶȡ\n\nIPTVǺܶ豸ṩ̿õһ鵰⣬ĿǰȱٴģӦõ£Ѿӿ˴ССټҵרΪҵϽܿϯIPTV豸гֻоγǿĲҵͳļпܽIPTV鵰\n ',1);
INSERT INTO {$table_header}plugin_base_comment VALUES (27,73544,129,6,'',1126847666,'127.0.0.1','hello',1);


DROP TABLE IF EXISTS {$table_header}plugin_base_count;
CREATE TABLE {$table_header}plugin_base_count (
  `Hits_Total` int(10) NOT NULL default '0',
  `Hits_Today` int(10) NOT NULL default '0',
  `Hits_Week` int(10) NOT NULL default '0',
  `Hits_Month` int(10) NOT NULL default '0',
  `Hits_Date` int(10) NOT NULL default '0',
  `IndexID` int(10) NOT NULL default '0',
  `ContentID` int(10) NOT NULL default '0',
  `NodeID` int(10) NOT NULL default '0',
  `CommentNum` int(10) NOT NULL default '0',
  `TableID` int(5) NOT NULL default '0',
  PRIMARY KEY  (`IndexID`),
  KEY `NodeID` (`NodeID`),
  KEY `CID` (`ContentID`),
  KEY `TID` (`TableID`)
) TYPE=MyISAM;



INSERT INTO {$table_header}plugin_base_count VALUES (6,1,3,6,1127273451,73625,73202,22,3,1);
INSERT INTO {$table_header}plugin_base_count VALUES (4,1,1,4,1127273445,73626,73203,22,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127104321,73611,73188,21,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (5,5,5,5,1126950228,73612,73189,21,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73596,73173,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73597,73174,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73598,73175,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73599,73176,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73600,73177,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73601,73178,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73602,73179,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73603,73180,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127111324,73604,73181,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73605,73182,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73606,73183,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73607,73184,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73608,73185,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73609,73186,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1126864365,73610,73187,20,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73595,10,18,0,5);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73594,9,18,0,5);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73593,8,18,0,5);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73592,7,18,0,5);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73591,6,18,0,5);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73590,5,18,0,5);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73589,4,18,0,5);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73588,3,18,0,5);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73587,2,18,0,5);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73586,1,18,0,5);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73553,131,7,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73556,132,7,1,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73559,133,7,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73562,134,7,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73565,135,7,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73568,136,7,1,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73571,137,7,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73574,138,7,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73577,139,7,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73580,140,7,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (4,4,4,4,1127012637,73583,141,7,1,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73550,1,17,0,4);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73551,2,17,0,4);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1126852069,73552,3,17,0,4);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1126859427,73469,104,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73472,105,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73475,106,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73499,114,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73502,115,6,1,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73505,116,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73508,117,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73511,118,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73514,119,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73517,120,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73520,121,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73523,122,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73526,123,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73529,124,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73541,128,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73466,103,13,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73433,102,13,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73430,101,13,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73538,127,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73535,126,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73532,125,6,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73496,113,13,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73493,112,13,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73490,111,13,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73487,110,13,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73484,109,13,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73481,108,13,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73478,107,13,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (9,3,9,9,1127553844,73465,73172,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (3,2,3,3,1127559037,73464,73171,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (4,1,1,4,1127805775,73463,73170,2,1,1);
INSERT INTO {$table_header}plugin_base_count VALUES (5,3,5,5,1127558943,73462,73169,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (4,1,4,4,1127370350,73461,73168,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127370353,73460,73167,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (3,1,2,3,1127915493,73459,73166,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127370358,73458,73165,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127370360,73457,73164,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127370363,73456,73163,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127370365,73452,73159,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127370368,73451,73158,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (3,2,3,3,1127559071,73450,73157,2,1,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127370373,73449,73156,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (5,4,4,5,1127805834,73680,73205,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127370377,73447,73154,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (16,3,3,16,1127918628,73681,73206,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1126865157,73616,73193,23,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (6,6,6,6,1126972343,73455,73162,23,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73454,73161,23,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127370382,73445,73152,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127370384,73444,73151,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127370386,73443,73150,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127370388,73442,73149,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73441,73148,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73436,73143,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73440,73147,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73439,73146,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73438,73145,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73437,73144,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73544,129,6,1,2);
INSERT INTO {$table_header}plugin_base_count VALUES (6,4,4,6,1127555710,73547,130,6,2,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73427,100,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73424,99,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73421,98,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73418,97,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73415,96,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73412,95,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73409,94,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73406,93,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73403,92,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73400,91,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73397,90,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73394,89,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73391,88,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73388,87,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73385,86,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73382,85,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73379,84,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73376,83,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73373,82,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73370,81,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73367,80,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73364,79,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73361,78,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73358,77,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73355,76,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73352,75,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73349,74,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73346,73,4,0,2);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127273454,73624,73201,22,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (3,2,2,3,1127273471,73623,73200,22,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (3,3,3,3,1127273480,73622,73199,22,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (3,2,2,3,1127706684,73621,73198,22,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (2,1,1,2,1127706687,73620,73197,22,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (3,1,1,3,1127273486,73619,73196,22,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1126865173,73618,73195,22,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (5,1,5,5,1126940416,73617,73194,22,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1126972261,73453,73160,23,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1126974794,73613,73190,3,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (7,1,1,7,1127034363,73614,73191,3,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73615,73192,3,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73711,73157,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73709,73155,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73710,73156,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73708,73154,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73707,73153,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73705,73151,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73704,73150,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73703,73149,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73702,73148,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73706,73152,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73701,73147,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73698,73144,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73700,73146,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73699,73145,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73697,73143,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (5,1,1,5,1127918971,73676,13,26,0,6);
INSERT INTO {$table_header}plugin_base_count VALUES (14,2,2,14,1127918807,73677,14,26,0,6);
INSERT INTO {$table_header}plugin_base_count VALUES (3,3,3,3,1127110756,73678,15,26,0,6);
INSERT INTO {$table_header}plugin_base_count VALUES (2,2,2,2,1127137197,73675,12,26,0,6);
INSERT INTO {$table_header}plugin_base_count VALUES (3,3,3,3,1127137203,73672,9,26,0,6);
INSERT INTO {$table_header}plugin_base_count VALUES (3,3,3,3,1127137202,73673,10,26,0,6);
INSERT INTO {$table_header}plugin_base_count VALUES (3,1,3,3,1127461994,73674,11,26,0,6);
INSERT INTO {$table_header}plugin_base_count VALUES (42,6,42,42,1127921329,73684,1,32,0,3);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73446,73153,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73448,73155,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (3,2,2,3,1127805442,73679,73204,2,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (6,1,6,6,1127381653,73643,1,26,0,6);
INSERT INTO {$table_header}plugin_base_count VALUES (6,1,6,6,1127381645,73671,8,26,0,6);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73694,73190,34,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (1,1,1,1,1127895489,73695,73191,34,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73712,73158,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73713,73159,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (13,6,13,13,1127918975,73686,3,32,1,3);
INSERT INTO {$table_header}plugin_base_count VALUES (14,9,14,14,1127919042,73687,4,32,0,3);
INSERT INTO {$table_header}plugin_base_count VALUES (23,7,23,23,1127921335,73685,2,32,0,3);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73696,73192,34,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73714,73163,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73715,73164,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73716,73165,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73717,73166,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73718,73167,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73719,73168,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73720,73169,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73721,73170,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73722,73171,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73723,73172,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73724,73204,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73725,73205,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73726,73206,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73727,73207,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73728,73212,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73729,73213,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73730,73214,35,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73731,73173,36,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73732,73174,36,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73733,73175,36,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73734,73176,36,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73735,73177,36,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73736,73178,36,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73737,73179,36,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73738,73180,36,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73739,73181,36,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73740,73182,36,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73741,73183,36,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73742,73184,36,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73743,73185,36,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73744,73186,36,0,1);
INSERT INTO {$table_header}plugin_base_count VALUES (0,0,0,0,0,73745,73187,36,0,1);


DROP TABLE IF EXISTS {$table_header}plugin_base_setting;

CREATE TABLE {$table_header}plugin_base_setting (
  `TableID` int(6) unsigned NOT NULL default '0',
  `CommentMode` tinyint(1) default '0',
  `CommentTpl` varchar(250) default NULL,
  `CommentCache` tinyint(1) default '1',
  `CommentPageOffset` tinyint(3) default '15',
  `CommentLength` int(10) default NULL,
  `IpHidden` tinyint(1) default '1',
  `AllowBBcode` tinyint(1) default '0',
  `AllowSmilies` tinyint(1) default '0',
  `AllowHtml` tinyint(1) default '0',
  `AllowImgcode` tinyint(1) default '0',
  `SearchMode` tinyint(1) default '0',
  `SearchTpl` varchar(250) default NULL,
  `SearchProTpl` varchar(250) default NULL,
  `SearchPageOffset` tinyint(3) default '15',
  `AllowSearchField` text,
  PRIMARY KEY  (`TableID`)
) TYPE=MyISAM;


INSERT INTO {$table_header}plugin_base_setting VALUES (1,0,'/org.cmsware.demo/comment/comment.html',1,15,1000,1,0,0,0,0,0,'/org.cmsware.demo/search/search_result.html','/org.cmsware.demo/search/search.html',10,'Title,Content');
INSERT INTO {$table_header}plugin_base_setting VALUES (2,0,'/org.cmsware.demo/comment/comment.html',1,15,1000,1,0,0,0,0,0,'/org.cmsware.demo/search/search_result.html','/org.cmsware.demo/search/search.html',15,'SoftName');
INSERT INTO {$table_header}plugin_base_setting VALUES (6,0,'/org.cmsware.demo/comment/comment.html',1,15,1000,1,0,0,0,0,0,'/org.cmsware.demo/search/search_result.html','/org.cmsware.demo/search/search.html',15,'PhotoName');
INSERT INTO {$table_header}plugin_base_setting VALUES (3,0,'/org.cmsware.demo/comment/comment.html',1,15,1000,1,0,0,0,0,0,'/org.cmsware.demo/search/search_result.html','/org.cmsware.demo/search/search.html',15,'Title,Intro,Author');


DROP TABLE IF EXISTS {$table_header}plugin_bbsi_access;

CREATE TABLE {$table_header}plugin_bbsi_access (
  `AccessID` int(10) NOT NULL auto_increment,
  `AccessType` int(1) NOT NULL default '0',
  `Info` text NOT NULL,
  `OwnerID` int(10) NOT NULL default '0',
  `ReadIndex` text NOT NULL,
  `ReadContent` text NOT NULL,
  `PostComment` text NOT NULL,
  `ReadComment` text NOT NULL,
  `AuthInherit` text NOT NULL,
  PRIMARY KEY  (`AccessID`,`AccessType`),
  KEY `PermissionType` (`AccessType`,`OwnerID`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}plugin_bbsi_setting;
CREATE TABLE {$table_header}plugin_bbsi_setting (
  `ForegroundPath` varchar(250) NOT NULL default '',
  `BBS` varchar(50) NOT NULL default '',
  `DenyTpl` varchar(250) NOT NULL default ''
) TYPE=MyISAM;


INSERT INTO {$table_header}plugin_bbsi_setting VALUES ('','','/dynamic/error.html');

DROP TABLE IF EXISTS {$table_header}plugins;

CREATE TABLE {$table_header}plugins (
  `pId` int(10) NOT NULL auto_increment,
  `pName` varchar(250) NOT NULL default '',
  `Path` varchar(250) NOT NULL default '',
  `Info` text NOT NULL,
  `LicenseKey` text,
  `AccessGroup` text,
  `AccessUser` text,
  PRIMARY KEY  (`pId`)
) TYPE=MyISAM;


INSERT INTO {$table_header}plugins VALUES (1,'','base','/','','[,1,]','[,,]');
INSERT INTO {$table_header}plugins VALUES (2,'Աӿ','bbsInterface','ʵ̳Ľӿ','','[,1,]','[,,]');

DROP TABLE IF EXISTS {$table_header}psn;
CREATE TABLE {$table_header}psn (
  `PSNID` int(10) NOT NULL auto_increment,
  `Name` varchar(20) default NULL,
  `PSN` varchar(250) default NULL,
  `URL` varchar(250) default NULL,
  `Description` mediumtext NOT NULL,
  `PermissionReadG` text NOT NULL,
  PRIMARY KEY  (`PSNID`),
  UNIQUE KEY `PSNID` (`PSNID`),
  UNIQUE KEY `Name` (`Name`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS {$table_header}pubadminmasks;
CREATE TABLE {$table_header}pubadminmasks (
  `pId` mediumint(8) NOT NULL auto_increment,
  `pName` varchar(50) NOT NULL default '',
  `pInfo` varchar(250) NOT NULL default '',
  `NodeList` text NOT NULL,
  `NodeExtraPublish` text NOT NULL,
  `NodeSetting` text NOT NULL,
  `ContentRead` text NOT NULL,
  `ContentWrite` text NOT NULL,
  `ContentApprove` text NOT NULL,
  `ContentPublish` text NOT NULL,
  `AuthInherit` text NOT NULL,
  UNIQUE KEY `pAId` (`pId`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}publish_1;
CREATE TABLE {$table_header}publish_1 (
  `IndexID` int(10) NOT NULL default '0',
  `ContentID` int(10) NOT NULL default '0',
  `NodeID` int(10) NOT NULL default '0',
  `PublishDate` int(10) default NULL,
  `URL` varchar(250) default NULL,
  `Title` varchar(250) NOT NULL default '',
  `TitleColor` varchar(7) NOT NULL default '',
  `Author` varchar(20) NOT NULL default '',
  `Editor` varchar(20) NOT NULL default '',
  `Photo` varchar(250) NOT NULL default '',
  `SubTitle` varchar(250) NOT NULL default '',
  `Content` longtext NOT NULL,
  `Keywords` varchar(250) NOT NULL default '',
  `FromSite` varchar(250) NOT NULL default '',
  `Intro` text NOT NULL,
  `CustomLinks` text,
  PRIMARY KEY  (`IndexID`),
  KEY `NodeID` (`NodeID`),
  KEY `ContentID` (`ContentID`),
  KEY `PublishDate` (`PublishDate`)
) TYPE=MyISAM;



DROP TABLE IF EXISTS {$table_header}publish_2;

CREATE TABLE {$table_header}publish_2 (
  `IndexID` int(10) NOT NULL default '0',
  `ContentID` int(10) NOT NULL default '0',
  `NodeID` int(10) NOT NULL default '0',
  `PublishDate` int(10) default NULL,
  `URL` varchar(250) default NULL,
  `SoftName` varchar(250) NOT NULL default '',
  `SoftSize` varchar(15) NOT NULL default '',
  `Language` varchar(10) NOT NULL default '',
  `SoftType` varchar(50) NOT NULL default '',
  `Environment` varchar(50) NOT NULL default '',
  `Star` int(2) NOT NULL default '0',
  `Developer` varchar(250) NOT NULL default '',
  `SoftKeywords` varchar(250) NOT NULL default '',
  `Intro` text NOT NULL,
  `Download` text NOT NULL,
  `Photo` varchar(250) NOT NULL default '',
  `LocalUpload` varchar(250) NOT NULL default '',
  `CustomSoftLinks` text NOT NULL,
  `CustomLinks` text NOT NULL,
  PRIMARY KEY  (`IndexID`),
  KEY `NodeID` (`NodeID`),
  KEY `ContentID` (`ContentID`),
  KEY `PublishDate` (`PublishDate`)
) TYPE=MyISAM;



DROP TABLE IF EXISTS {$table_header}publish_3;

CREATE TABLE {$table_header}publish_3 (
  `IndexID` int(10) NOT NULL default '0',
  `ContentID` int(10) NOT NULL default '0',
  `NodeID` int(10) NOT NULL default '0',
  `PublishDate` int(10) default NULL,
  `URL` varchar(250) default NULL,
  `Title` varchar(100) NOT NULL default '',
  `Author` varchar(50) NOT NULL default '',
  `Size` varchar(20) NOT NULL default '',
  `FlashSrc` varchar(250) NOT NULL default '',
  `Photo` varchar(250) NOT NULL default '',
  `Intro` text NOT NULL,
  `CustomLinks` text NOT NULL,
  PRIMARY KEY  (`IndexID`),
  KEY `NodeID` (`NodeID`),
  KEY `ContentID` (`ContentID`),
  KEY `PublishDate` (`PublishDate`)
) TYPE=MyISAM;



DROP TABLE IF EXISTS {$table_header}publish_4;

CREATE TABLE {$table_header}publish_4 (
  `IndexID` int(10) NOT NULL default '0',
  `ContentID` int(10) NOT NULL default '0',
  `NodeID` int(10) NOT NULL default '0',
  `PublishDate` int(10) default NULL,
  `URL` varchar(250) default NULL,
  `Content` text NOT NULL,
  PRIMARY KEY  (`IndexID`),
  KEY `NodeID` (`NodeID`),
  KEY `ContentID` (`ContentID`),
  KEY `PublishDate` (`PublishDate`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS {$table_header}publish_5;

CREATE TABLE {$table_header}publish_5 (
  `IndexID` int(10) NOT NULL default '0',
  `ContentID` int(10) NOT NULL default '0',
  `NodeID` int(10) NOT NULL default '0',
  `PublishDate` int(10) default NULL,
  `URL` varchar(250) default NULL,
  `LinkName` varchar(50) NOT NULL default '',
  `LinkURL` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`IndexID`),
  KEY `NodeID` (`NodeID`),
  KEY `ContentID` (`ContentID`),
  KEY `PublishDate` (`PublishDate`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}publish_6;

CREATE TABLE {$table_header}publish_6 (
  `IndexID` int(10) NOT NULL default '0',
  `ContentID` int(10) NOT NULL default '0',
  `NodeID` int(10) NOT NULL default '0',
  `PublishDate` int(10) default NULL,
  `URL` varchar(250) default NULL,
  `PhotoName` varchar(250) NOT NULL default '',
  `PhotoURL` varchar(250) NOT NULL default '',
  `PhotoIntro` text NOT NULL,
  PRIMARY KEY  (`IndexID`),
  KEY `NodeID` (`NodeID`),
  KEY `ContentID` (`ContentID`),
  KEY `PublishDate` (`PublishDate`)
) TYPE=MyISAM;

 

DROP TABLE IF EXISTS {$table_header}publish_log;

CREATE TABLE {$table_header}publish_log (
  `logID` int(8) NOT NULL auto_increment,
  `ContentID` int(10) NOT NULL default '0',
  `NodeID` int(10) NOT NULL default '0',
  `PSN` varchar(50) default NULL,
  `FileName` varchar(100) default NULL,
  `TYPE` varchar(20) default NULL,
  `URL` varchar(250) default NULL,
  PRIMARY KEY  (`logID`,`ContentID`,`NodeID`),
  UNIQUE KEY `logID` (`logID`),
  KEY `C_P_F` (`ContentID`,`PSN`,`FileName`)
) TYPE=MyISAM;



DROP TABLE IF EXISTS {$table_header}resource;

CREATE TABLE {$table_header}resource (
  `ResourceID` int(10) NOT NULL auto_increment,
  `NodeID` int(10) NOT NULL default '0',
  `ParentID` int(10) NOT NULL default '0',
  `Type` tinyint(1) default '1',
  `Category` varchar(20) NOT NULL default '',
  `Name` varchar(250) default NULL,
  `Path` varchar(250) NOT NULL default '',
  `Size` int(10) default NULL,
  `Info` varchar(250) NOT NULL default '',
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  `Src` varchar(250) NOT NULL default '',
  `Title` varchar(250) NOT NULL default '',
  `CreationUserID` int(8) NOT NULL default '0',
  PRIMARY KEY  (`ResourceID`,`NodeID`),
  KEY `Path` (`Path`),
  KEY `Name` (`Name`),
  KEY `Src` (`Src`),
  KEY `Category` (`Category`),
  KEY `CUID` (`CreationUserID`)
) TYPE=MyISAM;



INSERT INTO {$table_header}resource VALUES (324,0,0,1,'img','img200509191119190.jpg','img/h000/h00/img200509191119190.jpg',231208,'1024*768',1127099959,1127099959,'','',0);
INSERT INTO {$table_header}resource VALUES (323,0,0,1,'img','img200509191119000.jpg','img/h000/h00/img200509191119000.jpg',95374,'1024*768',1127099940,1127099940,'','',0);
INSERT INTO {$table_header}resource VALUES (322,0,0,1,'img','img200509191118370.jpg','img/h000/h00/img200509191118370.jpg',34233,'800*600',1127099917,1127099917,'','',0);
INSERT INTO {$table_header}resource VALUES (321,0,0,1,'img','img200509191117050.jpg','img/h000/h00/img200509191117050.jpg',154369,'800*600',1127099825,1127099825,'','',0);
INSERT INTO {$table_header}resource VALUES (320,0,0,1,'img','img200509191116470.jpg','img/h000/h00/img200509191116470.jpg',165246,'1024*768',1127099807,1127099807,'','',0);
INSERT INTO {$table_header}resource VALUES (319,0,0,1,'img','img200509191116310.jpg','img/h000/h00/img200509191116310.jpg',96377,'1024*768',1127099791,1127099791,'','',0);
INSERT INTO {$table_header}resource VALUES (318,0,0,1,'img','img200509191112260.jpg','img/h000/h00/img200509191112260.jpg',397052,'1024*768',1127099546,1127099546,'','',0);
INSERT INTO {$table_header}resource VALUES (317,0,0,1,'img','img200509191111180.jpg','img/h000/h00/img200509191111180.jpg',1908046,'1600*1200',1127099479,1127099479,'','',0);
INSERT INTO {$table_header}resource VALUES (310,0,0,1,'img','img200509171011110.jpg','img/h000/h00/img200509171011110.jpg',25648,'400*267',1126923071,1126923071,'','',0);
INSERT INTO {$table_header}resource VALUES (309,0,0,1,'img','img200509161713350.jpg','img/h000/h00/img200509161713350.jpg',2744,'125*90',1126862015,1126862015,'','',0);
INSERT INTO {$table_header}resource VALUES (308,0,0,1,'img','img200509161648160.jpg','img/h000/h00/img200509161648160.jpg',3646,'120*90',1126860496,1126860496,'','',0);
INSERT INTO {$table_header}resource VALUES (307,0,0,1,'img','img200509161648020.jpg','img/h000/h00/img200509161648020.jpg',3114,'120*90',1126860482,1126860482,'','',0);
INSERT INTO {$table_header}resource VALUES (305,0,0,1,'img','img200509161645340.jpg','img/h000/h00/img200509161645340.jpg',2510,'120*90',1126860334,1126860334,'','',0);
INSERT INTO {$table_header}resource VALUES (304,0,0,1,'img','img200509161527050.jpg','img/h000/h00/img200509161527050.jpg',29390,'393*220',1126855625,1126855625,'','',0);
INSERT INTO {$table_header}resource VALUES (303,0,0,1,'img','img200509161526350.jpg','img/h000/h00/img200509161526350.jpg',4061,'55*55',1126855595,1126855595,'','',0);
INSERT INTO {$table_header}resource VALUES (302,0,0,1,'img','img200509161526100.jpg','img/h000/h00/img200509161526100.jpg',3478,'140*105',1126855571,1126855571,'','',0);
INSERT INTO {$table_header}resource VALUES (301,0,0,1,'img','img200509161525000.jpg','img/h000/h00/img200509161525000.jpg',4794,'55*55',1126855500,1126855500,'','',0);
INSERT INTO {$table_header}resource VALUES (142,0,0,1,'img','img200508132016350.jpg','img/h000/h00/img200508132016350.jpg',55597,'460*456',1123935396,1123935396,'','',0);
INSERT INTO {$table_header}resource VALUES (143,0,0,1,'img','502bd5b82b4d732c217c98e07b00f858.jpg','img/h000/h00/502bd5b82b4d732c217c98e07b00f858.jpg',NULL,'',1123935407,1123935407,'','',0);
INSERT INTO {$table_header}resource VALUES (397,0,0,1,'img','img200509221507400134.jpg','img/h000/h00/img200509221507400134.jpg',18709,'300*450',1127372861,1127372861,'http://image.techweb.com.cn/h00/h46/img200509162158470.jpg','',0);
INSERT INTO {$table_header}resource VALUES (538,0,0,1,'flash','flash200509271757450.swf','flash/h000/h00/flash200509271757450.swf',8750,'',1127815065,1127815065,'','120180gn526.swf',1);
INSERT INTO {$table_header}resource VALUES (399,0,0,1,'img','img200509221507450263.jpg','img/h000/h00/img200509221507450263.jpg',10628,'269*230',1127372865,1127372865,'http://image.techweb.com.cn/h00/h46/img200509162158110.jpg','',0);
INSERT INTO {$table_header}resource VALUES (218,0,0,1,'img','img200508151142350.jpg','img/h000/h00/img200508151142350.jpg',3318,'124*92',1124077355,1124077355,'','',0);
INSERT INTO {$table_header}resource VALUES (220,0,0,1,'img','img200508171851460495.jpg','img/h000/h00/img200508171851460495.jpg',30641,'500*333',1124275906,1124275906,'http://image.techweb.com.cn/h00/h46/img200508022331220.jpg','',0);
INSERT INTO {$table_header}resource VALUES (426,0,0,1,'img','037b1e10a9faed5cd950477d0850c67c.jpg','img/h000/h00/037b1e10a9faed5cd950477d0850c67c.jpg',NULL,'',1127461657,1127461657,'','',0);
INSERT INTO {$table_header}resource VALUES (400,0,0,1,'img','img200509221507451962.jpg','img/h000/h00/img200509221507451962.jpg',9979,'283*247',1127372866,1127372866,'http://image.techweb.com.cn/h00/h46/img200509162158111.jpg','',0);
INSERT INTO {$table_header}resource VALUES (225,0,0,1,'img','img200508241951290.jpg','img/h000/h00/img200508241951290.jpg',55597,'460*456',1124884289,1124884289,'','',0);
INSERT INTO {$table_header}resource VALUES (401,0,0,1,'img','img20050922150746284.jpg','img/h000/h00/img20050922150746284.jpg',30479,'525*188',1127372866,1127372866,'http://image.techweb.com.cn/h00/h46/img200509162158112.jpg','',0);
INSERT INTO {$table_header}resource VALUES (402,0,0,1,'img','img200509221507463757.jpg','img/h000/h00/img200509221507463757.jpg',30479,'525*188',1127372867,1127372867,'http://image.techweb.com.cn/h00/h46/img200509162158173.jpg','',0);
INSERT INTO {$table_header}resource VALUES (230,0,0,1,'img','img200508241952402.jpg','img/h000/h00/img200508241952402.jpg',2881,'120*90',1124884360,1124884360,'','',0);
INSERT INTO {$table_header}resource VALUES (241,0,0,1,'img','img200508241959201.jpg','img/h000/h00/img200508241959201.jpg',3318,'124*92',1124884760,1124884760,'','',0);
INSERT INTO {$table_header}resource VALUES (243,0,0,1,'img','img200508241959202.jpg','img/h000/h00/img200508241959202.jpg',2741,'127*92',1124884760,1124884760,'','',0);
INSERT INTO {$table_header}resource VALUES (412,0,0,1,'img','img200509221508480133.jpg','img/h000/h00/img200509221508480133.jpg',31569,'450*338',1127372929,1127372929,'http://image.techweb.com.cn/h00/h46/img200509162159190.jpg','',0);
INSERT INTO {$table_header}resource VALUES (298,0,0,1,'img','img200509151326190.jpg','img/h000/h00/img200509151326190.jpg',25648,'400*267',1126761980,1126761980,'','',0);
INSERT INTO {$table_header}resource VALUES (537,0,0,1,'flash','flash200509271757040.swf','flash/h000/h00/flash200509271757040.swf',4655,'',1127815024,1127815024,'','12050822.swf',1);
INSERT INTO {$table_header}resource VALUES (487,0,0,1,'img','934c38f5d68edb30127b88382b0ed0f3.jpg','img/h000/h00/934c38f5d68edb30127b88382b0ed0f3.jpg',NULL,'',1127558572,1127558572,'','',0);
INSERT INTO {$table_header}resource VALUES (488,0,0,1,'img','7ac2b69fb65fd69e317bac594802e78a.jpg','img/h000/h00/7ac2b69fb65fd69e317bac594802e78a.jpg',16216,'Array',1127560017,1127560017,'','',1);
INSERT INTO {$table_header}resource VALUES (533,30,0,1,'flash','flash200509261712040.swf','flash/h000/h00/flash200509261712040.swf',4655,'',1127725924,1127725924,'','12050822.swf',1);
INSERT INTO {$table_header}resource VALUES (534,30,0,1,'flash','flash200509261717460.swf','flash/h000/h00/flash200509261717460.swf',4307,'',1127726266,1127726266,'','000.swf',1);
INSERT INTO {$table_header}resource VALUES (526,30,0,1,'flash','flash200509261542230.swf','flash/h000/h00/flash200509261542230.swf',21037,'',1127720543,1127720543,'','gj590105912.swf',1);
INSERT INTO {$table_header}resource VALUES (527,2,0,1,'flash','flash200509261546130.swf','flash/h000/h00/flash200509261546130.swf',5618,'',1127720773,1127720773,'','120600407.swf',1);


DROP TABLE IF EXISTS {$table_header}resource_ref;
CREATE TABLE {$table_header}resource_ref  (
  `NodeID` int(10) NOT NULL default '0',
  `IndexID` int(10) NOT NULL default '0',
  `ResourceID` int(10) NOT NULL default '0',
  `CollectionKey` char(32) NOT NULL default '',
  KEY `I_R` (`IndexID`,`ResourceID`),
  KEY `N_I_R` (`NodeID`,`IndexID`,`ResourceID`),
  KEY `R_C` (`ResourceID`,`CollectionKey`)
) TYPE=MyISAM;


INSERT INTO {$table_header}resource_ref VALUES (1,1,225,'');
INSERT INTO {$table_header}resource_ref VALUES (2,119,218,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73139,142,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73139,143,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73442,220,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73451,308,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73453,307,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73459,309,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73462,305,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73465,412,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73679,399,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73679,400,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73679,401,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73679,402,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73680,397,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73681,302,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73681,310,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73681,426,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73681,487,'');
INSERT INTO {$table_header}resource_ref VALUES (2,73682,489,'');
INSERT INTO {$table_header}resource_ref VALUES (6,73469,303,'');
INSERT INTO {$table_header}resource_ref VALUES (6,73472,301,'');
INSERT INTO {$table_header}resource_ref VALUES (6,73502,302,'');
INSERT INTO {$table_header}resource_ref VALUES (6,73505,298,'');
INSERT INTO {$table_header}resource_ref VALUES (7,73583,304,'');
INSERT INTO {$table_header}resource_ref VALUES (26,73643,310,'');
INSERT INTO {$table_header}resource_ref VALUES (26,73671,317,'');
INSERT INTO {$table_header}resource_ref VALUES (26,73672,318,'');
INSERT INTO {$table_header}resource_ref VALUES (26,73673,319,'');
INSERT INTO {$table_header}resource_ref VALUES (26,73674,320,'');
INSERT INTO {$table_header}resource_ref VALUES (26,73675,321,'');
INSERT INTO {$table_header}resource_ref VALUES (26,73676,322,'');
INSERT INTO {$table_header}resource_ref VALUES (26,73677,323,'');
INSERT INTO {$table_header}resource_ref VALUES (26,73678,324,'');
INSERT INTO {$table_header}resource_ref VALUES (32,73684,241,'');
INSERT INTO {$table_header}resource_ref VALUES (32,73684,533,'');
INSERT INTO {$table_header}resource_ref VALUES (32,73685,302,'');
INSERT INTO {$table_header}resource_ref VALUES (32,73685,526,'');
INSERT INTO {$table_header}resource_ref VALUES (32,73686,243,'');
INSERT INTO {$table_header}resource_ref VALUES (32,73686,534,'');
INSERT INTO {$table_header}resource_ref VALUES (32,73687,230,'');
INSERT INTO {$table_header}resource_ref VALUES (32,73687,527,'');


DROP TABLE IF EXISTS {$table_header}sessions;

CREATE TABLE {$table_header}sessions (
  `sId` varchar(32) NOT NULL default '',
  `sIpAddress` varchar(16) NOT NULL default '',
  `sUserName` varchar(32) NOT NULL default '',
  `sUId` int(8) NOT NULL default '0',
  `sLogInTime` int(10) NOT NULL default '0',
  `sRunningTime` int(10) NOT NULL default '0',
  PRIMARY KEY  (`sId`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}site;

CREATE TABLE {$table_header}site (
  `NodeID` int(10) NOT NULL auto_increment,
  `NodeGUID` varchar(250) default NULL,
  `TableID` int(8) NOT NULL default '0',
  `ParentID` int(10) default NULL,
  `RootID` int(10) NOT NULL default '0',
  `InheritNodeID` int(8) NOT NULL default '0',
  `NodeType` tinyint(1) NOT NULL default '1',
  `NodeSort` tinyint(5) NOT NULL default '0',
  `Name` varchar(250) default NULL,
  `ContentPSN` varchar(250) default NULL,
  `ContentURL` varchar(250) default NULL,
  `ResourcePSN` varchar(250) default NULL,
  `ResourceURL` varchar(250) default NULL,
  `PublishMode` tinyint(1) default '1',
  `IndexTpl` varchar(250) default NULL,
  `IndexName` varchar(250) NOT NULL default '',
  `ContentTpl` varchar(250) default NULL,
  `ImageTpl` varchar(250) default NULL,
  `SubDir` varchar(20) default NULL,
  `PublishFileFormat` varchar(250) default NULL,
  `IsComment` tinyint(1) default '0',
  `CommentLength` int(10) default NULL,
  `IsPrint` tinyint(1) default '0',
  `IsGrade` tinyint(1) default '0',
  `IsMail` tinyint(1) default '0',
  `Disabled` tinyint(1) NOT NULL default '0',
  `AutoPublish` tinyint(1) NOT NULL default '1',
  `IndexPortalURL` varchar(250) NOT NULL default '',
  `ContentPortalURL` varchar(250) NOT NULL default '',
  `Pager` varchar(20) NOT NULL default '',
  `Editor` varchar(50) default NULL,
  `WorkFlow` int(8) NOT NULL default '0',
  `PermissionManageG` text NOT NULL,
  `PermissionManageU` text NOT NULL,
  `PermissionReadG` text NOT NULL,
  `PermissionReadU` text NOT NULL,
  `PermissionWriteG` text NOT NULL,
  `PermissionWriteU` text NOT NULL,
  `PermissionApproveG` text NOT NULL,
  `PermissionApproveU` text NOT NULL,
  `PermissionPublishG` text NOT NULL,
  `PermissionPublishU` text NOT NULL,
  `PermissionInherit` text NOT NULL,
  `CreationUserID` int(8) NOT NULL default '0',
  UNIQUE KEY `NodeID` (`NodeID`),
  KEY `P_D` (`ParentID`,`Disabled`),
  KEY `D` (`Disabled`),
  KEY `InheritNodeID` (`InheritNodeID`)
) TYPE=MyISAM;


INSERT INTO {$table_header}site VALUES (1,'com.cmsware.demo',1,0,0,0,1,5,'Ѷ','{PSN:1}','{PSN-URL:1}','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/news/index.html','index.html','/org.cmsware.demo/news/content.html','/org.cmsware.demo/news/image.html','Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,1,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','default.php',0,'','','','','','','','','','','0',0);
INSERT INTO {$table_header}site VALUES (2,'com.cmsware.demo.news.hard_news',1,1,0,0,1,0,'ҪϢ','{PSN:1}','{PSN-URL:1}','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/news/list.html','index_{NodeID}.html','/org.cmsware.demo/news/content.html','/org.cmsware.demo/news/image.html','Y-m-d','content.{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,1,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','auto.php','news_editor.php',4,'','','','','','','','','','','0',0);
INSERT INTO {$table_header}site VALUES (3,'com.cmsware.demo.news.it',1,1,0,0,1,0,'ITѶ','{PSN:1}','{PSN-URL:1}','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/news/list.html','index_{NodeID}.html','/org.cmsware.demo/news/content.html','/org.cmsware.demo/news/image.html','Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','auto.php','news_editor.php',0,'','','','','','','','','','','0',0);
INSERT INTO {$table_header}site VALUES (4,'com.cmsware.demo.download',2,0,0,0,1,4,'','{PSN:1}/download','{PSN-URL:1}/download','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/download/index.html','index_{NodeID}.html','/org.cmsware.demo/download/content.html','','Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,1,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','download_editor.php',3,'','','','','','','','','','','0',0);
INSERT INTO {$table_header}site VALUES (5,'com.cmsware.demo.wap',1,0,0,0,1,0,'WAP','{PSN:1}','{PSN-URL:1}','{PSN:1}','{PSN-URL:1}',1,'/wap/index.wml','index_{NodeID}.wml','/wap/content.wml','','Y-m-d','{TimeStamp}d{ContentID}.wml',0,NULL,0,0,0,0,1,'','http://cmsware/publish/content.php/{IndexID},{Page}.html','wap.php','news_editor.php',3,'3','','','','','','','','','','0',0);
INSERT INTO {$table_header}site VALUES (19,'',1,0,0,0,1,0,'̳',NULL,NULL,'','',2,'','index.html','','','Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://www.cmsware.com/bbs','','auto.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (6,'',2,4,0,0,1,0,'PHPԴ','{PSN:1}/download','{PSN-URL:1}/download','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/download/list.html','index.download.php_{NodeID}.html','/org.cmsware.demo/download/content.html','','Y-m-d','Soft{NodeID}d{ContentID}.html',0,NULL,0,0,0,0,1,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','download_editor.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (7,NULL,2,4,0,0,1,0,'ASPԴ','{PSN:1}/download','{PSN-URL:1}/download','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/download/list.html','index_{NodeID}.html','/org.cmsware.demo/download/content.html',NULL,'Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,1,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','download_editor.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (8,'',2,4,0,0,1,0,'CGI Դ','{PSN:1}/download','{PSN-URL:1}/download','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/download/list.html','index_{NodeID}.html','/org.cmsware.demo/download/content.html','','Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,1,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','download_editor.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (9,NULL,2,4,0,0,1,0,'JSP Դ','{PSN:1}/download','{PSN-URL:1}/download','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/download/list.html','index_{NodeID}.html','/org.cmsware.demo/download/content.html',NULL,'Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,1,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','download_editor.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (10,NULL,2,4,0,0,1,0,'.NET Դ','{PSN:1}/download','{PSN-URL:1}/download','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/download/list.html','index_{NodeID}.html','/org.cmsware.demo/download/content.html',NULL,'Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,1,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','download_editor.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (11,NULL,2,4,0,0,1,0,' ','{PSN:1}/download','{PSN-URL:1}/download','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/download/list.html','index_{NodeID}.html','/org.cmsware.demo/download/content.html',NULL,'Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,1,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','download_editor.php',3,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (12,NULL,2,4,0,0,1,0,'زģ','{PSN:1}/download','{PSN-URL:1}/download','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/download/list.html','index_{NodeID}.html','/org.cmsware.demo/download/content.html',NULL,'Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,1,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','download_editor.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (13,NULL,2,4,0,0,1,0,'ù','{PSN:1}/download','{PSN-URL:1}/download','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/download/list.html','index_{NodeID}.html','/org.cmsware.demo/download/content.html',NULL,'Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,1,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','download_editor.php',3,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (14,NULL,2,4,0,0,1,0,'鼮̳','{PSN:1}/download','{PSN-URL:1}/download','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/download/list.html','index_{NodeID}.html','/org.cmsware.demo/download/content.html',NULL,'Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,1,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','download_editor.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (15,NULL,2,4,0,0,1,0,'Դ','{PSN:1}/download','{PSN-URL:1}/download','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/download/list.html','index_{NodeID}.html','/org.cmsware.demo/download/content.html',NULL,'Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,1,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','download_editor.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (16,NULL,3,1,0,0,1,0,'ſѶ',NULL,NULL,NULL,NULL,2,NULL,'index.html',NULL,NULL,'Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,1,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (17,'com.cmsware.download.news',4,4,0,0,1,0,'ſѶ',NULL,NULL,'','',2,'','index.html','','','Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (18,'com.cmsware.download.links',5,4,0,0,1,0,'',NULL,NULL,'','',2,'','index.html','','','Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'','','auto.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (25,'com.cmsware.demo.photo',6,0,0,0,1,3,'ͼ','{PSN:1}/photo','{PSN-URL:1}/photo','{PSN:1}/photo','{PSN-URL:1}/photo',1,'/org.cmsware.demo/photo/index.html','index.html','/org.cmsware.demo/photo/content.html','','auto','photo.{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','auto.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (20,'',1,1,0,0,1,0,'ƾѶ','{PSN:1}','{PSN-URL:1}','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/news/list.html','index_{NodeID}.html','/org.cmsware.demo/news/content.html','/org.cmsware.demo/news/image.html','Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','auto.php','news_editor.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (21,'',1,1,0,0,1,0,'','{PSN:1}','{PSN-URL:1}','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/news/list.html','index_{NodeID}.html','/org.cmsware.demo/news/content.html','/org.cmsware.demo/news/image.html','auto','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','auto.php','news_editor.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (22,'',1,1,0,0,1,0,'缼','{PSN:1}','{PSN-URL:1}','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/news/list.html','index_{NodeID}.html','/org.cmsware.demo/news/content.html','/org.cmsware.demo/news/image.html','auto','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','auto.php','news_editor.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (23,NULL,1,1,0,0,1,0,'ѧ','{PSN:1}','{PSN-URL:1}','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/news/list.html','index_{NodeID}.html','/org.cmsware.demo/news/content.html','/org.cmsware.demo/news/image.html','auto','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','news_editor.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (24,NULL,1,1,0,0,1,0,'','{PSN:1}','{PSN-URL:1}','{PSN:1}','{PSN-URL:1}',1,'/org.cmsware.demo/news/list.html','index_{NodeID}.html','/org.cmsware.demo/news/content.html','/org.cmsware.demo/news/image.html','Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','auto.php','news_editor.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (26,NULL,6,25,0,0,1,0,'Ȼ羰','{PSN:1}/photo','{PSN-URL:1}/photo','{PSN:1}/photo','{PSN-URL:1}/photo',1,'/org.cmsware.demo/photo/list.html','index_{NodeID}.html','/org.cmsware.demo/photo/content.html',NULL,'auto','photo.{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','auto.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (27,NULL,6,25,0,0,1,0,'','{PSN:1}/photo','{PSN-URL:1}/photo','{PSN:1}/photo','{PSN-URL:1}/photo',1,'/org.cmsware.demo/photo/list.html','index_{NodeID}.html','/org.cmsware.demo/photo/content.html',NULL,'auto','photo.{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','auto.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (28,'com.cmsware.demo.search',1,0,0,0,1,1,'',NULL,NULL,'','',2,'','index.html','','','Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'{cmsware_admin}publish/search.php?o=pro','http://cmsware/publish/content.php/{IndexID},{Page}.html','auto.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (29,NULL,1,0,0,0,1,0,'Flash',NULL,NULL,NULL,NULL,1,NULL,'index.html',NULL,NULL,'Y-m-d','{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,1,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','auto.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (30,'com.cmsware.demo.flash',3,0,0,0,1,2,'Flash','{PSN:1}/flash','{PSN-URL:1}/flash','{PSN:1}/flash','{PSN-URL:1}/flash',1,'/org.cmsware.demo/flash/index.html','index.html','/org.cmsware.demo/flash/content.html','','Y/m','flash.{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (31,NULL,3,30,0,0,1,0,'MTV','{PSN:1}/flash','{PSN-URL:1}/flash','{PSN:1}/flash','{PSN-URL:1}/flash',1,'/org.cmsware.demo/flash/list.html','flash_{NodeID}.html','/org.cmsware.demo/flash/content.html',NULL,'Y/m','flash.{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (32,NULL,3,30,0,0,1,0,'FlashϷ','{PSN:1}/flash','{PSN-URL:1}/flash','{PSN:1}/flash','{PSN-URL:1}/flash',1,'/org.cmsware.demo/flash/list.html','flash_{NodeID}.html','/org.cmsware.demo/flash/content.html',NULL,'Y/m','flash.{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (33,NULL,3,30,0,0,1,0,'СƷ','{PSN:1}/flash','{PSN-URL:1}/flash','{PSN:1}/flash','{PSN-URL:1}/flash',1,'/org.cmsware.demo/flash/list.html','flash_{NodeID}.html','/org.cmsware.demo/flash/content.html',NULL,'Y/m','flash.{TimeStamp}d{ContentID}.html',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','default.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (34,'',1,5,0,3,2,0,'ITѶ','{PSN:1}','{PSN-URL:1}','{PSN:1}','{PSN-URL:1}',1,'/wap/list.wml','index_{NodeID}.wml','/wap/content.wml','','Y-m-d','{TimeStamp}d{ContentID}.wml',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','wap.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (35,'',1,5,0,2,2,0,'ҪϢ','{PSN:1}','{PSN-URL:1}','{PSN:1}','{PSN-URL:1}',1,'/wap/list.wml','index_{NodeID}.wml','/wap/content.wml','','Y-m-d','{TimeStamp}d{ContentID}.wml',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','wap.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (36,NULL,1,5,0,20,2,0,'ƾѶ','{PSN:1}/wap','{PSN-URL:1}/wap','{PSN:1}/wap','{PSN-URL:1}/wap',1,'/wap/list.wml','index_{NodeID}.wml','/wap/content.wml',NULL,'Y-m-d','{TimeStamp}d{ContentID}.wml',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','wap.php','default.php',0,'','','','','','','','','','','0',1);
INSERT INTO {$table_header}site VALUES (37,NULL,1,5,0,24,2,0,'','{PSN:1}/wap','{PSN-URL:1}/wap','{PSN:1}/wap','{PSN-URL:1}/wap',1,'/wap/list.wml','index_{NodeID}.wml','/wap/content.wml',NULL,'Y-m-d','{TimeStamp}d{ContentID}.wml',0,NULL,0,0,0,0,2,'http://cmsware/publish/index.php/{NodeID},{Page}.html','http://cmsware/publish/content.php/{IndexID},{Page}.html','wap.php','default.php',0,'','','','','','','','','','','0',1);


DROP TABLE IF EXISTS {$table_header}sys;

CREATE TABLE {$table_header}sys (
  `id` int(10) NOT NULL auto_increment,
  `varName` varchar(50) NOT NULL default '',
  `varValue` text NOT NULL,
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `var` (`varName`)
) TYPE=MyISAM;


INSERT INTO {$table_header}sys VALUES (2,'backupPath','../backup');
INSERT INTO {$table_header}sys VALUES (5,'hostname','');
INSERT INTO {$table_header}sys VALUES (6,'sysname','{cmsware_admin}');
INSERT INTO {$table_header}sys VALUES (7,'version','CMSware 2.5 Plus Stable');
INSERT INTO {$table_header}sys VALUES (8,'templatePath','../templates');
INSERT INTO {$table_header}sys VALUES (9,'smtp_host','');
INSERT INTO {$table_header}sys VALUES (10,'smtp_username','');
INSERT INTO {$table_header}sys VALUES (11,'smtp_password','');
INSERT INTO {$table_header}sys VALUES (12,'smtp_from_email','');
INSERT INTO {$table_header}sys VALUES (13,'smtp_auth','');
INSERT INTO {$table_header}sys VALUES (14,'upImgType','png|gif|jpeg|jpg');
INSERT INTO {$table_header}sys VALUES (15,'upImgSize','10000');
INSERT INTO {$table_header}sys VALUES (16,'upAttachType','zip|rar|doc|xls|txt');
INSERT INTO {$table_header}sys VALUES (17,'upAttachSize','1000');
INSERT INTO {$table_header}sys VALUES (20,'tasktimeout','1127965924');
INSERT INTO {$table_header}sys VALUES (21,'sitename','');
INSERT INTO {$table_header}sys VALUES (29,'uploadPath','');
INSERT INTO {$table_header}sys VALUES (30,'ResourceNum','319');
INSERT INTO {$table_header}sys VALUES (31,'upload_flash_num','32');
INSERT INTO {$table_header}sys VALUES (32,'upload_attach_num','44');
INSERT INTO {$table_header}sys VALUES (33,'uploadUrl','');
INSERT INTO {$table_header}sys VALUES (34,'upFlashSize','10000');
INSERT INTO {$table_header}sys VALUES (101,'openTask','');
INSERT INTO {$table_header}sys VALUES (102,'ResourcePath','../resource');
INSERT INTO {$table_header}sys VALUES (103,'localImgIgnoreURL','{localhost}{127.0.0.1}{{cmsware_admin_host}}');
INSERT INTO {$table_header}sys VALUES (104,'publishResourceNum','10840');
INSERT INTO {$table_header}sys VALUES (105,'is_safe_mode','0');
INSERT INTO {$table_header}sys VALUES (106,'ftp_server','0');
INSERT INTO {$table_header}sys VALUES (107,'ftp_server_port','0');
INSERT INTO {$table_header}sys VALUES (108,'ftp_user_name','0');
INSERT INTO {$table_header}sys VALUES (109,'ftp_user_pass','0');
INSERT INTO {$table_header}sys VALUES (110,'ftp_cms_admin_path','0');
INSERT INTO {$table_header}sys VALUES (111,'language','chinese_gb');
INSERT INTO {$table_header}sys VALUES (112,'DisplayNodeID','1');
INSERT INTO {$table_header}sys VALUES (113,'CollectionPageNum','15');
INSERT INTO {$table_header}sys VALUES (114,'ContentPageNum','15');
INSERT INTO {$table_header}sys VALUES (115,'SearchPageNum','15');
INSERT INTO {$table_header}sys VALUES (116,'sessionTimeout','120');
INSERT INTO {$table_header}sys VALUES (117,'isLogLogin','1');
INSERT INTO {$table_header}sys VALUES (118,'isLogAdmin','1');
INSERT INTO {$table_header}sys VALUES (119,'DisplayPublishCount','1');
INSERT INTO {$table_header}sys VALUES (120,'LoginTryTime','15');
INSERT INTO {$table_header}sys VALUES (121,'LoginTryCount','5');
INSERT INTO {$table_header}sys VALUES (122,'enable_gzip','0');
INSERT INTO {$table_header}sys VALUES (123,'AutoPageLen','2000');
INSERT INTO {$table_header}sys VALUES ('','EnableWaterMark','0');
INSERT INTO {$table_header}sys VALUES ('','WaterMarkImgPath', '../html/WaterMark.gif');
INSERT INTO {$table_header}sys VALUES ('','WaterMarkPosition', '1');
INSERT INTO {$table_header}sys SET `varName`='EnableCLWaterMark';
INSERT INTO {$table_header}sys SET `varName`='ContentViewMode', `varValue`='1';
INSERT INTO {$table_header}sys SET `varName`='CollectionViewMode', `varValue`='1';
INSERT INTO {$table_header}sys SET `varName`='ContributionViewMode', `varValue`='1';
INSERT INTO {$table_header}sys SET `varName`='DefaultResourcePSN';
INSERT INTO {$table_header}sys SET `varName`='DefaultResourcePSNURL';
INSERT INTO {$table_header}sys SET `varName`='DefaultContentPSN';
INSERT INTO {$table_header}sys SET `varName`='DefaultContentPSNURL';
INSERT INTO {$table_header}sys SET `varName`='DialogFitXP', `varValue`='0';
INSERT INTO {$table_header}sys SET `varName`='EnableEditorWaterMark', `varValue`='1';
INSERT INTO {$table_header}sys (`varName`, `varValue`) VALUES ('AutoRefreshTree', '0');


DROP TABLE IF EXISTS {$table_header}tasks;

CREATE TABLE {$table_header}tasks (
  `TaskID` varchar(32) NOT NULL default '',
  `TaskData` longblob NOT NULL,
  `TaskTime` int(10) NOT NULL default '0',
  KEY `TID` (`TaskID`)
) TYPE=MyISAM;

 
DROP TABLE IF EXISTS {$table_header}tpl_cate;

CREATE TABLE {$table_header}tpl_cate (
  `TCID` int(10) NOT NULL auto_increment,
  `CateName` varchar(50) default NULL,
  `ParentTCID` int(10) default '0',
  `ReadG` text,
  `WriteG` text,
  `ManageG` text,
  `ReadU` text,
  `WriteU` text,
  `ManageU` text,
  `Inherit` tinyint(1) default '0',
  `CreationUserID` int(8) default NULL,
  PRIMARY KEY  (`TCID`),
  KEY `ParentTCID` (`ParentTCID`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}tpl_data;

CREATE TABLE {$table_header}tpl_data (
  `TID` int(11) NOT NULL auto_increment,
  `TCID` int(10) NOT NULL default '0',
  `TplName` varchar(50) default NULL,
  `TplType` int(3) NOT NULL default '0',
  `CreationUserID` int(5) default NULL,
  `LastModifiedUserID` int(5) default NULL,
  `CreationDate` int(10) default NULL,
  `ModifiedDate` int(10) default NULL,
  PRIMARY KEY  (`TID`),
  KEY `NodeID` (`TCID`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS {$table_header}tpl_vars;
CREATE TABLE {$table_header}tpl_vars (
  `Id` int(6) unsigned NOT NULL auto_increment,
  `VarTitle` varchar(250) default NULL,
  `VarName` varchar(50) default NULL,
  `VarValue` text,
  `IsGlobal` tinyint(1) NULL DEFAULT 1,
  `NodeScope` text NULL,
  PRIMARY KEY  (`Id`)
) TYPE=MyISAM  ;

 
INSERT INTO `{$table_header}tpl_vars` VALUES (1, 'ǰ̨̬URL', 'PUBLISH_URL', '{cmsware_admin}publish/', 1,'');
INSERT INTO `{$table_header}tpl_vars` VALUES (3, '̳URL', 'BBS_URL', '{cmsware_admin}www/bbs/', 1,'');
INSERT INTO `{$table_header}tpl_vars` VALUES (4, '̳ע', 'BBS_Register', '{cmsware_admin}www/bbs/register.php', 1,'');
INSERT INTO `{$table_header}tpl_vars` VALUES (5, '̳', 'BBS_LostPass', '{cmsware_admin}www/bbs/sendpwd.php', 1,'');
INSERT INTO `{$table_header}tpl_vars` VALUES (6, '̳¼ӿ', 'BBS_Login', '{cmsware_admin}www/bbs/login.php', 1,'');
INSERT INTO `{$table_header}tpl_vars` VALUES (7, '̳û', 'BBS_Username', 'loginuser', 1,'');
INSERT INTO `{$table_header}tpl_vars` VALUES (8, '̳û', 'BBS_Pass', 'loginpwd', 1,'');
INSERT INTO `{$table_header}tpl_vars` VALUES (9, '̳ע', 'BBS_Logout', '{cmsware_admin}www/bbs/login.php?action=quit', 1,'');
INSERT INTO `{$table_header}tpl_vars` VALUES (10, '̳Referer', 'BBS_Referer', 'jumpurl', 1,'');
INSERT INTO `{$table_header}tpl_vars` VALUES (11,'ͼƬ洢Ŀ¼','IMG_URL','{cmsware_admin}www/images/', 1,'');
INSERT INTO `{$table_header}tpl_vars` VALUES (12,'ģͼƬ·','Skin_Images','{cmsware_admin}www/skin/', 1,'');
 
DROP TABLE IF EXISTS {$table_header}user;

CREATE TABLE {$table_header}user (
  `uId` mediumint(10) NOT NULL auto_increment,
  `uGId` mediumint(8) NOT NULL default '0',
  `uName` varchar(50) NOT NULL default '',
  `uPass` varchar(32) NOT NULL default '',
  `uInfo` text NOT NULL,
  `LastLoginDate` int(10) NOT NULL default '0',
  `ApproveNum` int(8) NOT NULL default '0',
  `ContributionNum` int(8) NOT NULL default '0',
  `CallBackNum` int(8) NOT NULL default '0',
  `NoContributionNum` int(8) NOT NULL default '0',
  `CreationUserID` mediumint(8) NOT NULL default '0',
  UNIQUE KEY `uId` (`uId`),
  UNIQUE KEY `uName` (`uName`),
  KEY `uGId` (`uGId`)
) TYPE=MyISAM;



DROP TABLE IF EXISTS {$table_header}workflow;

CREATE TABLE {$table_header}workflow (
  `wID` int(8) NOT NULL auto_increment,
  `Name` varchar(30) default NULL,
  `Intro` text,
  PRIMARY KEY  (`wID`),
  UNIQUE KEY `wID` (`wID`)
) TYPE=MyISAM;


INSERT INTO `{$table_header}workflow` VALUES (4,'Ͷ弴',"");


DROP TABLE IF EXISTS {$table_header}workflow_record;

CREATE TABLE {$table_header}workflow_record (
  `OpID` int(8) NOT NULL auto_increment,
  `wID` int(8) default NULL,
  `Executor` int(8) default NULL,
  `OpName` varchar(50) default NULL,
  `StateBeforeOp` varchar(100) default NULL,
  `StateAfterOp` varchar(100) default NULL,
  `AppendNote` int(1) default '0',
  `OpIntro` text,
  PRIMARY KEY  (`OpID`),
  UNIQUE KEY `OpID` (`OpID`),
  KEY `wID` (`wID`)
) TYPE=MyISAM;


INSERT INTO `{$table_header}workflow_record` VALUES (3,3,3,'Ϊڱ༭','1/103','100',0,'ûͶΪڱ༭״̬');
INSERT INTO `{$table_header}workflow_record` VALUES (4,3,3,'ͨ','100','101',0,NULL);
INSERT INTO `{$table_header}workflow_record` VALUES (5,3,3,'','100/1/103','3',1,'');
INSERT INTO `{$table_header}workflow_record` VALUES (6,3,4,'Ϊڱ༭','101','102',0,NULL);
INSERT INTO `{$table_header}workflow_record` VALUES (7,3,4,'ظ','102/101','3',1,NULL);
INSERT INTO `{$table_header}workflow_record` VALUES (8,3,4,'ظ༭','102/101','103',1,'');
INSERT INTO `{$table_header}workflow_record` VALUES (9,3,4,'ͨ','102','2',0,'ɸ,ݿ,ȴ');
INSERT INTO `{$table_header}workflow_record` VALUES (10,3,3,'','101','100',0,NULL);
INSERT INTO `{$table_header}workflow_record` VALUES (11,4,0,'ͶԶ','1','2',0,NULL);
INSERT INTO `{$table_header}workflow_record` VALUES (12,2,3,'Ϊڱ༭','1','100',0,NULL);
INSERT INTO `{$table_header}workflow_record` VALUES (13,2,3,'','100/1','3',1,NULL);
INSERT INTO `{$table_header}workflow_record` VALUES (14,2,3,'ͨ','100','2',0,NULL);


DROP TABLE IF EXISTS {$table_header}workflow_state;

CREATE TABLE {$table_header}workflow_state (
  `ID` int(8) NOT NULL auto_increment,
  `Name` char(30) default NULL,
  `State` int(5) default NULL,
  `System` int(1) default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`),
  UNIQUE KEY `State` (`State`)
) TYPE=MyISAM;


INSERT INTO {$table_header}workflow_state VALUES (1,'',0,1);
INSERT INTO {$table_header}workflow_state VALUES (2,'ɾ',-1,1);
INSERT INTO {$table_header}workflow_state VALUES (3,'Ͷ',1,1);
INSERT INTO {$table_header}workflow_state VALUES (4,'',3,1);
INSERT INTO {$table_header}workflow_state VALUES (5,'¼',2,1);
INSERT INTO {$table_header}workflow_state VALUES (9,'ڱ༭(༭)',100,0);
INSERT INTO {$table_header}workflow_state VALUES (11,'ͨ(༭)',101,0);
INSERT INTO {$table_header}workflow_state VALUES (12,'ڱ༭(߼༭)',102,0);
INSERT INTO {$table_header}workflow_state VALUES (13,'ر༭(߼༭)',103,0);





INSERT INTO {$table_header}plugins VALUES ('', 'CMSwareOAS', 'oas', 'CMSwareCWPS', '', '[,1,]', '[,,]');

DROP TABLE IF EXISTS {$table_header}plugin_oas_access;
CREATE TABLE {$table_header}plugin_oas_access (
  `AccessID` int(10) NOT NULL auto_increment,
  `AccessType` tinyint(1) default '1',
  `OwnerID` int(10) default NULL,
  `AccessInherit` text,
  `Info` text,
  PRIMARY KEY  (`AccessID`),
  UNIQUE KEY `AccessID` (`AccessID`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS {$table_header}plugin_oas_setting;
CREATE TABLE {$table_header}plugin_oas_setting (
  `key` varchar(32) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (`key`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS {$table_header}plugin_oas_sessions;
CREATE TABLE {$table_header}plugin_oas_sessions (
  `sId` varchar(32) NOT NULL default '',
  `UserName` varchar(32) NOT NULL default '',
  `UserID` int(8) NOT NULL default '0',
  `GroupID` int(8) default NULL,
  `LogInTime` int(10) NOT NULL default '0',
  `RunningTime` int(10) NOT NULL default '0',
  `Ip` varchar(16) NOT NULL default '',
  `SessionData` blob,
  PRIMARY KEY  (`sId`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS {$table_header}plugin_oas_permission;
CREATE TABLE {$table_header}plugin_oas_permission (
  `PermissionKey` varchar(32) NOT NULL default '',
  `PermissionInfo` varchar(250) NOT NULL default '',
  `Reserved` tinyint(1) default '0',
  `OrderKey` int(5) NOT NULL default '0',
  PRIMARY KEY  (`PermissionKey`),
  UNIQUE KEY `PermissionKey` (`PermissionKey`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS {$table_header}plugin_oas_access_map;
CREATE TABLE {$table_header}plugin_oas_access_map (
  `AccessID` int(10) NOT NULL default '0',
  `PermissionKey` varchar(32) NOT NULL default '',
  `AccessNodeIDs` text,
  PRIMARY KEY  (`AccessID`,`PermissionKey`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS {$table_header}plugins_oas_user;
CREATE TABLE {$table_header}plugins_oas_user (
  `UserID` int(11) NOT NULL auto_increment,
  `UserName` varchar(32) NOT NULL,
  PRIMARY KEY (`UserID`)
) TYPE=MyISAM;


INSERT INTO {$table_header}plugin_oas_permission VALUES ('ReadIndex', 'ҳ', 1, 0);
INSERT INTO {$table_header}plugin_oas_permission VALUES ('ReadContent', 'ҳ', 1, 0);
INSERT INTO {$table_header}plugin_oas_permission VALUES ('PostComment', '', 1, 0);
INSERT INTO {$table_header}plugin_oas_permission VALUES ('ReadComment', '鿴', 1, 0);


INSERT INTO {$table_header}plugin_oas_setting VALUES ('CWPS_Address', 'http://passport/soap.php');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('CWPS_TransactionAccessKey', '1234');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('CWPS_RootURL', 'http://passport');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('OAS_RootURL', 'http://cmsware/oas');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('CWPS_SessionActiveTime', '1800');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('CWPS_AdminUserName', 'hawking');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('CWPS_AdminPassword', 'a');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('CWPS_SelfAdminURL', '');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('CWPS_SelfIndexURL', '');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('AccessDenyTpl', '/oas/access_deny.html');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('IndexPageCacheTime', '1800');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('ContentPageCacheTime', '86400');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('Comment_enableComment', '1');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('Comment_enableCommentApprove', '0');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('Comment_Tpl', '/oas/comment/comment.html');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('Comment_contentMinLength', '3');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('Comment_contentMaxLength', '1000');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('Comment_filterMode', '0');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('Comment_replaceWord', '*');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('Comment_filterWords', 'fuck,shit,,');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('Comment_PageNum', '15');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('Comment_EnableDisplayCache', '1');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('Comment_HiddenCommentIP', '1');
INSERT INTO {$table_header}plugin_oas_setting VALUES ('EnableCacheUseSubDirs', '1');

DELETE FROM {$table_header}site WHERE NodeID IN(5, 34, 35, 36, 37);

DELETE FROM {$table_header}plugins WHERE pId=2;

DROP TABLE IF EXISTS plugins;

DROP TABLE IF EXISTS plugin_bbsi_setting;

DROP TABLE IF EXISTS plugin_bbsi_access;
